import { ClassificationSpecificEnum } from '@pieces.app/pieces-os-client';

export default function langExtToClassificationSpecificEnum(
  ext: string
): ClassificationSpecificEnum {
  ext = ext.toLowerCase();

  switch (ext) {
    case 'batchfile':
    case 'bat':
      return ClassificationSpecificEnum.Bat;
    case 'c#':
    case 'c-sharp':
    case 'cs':
      return ClassificationSpecificEnum.Cs;
    case 'coffeescript':
    case 'coffee':
      return ClassificationSpecificEnum.Coffee;
    case 'clojure':
    case 'clj':
      return ClassificationSpecificEnum.Clj;
    case 'erlang':
    case 'erl':
      return ClassificationSpecificEnum.Erl;
    case 'el':
      return ClassificationSpecificEnum.El;
    case 'ex':
      return ClassificationSpecificEnum.Ex;
    case 'groovy':
      return ClassificationSpecificEnum.Groovy;
    case 'haskell':
    case 'hs':
      return ClassificationSpecificEnum.Hs;
    case 'kt':
      return ClassificationSpecificEnum.Kt;
    case 'lua':
      return ClassificationSpecificEnum.Lua;
    case 'markdown':
    case 'md':
      return ClassificationSpecificEnum.Md;
    case 'matlab':
      return ClassificationSpecificEnum.Matlab;
    case 'objective-c':
    case 'objective':
    case 'm':
      return ClassificationSpecificEnum.M;
    case 'c':
      return ClassificationSpecificEnum.C;
    case 'cpp':
    case 'c++':
    case 'cc':
    case 'hh':
    case 'h':
      return ClassificationSpecificEnum.Cpp;
    case 'css':
      return ClassificationSpecificEnum.Css;
    case 'go':
      return ClassificationSpecificEnum.Go;
    case 'html':
      return ClassificationSpecificEnum.Html;
    case 'htm':
      return ClassificationSpecificEnum.Htm;
    case 'java':
      return ClassificationSpecificEnum.Java;
    case 'javascript':
    case 'js':
      return ClassificationSpecificEnum.Js;
    case 'json':
      return ClassificationSpecificEnum.Json;
    case 'typescript':
    case 'ts':
      return ClassificationSpecificEnum.Ts;
    case 'dart':
      return ClassificationSpecificEnum.Dart;
    case 'scala':
      return ClassificationSpecificEnum.Scala;
    case 'sql':
      return ClassificationSpecificEnum.Sql;
    case 'perl':
    case 'pl':
      return ClassificationSpecificEnum.Pl;
    case 'php':
      return ClassificationSpecificEnum.Php;
    case 'python':
    case 'py':
      return ClassificationSpecificEnum.Py;
    case 'powershell':
    case 'ps1':
      return ClassificationSpecificEnum.Ps;
    case 'plaintext':
    case 'txt':
    case 'text':
      return ClassificationSpecificEnum.Text;
    case 'r':
      return ClassificationSpecificEnum.R;
    case 'ruby':
    case 'rb':
      return ClassificationSpecificEnum.Rb;
    case 'shell':
    case 'sh':
      return ClassificationSpecificEnum.Sh;
    case 'swift':
      return ClassificationSpecificEnum.Swift;
    case 'tex':
      return ClassificationSpecificEnum.Tex;
    case 'rust':
    case 'rs':
      return ClassificationSpecificEnum.Rs;
    case 'toml':
      return ClassificationSpecificEnum.Toml;
    case 'xml':
      return ClassificationSpecificEnum.Xml;
    case 'yaml':
    case 'yml':
      return ClassificationSpecificEnum.Yaml;
    default:
      return ClassificationSpecificEnum.Js;
  }
}
