"use strict";
(self["webpackChunkjupyter_pieces"] = self["webpackChunkjupyter_pieces"] || []).push([["lib_cache_pieces_cache_js-webpack_sharing_consume_default_lunr_lunr-webpack_sharing_consume_d-5d8c8f"],{

/***/ "./lib/actions/NoteBookFetcher.js":
/*!****************************************!*\
  !*** ./lib/actions/NoteBookFetcher.js ***!
  \****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (/* binding */ NoteBookFetcher)
/* harmony export */ });
/* harmony import */ var _jupyterlab_services__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @jupyterlab/services */ "webpack/sharing/consume/default/@jupyterlab/services");
/* harmony import */ var _jupyterlab_services__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_jupyterlab_services__WEBPACK_IMPORTED_MODULE_0__);

class NoteBookFetcher {
    constructor() {
        this.contentsManager = new _jupyterlab_services__WEBPACK_IMPORTED_MODULE_0__.ContentsManager(); // jupyterlab contents manager
        this.MAX_FETCH = 400; // sets an upper limit on number of fetches
        this.MAX_BYTES = 10000000; // only let 10 mb of notebooks be fetched
        this.notebookContents = []; // array of promises to fetch notebook contents
        this.contentsFetching = []; // array of promises to help fetch notebook contents
        this.notebooks = []; // array of all the notebooks
        this.totalBytes = 0; // total number of bytes fetched
        this.totalFetches = 0; // total number of fetches
        this.fileLastModified = new Map();
    }
    static getInstance() {
        if (!NoteBookFetcher.instance) {
            NoteBookFetcher.instance = new NoteBookFetcher();
        }
        return NoteBookFetcher.instance;
    }
    /*
      This function will either return the cached notebooks inside a time limit or fetch all the notebooks
      - returns a promise array of all the notebooks
    */
    async getNotebooks() {
        var _a, _b;
        if (new Date().getTime() - ((_b = (_a = this.lastFetch) === null || _a === void 0 ? void 0 : _a.getTime()) !== null && _b !== void 0 ? _b : 0) > 900000) {
            this.lastFetch = new Date();
            return this.getAllNotebooks();
        }
        else {
            return this.notebooks;
        }
    }
    /*
      This function will recursively get all the notebook files starting at '/' aka the directory jupyterlab was initialized from
      - returns a promise array of all the notebooks
      - ONLY call this manually or on launch
    */
    async getAllNotebooks() {
        try {
            await this.findNotebooks(this.contentsManager.get('/'));
            await Promise.all(this.contentsFetching);
            this.notebooks = await Promise.all(this.notebookContents);
            this.totalBytes = this.totalFetches = 0;
            return this.notebooks;
        }
        catch (e) {
            console.log(e);
        }
        this.totalBytes = this.totalFetches = 0;
        return [];
    }
    // helper to get contents of a file, detect if it's a notebook or not, and fetch recursively or not according
    async findNotebooks(file) {
        var _a;
        // don't fetch more than 400 files or 10 mb
        if (this.totalFetches >= this.MAX_FETCH ||
            this.totalBytes >= this.MAX_BYTES)
            return;
        // get the file contents
        const fileContent = await file;
        // dont fetch a file if we already have it cached and it hasn't been modified
        if (this.fileLastModified.get(fileContent.path) &&
            this.fileLastModified.get(fileContent.path) === fileContent.last_modified) {
            return;
        }
        this.fileLastModified.set(fileContent.path, fileContent.last_modified);
        // the current file is a notebook
        if (fileContent.type === 'notebook') {
            if (this.totalBytes < this.MAX_BYTES) {
                this.notebookContents.push(this.contentsManager.get(fileContent.path, { content: true }));
            }
            this.totalFetches++;
            this.totalBytes += (_a = fileContent.size) !== null && _a !== void 0 ? _a : 0;
            // current file is a directory
        }
        else if (fileContent.type === 'directory') {
            for (let i = 0; i < fileContent.content.length; i++) {
                if (this.totalFetches >= this.MAX_FETCH ||
                    this.totalBytes >= this.MAX_BYTES) {
                    return;
                }
                this.totalFetches++;
                this.contentsFetching.push(this.findNotebooks(this.contentsManager.get(fileContent.content[i].path)));
            }
        }
    }
}


/***/ }),

/***/ "./lib/actions/activities.js":
/*!***********************************!*\
  !*** ./lib/actions/activities.js ***!
  \***********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (/* binding */ ActivitySingleton)
/* harmony export */ });
/* harmony import */ var _connection_connector_singleton__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../connection/connector_singleton */ "./lib/connection/connector_singleton.js");
/* harmony import */ var _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @pieces.app/pieces-os-client */ "webpack/sharing/consume/default/@pieces.app/pieces-os-client/@pieces.app/pieces-os-client");
/* harmony import */ var _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__);



class ActivitySingleton {
    constructor() {
        /* */
    }
    static getInstance() {
        var _a;
        return ((_a = this.instance) !== null && _a !== void 0 ? _a : (this.instance = new ActivitySingleton()));
    }
    async referenced(id, query, copied = false) {
        const config = _connection_connector_singleton__WEBPACK_IMPORTED_MODULE_1__["default"].getInstance();
        const seededActivity = {
            application: config.context.application,
            mechanism: _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.MechanismEnum.Automatic,
            asset: {
                id,
            },
            event: {
                asset: {
                    asset: {
                        id,
                    },
                    identifierDescriptionPair: {
                        assetReferenced: _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.TrackedAssetEventIdentifierDescriptionPairsAssetReferencedEnum.AnAssetWasReferencedByTheUser,
                    },
                },
            },
        };
        if (copied) {
            // eslint-disable-next-line @typescript-eslint/no-non-null-assertion
            seededActivity.event.asset.identifierDescriptionPair = {
                assetFormatCopied: _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.TrackedAssetEventIdentifierDescriptionPairsAssetFormatCopiedEnum.AnAssetPreviewFormatWasCopied,
            };
        }
        if (query) {
            // eslint-disable-next-line @typescript-eslint/no-non-null-assertion
            seededActivity.event.asset.metadata = {
                search: {
                    query,
                },
            };
            // eslint-disable-next-line @typescript-eslint/no-non-null-assertion
            seededActivity.event.asset.identifierDescriptionPair = {
                searchedAssetReferenced: _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.TrackedAssetEventIdentifierDescriptionPairsSearchedAssetReferencedEnum.ASearchedAssetWasReferencedByTheUser,
            };
        }
        return config.activitiesApi
            .activitiesCreateNewActivity({
            transferables: false,
            seededActivity,
        })
            .catch();
    }
    async installed() {
        const config = _connection_connector_singleton__WEBPACK_IMPORTED_MODULE_1__["default"].getInstance();
        const seededActivity = {
            application: config.context.application,
            mechanism: _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.MechanismEnum.Automatic,
            event: {
                adoption: {
                    identifierDescriptionPair: {
                        adoptionInstall: _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.AnalyticsTrackedAdoptionEventIdentifierDescriptionPairsAdoptionInstallEnum.TheUserHasInstalledAPiecesApplication,
                    },
                },
            },
        };
        return config.activitiesApi
            .activitiesCreateNewActivity({
            transferables: false,
            seededActivity,
        })
            .catch();
    }
}


/***/ }),

/***/ "./lib/actions/create_asset.js":
/*!*************************************!*\
  !*** ./lib/actions/create_asset.js ***!
  \*************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (/* binding */ createAsset)
/* harmony export */ });
/* harmony import */ var _connection_connector_singleton__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../connection/connector_singleton */ "./lib/connection/connector_singleton.js");
/* harmony import */ var _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @pieces.app/pieces-os-client */ "webpack/sharing/consume/default/@pieces.app/pieces-os-client/@pieces.app/pieces-os-client");
/* harmony import */ var _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _connection_notification_handler__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../connection/notification_handler */ "./lib/connection/notification_handler.js");
/* harmony import */ var _const__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../const */ "./lib/const.js");
/* harmony import */ var _analytics_SegmentAnalytics__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../analytics/SegmentAnalytics */ "./lib/analytics/SegmentAnalytics.js");
/* harmony import */ var _analytics_AnalyticsEnum__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../analytics/AnalyticsEnum */ "./lib/analytics/AnalyticsEnum.js");
/* harmony import */ var _launch_runtime__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ./launch_runtime */ "./lib/actions/launch_runtime.js");
/* harmony import */ var _jupyterlab_coreutils__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @jupyterlab/coreutils */ "webpack/sharing/consume/default/@jupyterlab/coreutils");
/* harmony import */ var _jupyterlab_coreutils__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_jupyterlab_coreutils__WEBPACK_IMPORTED_MODULE_1__);









async function createAsset({ selection, retry = false, name, annotations, lang, filePath, anchors, }) {
    const root = _jupyterlab_coreutils__WEBPACK_IMPORTED_MODULE_1__.PageConfig.getOption('serverRoot');
    _analytics_SegmentAnalytics__WEBPACK_IMPORTED_MODULE_2__.SegmentAnalytics.track({
        event: _analytics_AnalyticsEnum__WEBPACK_IMPORTED_MODULE_3__.AnalyticsEnum.JUPYTER_USER_SAVE,
    });
    const config = _connection_connector_singleton__WEBPACK_IMPORTED_MODULE_4__["default"].getInstance();
    const notifications = _connection_notification_handler__WEBPACK_IMPORTED_MODULE_5__["default"].getInstance();
    let context = config.context;
    try {
        config.context = await config.api.connect({
            seededConnectorConnection: config.seeded,
        });
        context = config.context;
    }
    catch (error) {
        notifications.error({ message: _const__WEBPACK_IMPORTED_MODULE_6__["default"].CONNECTION_FAIL });
        _analytics_SegmentAnalytics__WEBPACK_IMPORTED_MODULE_2__.SegmentAnalytics.track({
            event: _analytics_AnalyticsEnum__WEBPACK_IMPORTED_MODULE_3__.AnalyticsEnum.JUPYTER_SAVE_FAILURE,
        });
        return Promise.reject(new Error('Failed to Connect'));
    }
    const application = context === null || context === void 0 ? void 0 : context.application;
    if (!application)
        return;
    const seededConnectorCreation = {
        type: _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.SeedTypeEnum.Asset,
        asset: {
            application,
            format: {
                fragment: {
                    string: {
                        raw: selection,
                    },
                },
            },
        },
    };
    // TODO REIMPLEMENT THIS SO WE CAN CHECK WHAT LANGUAGE
    //    -- it might always be python, need to double check.
    // if (lang && lang.length) {
    // 	//@ts-ignore we know that .asset.format exists here
    // 	seededConnectorCreation.asset.format.fragment.metadata = {
    // 		ext: invertedSearchLangSpecificEnum[
    // 			lang.toLowerCase()
    // 		] as ClassificationSpecificEnum,
    // 	};
    // }
    seededConnectorCreation.asset.metadata = {};
    if (name && name.length) {
        seededConnectorCreation.asset.metadata = {
            ...seededConnectorCreation.asset.metadata,
            name: name,
        };
    }
    if (annotations && annotations.length) {
        seededConnectorCreation.asset.metadata = {
            ...seededConnectorCreation.asset.metadata,
            annotations: annotations.map((annotation) => {
                var _a;
                return {
                    type: annotation.type,
                    text: annotation.text,
                    mechanism: annotation.mechanism,
                    asset: (_a = annotation.asset) === null || _a === void 0 ? void 0 : _a.id,
                };
            }),
        };
    }
    if (filePath && filePath !== 'unknown') {
        seededConnectorCreation.asset.metadata.anchors = [
            {
                type: _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.AnchorTypeEnum.File,
                fullpath: root + '/' + filePath,
            },
        ];
    }
    if (anchors === null || anchors === void 0 ? void 0 : anchors.length) {
        if (!seededConnectorCreation.asset.metadata.anchors)
            seededConnectorCreation.asset.metadata.anchors = [];
        for (let anchor of anchors) {
            seededConnectorCreation.asset.metadata.anchors.push({
                fullpath: anchor,
                type: _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.AnchorTypeEnum.File,
            });
        }
    }
    try {
        const asset = await config.assetsApi.assetsCreateNewAsset({
            seed: seededConnectorCreation,
        });
        notifications.information({ message: _const__WEBPACK_IMPORTED_MODULE_6__["default"].SAVE_SUCCESS });
        _analytics_SegmentAnalytics__WEBPACK_IMPORTED_MODULE_2__.SegmentAnalytics.track({
            event: _analytics_AnalyticsEnum__WEBPACK_IMPORTED_MODULE_3__.AnalyticsEnum.JUPYTER_SAVE_SUCCESS,
        });
        return asset.id;
    }
    catch (error) {
        if (retry) {
            notifications.error({ message: _const__WEBPACK_IMPORTED_MODULE_6__["default"].SAVE_FAIL });
            _analytics_SegmentAnalytics__WEBPACK_IMPORTED_MODULE_2__.SegmentAnalytics.track({
                event: _analytics_AnalyticsEnum__WEBPACK_IMPORTED_MODULE_3__.AnalyticsEnum.JUPYTER_SAVE_FAILURE,
            });
            return Promise.reject(new Error(`Error saving piece ${error.message}`));
        }
        if (error.status === 401 || error.status === 400) {
            _analytics_SegmentAnalytics__WEBPACK_IMPORTED_MODULE_2__.SegmentAnalytics.track({
                event: _analytics_AnalyticsEnum__WEBPACK_IMPORTED_MODULE_3__.AnalyticsEnum.JUPYTER_SAVE_FAILURE,
            });
            return Promise.reject(new Error(`User error reported from POS ${error.status}`));
        }
        if (error.code === 'ECONNREFUSED') {
            if (retry) {
                _analytics_SegmentAnalytics__WEBPACK_IMPORTED_MODULE_2__.SegmentAnalytics.track({
                    event: _analytics_AnalyticsEnum__WEBPACK_IMPORTED_MODULE_3__.AnalyticsEnum.JUPYTER_SAVE_FAILURE,
                });
                return Promise.reject(new Error(`Error saving piece ${error.message}`));
            }
            // attempt to launch runtime because we could talk to POS
            await (0,_launch_runtime__WEBPACK_IMPORTED_MODULE_7__.launchRuntime)(true);
            config.context = await config.api.connect({
                seededConnectorConnection: config.seeded,
            });
        }
        return await createAsset({ selection: selection, retry: true });
    }
}


/***/ }),

/***/ "./lib/actions/create_commands.js":
/*!****************************************!*\
  !*** ./lib/actions/create_commands.js ***!
  \****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   createCommands: () => (/* binding */ createCommands),
/* harmony export */   findSimilarity: () => (/* binding */ findSimilarity),
/* harmony export */   saveActiveCellToPieces: () => (/* binding */ saveActiveCellToPieces),
/* harmony export */   saveSelectionToPieces: () => (/* binding */ saveSelectionToPieces),
/* harmony export */   shareActiveCellViaPieces: () => (/* binding */ shareActiveCellViaPieces),
/* harmony export */   shareSelectionViaPieces: () => (/* binding */ shareSelectionViaPieces)
/* harmony export */ });
/* harmony import */ var _jupyterlab_cells__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @jupyterlab/cells */ "webpack/sharing/consume/default/@jupyterlab/cells");
/* harmony import */ var _jupyterlab_cells__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_jupyterlab_cells__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _create_asset__WEBPACK_IMPORTED_MODULE_19__ = __webpack_require__(/*! ./create_asset */ "./lib/actions/create_asset.js");
/* harmony import */ var _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @pieces.app/pieces-os-client */ "webpack/sharing/consume/default/@pieces.app/pieces-os-client/@pieces.app/pieces-os-client");
/* harmony import */ var _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _connection_connector_singleton__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ../connection/connector_singleton */ "./lib/connection/connector_singleton.js");
/* harmony import */ var _const__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../const */ "./lib/const.js");
/* harmony import */ var _connection_api_wrapper__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(/*! ../connection/api_wrapper */ "./lib/connection/api_wrapper.js");
/* harmony import */ var _cache_pieces_cache__WEBPACK_IMPORTED_MODULE_21__ = __webpack_require__(/*! ../cache/pieces_cache */ "./lib/cache/pieces_cache.js");
/* harmony import */ var _connection_notification_handler__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../connection/notification_handler */ "./lib/connection/notification_handler.js");
/* harmony import */ var _connection_shareable_link__WEBPACK_IMPORTED_MODULE_20__ = __webpack_require__(/*! ../connection/shareable_link */ "./lib/connection/shareable_link.js");
/* harmony import */ var _ui_utils_copyToClipboard__WEBPACK_IMPORTED_MODULE_22__ = __webpack_require__(/*! ../ui/utils/copyToClipboard */ "./lib/ui/utils/copyToClipboard.js");
/* harmony import */ var _onboarding_showOnboarding__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../onboarding/showOnboarding */ "./lib/onboarding/showOnboarding.js");
/* harmony import */ var _discover_snippets__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! ./discover_snippets */ "./lib/actions/discover_snippets.js");
/* harmony import */ var _ui_utils_langExtToClassificationSpecificEnum__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! ../ui/utils/langExtToClassificationSpecificEnum */ "./lib/ui/utils/langExtToClassificationSpecificEnum.js");
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../index */ "./lib/index.js");
/* harmony import */ var _localStorageManager__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(/*! ../localStorageManager */ "./lib/localStorageManager.js");
/* harmony import */ var _analytics_SegmentAnalytics__WEBPACK_IMPORTED_MODULE_15__ = __webpack_require__(/*! ../analytics/SegmentAnalytics */ "./lib/analytics/SegmentAnalytics.js");
/* harmony import */ var _analytics_AnalyticsEnum__WEBPACK_IMPORTED_MODULE_16__ = __webpack_require__(/*! ../analytics/AnalyticsEnum */ "./lib/analytics/AnalyticsEnum.js");
/* harmony import */ var _draft_asset__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ./draft_asset */ "./lib/actions/draft_asset.js");
/* harmony import */ var _ui_render_renderSearchBox__WEBPACK_IMPORTED_MODULE_18__ = __webpack_require__(/*! ../ui/render/renderSearchBox */ "./lib/ui/render/renderSearchBox.js");
/* harmony import */ var _ui_utils_refreshSnippets__WEBPACK_IMPORTED_MODULE_17__ = __webpack_require__(/*! ../ui/utils/refreshSnippets */ "./lib/ui/utils/refreshSnippets.js");
/* harmony import */ var _ui_views_DisplayController__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(/*! ../ui/views/DisplayController */ "./lib/ui/views/DisplayController.js");
/* harmony import */ var _utils_calculateLevenshteinDistance__WEBPACK_IMPORTED_MODULE_24__ = __webpack_require__(/*! ../utils/calculateLevenshteinDistance */ "./lib/utils/calculateLevenshteinDistance.js");
/* harmony import */ var _utils_truncateAfterNewline__WEBPACK_IMPORTED_MODULE_23__ = __webpack_require__(/*! ../utils/truncateAfterNewline */ "./lib/utils/truncateAfterNewline.js");
/* harmony import */ var uuid__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! uuid */ "webpack/sharing/consume/default/uuid/uuid?e885");
/* harmony import */ var uuid__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(uuid__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _ui_modals_AskQGPTModal__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../ui/modals/AskQGPTModal */ "./lib/ui/modals/AskQGPTModal.js");

























const createCommands = ({ palette }) => {
    const { commands } = _index__WEBPACK_IMPORTED_MODULE_3__.defaultApp;
    // Enrich Selection
    const enrich_selection_command = 'jupyter_pieces:enrich-selection';
    commands.addCommand(enrich_selection_command, {
        label: 'Enrich Selection via Pieces',
        caption: 'Add a description to your selection',
        execute: enrichSelection,
    });
    _index__WEBPACK_IMPORTED_MODULE_3__.defaultApp.contextMenu.addItem({
        command: enrich_selection_command,
        selector: '.jp-Cell',
        rank: 101,
    });
    // Snippetize notebook
    const snippetize_command = 'jupyter_pieces:discover-snippets';
    commands.addCommand(snippetize_command, {
        label: 'Discover Snippets',
        caption: 'Save all Snippets in your Notebook to Pieces',
        execute: snippetizeNotebook,
    });
    palette.addItem({
        command: snippetize_command,
        category: 'Pieces for Developers',
    });
    // Onboarding command
    const onboarding_command = 'jupyter_pieces:open-onboarding';
    commands.addCommand(onboarding_command, {
        label: 'Pieces for Developers Onboarding',
        execute: _onboarding_showOnboarding__WEBPACK_IMPORTED_MODULE_4__.showOnboarding,
    });
    palette.addItem({
        command: onboarding_command,
        category: 'Pieces for Developers',
    });
    // save active cell to pieces command
    const save_active_cell_command = 'jupyter_pieces:save-cell-to-pieces';
    commands.addCommand(save_active_cell_command, {
        label: 'Save Active Cell to Pieces',
        caption: 'Save the Active Cell to Pieces',
        execute: saveActiveCellToPieces,
    });
    _index__WEBPACK_IMPORTED_MODULE_3__.defaultApp.contextMenu.addItem({
        command: save_active_cell_command,
        selector: '.jp-Cell',
        rank: 100,
    });
    const share_active_cell_command = 'jupyter_pieces:share-cell-via-pieces';
    commands.addCommand(share_active_cell_command, {
        label: 'Share Active Cell via Pieces',
        caption: 'Share the Active Cell via Pieces',
        execute: shareActiveCellViaPieces,
    });
    _index__WEBPACK_IMPORTED_MODULE_3__.defaultApp.contextMenu.addItem({
        command: share_active_cell_command,
        selector: '.jp-Cell',
        rank: 100,
    });
    // save selection to pieces command
    const save_selection_to_pieces_command = 'jupyter_pieces:save-selection-to-pieces';
    commands.addCommand(save_selection_to_pieces_command, {
        label: 'Save Selection to Pieces',
        caption: 'Save your Selection to Pieces',
        execute: saveSelectionToPieces,
    });
    _index__WEBPACK_IMPORTED_MODULE_3__.defaultApp.contextMenu.addItem({
        command: save_selection_to_pieces_command,
        selector: '*',
        rank: 100,
    });
    const share_selection_via_pieces_command = 'jupyter_pieces:share-selection-via-pieces';
    commands.addCommand(share_selection_via_pieces_command, {
        label: 'Share Selection via Pieces',
        caption: 'Share your Selection via Pieces',
        execute: shareSelectionViaPieces,
    });
    _index__WEBPACK_IMPORTED_MODULE_3__.defaultApp.contextMenu.addItem({
        command: share_selection_via_pieces_command,
        selector: '*',
        rank: 100,
    });
    // Ask QGPT about selectin
    const askCopilotCommand = 'jupyter_pieces:ask-copilot-about-selection';
    commands.addCommand(askCopilotCommand, {
        label: 'Ask Pieces about your selection',
        caption: 'Ask Pieces Copilot a question about your selected text',
        execute: () => {
            const selection = document.getSelection();
            if (!selection) {
                _connection_notification_handler__WEBPACK_IMPORTED_MODULE_5__["default"].getInstance().error({
                    message: 'Please select some text to ask our Copilot about!',
                });
                return;
            }
            new _ui_modals_AskQGPTModal__WEBPACK_IMPORTED_MODULE_6__["default"](selection.toString()).open();
        },
    });
    _index__WEBPACK_IMPORTED_MODULE_3__.defaultApp.contextMenu.addItem({
        command: askCopilotCommand,
        selector: '*',
        rank: 101,
    });
    // Right-click menu
    commands.addCommand('text-shortcuts:save-selection-to-pieces', {
        label: 'Save Selection to Pieces',
        execute: saveSelectionToPieces,
    });
    commands.addCommand('text-shortcuts:share-selection-via-pieces', {
        label: 'Share Selection via Pieces',
        execute: shareSelectionViaPieces,
    });
    commands.addCommand('text-shortcuts:save-cell-to-pieces', {
        label: 'Save Active Cell to Pieces',
        execute: saveActiveCellToPieces,
    });
    commands.addCommand('text-shortcuts:share-cell-via-pieces', {
        label: 'Share Active Cell via Pieces',
        execute: shareActiveCellViaPieces,
    });
    // Refresh pieces - right click
    const refresh_snippets_command = 'text-shortcuts:refresh-snippets';
    commands.addCommand(refresh_snippets_command, {
        label: 'Refresh Snippets',
        execute: refreshPieces,
    });
    // Jump to searchbar of Pieces - keyboard command
    const quick_search_command = 'text-shortcuts:quick-search';
    commands.addCommand(quick_search_command, {
        label: 'Quick Search',
        execute: quickSearch,
    });
    // Toggle Pieces view - keyboard command
    const toggle_view_command = 'text-shortcuts:toggle-view';
    commands.addCommand(toggle_view_command, {
        label: 'Toggle View',
        execute: toggleView,
    });
    // Toggle Pieces view - keyboard command
    const snippetize_discover_command = 'text-shortcuts:discover-snippets';
    commands.addCommand(snippetize_discover_command, {
        label: 'Discover Snippets in Your Notebook',
        execute: snippetizeNotebook,
    });
};
const enrichSelection = async () => {
    var _a, _b, _c, _d, _e;
    const notifications = _connection_notification_handler__WEBPACK_IMPORTED_MODULE_5__["default"].getInstance();
    const selection = document.getSelection();
    if (!selection || selection.toString().length < 5) {
        notifications.error({ message: _const__WEBPACK_IMPORTED_MODULE_7__["default"].NO_SAVE_SELECTION });
        return;
    }
    const draft_seed = await (0,_draft_asset__WEBPACK_IMPORTED_MODULE_8__.draft_asset)({ text: selection.toString() });
    //@ts-ignore this does not exist in the api given by jupyterlab, however editor does exist if they have a notebook open.
    const editor = (_a = _index__WEBPACK_IMPORTED_MODULE_3__.defaultApp.shell.currentWidget) === null || _a === void 0 ? void 0 : _a.content.activeCell.editor;
    if (!editor || editor === undefined) {
        notifications.error({
            message: 'Unable to detect editor, cannot enrich.',
        });
        return;
    }
    // Define the text you want to insert
    const textToInsert = `'''\n${(_e = (_d = (_c = (_b = draft_seed.asset) === null || _b === void 0 ? void 0 : _b.metadata) === null || _c === void 0 ? void 0 : _c.annotations) === null || _d === void 0 ? void 0 : _d.map((annotation) => annotation.text).join('\n')) !== null && _e !== void 0 ? _e : ''}\n'''\n`;
    editor.replaceSelection(textToInsert + selection);
    // Move the cursor to the end of the inserted text
};
let inSnippetize = false;
const snippetizeNotebook = async () => {
    var _a, _b, _c, _d, _e, _f, _g;
    const notifications = _connection_notification_handler__WEBPACK_IMPORTED_MODULE_5__["default"].getInstance();
    const config = _connection_connector_singleton__WEBPACK_IMPORTED_MODULE_9__["default"].getInstance();
    if (inSnippetize) {
        notifications.error({
            message: 'We are already snippetizing your notebook! Just wait a bit.',
        });
        return;
    }
    inSnippetize = true;
    notifications.information({
        message: 'We are snippetizing your notebook! Sit tight!',
    });
    try {
        //@ts-ignore
        const cells = (_b = (_a = _index__WEBPACK_IMPORTED_MODULE_3__.defaultApp.shell.currentWidget) === null || _a === void 0 ? void 0 : _a.content) === null || _b === void 0 ? void 0 : _b.cellsArray;
        if (!cells) {
            notifications.error({ message: _const__WEBPACK_IMPORTED_MODULE_7__["default"].DISCOVERY_FAILURE });
            return;
        }
        const discoverableAssets = {
            automatic: true,
            seededDiscoverableAssets: {
                application: config.context.application.id,
                iterable: [],
            },
        };
        for (let i = 0; i < cells.length; i++) {
            if (!(cells[i] instanceof _jupyterlab_cells__WEBPACK_IMPORTED_MODULE_0__.CodeCell)) {
                continue;
            }
            const raw = cells[i].model.toJSON().source;
            if (!raw) {
                continue;
            }
            const lang = 
            //@ts-ignore
            (_e = (_d = (_c = _index__WEBPACK_IMPORTED_MODULE_3__.defaultApp.shell.currentWidget) === null || _c === void 0 ? void 0 : _c.sessionContext) === null || _d === void 0 ? void 0 : _d.kernelPreference) === null || _e === void 0 ? void 0 : _e.language;
            let discoverable = {};
            let seed = {
                string: {
                    raw: raw,
                },
                metadata: {
                    ext: (0,_ui_utils_langExtToClassificationSpecificEnum__WEBPACK_IMPORTED_MODULE_10__["default"])(lang),
                },
            };
            // if code cell is 50 lines or longer then upload it as a file so it gets 'snippetized'
            if (raw.split('\n').length > 50) {
                discoverable.file = seed;
            }
            else {
                discoverable.fragment = seed;
            }
            (_f = discoverableAssets.seededDiscoverableAssets) === null || _f === void 0 ? void 0 : _f.iterable.push(discoverable);
        }
        if (!((_g = discoverableAssets.seededDiscoverableAssets) === null || _g === void 0 ? void 0 : _g.iterable.length)) {
            notifications.error({
                message: "Something went wrong, we weren't able to find any snippets to discover",
            });
            return;
        }
        const returnedResults = await _discover_snippets__WEBPACK_IMPORTED_MODULE_11__["default"].discoverSnippets(discoverableAssets);
        (0,_connection_api_wrapper__WEBPACK_IMPORTED_MODULE_12__.loadPieces)().then(() => {
            _ui_views_DisplayController__WEBPACK_IMPORTED_MODULE_13__["default"].drawSnippets({});
        });
        if ((0,_localStorageManager__WEBPACK_IMPORTED_MODULE_14__.getStored)('AutoOpen') && (returnedResults === null || returnedResults === void 0 ? void 0 : returnedResults.iterable.length) !== 0) {
            _index__WEBPACK_IMPORTED_MODULE_3__.defaultApp.shell.activateById('piecesView');
        }
    }
    catch (e) {
        notifications.error({
            message: 'Failed to snippetize notebook, are you sure Pieces OS is installed, running, and up to date?',
        });
    }
    inSnippetize = false;
};
const refreshPieces = () => {
    _analytics_SegmentAnalytics__WEBPACK_IMPORTED_MODULE_15__.SegmentAnalytics.track({
        event: _analytics_AnalyticsEnum__WEBPACK_IMPORTED_MODULE_16__.AnalyticsEnum.JUPYTER_REFRESH_HOTKEY,
    });
    (0,_ui_utils_refreshSnippets__WEBPACK_IMPORTED_MODULE_17__.refreshSnippets)();
};
const quickSearch = () => {
    _analytics_SegmentAnalytics__WEBPACK_IMPORTED_MODULE_15__.SegmentAnalytics.track({
        event: _analytics_AnalyticsEnum__WEBPACK_IMPORTED_MODULE_16__.AnalyticsEnum.JUPYTER_QUICK_SEARCH_HOTKEY,
    });
    _index__WEBPACK_IMPORTED_MODULE_3__.defaultApp.shell.activateById('piecesView');
    _ui_render_renderSearchBox__WEBPACK_IMPORTED_MODULE_18__.searchBox.focus();
};
const toggleView = () => {
    _analytics_SegmentAnalytics__WEBPACK_IMPORTED_MODULE_15__.SegmentAnalytics.track({
        event: _analytics_AnalyticsEnum__WEBPACK_IMPORTED_MODULE_16__.AnalyticsEnum.JUPYTER_TOGGLE_VIEW_HOTKEY,
    });
    let newSelection = _ui_views_DisplayController__WEBPACK_IMPORTED_MODULE_13__["default"].sortDropdown.firstChild
        .selectedIndex + 1;
    if (newSelection >=
        _ui_views_DisplayController__WEBPACK_IMPORTED_MODULE_13__["default"].sortDropdown.firstChild.options
            .length)
        newSelection = 0; //Wrap back to 0
    _ui_views_DisplayController__WEBPACK_IMPORTED_MODULE_13__["default"].sortDropdown.firstChild.selectedIndex = newSelection;
};
const saveActiveCellToPieces = async () => {
    var _a, _b, _c, _d;
    const notifications = _connection_notification_handler__WEBPACK_IMPORTED_MODULE_5__["default"].getInstance();
    _analytics_SegmentAnalytics__WEBPACK_IMPORTED_MODULE_15__.SegmentAnalytics.track({
        event: _analytics_AnalyticsEnum__WEBPACK_IMPORTED_MODULE_16__.AnalyticsEnum.JUPYTER_SAVE_ACTIVE_CELL,
    });
    // TODO very sad can't use typescript lsp magic D:
    //@ts-ignore
    const activeCell = (_a = _index__WEBPACK_IMPORTED_MODULE_3__.defaultApp.shell.currentWidget) === null || _a === void 0 ? void 0 : _a.content.activeCell;
    //@ts-ignore
    const cells = (_c = (_b = _index__WEBPACK_IMPORTED_MODULE_3__.defaultApp.shell.currentWidget) === null || _b === void 0 ? void 0 : _b.content) === null || _c === void 0 ? void 0 : _c.cellsArray;
    //@ts-ignore
    const notebookName = (_d = _index__WEBPACK_IMPORTED_MODULE_3__.defaultApp.shell.currentPath) !== null && _d !== void 0 ? _d : 'unknown';
    let cellNum;
    if (!activeCell) {
        notifications.error({ message: _const__WEBPACK_IMPORTED_MODULE_7__["default"].NO_ACTIVE_CELL });
        return;
    }
    else if (!(activeCell instanceof _jupyterlab_cells__WEBPACK_IMPORTED_MODULE_0__.CodeCell)) {
        notifications.error({ message: _const__WEBPACK_IMPORTED_MODULE_7__["default"].NO_CODE_CELL });
        return;
    }
    for (let i = 0; i < cells.length; i++) {
        if (cells[i] === activeCell) {
            cellNum = i;
            break;
        }
    }
    const code = activeCell.model.toJSON().source;
    if (code.length < 5) {
        notifications.error({
            message: 'There is no code saved in this cell!',
        });
        return;
    }
    try {
        const { similarity } = await findSimilarity(code);
        if (similarity < 2) {
            notifications.information({ message: _const__WEBPACK_IMPORTED_MODULE_7__["default"].SAVE_EXISTS });
        }
        else {
            await (0,_create_asset__WEBPACK_IMPORTED_MODULE_19__["default"])({
                selection: code,
                filePath: notebookName === 'unknown' ? undefined : notebookName,
                annotations: [
                    {
                        text: `This snippet came from cell ${(cellNum !== null && cellNum !== void 0 ? cellNum : -1) + 1} of ${notebookName}`,
                        type: _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_1__.AnnotationTypeEnum.Description,
                        id: (0,uuid__WEBPACK_IMPORTED_MODULE_2__.v4)(),
                        created: {
                            value: new Date(),
                        },
                        updated: {
                            value: new Date(),
                        },
                    },
                ],
            });
            _ui_views_DisplayController__WEBPACK_IMPORTED_MODULE_13__["default"].drawSnippets({});
        }
    }
    catch (e) {
        notifications.error({
            message: 'Failed to save snippet to pieces, are you sure that Pieces OS is running?',
        });
    }
    if ((0,_localStorageManager__WEBPACK_IMPORTED_MODULE_14__.getStored)('AutoOpen')) {
        _index__WEBPACK_IMPORTED_MODULE_3__.defaultApp.shell.activateById('piecesView');
    }
};
const saveSelectionToPieces = async () => {
    var _a;
    const notifications = _connection_notification_handler__WEBPACK_IMPORTED_MODULE_5__["default"].getInstance();
    _analytics_SegmentAnalytics__WEBPACK_IMPORTED_MODULE_15__.SegmentAnalytics.track({
        event: _analytics_AnalyticsEnum__WEBPACK_IMPORTED_MODULE_16__.AnalyticsEnum.JUPYTER_SAVE_SELECTION,
    });
    const selection = document.getSelection();
    //@ts-ignore
    const filename = (_a = _index__WEBPACK_IMPORTED_MODULE_3__.defaultApp.shell.currentPath) !== null && _a !== void 0 ? _a : 'unknown';
    if (!selection || selection.toString().length < 5) {
        notifications.error({ message: _const__WEBPACK_IMPORTED_MODULE_7__["default"].NO_SAVE_SELECTION });
        return;
    }
    try {
        await (0,_create_asset__WEBPACK_IMPORTED_MODULE_19__["default"])({
            selection: selection.toString(),
            filePath: filename === 'unknown' ? undefined : filename,
            annotations: [
                {
                    text: `This snippet was saved via selection from ${filename}`,
                    type: _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_1__.AnnotationTypeEnum.Description,
                    id: (0,uuid__WEBPACK_IMPORTED_MODULE_2__.v4)(),
                    created: {
                        value: new Date(),
                    },
                    updated: {
                        value: new Date(),
                    },
                },
            ],
        });
    }
    catch (e) {
        notifications.error({
            message: 'Failed to save selection to Pieces. Are you sure Pieces OS is running?',
        });
    }
    _ui_views_DisplayController__WEBPACK_IMPORTED_MODULE_13__["default"].drawSnippets({});
    if ((0,_localStorageManager__WEBPACK_IMPORTED_MODULE_14__.getStored)('AutoOpen')) {
        _index__WEBPACK_IMPORTED_MODULE_3__.defaultApp.shell.activateById('piecesView');
    }
};
const shareSelectionViaPieces = async () => {
    const notifications = _connection_notification_handler__WEBPACK_IMPORTED_MODULE_5__["default"].getInstance();
    const linkService = _connection_shareable_link__WEBPACK_IMPORTED_MODULE_20__["default"].getInstance();
    const cache = _cache_pieces_cache__WEBPACK_IMPORTED_MODULE_21__["default"].getInstance();
    _analytics_SegmentAnalytics__WEBPACK_IMPORTED_MODULE_15__.SegmentAnalytics.track({
        event: _analytics_AnalyticsEnum__WEBPACK_IMPORTED_MODULE_16__.AnalyticsEnum.JUPYTER_SHARE_SELECTION,
    });
    const selection = document.getSelection();
    if (!selection || selection.toString().length < 5) {
        notifications.error({ message: _const__WEBPACK_IMPORTED_MODULE_7__["default"].NO_SAVE_SELECTION });
        return;
    }
    try {
        const { similarity, comparisonID } = await findSimilarity(selection.toString());
        if (similarity < 2) {
            if (typeof comparisonID === 'string') {
                const existingLink = cache.mappedAssets[comparisonID].share;
                const link = existingLink !== null && existingLink !== void 0 ? existingLink : (await linkService.generate({
                    id: comparisonID,
                }));
                (0,_ui_utils_copyToClipboard__WEBPACK_IMPORTED_MODULE_22__["default"])(link || '');
                if (existingLink) {
                    notifications.information({
                        message: _const__WEBPACK_IMPORTED_MODULE_7__["default"].LINK_GEN_COPY,
                    });
                }
            }
        }
        else {
            await saveAndShare(selection.toString());
            _ui_views_DisplayController__WEBPACK_IMPORTED_MODULE_13__["default"].drawSnippets({});
        }
    }
    catch (e) {
        notifications.error({
            message: 'Failed to share selection via pieces, are you sure Pieces OS is running?',
        });
    }
};
const shareActiveCellViaPieces = async () => {
    var _a, _b, _c, _d;
    const notifications = _connection_notification_handler__WEBPACK_IMPORTED_MODULE_5__["default"].getInstance();
    const linkService = _connection_shareable_link__WEBPACK_IMPORTED_MODULE_20__["default"].getInstance();
    // TODO very sad can't use typescript lsp magic D:
    //@ts-ignore
    const activeCell = (_a = _index__WEBPACK_IMPORTED_MODULE_3__.defaultApp.shell.currentWidget) === null || _a === void 0 ? void 0 : _a.content.activeCell;
    //@ts-ignore
    const cells = (_c = (_b = _index__WEBPACK_IMPORTED_MODULE_3__.defaultApp.shell.currentWidget) === null || _b === void 0 ? void 0 : _b.content) === null || _c === void 0 ? void 0 : _c.cellsArray;
    //@ts-ignore
    const notebookName = (_d = _index__WEBPACK_IMPORTED_MODULE_3__.defaultApp.shell.currentPath) !== null && _d !== void 0 ? _d : 'unknown';
    if (!activeCell) {
        notifications.error({ message: _const__WEBPACK_IMPORTED_MODULE_7__["default"].NO_ACTIVE_CELL });
        return;
    }
    else if (!(activeCell instanceof _jupyterlab_cells__WEBPACK_IMPORTED_MODULE_0__.CodeCell)) {
        notifications.error({ message: _const__WEBPACK_IMPORTED_MODULE_7__["default"].NO_CODE_CELL });
        return;
    }
    let cellNum;
    for (let i = 0; i < cells.length; i++) {
        if (cells[i] === activeCell) {
            cellNum = i;
            break;
        }
    }
    const code = activeCell.model.toJSON().source;
    const { similarity, comparisonID } = await findSimilarity(code);
    if (similarity < 2) {
        if (typeof comparisonID === 'string') {
            const link = await linkService.generate({
                id: comparisonID,
            });
            (0,_ui_utils_copyToClipboard__WEBPACK_IMPORTED_MODULE_22__["default"])(link || '');
        }
    }
    else {
        const id = await (0,_create_asset__WEBPACK_IMPORTED_MODULE_19__["default"])({
            selection: code,
            filePath: notebookName === 'unknown' ? undefined : notebookName,
            annotations: [
                {
                    text: `This snippet came from cell ${(cellNum !== null && cellNum !== void 0 ? cellNum : -1) + 1} of ${notebookName}`,
                    type: _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_1__.AnnotationTypeEnum.Description,
                    id: (0,uuid__WEBPACK_IMPORTED_MODULE_2__.v4)(),
                    created: {
                        value: new Date(),
                    },
                    updated: {
                        value: new Date(),
                    },
                },
            ],
        });
        const link = await linkService.generate({
            id: id,
        });
        (0,_ui_utils_copyToClipboard__WEBPACK_IMPORTED_MODULE_22__["default"])(link || '');
    }
    _ui_views_DisplayController__WEBPACK_IMPORTED_MODULE_13__["default"].drawSnippets({});
};
/*
Handler for editor menu -> share snippet
    - creates a snippet
    - generates a link
    - copies to clipboard
*/
async function saveAndShare(selection) {
    var _a;
    const linkService = _connection_shareable_link__WEBPACK_IMPORTED_MODULE_20__["default"].getInstance();
    //@ts-ignore
    const notebookName = (_a = _index__WEBPACK_IMPORTED_MODULE_3__.defaultApp.shell.currentPath) !== null && _a !== void 0 ? _a : 'unknown';
    const id = await (0,_create_asset__WEBPACK_IMPORTED_MODULE_19__["default"])({
        selection: selection,
        filePath: notebookName === 'unknown' ? undefined : notebookName,
    });
    if (typeof id === 'string') {
        const link = await linkService.generate({ id: id });
        (0,_ui_utils_copyToClipboard__WEBPACK_IMPORTED_MODULE_22__["default"])(link || '');
    }
}
async function findSimilarity(codeBlock) {
    const config = _connection_connector_singleton__WEBPACK_IMPORTED_MODULE_9__["default"].getInstance();
    const cache = _cache_pieces_cache__WEBPACK_IMPORTED_MODULE_21__["default"].getInstance();
    let comparisonScore = Infinity;
    let comparisonID = '';
    const rawCode = {
        query: (0,_utils_truncateAfterNewline__WEBPACK_IMPORTED_MODULE_23__.truncateAfterNewline)(codeBlock),
    };
    const result = config.searchApi.fullTextSearch(rawCode);
    const assetArray = [];
    await result.then(async (res) => {
        res === null || res === void 0 ? void 0 : res.iterable.forEach((element) => {
            assetArray.push(cache.mappedAssets[element.identifier]);
        });
        const returnedSnippets = assetArray;
        returnedSnippets.forEach((element) => {
            try {
                // TODO: Make sure that `element.raw` is always going to be a string
                const currentCompScore = (0,_utils_calculateLevenshteinDistance__WEBPACK_IMPORTED_MODULE_24__.calculateLevenshteinDistance)(codeBlock, element.raw);
                if (currentCompScore < comparisonScore) {
                    comparisonScore = currentCompScore; // Update the current low number if the condition is true
                    comparisonID = element.id;
                }
            }
            catch (_a) {
                console.log('Error in calculating similarity score');
            }
        });
    });
    return { similarity: comparisonScore, comparisonID: comparisonID };
}


/***/ }),

/***/ "./lib/actions/delete.js":
/*!*******************************!*\
  !*** ./lib/actions/delete.js ***!
  \*******************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (/* binding */ DeletePiece)
/* harmony export */ });
/* harmony import */ var _connection_connector_singleton__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../connection/connector_singleton */ "./lib/connection/connector_singleton.js");
/* harmony import */ var _launch_runtime__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ./launch_runtime */ "./lib/actions/launch_runtime.js");
/* harmony import */ var _connection_notification_handler__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../connection/notification_handler */ "./lib/connection/notification_handler.js");
/* harmony import */ var _cache_pieces_cache__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../cache/pieces_cache */ "./lib/cache/pieces_cache.js");
/* harmony import */ var _const__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../const */ "./lib/const.js");
/* harmony import */ var _analytics_SegmentAnalytics__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../analytics/SegmentAnalytics */ "./lib/analytics/SegmentAnalytics.js");
/* harmony import */ var _analytics_AnalyticsEnum__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../analytics/AnalyticsEnum */ "./lib/analytics/AnalyticsEnum.js");
/* harmony import */ var copilot_dist_types_NotificationParameters__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! copilot/dist/types/NotificationParameters */ "./node_modules/copilot/dist/types/NotificationParameters.js");








class DeletePiece {
    static async delete({ id, retry = false, }) {
        _analytics_SegmentAnalytics__WEBPACK_IMPORTED_MODULE_1__.SegmentAnalytics.track({
            event: _analytics_AnalyticsEnum__WEBPACK_IMPORTED_MODULE_2__.AnalyticsEnum.JUPYTER_DELETE,
        });
        const config = _connection_connector_singleton__WEBPACK_IMPORTED_MODULE_3__["default"].getInstance();
        const notifications = _connection_notification_handler__WEBPACK_IMPORTED_MODULE_4__["default"].getInstance();
        const storage = _cache_pieces_cache__WEBPACK_IMPORTED_MODULE_5__["default"].getInstance();
        try {
            const piece = storage.mappedAssets[id];
            if (!piece) {
                notifications.information({
                    message: _const__WEBPACK_IMPORTED_MODULE_6__["default"].SNIPPET_IS_DELETED,
                });
                return;
            }
            await config.assetsApi.assetsDeleteAsset({ asset: id });
            notifications.information({
                message: _const__WEBPACK_IMPORTED_MODULE_6__["default"].SNIPPET_DELETE_SUCCESS,
            });
            _analytics_SegmentAnalytics__WEBPACK_IMPORTED_MODULE_1__.SegmentAnalytics.track({
                event: _analytics_AnalyticsEnum__WEBPACK_IMPORTED_MODULE_2__.AnalyticsEnum.JUPYTER_DELETE_SUCCESS,
            });
        }
        catch (error) {
            if (error.status === 401 || error.status === 400) {
                if (retry) {
                    notifications.error({
                        message: _const__WEBPACK_IMPORTED_MODULE_6__["default"].SNIPPET_DELETE_FAILURE,
                        actions: [
                            {
                                title: 'Contact Support',
                                type: copilot_dist_types_NotificationParameters__WEBPACK_IMPORTED_MODULE_0__.NotificationActionTypeEnum.OPEN_LINK,
                                params: { url: 'https://docs.pieces.app/support' },
                            },
                        ],
                    });
                    _analytics_SegmentAnalytics__WEBPACK_IMPORTED_MODULE_1__.SegmentAnalytics.track({
                        event: _analytics_AnalyticsEnum__WEBPACK_IMPORTED_MODULE_2__.AnalyticsEnum.JUPYTER_DELETE_FAILURE,
                    });
                }
                else {
                    try {
                        config.context = await config.api.connect({
                            seededConnectorConnection: config.seeded,
                        });
                        return await this.delete({ id, retry: true });
                    }
                    catch (e) {
                        console.log(`Error from deleting snippet ${e}`);
                        _analytics_SegmentAnalytics__WEBPACK_IMPORTED_MODULE_1__.SegmentAnalytics.track({
                            event: _analytics_AnalyticsEnum__WEBPACK_IMPORTED_MODULE_2__.AnalyticsEnum.JUPYTER_DELETE_FAILURE,
                        });
                    }
                }
            }
            else {
                if (!retry) {
                    if (error.code === 'ECONNREFUSED') {
                        // attempt to launch runtime because we could talk to POS.
                        await (0,_launch_runtime__WEBPACK_IMPORTED_MODULE_7__.launchRuntime)(true);
                        config.context = await config.api.connect({
                            seededConnectorConnection: config.seeded,
                        });
                    }
                    // then retry our request.
                    return await this.delete({ id, retry: true });
                }
                notifications.error({
                    message: _const__WEBPACK_IMPORTED_MODULE_6__["default"].SNIPPET_DELETE_FAILURE,
                    actions: [
                        {
                            title: 'Contact Support',
                            type: copilot_dist_types_NotificationParameters__WEBPACK_IMPORTED_MODULE_0__.NotificationActionTypeEnum.OPEN_LINK,
                            params: { url: 'https://docs.pieces.app/support' },
                        },
                    ],
                });
                _analytics_SegmentAnalytics__WEBPACK_IMPORTED_MODULE_1__.SegmentAnalytics.track({
                    event: _analytics_AnalyticsEnum__WEBPACK_IMPORTED_MODULE_2__.AnalyticsEnum.JUPYTER_DELETE_FAILURE,
                });
            }
        }
    }
}


/***/ }),

/***/ "./lib/actions/discover_snippets.js":
/*!******************************************!*\
  !*** ./lib/actions/discover_snippets.js ***!
  \******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _connection_connector_singleton__WEBPACK_IMPORTED_MODULE_15__ = __webpack_require__(/*! ../connection/connector_singleton */ "./lib/connection/connector_singleton.js");
/* harmony import */ var _connection_notification_handler__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(/*! ../connection/notification_handler */ "./lib/connection/notification_handler.js");
/* harmony import */ var _const__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../const */ "./lib/const.js");
/* harmony import */ var _analytics_SegmentAnalytics__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../analytics/SegmentAnalytics */ "./lib/analytics/SegmentAnalytics.js");
/* harmony import */ var _analytics_AnalyticsEnum__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../analytics/AnalyticsEnum */ "./lib/analytics/AnalyticsEnum.js");
/* harmony import */ var _cache_pieces_cache__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../cache/pieces_cache */ "./lib/cache/pieces_cache.js");
/* harmony import */ var _draft_asset__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ./draft_asset */ "./lib/actions/draft_asset.js");
/* harmony import */ var _ui_utils_langExtToClassificationSpecificEnum__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ../ui/utils/langExtToClassificationSpecificEnum */ "./lib/ui/utils/langExtToClassificationSpecificEnum.js");
/* harmony import */ var _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @pieces.app/pieces-os-client */ "webpack/sharing/consume/default/@pieces.app/pieces-os-client/@pieces.app/pieces-os-client");
/* harmony import */ var _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _ui_render_renderSearchBox__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! ../ui/render/renderSearchBox */ "./lib/ui/render/renderSearchBox.js");
/* harmony import */ var _models_SortSnippetsBy__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! ../models/SortSnippetsBy */ "./lib/models/SortSnippetsBy.js");
/* harmony import */ var uuid__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! uuid */ "webpack/sharing/consume/default/uuid/uuid?e885");
/* harmony import */ var uuid__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(uuid__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _ui_views_DisplayController__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../ui/views/DisplayController */ "./lib/ui/views/DisplayController.js");
/* harmony import */ var _ui_views_renderListView__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(/*! ../ui/views/renderListView */ "./lib/ui/views/renderListView.js");
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../index */ "./lib/index.js");
/* harmony import */ var _utils_sleep__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(/*! ../utils/sleep */ "./lib/utils/sleep.js");
/* harmony import */ var _NoteBookFetcher__WEBPACK_IMPORTED_MODULE_16__ = __webpack_require__(/*! ./NoteBookFetcher */ "./lib/actions/NoteBookFetcher.js");

















class Discovery {
    static async discoverAllSnippets() {
        var _a, _b, _c, _d;
        const cache = _cache_pieces_cache__WEBPACK_IMPORTED_MODULE_2__["default"].getInstance();
        this.discovery_loaded = false;
        this.allNotebooks = await this.notebookFetcher.getAllNotebooks();
        if (!this.allNotebooks.length) {
            this.notifications.error({ message: _const__WEBPACK_IMPORTED_MODULE_3__["default"].DISCOVERY_FAILURE });
            this.discovery_loaded = true;
            return;
        }
        const snippetDivs = document.querySelectorAll('.piecesSnippet');
        snippetDivs === null || snippetDivs === void 0 ? void 0 : snippetDivs.forEach((snippetDiv) => {
            snippetDiv.remove();
        });
        _ui_views_DisplayController__WEBPACK_IMPORTED_MODULE_4__["default"].clearDiscovery();
        cache.discoveredSnippets = [];
        for (let i = 0; i < this.allNotebooks.length; i++) {
            const cells = this.allNotebooks[i].content.cells;
            for (let j = 0; j < cells.length; j++) {
                if (!(cells[j].cell_type === 'code')) {
                    continue;
                }
                const raw = cells[j].source;
                if (!raw) {
                    continue;
                }
                const lang = 
                //@ts-ignore 'kernelPreference' is not available from the ts api given by jupyterlab, however it does exist if the user has a notebook open
                // this is okay because we fallback to python if kernelPreference is undefined
                (_d = (_c = (_b = (_a = _index__WEBPACK_IMPORTED_MODULE_5__.defaultApp.shell.currentWidget) === null || _a === void 0 ? void 0 : _a.sessionContext) === null || _b === void 0 ? void 0 : _b.kernelPreference) === null || _c === void 0 ? void 0 : _c.language) !== null && _d !== void 0 ? _d : 'py';
                await this.populateDiscoveredSnippet({ code: raw, lang: lang });
            }
        }
        this.notifications.information({
            message: _const__WEBPACK_IMPORTED_MODULE_3__["default"].DISCOVERY_SUCCESS,
        });
        this.discovery_loaded = true;
    }
    static async discoverSnippets(params) {
        _analytics_SegmentAnalytics__WEBPACK_IMPORTED_MODULE_6__.SegmentAnalytics.track({
            event: _analytics_AnalyticsEnum__WEBPACK_IMPORTED_MODULE_7__.AnalyticsEnum.JUPYTER_SNIPPET_DISCOVERY,
        });
        try {
            const result = await this.config.DiscoveryApi.discoveryDiscoverAssets(params);
            if (result.iterable.length === 0) {
                this.notifications.error({
                    message: `Something went wrong, we weren't able to find any snippets to discover`,
                });
                return result;
            }
            this.notifications.information({
                message: _const__WEBPACK_IMPORTED_MODULE_3__["default"].DISCOVERY_SUCCESS +
                    ` ${result.iterable.length} snippets saved to Pieces!`,
            });
            _analytics_SegmentAnalytics__WEBPACK_IMPORTED_MODULE_6__.SegmentAnalytics.track({
                event: _analytics_AnalyticsEnum__WEBPACK_IMPORTED_MODULE_7__.AnalyticsEnum.JUPYTER_SNIPPET_DISCOVERY_SUCCESS,
            });
            return result;
        }
        catch (e) {
            this.notifications.error({ message: _const__WEBPACK_IMPORTED_MODULE_3__["default"].DISCOVERY_FAILURE });
            _analytics_SegmentAnalytics__WEBPACK_IMPORTED_MODULE_6__.SegmentAnalytics.track({
                event: _analytics_AnalyticsEnum__WEBPACK_IMPORTED_MODULE_7__.AnalyticsEnum.JUPYTER_SNIPPET_DISCOVERY_FAILURE,
            });
        }
    }
    static async populateDiscoveredSnippet(codeBlock) {
        var _a, _b, _c, _d, _e, _f, _g, _h, _j, _k, _l, _m, _o, _p, _q, _r, _s, _t, _u, _v, _w, _x, _y, _z, _0, _1;
        const cache = _cache_pieces_cache__WEBPACK_IMPORTED_MODULE_2__["default"].getInstance();
        const discoverable = {};
        const seed = {
            string: {
                raw: codeBlock.code,
            },
            metadata: {
                ext: (0,_ui_utils_langExtToClassificationSpecificEnum__WEBPACK_IMPORTED_MODULE_8__["default"])(codeBlock.lang),
            },
        };
        // if code cell is 50 lines or longer then upload it as a file so it gets 'snippetized'
        if (codeBlock.code.split('\n').length > 50) {
            discoverable.file = seed;
        }
        else {
            discoverable.fragment = seed;
        }
        if (!discoverable) {
            this.notifications.error({
                message: "Something went wrong, we weren't able to discover a snippet",
            });
            return;
        }
        const params = {
            automatic: false,
            seededDiscoverableAssets: {
                application: this.config.context.application.id,
                iterable: [discoverable],
            },
        };
        const discovery_result = await this.config.DiscoveryApi.discoveryDiscoverAssets(params);
        let _text;
        if (discovery_result.iterable[0] === undefined ||
            !((_b = (_a = discovery_result.iterable[0].fragment) === null || _a === void 0 ? void 0 : _a.string) === null || _b === void 0 ? void 0 : _b.raw)) {
            return;
        }
        else {
            _text = (_d = (_c = discovery_result.iterable[0].fragment) === null || _c === void 0 ? void 0 : _c.string) === null || _d === void 0 ? void 0 : _d.raw;
        }
        const draft_res = await (0,_draft_asset__WEBPACK_IMPORTED_MODULE_9__.draft_asset)({
            text: _text,
        });
        const snippetObject = {
            id: (0,uuid__WEBPACK_IMPORTED_MODULE_1__.v4)(),
            title: (_g = (_f = (_e = draft_res.asset) === null || _e === void 0 ? void 0 : _e.metadata) === null || _f === void 0 ? void 0 : _f.name) !== null && _g !== void 0 ? _g : 'Unknown Title',
            raw: (_o = (_k = (_j = (_h = discoverable.fragment) === null || _h === void 0 ? void 0 : _h.string) === null || _j === void 0 ? void 0 : _j.raw) !== null && _k !== void 0 ? _k : (_m = (_l = discoverable.file) === null || _l === void 0 ? void 0 : _l.string) === null || _m === void 0 ? void 0 : _m.raw) !== null && _o !== void 0 ? _o : 'unable to unpack snippet',
            created: new Date(),
            updated: new Date(),
            language: (_u = (_r = (_q = (_p = discoverable.file) === null || _p === void 0 ? void 0 : _p.metadata) === null || _q === void 0 ? void 0 : _q.ext) !== null && _r !== void 0 ? _r : (_t = (_s = discoverable.fragment) === null || _s === void 0 ? void 0 : _s.metadata) === null || _t === void 0 ? void 0 : _t.ext) !== null && _u !== void 0 ? _u : _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.ClassificationSpecificEnum.Ts,
            annotations: (_y = (_x = (_w = (_v = draft_res.asset) === null || _v === void 0 ? void 0 : _v.metadata) === null || _w === void 0 ? void 0 : _w.annotations) === null || _x === void 0 ? void 0 : _x.map((el) => {
                const ret = {
                    type: el.type,
                    text: el.text,
                    id: (0,uuid__WEBPACK_IMPORTED_MODULE_1__.v4)(),
                    updated: {
                        value: new Date(),
                    },
                    created: {
                        value: new Date(),
                    },
                };
                if (el.asset) {
                    ret.asset = {
                        id: el.asset,
                    };
                }
                return ret;
            })) !== null && _y !== void 0 ? _y : [],
            type: (_1 = (_0 = (_z = draft_res.asset) === null || _z === void 0 ? void 0 : _z.format.classification) === null || _0 === void 0 ? void 0 : _0.specific) !== null && _1 !== void 0 ? _1 : 'Unknown type',
            time: new Date().toISOString(),
            share: undefined,
        };
        cache.discoveredSnippets.push(snippetObject);
        if (_ui_render_renderSearchBox__WEBPACK_IMPORTED_MODULE_10__.defaultSortingView === _models_SortSnippetsBy__WEBPACK_IMPORTED_MODULE_11__.SortSnippetsBy.Discover &&
            cache.discoveredSnippets.length !== 0) {
            if (cache.discoveredSnippets.length === 1) {
                const loadingDivs = document.querySelectorAll('.loading-state');
                loadingDivs === null || loadingDivs === void 0 ? void 0 : loadingDivs.forEach((loadingDiv) => {
                    loadingDiv.remove();
                });
            }
            (0,_ui_views_renderListView__WEBPACK_IMPORTED_MODULE_12__.renderListView)({
                container: _ui_views_DisplayController__WEBPACK_IMPORTED_MODULE_4__["default"].containerDiv,
                snippets: [snippetObject],
                discovery: true,
            });
        }
        if (cache.discoveredSnippets.length < 5) {
            await (0,_utils_sleep__WEBPACK_IMPORTED_MODULE_13__.sleep)(1000);
        }
        else {
            await (0,_utils_sleep__WEBPACK_IMPORTED_MODULE_13__.sleep)(8000);
        }
    }
}
Discovery.discovery_loaded = false;
Discovery.notifications = _connection_notification_handler__WEBPACK_IMPORTED_MODULE_14__["default"].getInstance();
Discovery.config = _connection_connector_singleton__WEBPACK_IMPORTED_MODULE_15__["default"].getInstance();
Discovery.notebookFetcher = _NoteBookFetcher__WEBPACK_IMPORTED_MODULE_16__["default"].getInstance();
Discovery.allNotebooks = [];
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (Discovery);


/***/ }),

/***/ "./lib/actions/draft_asset.js":
/*!************************************!*\
  !*** ./lib/actions/draft_asset.js ***!
  \************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   draft_asset: () => (/* binding */ draft_asset)
/* harmony export */ });
/* harmony import */ var _connection_connector_singleton__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../connection/connector_singleton */ "./lib/connection/connector_singleton.js");
/* harmony import */ var _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @pieces.app/pieces-os-client */ "webpack/sharing/consume/default/@pieces.app/pieces-os-client/@pieces.app/pieces-os-client");
/* harmony import */ var _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__);



const draft_asset = ({ text }) => {
    const config = _connection_connector_singleton__WEBPACK_IMPORTED_MODULE_1__["default"].getInstance();
    const params = {
        seed: {
            asset: {
                application: config.context.application,
                format: {
                    fragment: {
                        string: {
                            raw: text,
                        },
                    },
                    classification: {
                        specific: _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.ClassificationSpecificEnum.Py,
                    },
                },
            },
            type: _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.SeedTypeEnum.Asset,
        },
    };
    return config.assetsApi.assetsDraft(params);
};


/***/ }),

/***/ "./lib/actions/launch_runtime.js":
/*!***************************************!*\
  !*** ./lib/actions/launch_runtime.js ***!
  \***************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   launchRuntime: () => (/* binding */ launchRuntime)
/* harmony export */ });
/* harmony import */ var _connection_connector_singleton__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../connection/connector_singleton */ "./lib/connection/connector_singleton.js");

/**
 * This is a simple connection function that will launch Runtime.(Pieces OS)
 *
 * This will just launch our custom URL scheme.
 *
 * TODO consider a better place to put this file (may need to consider a repo re-organization.)
 *
 */
const launchRuntime = async (wait) => {
    try {
        // Use the appropriate port number for Obsidian
        await fetch(`http://localhost:${_connection_connector_singleton__WEBPACK_IMPORTED_MODULE_0__.portNumber}/.well-known/health`);
    }
    catch (error) {
        // We failed to connect to our Pieces OS because it is not open, so attempt to launch our custom URL scheme.
        window.open('pieces://launch', '_blank');
        if (wait) {
            // Wait a second or so before attempting to connect again.
            // Changing from 1 second to 3 fixes the error pop-up saying it can’t find Pieces OS when it is running.
            return new Promise((resolve) => setTimeout(resolve, 3000));
        }
    }
};


/***/ }),

/***/ "./lib/actions/qgpt.js":
/*!*****************************!*\
  !*** ./lib/actions/qgpt.js ***!
  \*****************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _connection_connector_singleton__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../connection/connector_singleton */ "./lib/connection/connector_singleton.js");
/* harmony import */ var _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @pieces.app/pieces-os-client */ "webpack/sharing/consume/default/@pieces.app/pieces-os-client/@pieces.app/pieces-os-client");
/* harmony import */ var _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _ui_utils_langExtToClassificationSpecificEnum__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../ui/utils/langExtToClassificationSpecificEnum */ "./lib/ui/utils/langExtToClassificationSpecificEnum.js");
/* harmony import */ var ___WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! .. */ "./lib/index.js");
/* harmony import */ var _analytics_SegmentAnalytics__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../analytics/SegmentAnalytics */ "./lib/analytics/SegmentAnalytics.js");
/* harmony import */ var _analytics_AnalyticsEnum__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../analytics/AnalyticsEnum */ "./lib/analytics/AnalyticsEnum.js");
/* harmony import */ var _utils_sha256__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../utils/sha256 */ "./lib/utils/sha256.js");
/* harmony import */ var _NoteBookFetcher__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./NoteBookFetcher */ "./lib/actions/NoteBookFetcher.js");
var _a;








class QGPT {
    constructor() { }
    static getSeedPath(seed) {
        var _b, _c, _d, _e;
        return this.qGPTSeedToFile.get((0,_utils_sha256__WEBPACK_IMPORTED_MODULE_1__.sha256)((_e = (_d = (_c = (_b = seed.asset) === null || _b === void 0 ? void 0 : _b.format) === null || _c === void 0 ? void 0 : _c.fragment) === null || _d === void 0 ? void 0 : _d.string) === null || _e === void 0 ? void 0 : _e.raw.substring(this.UNIQUE_ID_SUBSTR_LEN)));
    }
    static async askQuestion({ query, code, }) {
        const config = _connection_connector_singleton__WEBPACK_IMPORTED_MODULE_2__["default"].getInstance();
        const params = {
            query,
            relevant: {
                iterable: [
                    {
                        seed: {
                            type: _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.SeedTypeEnum.Asset,
                            asset: {
                                application: config.context.application,
                                format: {
                                    fragment: {
                                        string: {
                                            raw: code,
                                        },
                                    },
                                },
                            },
                        },
                    },
                ],
            },
        };
        const result = await config.QGPTApi.question({ qGPTQuestionInput: params });
        return { result, query };
    }
}
_a = QGPT;
QGPT.qGPTSeedToFile = new Map();
QGPT.UNIQUE_ID_SUBSTR_LEN = 40;
QGPT.qGPTSeedCache = [];
QGPT.notebookFetcher = _NoteBookFetcher__WEBPACK_IMPORTED_MODULE_3__["default"].getInstance();
QGPT.appendRelevantSeeds = async (relevant) => {
    var _b, _c, _d, _e;
    const config = _connection_connector_singleton__WEBPACK_IMPORTED_MODULE_2__["default"].getInstance();
    const allNotebooks = [
        ..._a.qGPTSeedCache,
        ...(await _a.notebookFetcher.getNotebooks()),
    ];
    _a.qGPTSeedCache = allNotebooks;
    for (let i = 0; i < allNotebooks.length; i++) {
        const cells = allNotebooks[i].content.cells;
        for (let j = 0; j < cells.length; j++) {
            if (!(cells[j].cell_type === 'code')) {
                continue;
            }
            const raw = cells[j].source;
            if (!raw) {
                continue;
            }
            const lang = 
            //@ts-ignore 'kernelPreference' is not available from the ts api given by jupyterlab, however it does exist if the user has a notebook open
            // this is okay because we fallback to python if kernelPreference is undefined
            (_e = (_d = (_c = (_b = ___WEBPACK_IMPORTED_MODULE_4__.defaultApp.shell.currentWidget) === null || _b === void 0 ? void 0 : _b.sessionContext) === null || _c === void 0 ? void 0 : _c.kernelPreference) === null || _d === void 0 ? void 0 : _d.language) !== null && _e !== void 0 ? _e : 'py';
            let currentSeed = {
                type: _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.SeedTypeEnum.Asset,
            };
            _a.qGPTSeedToFile.set((0,_utils_sha256__WEBPACK_IMPORTED_MODULE_1__.sha256)(raw.substring(_a.UNIQUE_ID_SUBSTR_LEN)), allNotebooks[i].path);
            let seed = {
                string: {
                    raw: raw,
                },
                metadata: {
                    ext: (0,_ui_utils_langExtToClassificationSpecificEnum__WEBPACK_IMPORTED_MODULE_5__["default"])(lang),
                },
            };
            currentSeed.asset = {
                application: config.context.application,
                format: {
                    fragment: seed,
                },
            };
            relevant.push(currentSeed);
        }
    }
};
/*
  Loads in the context from all the notebooks
  updates the mapping to relate a seed to a file
  sends request to /relevance question: true
*/
QGPT.askQGPT = async ({ query }) => {
    _analytics_SegmentAnalytics__WEBPACK_IMPORTED_MODULE_6__.SegmentAnalytics.track({
        event: _analytics_AnalyticsEnum__WEBPACK_IMPORTED_MODULE_7__.AnalyticsEnum.JUPYTER_AI_ASSISTANT_QUESTION_ASKED,
    });
    const config = _connection_connector_singleton__WEBPACK_IMPORTED_MODULE_2__["default"].getInstance();
    const relevanceParams = {
        qGPTRelevanceInput: {
            query,
            seeds: {
                iterable: [],
            },
            options: {
                question: true,
            },
        },
    };
    _a.appendRelevantSeeds(relevanceParams.qGPTRelevanceInput.seeds.iterable);
    _analytics_SegmentAnalytics__WEBPACK_IMPORTED_MODULE_6__.SegmentAnalytics.track({
        event: _analytics_AnalyticsEnum__WEBPACK_IMPORTED_MODULE_7__.AnalyticsEnum.JUPYTER_AI_ASSISTANT_QUESTION_SUCCESS,
    });
    return {
        result: await config.QGPTApi.relevance(relevanceParams),
        query: query,
    };
};
/*
  Generates a question to then pass to gpt
*/
QGPT.reprompt = async ({ conversation, query, }) => {
    _analytics_SegmentAnalytics__WEBPACK_IMPORTED_MODULE_6__.SegmentAnalytics.track({
        event: _analytics_AnalyticsEnum__WEBPACK_IMPORTED_MODULE_7__.AnalyticsEnum.JUPYTER_AI_ASSISTANT_REPROMPT,
    });
    const reversedConv = conversation.reverse();
    const config = _connection_connector_singleton__WEBPACK_IMPORTED_MODULE_2__["default"].getInstance();
    const repromptRes = await config.QGPTApi.reprompt({
        qGPTRepromptInput: {
            query: query,
            conversation: {
                iterable: reversedConv,
            },
        },
    });
    return _a.askQGPT({ query: repromptRes.query });
};
/*
  Calls the hints api to generate hints based on the conversation
*/
QGPT.hints = async ({ relevant, answer, query, }) => {
    const config = _connection_connector_singleton__WEBPACK_IMPORTED_MODULE_2__["default"].getInstance();
    return config.QGPTApi.hints({
        qGPTHintsInput: {
            relevant,
            answer,
            query,
        },
    });
};
QGPT.loadContext = async ({ paths }) => {
    const relevantInput = {
        qGPTRelevanceInput: {
            paths: paths,
            query: 'nothing',
        },
    };
    return _connection_connector_singleton__WEBPACK_IMPORTED_MODULE_2__["default"].getInstance().QGPTApi.relevance(relevantInput);
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (QGPT);


/***/ }),

/***/ "./lib/actions/search.js":
/*!*******************************!*\
  !*** ./lib/actions/search.js ***!
  \*******************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _connection_connector_singleton__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../connection/connector_singleton */ "./lib/connection/connector_singleton.js");
/* harmony import */ var _cache_pieces_cache__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../cache/pieces_cache */ "./lib/cache/pieces_cache.js");
/* harmony import */ var _const__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ../const */ "./lib/const.js");
/* harmony import */ var _utils_PromiseResolution__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../utils/PromiseResolution */ "./lib/utils/PromiseResolution.js");
/* harmony import */ var _connection_notification_handler__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../connection/notification_handler */ "./lib/connection/notification_handler.js");
/* harmony import */ var _analytics_AnalyticsEnum__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../analytics/AnalyticsEnum */ "./lib/analytics/AnalyticsEnum.js");
/* harmony import */ var _analytics_SegmentAnalytics__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../analytics/SegmentAnalytics */ "./lib/analytics/SegmentAnalytics.js");
/* harmony import */ var _utils_shuffleAndReinsert__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../utils/shuffleAndReinsert */ "./lib/utils/shuffleAndReinsert.js");
/* harmony import */ var copilot_dist_types_NotificationParameters__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! copilot/dist/types/NotificationParameters */ "./node_modules/copilot/dist/types/NotificationParameters.js");
var _a;









class Search {
}
_a = Search;
Search.config = _connection_connector_singleton__WEBPACK_IMPORTED_MODULE_1__["default"].getInstance();
//const notifications: Notifications = Notifications.getInstance()
Search.notifications = _connection_notification_handler__WEBPACK_IMPORTED_MODULE_2__["default"].getInstance();
Search.search = async ({ query, }) => {
    var _b, _c;
    const storage = _cache_pieces_cache__WEBPACK_IMPORTED_MODULE_3__["default"].getInstance();
    // TODO think about rapid behavior, ie if this gets called many times do we want to reject the current search or wait until it is done?
    _analytics_SegmentAnalytics__WEBPACK_IMPORTED_MODULE_4__.SegmentAnalytics.track({
        event: _analytics_AnalyticsEnum__WEBPACK_IMPORTED_MODULE_5__.AnalyticsEnum.JUPYTER_SEARCH,
    });
    try {
        // if we havent defined our resolver then define one.
        if (_a.searching) {
            // here one is already defined, so we have options here.
            // option 1: we can reject the current search and start a new one.
            // option 2: we can wait untill the current search is done and then start a new one.
            // ans: go with option 1;
            _a.searching.resolution.rejector({
                iterable: [],
                suggested: 0,
                exact: 0,
            });
        }
        // reset the searching object, no matter what.
        _a.searching = {
            query,
            resolution: (0,_utils_PromiseResolution__WEBPACK_IMPORTED_MODULE_6__.PromiseResolution)(),
        };
        // declare a global searchingResolver. (PromiseResolution)
        // this is gonna give 3 things.
        // (1) a promise: This will be used to conrol execution of this search.
        // (2) a resolver: this will NEED to get called when the search completes and it is a success
        // (3) a rejector: this will need to get called when (1) there is an error in the search, or (2) if we want to cancel the search.
        // call this sync, this is super important.
        _a.config.assetsApi
            .assetsSearchAssets({
            query: query,
            transferables: false,
        })
            .then((response) => {
            if (!_a.searching) {
                return response;
            }
            _a.searching.resolution.resolver(response);
        })
            .catch((e) => {
            if (!_a.searching) {
                return { iterable: [], suggested: 0, exact: 0 };
            }
            _a.searching.resolution.rejector({
                iterable: [],
                suggested: 0,
                exact: 0,
            });
        });
        // we are going to indefinetly untill the promise is compkleted in some way shape or form.
        // TODO veify that the parent catch gets fired when we reject the search.
        const results = await ((_b = _a.searching) === null || _b === void 0 ? void 0 : _b.resolution.promise);
        // once we are completely done searching, just ensure that we rest our promise resolution.
        _a.searching = undefined;
        const assets = storage.assets;
        const returnedResults = [];
        let found_asset;
        for (const asset of (_c = results === null || results === void 0 ? void 0 : results.iterable) !== null && _c !== void 0 ? _c : []) {
            found_asset = undefined;
            found_asset = assets.find((e) => e.id === asset.identifier);
            if (found_asset) {
                returnedResults.push(found_asset);
            }
        }
        if (returnedResults.length < 5 && returnedResults.length != 0) {
            // Try Neural Code Search
            _a.searching = {
                query,
                resolution: (0,_utils_PromiseResolution__WEBPACK_IMPORTED_MODULE_6__.PromiseResolution)(),
            };
            // Neural Code Search
            _a.config.searchApi
                .neuralCodeSearch({
                query: query,
            })
                .then((response) => {
                if (!_a.searching) {
                    return response;
                }
                _a.searching.resolution.resolver(response);
            })
                .catch((e) => {
                if (!_a.searching) {
                    return { iterable: [], suggested: 0, exact: 0 };
                }
                _a.searching.resolution.rejector({
                    iterable: [],
                    suggested: 0,
                    exact: 0,
                });
            });
            // we are going to search indefinetly until the promise is completed in some way shape or form.
            // TODO veify that the parent catch gets fired when we reject the search.
            const results = await _a.searching.resolution.promise;
            _a.searching = undefined;
            for (const asset of results.iterable) {
                found_asset = undefined;
                found_asset = storage.assets.find((e) => e.id === asset.identifier);
                if (found_asset && !returnedResults.includes(found_asset)) {
                    returnedResults.push(found_asset);
                }
            }
        }
        const snippets = returnedResults;
        _a.notifications.information({
            message: `Search for '${query}' found ${snippets.length} result(s).`,
        });
        _analytics_SegmentAnalytics__WEBPACK_IMPORTED_MODULE_4__.SegmentAnalytics.track({
            event: _analytics_AnalyticsEnum__WEBPACK_IMPORTED_MODULE_5__.AnalyticsEnum.JUPYTER_SEARCH_SUCCESS,
        });
        return (0,_utils_shuffleAndReinsert__WEBPACK_IMPORTED_MODULE_7__.shuffleAndReinsert)(snippets); // Lol, for Tsavo
    }
    catch (error) {
        // once we are completely done searching, just ensure that we rest our promise resolution.(even if it fails.)
        _a.searching = undefined;
        const snippets = storage.assets;
        _a.notifications.error({
            message: _const__WEBPACK_IMPORTED_MODULE_8__["default"].SEARCH_FAILURE,
            actions: [
                {
                    title: 'Contact Support',
                    type: copilot_dist_types_NotificationParameters__WEBPACK_IMPORTED_MODULE_0__.NotificationActionTypeEnum.OPEN_LINK,
                    params: { url: 'https://docs.pieces.app/support' },
                },
            ],
        });
        _analytics_SegmentAnalytics__WEBPACK_IMPORTED_MODULE_4__.SegmentAnalytics.track({
            event: _analytics_AnalyticsEnum__WEBPACK_IMPORTED_MODULE_5__.AnalyticsEnum.JUPYTER_SEARCH_FAILURE,
        });
        return snippets;
    }
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (Search);


/***/ }),

/***/ "./lib/actions/update_asset.js":
/*!*************************************!*\
  !*** ./lib/actions/update_asset.js ***!
  \*************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   reclassify: () => (/* binding */ reclassify),
/* harmony export */   update: () => (/* binding */ update),
/* harmony export */   updateFormat: () => (/* binding */ updateFormat)
/* harmony export */ });
/* harmony import */ var _connection_connector_singleton__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../connection/connector_singleton */ "./lib/connection/connector_singleton.js");
/* harmony import */ var _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @pieces.app/pieces-os-client */ "webpack/sharing/consume/default/@pieces.app/pieces-os-client/@pieces.app/pieces-os-client");
/* harmony import */ var _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _connection_notification_handler__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../connection/notification_handler */ "./lib/connection/notification_handler.js");
/* harmony import */ var _const__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../const */ "./lib/const.js");
/* harmony import */ var _analytics_SegmentAnalytics__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../analytics/SegmentAnalytics */ "./lib/analytics/SegmentAnalytics.js");
/* harmony import */ var _analytics_AnalyticsEnum__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../analytics/AnalyticsEnum */ "./lib/analytics/AnalyticsEnum.js");
/* harmony import */ var copilot_dist_types_NotificationParameters__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! copilot/dist/types/NotificationParameters */ "./node_modules/copilot/dist/types/NotificationParameters.js");







const config = _connection_connector_singleton__WEBPACK_IMPORTED_MODULE_2__["default"].getInstance();
const notifications = _connection_notification_handler__WEBPACK_IMPORTED_MODULE_3__["default"].getInstance();
const reclassify = async ({ asset, ext, }) => {
    var _a, _b, _c, _d, _e, _f;
    try {
        const isImage = ((_a = asset.original.reference) === null || _a === void 0 ? void 0 : _a.classification.generic) ===
            _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.ClassificationGenericEnum.Image;
        let ret = asset;
        if (isImage) {
            const ocrId = (_e = (_d = (_c = (_b = asset.original.reference) === null || _b === void 0 ? void 0 : _b.analysis) === null || _c === void 0 ? void 0 : _c.image) === null || _d === void 0 ? void 0 : _d.ocr) === null || _e === void 0 ? void 0 : _e.raw.id;
            if (!ocrId) {
                // we don't have an ocrId somehow
                console.log('No OCRId Available');
                return asset;
            }
            const format = (_f = asset.formats.iterable) === null || _f === void 0 ? void 0 : _f.find((format) => format.id === ocrId);
            if (!format) {
                // we don't have a format somehow
                console.log('Failed to find the format on an asset');
                return asset;
            }
            format.file = undefined;
            format.fragment = undefined;
            await config.formatApi.formatReclassify({
                formatReclassification: {
                    ext: ext,
                    format: format,
                },
            });
            ret = await config.assetApi.assetSnapshot({
                asset: asset.id,
                transferables: true,
            });
        }
        else {
            const reclassification = {
                asset: asset,
                ext: ext,
            };
            const params = {
                assetReclassification: reclassification,
                transferables: false,
            };
            ret = await config.assetApi.assetReclassify(params);
        }
        notifications.information({ message: _const__WEBPACK_IMPORTED_MODULE_4__["default"].RECLASSIFY_SUCCESS });
        return ret;
    }
    catch (error) {
        console.error(error);
        notifications.error({
            message: _const__WEBPACK_IMPORTED_MODULE_4__["default"].RECLASSIFY_FAILURE,
            actions: [
                {
                    title: 'Contact Support',
                    type: copilot_dist_types_NotificationParameters__WEBPACK_IMPORTED_MODULE_1__.NotificationActionTypeEnum.OPEN_LINK,
                    params: { url: 'https://docs.pieces.app/support' },
                },
            ],
        });
        return;
    }
};
const update = async ({ asset, }) => {
    _analytics_SegmentAnalytics__WEBPACK_IMPORTED_MODULE_5__.SegmentAnalytics.track({
        event: _analytics_AnalyticsEnum__WEBPACK_IMPORTED_MODULE_6__.AnalyticsEnum.JUPYTER_EDIT_SNIPPET,
    });
    try {
        const ret = await config.assetApi.assetUpdate({ asset: asset });
        notifications.information({ message: _const__WEBPACK_IMPORTED_MODULE_4__["default"].UPDATE_SUCCESS });
        _analytics_SegmentAnalytics__WEBPACK_IMPORTED_MODULE_5__.SegmentAnalytics.track({
            event: _analytics_AnalyticsEnum__WEBPACK_IMPORTED_MODULE_6__.AnalyticsEnum.JUPYTER_EDIT_SNIPPET_SUCCESS,
        });
        return ret;
    }
    catch (error) {
        // console.error(error);
        _analytics_SegmentAnalytics__WEBPACK_IMPORTED_MODULE_5__.SegmentAnalytics.track({
            event: _analytics_AnalyticsEnum__WEBPACK_IMPORTED_MODULE_6__.AnalyticsEnum.JUPYTER_EDIT_SNIPPET_FAILURE,
        });
        notifications.error({
            message: _const__WEBPACK_IMPORTED_MODULE_4__["default"].UPDATE_FAILURE,
            actions: [
                {
                    title: 'Contact Support',
                    type: copilot_dist_types_NotificationParameters__WEBPACK_IMPORTED_MODULE_1__.NotificationActionTypeEnum.OPEN_LINK,
                    params: { url: 'https://docs.pieces.app/support' },
                },
            ],
        });
        return;
    }
};
const updateFormat = async ({ format }) => {
    try {
        const ret = await config.formatApi.formatUpdateValue({ format: format });
        notifications.information({ message: _const__WEBPACK_IMPORTED_MODULE_4__["default"].UPDATE_CODE_SUCCESS });
        return ret;
    }
    catch (error) {
        console.error(error);
        notifications.error({
            message: _const__WEBPACK_IMPORTED_MODULE_4__["default"].UPDATE_CODE_FAILURE,
            actions: [
                {
                    title: 'Contact Support',
                    type: copilot_dist_types_NotificationParameters__WEBPACK_IMPORTED_MODULE_1__.NotificationActionTypeEnum.OPEN_LINK,
                    params: { url: 'https://docs.pieces.app/support' },
                },
            ],
        });
        return;
    }
};


/***/ }),

/***/ "./lib/analytics/AnalyticsEnum.js":
/*!****************************************!*\
  !*** ./lib/analytics/AnalyticsEnum.js ***!
  \****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   AnalyticsEnum: () => (/* binding */ AnalyticsEnum)
/* harmony export */ });
var AnalyticsEnum;
(function (AnalyticsEnum) {
    // User Activity
    AnalyticsEnum["JUPYTER_USER_LOGIN"] = "JUPYTER_USER_LOGIN";
    AnalyticsEnum["JUPYTER_USER_LOGOUT"] = "JUPYTER_USER_LOGOUT";
    AnalyticsEnum["JUPYTER_USER_ONBOARDED"] = "JUPYTER_USER_ONBOARDED";
    AnalyticsEnum["JUPYTER_ACTIVE"] = "JUPYTER_ACTIVE";
    AnalyticsEnum["JUPYTER_HEARTBEAT"] = "JUPYTER_HEARTBEAT";
    AnalyticsEnum["JUPYTER_POS"] = "JUPYTER_POS";
    AnalyticsEnum["JUPYTER_UNINSTALL"] = "JUPYTER_UNINSTALL";
    // Actions
    AnalyticsEnum["JUPYTER_USER_SAVE"] = "JUPYTER_USER_SAVE";
    AnalyticsEnum["JUPYTER_SAVE_SUCCESS"] = "JUPYTER_SAVE_SUCCESS";
    AnalyticsEnum["JUPYTER_SAVE_FAILURE"] = "JUPYTER_SAVE_FAILURE";
    AnalyticsEnum["JUPYTER_SAVE_SELECTION"] = "JUPYTER_SAVE_SELECTION";
    AnalyticsEnum["JUPYTER_SAVE_ACTIVE_CELL"] = "JUPYTER_SAVE_ACTIVE_CELL";
    AnalyticsEnum["JUPYTER_SAVE_ACTIVE_CELL_BUTTON"] = "JUPYTER_SAVE_ACTIVE_CELL_BUTTON";
    AnalyticsEnum["JUPYTER_DELETE"] = "JUPYTER_DELETE";
    AnalyticsEnum["JUPYTER_DELETE_SUCCESS"] = "JUPYTER_DELETE_SUCCESS";
    AnalyticsEnum["JUPYTER_DELETE_FAILURE"] = "JUPYTER_DELETE_FAILURE";
    AnalyticsEnum["JUPYTER_SHARE"] = "JUPYTER_SHARE";
    AnalyticsEnum["JUPYTER_SHARE_SUCCESS"] = "JUPYTER_SHARE_SUCCESS";
    AnalyticsEnum["JUPYTER_SHARE_FAILURE"] = "JUPYTER_SHARE_FAILURE";
    AnalyticsEnum["JUPYTER_SHARE_SELECTION"] = "JUPYTER_SHARE_SELECTION";
    AnalyticsEnum["JUPYTER_INSERT"] = "JUPYTER_INSERT";
    AnalyticsEnum["JUPYTER_SEARCH"] = "JUPYTER_SEARCH";
    AnalyticsEnum["JUPYTER_SEARCH_SUCCESS"] = "JUPYTER_SEARCH_SUCCESS";
    AnalyticsEnum["JUPYTER_SEARCH_FAILURE"] = "JUPYTER_SEARCH_FAILURE";
    AnalyticsEnum["JUPYTER_QUICK_SEARCH_HOTKEY"] = "JUPYTER_QUICK_SEARCH_HOTKEY";
    AnalyticsEnum["JUPYTER_VIEW_SNIPPET_LIST"] = "JUPYTER_VIEW_SNIPPET_LIST";
    AnalyticsEnum["JUPYTER_VIEW_CHATBOT"] = "JUPYTER_VIEW_CHATBOT";
    AnalyticsEnum["JUPYTER_SHOW_EXPANDED_VIEW"] = "JUPYTER_SHOW_EXPANDED_VIEW";
    AnalyticsEnum["JUPYTER_TOGGLE_VIEW_HOTKEY"] = "JUPYTER_TOGGLE_VIEW_HOTKEY";
    AnalyticsEnum["JUPYTER_EDIT_SNIPPET"] = "JUPYTER_EDIT_SNIPPET";
    AnalyticsEnum["JUPYTER_EDIT_SNIPPET_SUCCESS"] = "JUPYTER_EDIT_SNIPPET_SUCCESS";
    AnalyticsEnum["JUPYTER_EDIT_SNIPPET_FAILURE"] = "JUPYTER_EDIT_SNIPPET_FAILURE";
    AnalyticsEnum["JUPYTER_AI_ASSISTANT_QUESTION_ASKED"] = "JUPYTER_AI_ASSISTANT_QUESTION_ASKED";
    AnalyticsEnum["JUPYTER_AI_ASSISTANT_QUESTION_SUCCESS"] = "JUPYTER_AI_ASSISTANT_QUESTION_SUCCESS";
    AnalyticsEnum["JUPYTER_AI_ASSISTANT_QUESTION_FAILURE"] = "JUPYTER_AI_ASSISTANT_QUESTION_FAILURE";
    AnalyticsEnum["JUPYTER_AI_ASSISTANT_RESET"] = "JUPYTER_AI_ASSISTANT_RESET";
    AnalyticsEnum["JUPYTER_AI_ASSISTANT_REPROMPT"] = "JUPYTER_AI_ASSISTANT_REPROMPT";
    AnalyticsEnum["JUPYTER_AI_ASSISTANT_CLICKED_SUGGESTED_QUERY"] = "JUPYTER_AI_ASSISTANT_CLICKED_SUGGESTED_QUERY";
    AnalyticsEnum["JUPYTER_AI_ASSISTANT_OPEN_RELEVANT_FILE"] = "JUPYTER_AI_ASSISTANT_OPEN_RELEVANT_FILE";
    AnalyticsEnum["JUPYTER_SNIPPET_DISCOVERY"] = "JUPYTER_SNIPPET_DISCOVERY";
    AnalyticsEnum["JUPYTER_SNIPPET_DISCOVERY_SUCCESS"] = "JUPYTER_SNIPPET_DISCOVERY_SUCCESS";
    AnalyticsEnum["JUPYTER_SNIPPET_DISCOVERY_FAILURE"] = "JUPYTER_SNIPPET_DISCOVERY_FAILURE";
    AnalyticsEnum["JUPYTER_REFRESH_CLICKED"] = "JUPYTER_REFRESH_CLICKED";
    AnalyticsEnum["JUPYTER_REFRESH_HOTKEY"] = "JUPYTER_REFRESH_HOTKEY";
})(AnalyticsEnum || (AnalyticsEnum = {}));


/***/ }),

/***/ "./lib/analytics/Heartbeat.js":
/*!************************************!*\
  !*** ./lib/analytics/Heartbeat.js ***!
  \************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Heartbeat: () => (/* binding */ Heartbeat),
/* harmony export */   pluginActivityCheck: () => (/* binding */ pluginActivityCheck)
/* harmony export */ });
/* harmony import */ var _SegmentAnalytics__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./SegmentAnalytics */ "./lib/analytics/SegmentAnalytics.js");
/* harmony import */ var _AnalyticsEnum__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./AnalyticsEnum */ "./lib/analytics/AnalyticsEnum.js");
/* harmony import */ var _connection_connector_singleton__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../connection/connector_singleton */ "./lib/connection/connector_singleton.js");
/* harmony import */ var _const__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../const */ "./lib/const.js");




class Heartbeat {
    constructor(intervalInMinutes) {
        this.interval = intervalInMinutes * 1000 * 60; // Convert minutes to milliseconds
    }
    start(action) {
        if (this.interval === undefined) {
            throw new Error('Interval not set.');
        }
        this.handler = setInterval(action, this.interval);
    }
    stop() {
        if (this.handler) {
            clearInterval(this.handler);
            this.handler = undefined;
        }
        else {
            throw new Error("The heartbeat isn't running.");
        }
    }
}
// Checks the current state of the plugin from the user's POV
const pluginActivityCheck = async () => {
    _SegmentAnalytics__WEBPACK_IMPORTED_MODULE_0__.SegmentAnalytics.track({
        event: _AnalyticsEnum__WEBPACK_IMPORTED_MODULE_1__.AnalyticsEnum.JUPYTER_HEARTBEAT,
    });
    _SegmentAnalytics__WEBPACK_IMPORTED_MODULE_0__.SegmentAnalytics.track({
        event: _const__WEBPACK_IMPORTED_MODULE_2__["default"].PIECES_CURRENT_VIEW,
    });
    // TODO: Check if side panel is visible
    // Check if POS is running
    _connection_connector_singleton__WEBPACK_IMPORTED_MODULE_3__["default"].checkConnection({}).then((result) => {
        if (result === true) {
            _SegmentAnalytics__WEBPACK_IMPORTED_MODULE_0__.SegmentAnalytics.track({
                event: _AnalyticsEnum__WEBPACK_IMPORTED_MODULE_1__.AnalyticsEnum.JUPYTER_POS,
            });
        }
    });
};


/***/ }),

/***/ "./lib/analytics/SegmentAnalytics.js":
/*!*******************************************!*\
  !*** ./lib/analytics/SegmentAnalytics.js ***!
  \*******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   SegmentAnalytics: () => (/* binding */ SegmentAnalytics)
/* harmony export */ });
/* harmony import */ var _const__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../const */ "./lib/const.js");
/* harmony import */ var _connection_connector_singleton__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../connection/connector_singleton */ "./lib/connection/connector_singleton.js");


class _SegmentAnalytics {
    // private client = new Analytics({ writeKey: 'gxiCvwZq0Wr3UCCNIa38DR0UPWXDo5SX' })
    init() {
        const segmentInit = document.createElement('script');
        segmentInit.textContent = `
            !function(){var analytics=window.analytics=window.analytics||[];if(!analytics.initialize)if(analytics.invoked)window.console&&console.error&&console.error("Segment snippet included twice.");else{analytics.invoked=!0;analytics.methods=["trackSubmit","trackClick","trackLink","trackForm","pageview","identify","reset","group","track","ready","alias","debug","page","once","off","on","addSourceMiddleware","addIntegrationMiddleware","setAnonymousId","addDestinationMiddleware"];analytics.factory=function(e){return function(){var t=Array.prototype.slice.call(arguments);t.unshift(e);analytics.push(t);return analytics}};for(var e=0;e<analytics.methods.length;e++){var key=analytics.methods[e];analytics[key]=analytics.factory(key)}analytics.load=function(key,e){var t=document.createElement("script");t.type="text/javascript";t.async=!0;t.src="https://cdn.segment.com/analytics.js/v1/" + key + "/analytics.min.js";var n=document.getElementsByTagName("script")[0];n.parentNode.insertBefore(t,n);analytics._loadOptions=e};analytics._writeKey="6EJnxiU3blniIGkNS9uRtX3DcD72uzWS";;analytics.SNIPPET_VERSION="4.15.3";
            analytics.load("6EJnxiU3blniIGkNS9uRtX3DcD72uzWS");
            }}();
            `;
        document.head.appendChild(segmentInit);
    }
    track({ event }) {
        const config = _connection_connector_singleton__WEBPACK_IMPORTED_MODULE_0__["default"].getInstance();
        const d = new Date();
        const utcDate = new Date(Date.UTC(d.getUTCFullYear(), d.getUTCMonth(), d.getUTCDate(), d.getUTCHours(), d.getUTCMinutes(), d.getUTCSeconds(), d.getUTCMilliseconds()));
        // Have to ignore since this is running in the DOM
        // @ts-ignore
        analytics.track(event, {
            userId: _const__WEBPACK_IMPORTED_MODULE_1__["default"].PIECES_USER_ID,
            timestamp: utcDate,
            properties: {
                ...config.context,
            },
        }, (error) => {
            if (error) {
            }
            else {
            }
        });
    }
    identify({ traits, }) {
        const config = _connection_connector_singleton__WEBPACK_IMPORTED_MODULE_0__["default"].getInstance();
        const d = new Date();
        const utcDate = new Date(Date.UTC(d.getUTCFullYear(), d.getUTCMonth(), d.getUTCDate(), d.getUTCHours(), d.getUTCMinutes(), d.getUTCSeconds(), d.getUTCMilliseconds()));
        // Have to ignore since this is running in the DOM
        // @ts-ignore
        analytics.identify(_const__WEBPACK_IMPORTED_MODULE_1__["default"].PIECES_USER_ID, {
            context: config.context,
            timestamp: utcDate,
            ...traits,
        }, (error) => {
            if (error) {
            }
            else {
            }
        });
    }
}
const SegmentAnalytics = new _SegmentAnalytics();


/***/ }),

/***/ "./lib/analytics/SentryTracking.js":
/*!*****************************************!*\
  !*** ./lib/analytics/SentryTracking.js ***!
  \*****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   SentryTracking: () => (/* binding */ SentryTracking)
/* harmony export */ });
/* harmony import */ var _sentry_browser__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @sentry/browser */ "webpack/sharing/consume/default/@sentry/browser/@sentry/browser");
/* harmony import */ var _sentry_browser__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_sentry_browser__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _sentry_internal_tracing__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @sentry-internal/tracing */ "./node_modules/@sentry-internal/tracing/esm/browser/browsertracing.js");
/* harmony import */ var _connection_connector_singleton__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../connection/connector_singleton */ "./lib/connection/connector_singleton.js");
/* harmony import */ var _const__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../const */ "./lib/const.js");
/* harmony import */ var _SegmentAnalytics__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./SegmentAnalytics */ "./lib/analytics/SegmentAnalytics.js");





class _SentryTracking {
    constructor() {
        this.dsn = 'https://c6adfef82af84ef1a9c74a1e0f3f3aa4@o552351.ingest.sentry.io/4505233984454656';
    }
    init() {
        const config = _connection_connector_singleton__WEBPACK_IMPORTED_MODULE_1__["default"].getInstance();
        _sentry_browser__WEBPACK_IMPORTED_MODULE_0__.init({
            dsn: this.dsn,
            integrations: [new _sentry_internal_tracing__WEBPACK_IMPORTED_MODULE_2__.BrowserTracing()],
            release: _const__WEBPACK_IMPORTED_MODULE_3__["default"].PLUGIN_VERSION,
            // Set tracesSampleRate to 1.0 to capture 100%
            // of transactions for performance monitoring.
            // We recommend adjusting this value in production
            tracesSampleRate: 0.2,
            environment: 'production',
        });
        _sentry_browser__WEBPACK_IMPORTED_MODULE_0__.configureScope(async function (scope) {
            var _a, _b;
            try {
                config.context = await config.api.connect({
                    seededConnectorConnection: config.seeded,
                });
            }
            catch (error) {
                /* */
            }
            if ((_b = (_a = config.context) === null || _a === void 0 ? void 0 : _a.application) === null || _b === void 0 ? void 0 : _b.id) {
                scope.setTag('application_id', config.context.application.id);
                scope.setTag('application_name', 'OBSIDIAN');
                scope.setUser({
                    ip_address: '{{auto}}',
                    context: config.context,
                });
            }
            try {
                const user = (await config.userApi.userSnapshot()).user;
                if (user) {
                    _const__WEBPACK_IMPORTED_MODULE_3__["default"].PIECES_USER_ID = user.id;
                    scope.setUser({
                        id: _const__WEBPACK_IMPORTED_MODULE_3__["default"].PIECES_USER_ID,
                        email: user.email,
                        ip_address: '{{auto}}',
                        username: user.username,
                        extras: {
                            name: user.name,
                            picture: user.picture,
                            created: user.created,
                            updated: user.updated,
                        },
                        context: config.context,
                    });
                    _SegmentAnalytics__WEBPACK_IMPORTED_MODULE_4__.SegmentAnalytics.identify({
                        traits: {
                            id: _const__WEBPACK_IMPORTED_MODULE_3__["default"].PIECES_USER_ID,
                            email: user.email,
                            ip_address: '{{auto}}',
                            username: user.username,
                            extras: {
                                name: user.name,
                                picture: user.picture,
                                created: user.created,
                                updated: user.updated,
                            },
                        },
                    });
                }
            }
            catch (error) {
                console.log(`Error in sentry ${error}`);
                scope.setUser({
                    ip_address: '{{auto}}',
                    context: config.context,
                });
            }
        });
    }
    async update() {
        const config = _connection_connector_singleton__WEBPACK_IMPORTED_MODULE_1__["default"].getInstance();
        const user = (await config.userApi.userSnapshot()).user;
        if (user) {
            _sentry_browser__WEBPACK_IMPORTED_MODULE_0__.setUser({
                id: user.id,
                email: user.email,
                ip_address: '{{auto}}',
                username: user.username,
                extras: {
                    name: user.name,
                    picture: user.picture,
                    created: user.created,
                    updated: user.updated,
                },
            });
            _SegmentAnalytics__WEBPACK_IMPORTED_MODULE_4__.SegmentAnalytics.identify({
                traits: {
                    id: user.id,
                    email: user.email,
                    ip_address: '{{auto}}',
                    username: user.username,
                    extras: {
                        name: user.name,
                        picture: user.picture,
                        created: user.created,
                        updated: user.updated,
                    },
                },
            });
        }
    }
    async close() {
        await _sentry_browser__WEBPACK_IMPORTED_MODULE_0__.close(2000);
    }
}
const SentryTracking = new _SentryTracking();


/***/ }),

/***/ "./lib/cache/pieces_cache.js":
/*!***********************************!*\
  !*** ./lib/cache/pieces_cache.js ***!
  \***********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (/* binding */ PiecesCacheSingleton)
/* harmony export */ });
/* harmony import */ var _connection_api_wrapper__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../connection/api_wrapper */ "./lib/connection/api_wrapper.js");

class PiecesCacheSingleton {
    constructor() {
        this.assets = [];
        this.suggestedAssets = [];
        this.explainedMappedAssets = new Map();
        this.mappedAssets = {};
        this.fetchedFormats = {};
        this.discoveredSnippets = [];
        this.assetAnnotations = new Map();
        this.snippetMap = new Map();
        // this is a map of key: format uuid and value here is a transferable
        this.formatTransferables = {};
        /* */
    }
    /**
     * Stores the loaded pieces in one singleton variable so they are accessible everywhere.
     */
    store({ assets: incomingAssets, transferables, }) {
        if (incomingAssets) {
            this.assets = incomingAssets;
            this.convertToMap(incomingAssets);
        }
        if (transferables) {
            this.formatTransferables = transferables;
        }
    }
    /*
      This will add an asset to the beginning of the assets list
      @DEV make sure to provide transferables with the asset!!
    */
    prependAsset({ asset }) {
        var _a, _b, _c, _d, _e;
        const processed = (0,_connection_api_wrapper__WEBPACK_IMPORTED_MODULE_0__.processAsset)({ asset: asset });
        this.assets.unshift(processed);
        this.mappedAssets[asset.id] = processed;
        if (((_a = asset.original.reference) === null || _a === void 0 ? void 0 : _a.file) || ((_b = asset.original.reference) === null || _b === void 0 ? void 0 : _b.fragment)) {
            this.formatTransferables[(_c = asset.original.reference) === null || _c === void 0 ? void 0 : _c.id] = {
                file: (_d = asset.original.reference) === null || _d === void 0 ? void 0 : _d.file,
                fragment: (_e = asset.original.reference) === null || _e === void 0 ? void 0 : _e.fragment,
            };
        }
    }
    updateAsset({ asset }) {
        const processed = (0,_connection_api_wrapper__WEBPACK_IMPORTED_MODULE_0__.processAsset)({ asset: asset });
        for (let i = 0; i < this.assets.length; i++) {
            if (this.assets[i].id === asset.id) {
                this.assets[i] = processed;
            }
        }
        this.mappedAssets[asset.id] = processed;
    }
    /**
     * Maps the iterable of Pieces so they are accessible by the id.
     */
    convertToMap(iterable) {
        for (const iter of iterable) {
            this.mappedAssets[iter.id] = iter;
        }
    }
    /**
     *
     * Loads the scheme and providers for each piece required for the snippet display to work.
     */
    static getInstance() {
        if (!PiecesCacheSingleton._instance) {
            PiecesCacheSingleton._instance = new PiecesCacheSingleton();
        }
        return PiecesCacheSingleton._instance;
    }
    /*
          Overwrites the asset annotations cache to the inputted annotations
      */
    storeAnnotations(annotations, asset) {
        var _a, _b, _c, _d, _e, _f, _g;
        if (asset && !annotations.length)
            this.assetAnnotations.set(asset, new Map());
        for (let i = 0; i < annotations.length; i++) {
            this.assetAnnotations.delete((_b = (_a = annotations[i].asset) === null || _a === void 0 ? void 0 : _a.id) !== null && _b !== void 0 ? _b : '');
        }
        for (let i = 0; i < annotations.length; i++) {
            const curMap = (_e = this.assetAnnotations.get((_d = (_c = annotations[i].asset) === null || _c === void 0 ? void 0 : _c.id) !== null && _d !== void 0 ? _d : '')) !== null && _e !== void 0 ? _e : new Map();
            curMap.set(annotations[i].id, annotations[i]);
            this.assetAnnotations.set((_g = (_f = annotations[i].asset) === null || _f === void 0 ? void 0 : _f.id) !== null && _g !== void 0 ? _g : '', curMap);
        }
    }
    getAllAnnotations(asset) {
        var _a, _b;
        return Array.from((_b = (_a = this.assetAnnotations.get(asset)) === null || _a === void 0 ? void 0 : _a.values()) !== null && _b !== void 0 ? _b : []);
    }
}


/***/ }),

/***/ "./lib/connection/DedupeAssetQueue.js":
/*!********************************************!*\
  !*** ./lib/connection/DedupeAssetQueue.js ***!
  \********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (/* binding */ DedupeAssetQueue)
/* harmony export */ });
/* harmony import */ var _connector_singleton__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./connector_singleton */ "./lib/connection/connector_singleton.js");
/* harmony import */ var _transferables__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../transferables */ "./lib/transferables.js");
/* harmony import */ var _stream_assets__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./stream_assets */ "./lib/connection/stream_assets.js");
/* harmony import */ var _cache_pieces_cache__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../cache/pieces_cache */ "./lib/cache/pieces_cache.js");




class DedupeAssetQueue {
    constructor() {
        this.idMap = {};
        this.inFetch = false;
        this.batchSize = 30;
    }
    push(id) {
        this.idMap[id] = true;
        if (!this.inFetch)
            this.doFetch();
    }
    async doFetch() {
        const cache = _cache_pieces_cache__WEBPACK_IMPORTED_MODULE_0__["default"].getInstance();
        const config = _connector_singleton__WEBPACK_IMPORTED_MODULE_1__["default"].getInstance();
        this.inFetch = true;
        let IDs = Object.keys(this.idMap);
        while (IDs.length) {
            for (let i = 0; i < IDs.length; i += this.batchSize) {
                // memory efficiency gains are negligible with an array if strings
                // the only thing to look out for in this approach is that if debounce is too low,
                // we may end up with some duplicate things as queue is computed based on the map per function call
                const batch = IDs.slice(i, i + this.batchSize).map((id) => {
                    delete this.idMap[id];
                    return config.assetApi.assetSnapshot({
                        asset: id,
                        transferables: false,
                    });
                });
                const assets = await Promise.all(batch).catch((e) => {
                    console.error(`Error fetching asset: ${JSON.stringify(e, undefined, 2)}`);
                    return null;
                });
                if (!assets)
                    continue;
                const formatRequests = assets
                    .map((asset) => { var _a; return (_a = asset.formats.iterable) !== null && _a !== void 0 ? _a : []; })
                    .flat()
                    .map((format) => config.formatApi.formatSnapshot({
                    format: format.id,
                    transferable: true,
                }));
                const formats = await Promise.all(formatRequests).catch((e) => {
                    console.error(`Error fetching format: ${JSON.stringify(e, undefined, 2)}`);
                    return null;
                });
                if (!formats)
                    continue;
                formats === null || formats === void 0 ? void 0 : formats.forEach((format) => {
                    cache.fetchedFormats[format.id] = new Date();
                    // wonder if we could go with cache.formatTransferables[format.id] = format
                    cache.formatTransferables[format.id] = {
                        file: format.file,
                        fragment: format.fragment,
                    };
                });
                setTimeout(() => {
                    const mergedAssets = (0,_transferables__WEBPACK_IMPORTED_MODULE_2__.mergeAssetsWithTransferables)({
                        assets: { iterable: assets },
                        references: cache.formatTransferables,
                    });
                    (0,_stream_assets__WEBPACK_IMPORTED_MODULE_3__.renderFetched)({ assets: mergedAssets });
                }, 0);
            }
            IDs = Object.keys(this.idMap);
        }
        this.inFetch = false;
    }
}


/***/ }),

/***/ "./lib/connection/api_wrapper.js":
/*!***************************************!*\
  !*** ./lib/connection/api_wrapper.js ***!
  \***************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   fetchFormatTransferable: () => (/* binding */ fetchFormatTransferable),
/* harmony export */   loadConnect: () => (/* binding */ loadConnect),
/* harmony export */   loadPieces: () => (/* binding */ loadPieces),
/* harmony export */   processAsset: () => (/* binding */ processAsset),
/* harmony export */   processAssets: () => (/* binding */ processAssets)
/* harmony export */ });
/* harmony import */ var _connector_singleton__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./connector_singleton */ "./lib/connection/connector_singleton.js");
/* harmony import */ var _cache_pieces_cache__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../cache/pieces_cache */ "./lib/cache/pieces_cache.js");
/* harmony import */ var _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @pieces.app/pieces-os-client */ "webpack/sharing/consume/default/@pieces.app/pieces-os-client/@pieces.app/pieces-os-client");
/* harmony import */ var _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _transferables__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../transferables */ "./lib/transferables.js");
/* harmony import */ var _notification_handler__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./notification_handler */ "./lib/connection/notification_handler.js");
/* harmony import */ var _ui_views_DisplayController__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../ui/views/DisplayController */ "./lib/ui/views/DisplayController.js");
/* harmony import */ var _utils_sleep__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../utils/sleep */ "./lib/utils/sleep.js");
/* harmony import */ var copilot_dist_types_NotificationParameters__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! copilot/dist/types/NotificationParameters */ "./node_modules/copilot/dist/types/NotificationParameters.js");









const loadConnect = async () => {
    const config = _connector_singleton__WEBPACK_IMPORTED_MODULE_2__["default"].getInstance();
    try {
        config.context = await config.api.connect({
            seededConnectorConnection: config.seeded,
        });
        return true;
    }
    catch (err) {
        return false;
    }
};
const loadPieces = async () => {
    //
    const config = _connector_singleton__WEBPACK_IMPORTED_MODULE_2__["default"].getInstance();
    const notifications = _notification_handler__WEBPACK_IMPORTED_MODULE_3__["default"].getInstance();
    if (!config.context) {
        try {
            config.context = await config.api.connect({
                seededConnectorConnection: config.seeded,
            });
        }
        catch (err) {
            // ignore we will just warn
        }
        if (!config.context) {
            notifications.error({
                message: 'Failed to connect to Pieces OS. Please check that Pieces OS is installed.',
            });
            _ui_views_DisplayController__WEBPACK_IMPORTED_MODULE_4__["default"].setIsFetchFailed(true);
            return Promise.reject(new Error('Context Undefined'));
        }
    }
    const snapshot = await fetchSnapshot({ config: config });
    if (snapshot instanceof Error) {
        _ui_views_DisplayController__WEBPACK_IMPORTED_MODULE_4__["default"].setIsFetchFailed(true);
        return Promise.reject(snapshot);
    }
    await fetchAllFormats({ assets: snapshot.iterable });
    const piecesStorage = _cache_pieces_cache__WEBPACK_IMPORTED_MODULE_5__["default"].getInstance();
    const assets = (0,_transferables__WEBPACK_IMPORTED_MODULE_6__.mergeAssetsWithTransferables)({
        assets: snapshot,
        references: piecesStorage.formatTransferables,
    });
    /// (2) save our assets
    piecesStorage.store({
        assets: processAssets({ assets: assets.iterable }).snippets,
    });
    const snippets = piecesStorage.assets;
    // sort the snippets by date created (desc)
    _ui_views_DisplayController__WEBPACK_IMPORTED_MODULE_4__["default"].setIsFetchFailed(false);
    //writeData(piecesStorage.assets);
    return snippets;
};
const fetchSnapshot = async ({ config, retry = false, }) => {
    const notifications = _notification_handler__WEBPACK_IMPORTED_MODULE_3__["default"].getInstance();
    let snapshot;
    try {
        snapshot = await config.assetsApi.assetsSnapshot({
            suggested: false,
            transferables: false,
            pseudo: false,
        });
        return snapshot;
    }
    catch (error) {
        if (!retry) {
            return await fetchSnapshot({
                suggested: false,
                config: config,
                retry: true,
            });
        }
        else {
            notifications.error({
                message: 'Failed to load snippets. Please restart Pieces OS, ensure that it is up-to-date, and try again. If the problem persists please reach out to support.',
                actions: [
                    {
                        title: 'Contact Support',
                        type: copilot_dist_types_NotificationParameters__WEBPACK_IMPORTED_MODULE_1__.NotificationActionTypeEnum.OPEN_LINK,
                        params: { url: 'https://docs.pieces.app/support' },
                    },
                ],
            });
            return Promise.reject('Failed to fetch snapshot');
        }
    }
};
// fetches all formats for the assets and stores them in cache
const fetchAllFormats = async ({ assets }) => {
    const piecesStorage = _cache_pieces_cache__WEBPACK_IMPORTED_MODULE_5__["default"].getInstance();
    const formatFetching = [];
    for (const asset of assets) {
        // TODO may need to tweak this value (every 10 format fetchs) as well as we may need to space our timeoutPromise a bit more, but shouldnt need too.
        // await timeoutPromise(0);
        /// if we want to fetch.
        for (const format of asset.formats.iterable || []) {
            /// (3) fetch any formats that we havnt fetched yet.
            if (!(format.id in piecesStorage.fetchedFormats) ||
                piecesStorage.fetchedFormats[format.id] < format.updated.value) {
                /// if either (1) our format hasnt been fetched yet
                /// or if (2) our format was updated before the last time it has been fetched.
                /// then we will want to fetch our format.
                /// dont await this as it can just happen syncronously
                formatFetching.push(fetchFormatTransferable({ format, asset }));
            }
        }
    }
    await Promise.all(formatFetching);
};
/**
 * This is a helper function that will enable us to process our Assets and turn them into the ReturnedAssets type.
 * This will also return a list of promises, that will represent everything that is currently being fetched.
 * @param {Boolean} fetch if we want to also attempt to fetch the assets.
 * @param {Assets} assets
 * @returns
 */
const processAssets = ({ assets }) => {
    const snippets = [];
    for (const asset of assets) {
        snippets.push(processAsset({ asset: asset }));
    }
    return {
        snippets,
    };
};
const processAsset = ({ asset }) => {
    var _a, _b, _c, _d, _e, _f, _g, _h, _j, _k, _l, _m, _o, _p, _q, _r, _s, _t, _u, _v, _w, _x, _y, _z, _0, _1, _2, _3, _4, _5, _6;
    const cache = _cache_pieces_cache__WEBPACK_IMPORTED_MODULE_5__["default"].getInstance();
    let rawText = undefined;
    let rawFormat = undefined;
    const type = (_a = asset.original.reference) === null || _a === void 0 ? void 0 : _a.classification.generic;
    if (type === 'IMAGE') {
        const decoder = new TextDecoder('utf-8');
        const ocrid = (_e = (_d = (_c = (_b = asset.original.reference) === null || _b === void 0 ? void 0 : _b.analysis) === null || _c === void 0 ? void 0 : _c.image) === null || _d === void 0 ? void 0 : _d.ocr) === null || _e === void 0 ? void 0 : _e.raw.id;
        if (!ocrid) {
            // LOG IN SENTRY
        }
        const format = (_f = asset.formats.iterable) === null || _f === void 0 ? void 0 : _f.find((e) => e.id === ocrid);
        const bytes = new Uint8Array((_j = (_h = (_g = format === null || format === void 0 ? void 0 : format.file) === null || _g === void 0 ? void 0 : _g.bytes) === null || _h === void 0 ? void 0 : _h.raw) !== null && _j !== void 0 ? _j : []);
        rawText = decoder.decode(bytes);
        rawFormat = format === null || format === void 0 ? void 0 : format.classification.specific;
    }
    let link = undefined;
    for (let i = 0; i < ((_l = (_k = asset.shares) === null || _k === void 0 ? void 0 : _k.iterable.length) !== null && _l !== void 0 ? _l : 0); i++) {
        if (((_m = asset.shares) === null || _m === void 0 ? void 0 : _m.iterable[i].access) === _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.AccessEnum.Public) {
            link = (_o = asset.shares) === null || _o === void 0 ? void 0 : _o.iterable[i].link;
            break;
        }
    }
    return {
        title: asset.name || 'Unnamed Asset',
        id: asset.id,
        type: ((_p = asset.original.reference) === null || _p === void 0 ? void 0 : _p.classification.generic) || 'Unknown Type',
        raw: (_5 = (_1 = (_x = (_t = rawText !== null && rawText !== void 0 ? rawText : (_s = (_r = (_q = asset.original.reference) === null || _q === void 0 ? void 0 : _q.fragment) === null || _r === void 0 ? void 0 : _r.string) === null || _s === void 0 ? void 0 : _s.raw) !== null && _t !== void 0 ? _t : (_w = (_v = (_u = asset.preview.base.reference) === null || _u === void 0 ? void 0 : _u.fragment) === null || _v === void 0 ? void 0 : _v.string) === null || _w === void 0 ? void 0 : _w.raw) !== null && _x !== void 0 ? _x : (_0 = (_z = (_y = asset.original.reference) === null || _y === void 0 ? void 0 : _y.file) === null || _z === void 0 ? void 0 : _z.string) === null || _0 === void 0 ? void 0 : _0.raw) !== null && _1 !== void 0 ? _1 : (_4 = (_3 = (_2 = asset.preview.base.reference) === null || _2 === void 0 ? void 0 : _2.file) === null || _3 === void 0 ? void 0 : _3.string) === null || _4 === void 0 ? void 0 : _4.raw) !== null && _5 !== void 0 ? _5 : 'Unable to unpack snippet :(',
        //@ts-ignore
        language: rawFormat !== null && rawFormat !== void 0 ? rawFormat : (((_6 = asset.original.reference) === null || _6 === void 0 ? void 0 : _6.classification.specific) ||
            _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.ClassificationSpecificEnum.Ts),
        time: asset.created.readable || 'Unknown Time',
        created: asset.created.value,
        annotations: cache.getAllAnnotations(asset.id),
        updated: asset.updated.value,
        share: link !== null && link !== void 0 ? link : undefined,
    };
};
const fetchFormatTransferable = async ({ format, asset, retryCount = 0, }) => {
    const connector = _connector_singleton__WEBPACK_IMPORTED_MODULE_2__["default"].getInstance();
    const storage = _cache_pieces_cache__WEBPACK_IMPORTED_MODULE_5__["default"].getInstance();
    // This is going to syncronously pull down and update as a fetch finishes.
    return connector.formatApi
        .formatSnapshot({
        format: format.id,
        transferable: true,
    })
        .then((fetched) => {
        storage.formatTransferables[format.id] = {
            file: fetched.file,
            fragment: fetched.fragment,
        };
        /// (3) format has been fetched (we will use this to determine on the next refresh, to see if we need to refrech the format or not.)
        storage.fetchedFormats[format.id] = new Date();
    })
        .catch((error) => {
        var _a, _b;
        /// TODO: if it fails, we want to load it in when the user actually clicks on it and add it in the storage.
        /// We want to try atleast 5 times if we get the connect ECONNRESET error. We are looking for this error specifically because of the rapid fire of the requests to our server.
        if (((_a = error.message) !== null && _a !== void 0 ? _a : '').includes('connect ECONNRESET') &&
            retryCount++ <= 5) {
            console.log(`Making request ${format.id} Retry: ${retryCount}`);
            (0,_utils_sleep__WEBPACK_IMPORTED_MODULE_7__.sleep)(200).then((_) => {
                fetchFormatTransferable({
                    format,
                    asset,
                    retryCount: retryCount,
                });
            });
        }
        else if (((_b = error.message) !== null && _b !== void 0 ? _b : '').includes('connect ECONNRESET') &&
            retryCount++ > 5) {
            console.log(`Max threshold hit for this format ${format.id} Error: ${error}`);
        }
    });
};


/***/ }),

/***/ "./lib/connection/checkVersionAndConnection.js":
/*!*****************************************************!*\
  !*** ./lib/connection/checkVersionAndConnection.js ***!
  \*****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _api_wrapper__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./api_wrapper */ "./lib/connection/api_wrapper.js");
/* harmony import */ var _ui_views_DisplayController__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../ui/views/DisplayController */ "./lib/ui/views/DisplayController.js");
/* harmony import */ var _version_check__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./version_check */ "./lib/connection/version_check.js");
/* harmony import */ var _stream_assets__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./stream_assets */ "./lib/connection/stream_assets.js");
/* harmony import */ var _utils_sleep__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../utils/sleep */ "./lib/utils/sleep.js");





class CheckVersionAndConnection {
    constructor() { }
    static run() {
        if (this.promise === undefined) {
            this.promise = this._run();
        }
        return this.promise;
    }
    /*
          This will recursively call itself until BOTH POS is open AND POS has a proper version
           - also makes sure to update ui when fetchFailed changes
      */
    static async _run() {
        const posOpen = await (0,_api_wrapper__WEBPACK_IMPORTED_MODULE_0__.loadConnect)(); // whether or not pos is open
        await (0,_version_check__WEBPACK_IMPORTED_MODULE_1__["default"])({}); // whether or not pos has the correct version for this plugin
        if (posOpen && _version_check__WEBPACK_IMPORTED_MODULE_1__.versionValid) {
            // if both are good, we can break out of this function
            this.promise = undefined;
            return;
        }
        /*
                    If POS is open, and the fetch failed, need to update fetch failed to false
                    if pos is closed, and the initial fetch did not fail, need to update fetch failed to true
                */
        if (posOpen === _ui_views_DisplayController__WEBPACK_IMPORTED_MODULE_2__["default"].isFetchFailed) {
            _ui_views_DisplayController__WEBPACK_IMPORTED_MODULE_2__["default"].setIsFetchFailed(!posOpen);
            await _ui_views_DisplayController__WEBPACK_IMPORTED_MODULE_2__["default"].drawSnippets({
                snippets: undefined,
                search: false,
            });
        }
        await (0,_utils_sleep__WEBPACK_IMPORTED_MODULE_3__.sleep)(_stream_assets__WEBPACK_IMPORTED_MODULE_4__.waitTimer);
        (0,_stream_assets__WEBPACK_IMPORTED_MODULE_4__.setStreamOpen)(false);
        return this._run();
    }
}
CheckVersionAndConnection.promise = undefined;
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (CheckVersionAndConnection);


/***/ }),

/***/ "./lib/connection/cloud_singleton.js":
/*!*******************************************!*\
  !*** ./lib/connection/cloud_singleton.js ***!
  \*******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (/* binding */ CloudService)
/* harmony export */ });
/* harmony import */ var _connector_singleton__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./connector_singleton */ "./lib/connection/connector_singleton.js");
/* harmony import */ var _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @pieces.app/pieces-os-client */ "webpack/sharing/consume/default/@pieces.app/pieces-os-client/@pieces.app/pieces-os-client");
/* harmony import */ var _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var p_retry__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! p-retry */ "webpack/sharing/consume/default/p-retry/p-retry?0b79");
/* harmony import */ var p_retry__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(p_retry__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _notification_handler__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./notification_handler */ "./lib/connection/notification_handler.js");
/* harmony import */ var _const__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../const */ "./lib/const.js");





class CloudService {
    constructor() {
        this.config = _connector_singleton__WEBPACK_IMPORTED_MODULE_2__["default"].getInstance();
        this.notifications = _notification_handler__WEBPACK_IMPORTED_MODULE_3__["default"].getInstance();
    }
    static getInstance() {
        if (!CloudService.instance) {
            CloudService.instance = new CloudService();
        }
        return CloudService.instance;
    }
    async connect({ user, }) {
        if (!user) {
            const profile = await this.config.userApi.userSnapshot();
            if (!profile.user) {
                this.notifications.error({
                    message: _const__WEBPACK_IMPORTED_MODULE_4__["default"].LOGIN_TO_POS_CLOUD,
                });
                return;
            }
            user = profile.user;
        }
        let connected;
        const connectCloud = async () => {
            connected = await this.config.allocationsApi.allocationsConnectNewCloud({
                userProfile: user,
            });
            if (connected.status.cloud !== _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.AllocationStatusEnum.Running) {
                throw new Error('Unable to Connect');
            }
        };
        await p_retry__WEBPACK_IMPORTED_MODULE_1___default()(connectCloud, { retries: 5 });
        if ((connected === null || connected === void 0 ? void 0 : connected.status.cloud) !== _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.AllocationStatusEnum.Running) {
            this.notifications.error({ message: _const__WEBPACK_IMPORTED_MODULE_4__["default"].CLOUD_CONNECT_FAIL });
            return;
        }
        this.notifications.information({
            message: _const__WEBPACK_IMPORTED_MODULE_4__["default"].CLOUD_CONNECT_SUCCESS,
        });
        return connected;
    }
    async disconnect({ user }) {
        try {
            const { config } = this;
            user = user ? user : (await config.userApi.userSnapshot()).user;
            if (!user || !(user === null || user === void 0 ? void 0 : user.allocation)) {
                this.notifications.information({
                    message: _const__WEBPACK_IMPORTED_MODULE_4__["default"].CLOUD_DISCONNECT_ALR,
                });
                return true;
            }
            await config.allocationsApi.allocationsDisconnectCloud({
                allocationCloud: user.allocation,
            });
            this.notifications.information({
                message: _const__WEBPACK_IMPORTED_MODULE_4__["default"].CLOUD_DISCONNECT_SUCCESS,
            });
            return true;
        }
        catch (error) {
            this.notifications.error({
                message: _const__WEBPACK_IMPORTED_MODULE_4__["default"].CLOUD_DISCONNECT_FAIL,
            });
            return false;
        }
    }
}


/***/ }),

/***/ "./lib/connection/connector_singleton.js":
/*!***********************************************!*\
  !*** ./lib/connection/connector_singleton.js ***!
  \***********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (/* binding */ ConnectorSingleton),
/* harmony export */   portNumber: () => (/* binding */ portNumber)
/* harmony export */ });
/* harmony import */ var _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @pieces.app/pieces-os-client */ "webpack/sharing/consume/default/@pieces.app/pieces-os-client/@pieces.app/pieces-os-client");
/* harmony import */ var _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _notification_handler__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./notification_handler */ "./lib/connection/notification_handler.js");
/* harmony import */ var _const__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../const */ "./lib/const.js");
/* harmony import */ var _localStorageManager__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../localStorageManager */ "./lib/localStorageManager.js");
/* provided dependency */ var process = __webpack_require__(/*! process/browser */ "./node_modules/process/browser.js");





const portNumber = (0,_localStorageManager__WEBPACK_IMPORTED_MODULE_1__.getStored)('Port')
    ? (0,_localStorageManager__WEBPACK_IMPORTED_MODULE_1__.getStored)('Port')
    : process.platform == 'linux'
        ? 5323
        : 1000;
class ConnectorSingleton {
    constructor() {
        this._platform = process.platform;
        this._platformMap = {
            win32: _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.PlatformEnum.Windows,
            darwin: _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.PlatformEnum.Macos,
            linux: _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.PlatformEnum.Linux,
        };
        this.parameters = {
            basePath: `http://localhost:${portNumber}`,
            fetchApi: fetch,
        };
        this.configuration = new _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.Configuration(this.parameters);
        this.api = new _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.ConnectorApi(this.configuration);
        this.conversationApi = new _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.ConversationApi(new _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.Configuration({ fetchApi: fetch, basePath: this.parameters.basePath }));
        this.anchorsApi = new _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.AnchorsApi(new _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.Configuration({ fetchApi: fetch, basePath: this.parameters.basePath }));
        this.modelApi = new _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.ModelApi(new _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.Configuration({ fetchApi: fetch, basePath: this.parameters.basePath }));
        this.modelsApi = new _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.ModelsApi(new _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.Configuration({ fetchApi: fetch, basePath: this.parameters.basePath }));
        this.activityApi = new _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.ActivityApi(new _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.Configuration({ fetchApi: fetch, basePath: this.parameters.basePath }));
        this.activitiesApi = new _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.ActivitiesApi(new _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.Configuration({ fetchApi: fetch, basePath: this.parameters.basePath }));
        this.searchApi = new _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.SearchApi(new _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.Configuration({ fetchApi: fetch, basePath: this.parameters.basePath }));
        this.allocationsApi = new _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.AllocationsApi(new _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.Configuration({ fetchApi: fetch, basePath: this.parameters.basePath }));
        this.applicationApi = new _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.ApplicationApi(new _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.Configuration({ fetchApi: fetch, basePath: this.parameters.basePath }));
        this.linkifyApi = new _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.LinkifyApi(new _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.Configuration({ fetchApi: fetch, basePath: this.parameters.basePath }));
        this.assetsApi = new _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.AssetsApi(new _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.Configuration({ fetchApi: fetch, basePath: this.parameters.basePath }));
        this.DiscoveryApi = new _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.DiscoveryApi(new _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.Configuration({ fetchApi: fetch, basePath: this.parameters.basePath }));
        this.formatApi = new _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.FormatApi(new _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.Configuration({ fetchApi: fetch, basePath: this.parameters.basePath }));
        this.userApi = new _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.UserApi(new _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.Configuration({ fetchApi: fetch, basePath: this.parameters.basePath }));
        this.osApi = new _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.OSApi(new _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.Configuration({ fetchApi: fetch, basePath: this.parameters.basePath }));
        this.assetApi = new _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.AssetApi(new _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.Configuration({ fetchApi: fetch, basePath: this.parameters.basePath }));
        this.wellKnownApi = new _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.WellKnownApi(new _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.Configuration({ fetchApi: fetch, basePath: this.parameters.basePath }));
        this.QGPTApi = new _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.QGPTApi(new _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.Configuration({ fetchApi: fetch, basePath: this.parameters.basePath }));
        this.annotationsApi = new _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.AnnotationsApi(new _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.Configuration({ fetchApi: fetch, basePath: this.parameters.basePath }));
        this.annotationApi = new _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.AnnotationApi(new _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.Configuration({ fetchApi: fetch, basePath: this.parameters.basePath }));
        this.application = {
            name: _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.ApplicationNameEnum.JupyterHub,
            version: _const__WEBPACK_IMPORTED_MODULE_2__["default"].PLUGIN_VERSION,
            platform: this._platformMap[this._platform] || _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.PlatformEnum.Unknown,
            capabilities: (0,_localStorageManager__WEBPACK_IMPORTED_MODULE_1__.getStored)('Capabilities')
                ? (0,_localStorageManager__WEBPACK_IMPORTED_MODULE_1__.getStored)('Capabilities')
                : _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.CapabilitiesEnum.Blended,
        };
        this.seeded = {
            application: this.application,
        };
    }
    static getInstance() {
        if (!ConnectorSingleton.instance) {
            ConnectorSingleton.instance = new ConnectorSingleton();
        }
        return ConnectorSingleton.instance;
    }
    static async checkConnection({ notification = true, }) {
        try {
            await fetch(`http://localhost:${portNumber}/.well-known/health`);
            return true;
        }
        catch (e) {
            const notifications = _notification_handler__WEBPACK_IMPORTED_MODULE_3__["default"].getInstance();
            // if notification is set to false we will ignore and just return false.
            if (notification) {
                notifications.information({
                    message: _const__WEBPACK_IMPORTED_MODULE_2__["default"].CORE_PLATFORM_MSG,
                });
            }
            return false;
        }
    }
    async track(event) {
        const { context, api } = this;
        if (!context) {
            throw new Error('Application context could not be found when calling');
        }
        const seededConnectorTracking = { ...event };
        const seed = {
            application: context.application.id,
            seededConnectorTracking,
        };
        return api
            .track(seed)
            .then((_) => true)
            .catch((error) => {
            // TODO send this to sentry. and extract the actual error from the error.(ie error.message)
            console.log(`Error from api.track Error: ${error}`);
            return false;
        });
    }
}


/***/ }),

/***/ "./lib/connection/notification_handler.js":
/*!************************************************!*\
  !*** ./lib/connection/notification_handler.js ***!
  \************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (/* binding */ Notifications)
/* harmony export */ });
/* harmony import */ var _jupyterlab_apputils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @jupyterlab/apputils */ "webpack/sharing/consume/default/@jupyterlab/apputils");
/* harmony import */ var _jupyterlab_apputils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_jupyterlab_apputils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _sentry_browser__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @sentry/browser */ "webpack/sharing/consume/default/@sentry/browser/@sentry/browser");
/* harmony import */ var _sentry_browser__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_sentry_browser__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var copilot_dist_types_NotificationParameters__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! copilot/dist/types/NotificationParameters */ "./node_modules/copilot/dist/types/NotificationParameters.js");



class Notifications {
    constructor() {
        /* */
    }
    static getInstance() {
        if (!Notifications.instance) {
            Notifications.instance = new Notifications();
        }
        return Notifications.instance;
    }
    information({ message, actions, }) {
        _jupyterlab_apputils__WEBPACK_IMPORTED_MODULE_0__.Notification === null || _jupyterlab_apputils__WEBPACK_IMPORTED_MODULE_0__.Notification === void 0 ? void 0 : _jupyterlab_apputils__WEBPACK_IMPORTED_MODULE_0__.Notification.info(message, {
            autoClose: 3000,
            actions: actions === null || actions === void 0 ? void 0 : actions.reduce((acc, action) => {
                if (action.type === copilot_dist_types_NotificationParameters__WEBPACK_IMPORTED_MODULE_2__.NotificationActionTypeEnum.OPEN_LINK) {
                    acc.push({
                        label: action.title,
                        callback: (event) => {
                            window.open(action.params.url);
                        },
                    });
                }
                return acc;
            }, []),
        });
    }
    error({ message, sendToSentry, actions, }) {
        _jupyterlab_apputils__WEBPACK_IMPORTED_MODULE_0__.Notification.error(message, {
            autoClose: 3000,
            actions: actions === null || actions === void 0 ? void 0 : actions.reduce((acc, action) => {
                console.log('action');
                if (action.type === copilot_dist_types_NotificationParameters__WEBPACK_IMPORTED_MODULE_2__.NotificationActionTypeEnum.OPEN_LINK) {
                    acc.push({
                        label: action.title,
                        callback: (event) => {
                            window.open(action.params.url);
                        },
                    });
                }
                return acc;
            }, []),
        });
        if (sendToSentry) {
            _sentry_browser__WEBPACK_IMPORTED_MODULE_1__.captureException(message);
        }
    }
}


/***/ }),

/***/ "./lib/connection/shareable_link.js":
/*!******************************************!*\
  !*** ./lib/connection/shareable_link.js ***!
  \******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (/* binding */ ShareableLinksService)
/* harmony export */ });
/* harmony import */ var _actions_launch_runtime__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ../actions/launch_runtime */ "./lib/actions/launch_runtime.js");
/* harmony import */ var _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @pieces.app/pieces-os-client */ "webpack/sharing/consume/default/@pieces.app/pieces-os-client/@pieces.app/pieces-os-client");
/* harmony import */ var _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _cloud_singleton__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./cloud_singleton */ "./lib/connection/cloud_singleton.js");
/* harmony import */ var _connector_singleton__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./connector_singleton */ "./lib/connection/connector_singleton.js");
/* harmony import */ var _notification_handler__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./notification_handler */ "./lib/connection/notification_handler.js");
/* harmony import */ var _const__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../const */ "./lib/const.js");
/* harmony import */ var _analytics_SegmentAnalytics__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../analytics/SegmentAnalytics */ "./lib/analytics/SegmentAnalytics.js");
/* harmony import */ var _analytics_AnalyticsEnum__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../analytics/AnalyticsEnum */ "./lib/analytics/AnalyticsEnum.js");
/* harmony import */ var copilot_dist_types_NotificationParameters__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! copilot/dist/types/NotificationParameters */ "./node_modules/copilot/dist/types/NotificationParameters.js");









class ShareableLinksService {
    constructor() {
        this.config = _connector_singleton__WEBPACK_IMPORTED_MODULE_2__["default"].getInstance();
        this.cloud = _cloud_singleton__WEBPACK_IMPORTED_MODULE_3__["default"].getInstance();
        this.notifications = _notification_handler__WEBPACK_IMPORTED_MODULE_4__["default"].getInstance();
    }
    static getInstance() {
        if (!ShareableLinksService.instance) {
            ShareableLinksService.instance = new ShareableLinksService();
        }
        return ShareableLinksService.instance;
    }
    async generate({ id, retry = false, }) {
        var _a, _b, _c;
        _analytics_SegmentAnalytics__WEBPACK_IMPORTED_MODULE_5__.SegmentAnalytics.track({
            event: _analytics_AnalyticsEnum__WEBPACK_IMPORTED_MODULE_6__.AnalyticsEnum.JUPYTER_SHARE,
        });
        try {
            //
            const { config, cloud, notifications } = this;
            const profile = await config.userApi.userSnapshot();
            if (!(profile === null || profile === void 0 ? void 0 : profile.user)) {
                notifications.error({ message: _const__WEBPACK_IMPORTED_MODULE_7__["default"].LOGIN_TO_POS });
                return;
            }
            else if (!((_a = profile === null || profile === void 0 ? void 0 : profile.user) === null || _a === void 0 ? void 0 : _a.allocation)) {
                // TODO notify user cloud is connecting
                const allocation = await cloud.connect({
                    user: profile === null || profile === void 0 ? void 0 : profile.user,
                });
                if (!allocation) {
                    notifications.error({
                        message: _const__WEBPACK_IMPORTED_MODULE_7__["default"].CLOUD_CONNECT_FAIL,
                    });
                    return;
                }
                profile.user.allocation = allocation;
            }
            else if (((_c = (_b = profile === null || profile === void 0 ? void 0 : profile.user) === null || _b === void 0 ? void 0 : _b.allocation) === null || _c === void 0 ? void 0 : _c.status.cloud) != _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.AllocationStatusEnum.Running) {
                notifications.error({
                    message: _const__WEBPACK_IMPORTED_MODULE_7__["default"].CLOUD_CONNECT_INPROG,
                });
                return;
            }
            const asset = await config.assetApi
                .assetSnapshot({ asset: id })
                .catch((error) => {
                if (error.status === 410) {
                    throw new Error('Snippet no longer exists');
                }
                else {
                    throw new Error('Please check that Pieces OS is installed');
                }
            });
            notifications.information({ message: `Generating a link...` });
            const link = await config.linkifyApi
                .linkify({
                linkify: {
                    asset,
                    access: _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.AccessEnum.Public,
                },
            })
                .catch((error) => {
                // TODO: Does it make sense to throw Errors inside a catch statement?
                if (error.status === 413) {
                    _analytics_SegmentAnalytics__WEBPACK_IMPORTED_MODULE_5__.SegmentAnalytics.track({
                        event: _analytics_AnalyticsEnum__WEBPACK_IMPORTED_MODULE_6__.AnalyticsEnum.JUPYTER_SHARE_FAILURE,
                    });
                    throw new Error(`Failed to generate shareable link. The asset is too large. Please try a smaller asset.`);
                }
                else if (error.status === 500) {
                    _analytics_SegmentAnalytics__WEBPACK_IMPORTED_MODULE_5__.SegmentAnalytics.track({
                        event: _analytics_AnalyticsEnum__WEBPACK_IMPORTED_MODULE_6__.AnalyticsEnum.JUPYTER_SHARE_FAILURE,
                    });
                    throw new Error(`Failed to generate shareable link. Please update your Pieces OS.`);
                }
                else if (error.status === 511) {
                    _analytics_SegmentAnalytics__WEBPACK_IMPORTED_MODULE_5__.SegmentAnalytics.track({
                        event: _analytics_AnalyticsEnum__WEBPACK_IMPORTED_MODULE_6__.AnalyticsEnum.JUPYTER_SHARE_FAILURE,
                    });
                    throw new Error(`Failed to generate shareable link. Please make sure you are signed in and connected to cloud.`);
                }
                else {
                    _analytics_SegmentAnalytics__WEBPACK_IMPORTED_MODULE_5__.SegmentAnalytics.track({
                        event: _analytics_AnalyticsEnum__WEBPACK_IMPORTED_MODULE_6__.AnalyticsEnum.JUPYTER_SHARE_FAILURE,
                    });
                    throw new Error(`Failed to generate shareable link. Please check that Pieces OS is installed and running.`);
                }
            });
            notifications.information({
                message: _const__WEBPACK_IMPORTED_MODULE_7__["default"].LINK_GEN_SUCCESS,
            });
            _analytics_SegmentAnalytics__WEBPACK_IMPORTED_MODULE_5__.SegmentAnalytics.track({
                event: _analytics_AnalyticsEnum__WEBPACK_IMPORTED_MODULE_6__.AnalyticsEnum.JUPYTER_SHARE_SUCCESS,
            });
            return link.iterable[0].link;
        }
        catch (error) {
            const { config, notifications } = this;
            if (error.status === 401 || error.status === 400) {
                if (retry) {
                    notifications.error({
                        message: _const__WEBPACK_IMPORTED_MODULE_7__["default"].LINK_GEN_FAIL,
                        actions: [
                            {
                                title: 'Contact Support',
                                type: copilot_dist_types_NotificationParameters__WEBPACK_IMPORTED_MODULE_1__.NotificationActionTypeEnum.OPEN_LINK,
                                params: { url: 'https://docs.pieces.app/support' },
                            },
                        ],
                    });
                    _analytics_SegmentAnalytics__WEBPACK_IMPORTED_MODULE_5__.SegmentAnalytics.track({
                        event: _analytics_AnalyticsEnum__WEBPACK_IMPORTED_MODULE_6__.AnalyticsEnum.JUPYTER_SHARE_FAILURE,
                    });
                }
                else {
                    try {
                        config.context = await config.api.connect({
                            seededConnectorConnection: config.seeded,
                        });
                        return await this.generate({ id, retry: true });
                    }
                    catch (e) {
                        console.log(`Error from generating link ${e}`);
                    }
                }
            }
            else {
                if (!retry) {
                    if (error.code === 'ECONNREFUSED') {
                        // attempt to launch runtime because we could talk to POS.
                        await (0,_actions_launch_runtime__WEBPACK_IMPORTED_MODULE_8__.launchRuntime)(true);
                    }
                    // then retry our request.
                    return await this.generate({ id, retry: true });
                }
                notifications.error({
                    message: _const__WEBPACK_IMPORTED_MODULE_7__["default"].LINK_GEN_FAIL,
                    actions: [
                        {
                            title: 'Contact Support',
                            type: copilot_dist_types_NotificationParameters__WEBPACK_IMPORTED_MODULE_1__.NotificationActionTypeEnum.OPEN_LINK,
                            params: { url: 'https://docs.pieces.app/support' },
                        },
                    ],
                });
                _analytics_SegmentAnalytics__WEBPACK_IMPORTED_MODULE_5__.SegmentAnalytics.track({
                    event: _analytics_AnalyticsEnum__WEBPACK_IMPORTED_MODULE_6__.AnalyticsEnum.JUPYTER_SHARE_FAILURE,
                });
            }
        }
    }
}


/***/ }),

/***/ "./lib/connection/stream_assets.js":
/*!*****************************************!*\
  !*** ./lib/connection/stream_assets.js ***!
  \*****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   closeStreams: () => (/* binding */ closeStreams),
/* harmony export */   renderFetched: () => (/* binding */ renderFetched),
/* harmony export */   setStreamOpen: () => (/* binding */ setStreamOpen),
/* harmony export */   stream: () => (/* binding */ stream),
/* harmony export */   streamOpen: () => (/* binding */ streamOpen),
/* harmony export */   waitTimer: () => (/* binding */ waitTimer)
/* harmony export */ });
/* harmony import */ var _cache_pieces_cache__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ../cache/pieces_cache */ "./lib/cache/pieces_cache.js");
/* harmony import */ var _ui_views_renderListView__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! ../ui/views/renderListView */ "./lib/ui/views/renderListView.js");
/* harmony import */ var _api_wrapper__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./api_wrapper */ "./lib/connection/api_wrapper.js");
/* harmony import */ var _DedupeAssetQueue__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./DedupeAssetQueue */ "./lib/connection/DedupeAssetQueue.js");
/* harmony import */ var _database_PiecesDatabase__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../database/PiecesDatabase */ "./lib/database/PiecesDatabase.js");
/* harmony import */ var _ui_render_renderSearchBox__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ../ui/render/renderSearchBox */ "./lib/ui/render/renderSearchBox.js");
/* harmony import */ var _models_SortSnippetsBy__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! ../models/SortSnippetsBy */ "./lib/models/SortSnippetsBy.js");
/* harmony import */ var _ui_views_DisplayController__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../ui/views/DisplayController */ "./lib/ui/views/DisplayController.js");
/* harmony import */ var _analytics_SentryTracking__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../analytics/SentryTracking */ "./lib/analytics/SentryTracking.js");
/* harmony import */ var _checkVersionAndConnection__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./checkVersionAndConnection */ "./lib/connection/checkVersionAndConnection.js");
/* harmony import */ var _utils_sleep__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../utils/sleep */ "./lib/utils/sleep.js");
/* harmony import */ var _connector_singleton__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./connector_singleton */ "./lib/connection/connector_singleton.js");
/* harmony import */ var _utils_annotationHandler__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(/*! ../utils/annotationHandler */ "./lib/utils/annotationHandler.js");














let identifierWs;
const fetchQueue = new _DedupeAssetQueue__WEBPACK_IMPORTED_MODULE_0__["default"]();
let streamOpen = false;
let streamClosed = false;
const waitTimer = 10000;
const setStreamOpen = (val) => {
    streamOpen = val;
};
const stream = async () => {
    streamIdentifiers();
};
/*
    This establishes a websocket connection with POS
    on each event, we first check if it is a delete
    if it's a delete, remove the asset from UI and cache, then return
    if not, then we fetch the snapshot and formats related to that asset
    we then run checks to see if it is a new asset, or an updated asset,
    and then update ui + cache accordingly.
*/
const streamIdentifiers = async () => {
    if (streamClosed)
        return;
    if (streamOpen) {
        return;
    }
    streamOpen = true;
    if ((identifierWs === null || identifierWs === void 0 ? void 0 : identifierWs.readyState) === (identifierWs === null || identifierWs === void 0 ? void 0 : identifierWs.OPEN)) {
        identifierWs === null || identifierWs === void 0 ? void 0 : identifierWs.close();
    }
    identifierWs = new WebSocket(`ws://localhost:${_connector_singleton__WEBPACK_IMPORTED_MODULE_1__.portNumber}/assets/stream/identifiers`);
    identifierWs.onclose = async () => {
        console.log('closed');
        if (!_ui_views_DisplayController__WEBPACK_IMPORTED_MODULE_2__["default"].isFetchFailed) {
            _ui_views_DisplayController__WEBPACK_IMPORTED_MODULE_2__["default"].setIsFetchFailed(true);
            _ui_views_DisplayController__WEBPACK_IMPORTED_MODULE_2__["default"].drawSnippets({});
        }
        await (0,_utils_sleep__WEBPACK_IMPORTED_MODULE_3__.sleep)(15000);
        streamOpen = false;
        _checkVersionAndConnection__WEBPACK_IMPORTED_MODULE_4__["default"].run().then(() => {
            streamIdentifiers();
        });
    };
    // update the ui when socket is established
    identifierWs.onopen = () => {
        (0,_api_wrapper__WEBPACK_IMPORTED_MODULE_5__.loadConnect)()
            .then(async () => {
            await _analytics_SentryTracking__WEBPACK_IMPORTED_MODULE_6__.SentryTracking.update();
        })
            .catch(() => {
            // do nothing
        });
        if (_ui_views_DisplayController__WEBPACK_IMPORTED_MODULE_2__["default"].isFetchFailed) {
            _ui_views_DisplayController__WEBPACK_IMPORTED_MODULE_2__["default"].setIsFetchFailed(false);
            _ui_views_DisplayController__WEBPACK_IMPORTED_MODULE_2__["default"].drawSnippets({});
        }
        _database_PiecesDatabase__WEBPACK_IMPORTED_MODULE_7__["default"].clearStaleIds();
    };
    identifierWs.onmessage = async (event) => {
        const cache = _cache_pieces_cache__WEBPACK_IMPORTED_MODULE_8__["default"].getInstance();
        const assets = JSON.parse(event.data);
        for (let i = 0; i < assets.iterable.length; i++) {
            if (assets.iterable[i].deleted) {
                const snippetEl = document.getElementById(`snippet-el-${assets.iterable[i].asset.id}`);
                snippetEl === null || snippetEl === void 0 ? void 0 : snippetEl.remove();
                // remove from cache
                delete cache.mappedAssets[assets.iterable[i].asset.id];
                const indx = cache.assets.findIndex((e) => e.id === assets.iterable[i].asset.id);
                if (indx >= 0) {
                    // <-- this check is somewhat redundant but why not be safe
                    cache.assets = [
                        ...cache.assets.slice(0, indx),
                        ...cache.assets.slice(indx + 1),
                    ];
                    _database_PiecesDatabase__WEBPACK_IMPORTED_MODULE_7__["default"].writeDB();
                    if (!cache.assets.length) {
                        if (_ui_render_renderSearchBox__WEBPACK_IMPORTED_MODULE_9__.defaultSortingView !== _models_SortSnippetsBy__WEBPACK_IMPORTED_MODULE_10__.SortSnippetsBy.Discover) {
                            (0,_ui_render_renderSearchBox__WEBPACK_IMPORTED_MODULE_9__.setDefaultSortingView)(_models_SortSnippetsBy__WEBPACK_IMPORTED_MODULE_10__.SortSnippetsBy.Recent);
                        }
                        _ui_views_DisplayController__WEBPACK_IMPORTED_MODULE_2__["default"].drawSnippets({});
                    }
                    else if (_ui_render_renderSearchBox__WEBPACK_IMPORTED_MODULE_9__.defaultSortingView === _models_SortSnippetsBy__WEBPACK_IMPORTED_MODULE_10__.SortSnippetsBy.Language) {
                        langReset();
                    }
                }
                continue;
            }
            fetchQueue.push(assets.iterable[i].asset.id);
        }
    };
};
const closeStreams = async () => {
    streamClosed = true;
    identifierWs === null || identifierWs === void 0 ? void 0 : identifierWs.close();
};
/*
    Forewarning: somewhat complex
    This receives assets from the fetch queue and updates the dom accordingly
    first make sure to remove the loading / 0 snippet divs
    then update snippet list element(s)
*/
const renderFetched = async ({ assets }) => {
    const cache = _cache_pieces_cache__WEBPACK_IMPORTED_MODULE_8__["default"].getInstance();
    const loadingDivs = document.querySelectorAll('.loading-div');
    if (_ui_render_renderSearchBox__WEBPACK_IMPORTED_MODULE_9__.defaultSortingView !== _models_SortSnippetsBy__WEBPACK_IMPORTED_MODULE_10__.SortSnippetsBy.Discover) {
        loadingDivs === null || loadingDivs === void 0 ? void 0 : loadingDivs.forEach((loadingDiv) => {
            loadingDiv.remove();
        });
    }
    const emptyDivs = document.querySelectorAll('.pieces-empty-state');
    emptyDivs === null || emptyDivs === void 0 ? void 0 : emptyDivs.forEach((div) => {
        div.remove();
    });
    const newDivs = document.querySelectorAll('.new-div');
    newDivs === null || newDivs === void 0 ? void 0 : newDivs.forEach((newDiv) => {
        newDiv.remove();
    });
    if (newDivs.length || loadingDivs.length) {
        const onlyDiv = document.querySelectorAll('.only-snippet');
        onlyDiv === null || onlyDiv === void 0 ? void 0 : onlyDiv.forEach((el) => {
            el.remove();
        });
        // commenting this out because i think it's causing more issues than it solves.
        //await triggerUIRedraw(false, undefined, undefined, false);
    }
    const sortedAssets = cache.assets.sort((a, b) => b.created.getTime() - a.created.getTime());
    const config = _connector_singleton__WEBPACK_IMPORTED_MODULE_1__["default"].getInstance();
    assets.iterable.forEach(async (element) => {
        var _a, _b, _c, _d, _e, _f;
        const cachedAsset = cache.mappedAssets[element.id];
        let processed = (0,_api_wrapper__WEBPACK_IMPORTED_MODULE_5__.processAsset)({ asset: element });
        const annotationsReqs = Object.keys((_b = (_a = element.annotations) === null || _a === void 0 ? void 0 : _a.indices) !== null && _b !== void 0 ? _b : {})
            .filter((key) => { var _a, _b; return ((_b = (_a = element.annotations) === null || _a === void 0 ? void 0 : _a.indices) !== null && _b !== void 0 ? _b : {})[key] !== -1; })
            .map((annotation) => config.annotationApi.annotationSpecificAnnotationSnapshot({
            annotation,
        }));
        const annotations = await Promise.all(annotationsReqs).catch((e) => {
            console.error(e);
            return [];
        });
        //new asset
        if (!cachedAsset) {
            cache.storeAnnotations(annotations, element.id);
            cache.prependAsset({ asset: element });
            const processed = (0,_api_wrapper__WEBPACK_IMPORTED_MODULE_5__.processAsset)({ asset: element });
            // Need to update the Map
            const newMap = cache.snippetMap.get(processed.language);
            // If the language map does not exist, create it
            if (!newMap) {
                cache.snippetMap.set(processed.language, [processed.id]);
            }
            else {
                newMap.unshift(processed.id);
                cache.snippetMap.set(processed.language, newMap);
            }
            // Map is updated, now update the UI
            if (_ui_render_renderSearchBox__WEBPACK_IMPORTED_MODULE_9__.defaultSortingView === _models_SortSnippetsBy__WEBPACK_IMPORTED_MODULE_10__.SortSnippetsBy.Recent) {
                const parentEl = document.getElementById('pieces-snippet-container');
                const newIndex = sortedAssets.findIndex((asset) => asset.created.getTime() < processed.created.getTime());
                // Create the new element
                const newElement = (0,_ui_views_renderListView__WEBPACK_IMPORTED_MODULE_11__.constructSnippet)({ snippetData: processed });
                // Insert the new element at the proper index
                if (newIndex === -1) {
                    // If newIndex is -1, it means the new element should be the oldest, so append it.
                    parentEl.appendChild(newElement);
                }
                else {
                    // Insert the new element before the element at the newIndex.
                    parentEl.insertBefore(newElement, parentEl.children[newIndex - 1]);
                }
            }
            else if (_ui_render_renderSearchBox__WEBPACK_IMPORTED_MODULE_9__.defaultSortingView === _models_SortSnippetsBy__WEBPACK_IMPORTED_MODULE_10__.SortSnippetsBy.Language) {
                if (!cache.assets.length) {
                    (0,_ui_render_renderSearchBox__WEBPACK_IMPORTED_MODULE_9__.setDefaultSortingView)(_models_SortSnippetsBy__WEBPACK_IMPORTED_MODULE_10__.SortSnippetsBy.Recent);
                    _ui_views_DisplayController__WEBPACK_IMPORTED_MODULE_2__["default"].drawSnippets({});
                }
                else if (_ui_render_renderSearchBox__WEBPACK_IMPORTED_MODULE_9__.defaultSortingView === _models_SortSnippetsBy__WEBPACK_IMPORTED_MODULE_10__.SortSnippetsBy.Language) {
                    langReset();
                }
            }
        }
        //updated asset
        else if (!_utils_annotationHandler__WEBPACK_IMPORTED_MODULE_12__["default"].getInstance().annotationsAreEqual(cachedAsset.annotations, annotations) ||
            processed.raw === cachedAsset.raw ||
            processed.title === cachedAsset.title ||
            processed.language === cachedAsset.language ||
            processed.share === cachedAsset.share) {
            cache.storeAnnotations(annotations, element.id);
            processed = (0,_api_wrapper__WEBPACK_IMPORTED_MODULE_5__.processAsset)({ asset: element });
            if (processed.language !== cachedAsset.language) {
                // Need to remove the old asset from the map
                const oldMapKeyValues = cache.snippetMap.get(cachedAsset.language);
                oldMapKeyValues === null || oldMapKeyValues === void 0 ? void 0 : oldMapKeyValues.forEach((value, i) => {
                    if (value === processed.id) {
                        oldMapKeyValues.splice(i, 1);
                        if (oldMapKeyValues.length === 0) {
                            cache.snippetMap.delete(cachedAsset.language);
                        }
                        else {
                            cache.snippetMap.set(cachedAsset.language, oldMapKeyValues);
                        }
                    }
                });
                const newMapkeyValues = cache.snippetMap.get(processed.language) || [];
                newMapkeyValues.unshift(processed.id);
                cache.snippetMap.set(processed.language, newMapkeyValues);
            }
            // Map is updated, now update the UI
            cache.updateAsset({ asset: element });
            let snippetEl;
            if (_ui_render_renderSearchBox__WEBPACK_IMPORTED_MODULE_9__.defaultSortingView === _models_SortSnippetsBy__WEBPACK_IMPORTED_MODULE_10__.SortSnippetsBy.Recent) {
                snippetEl = document.getElementById(`snippet-el-${element.id}`);
                const opened = (_d = (_c = snippetEl === null || snippetEl === void 0 ? void 0 : snippetEl.children[0].lastChild) === null || _c === void 0 ? void 0 : _c.firstChild) === null || _d === void 0 ? void 0 : _d.checked;
                snippetEl === null || snippetEl === void 0 ? void 0 : snippetEl.replaceWith((0,_ui_views_renderListView__WEBPACK_IMPORTED_MODULE_11__.constructSnippet)({
                    snippetData: processed,
                    isPreview: false,
                    opened: opened,
                }));
            }
            else if (_ui_render_renderSearchBox__WEBPACK_IMPORTED_MODULE_9__.defaultSortingView === _models_SortSnippetsBy__WEBPACK_IMPORTED_MODULE_10__.SortSnippetsBy.Language) {
                if (processed.language === cachedAsset.language) {
                    snippetEl = document.getElementById(`snippet-el-${element.id}`);
                }
                else {
                    langReset();
                    return;
                }
            }
            if (!snippetEl)
                return; // we are in a view that does not require rendering.
            const opened = (_f = (_e = snippetEl === null || snippetEl === void 0 ? void 0 : snippetEl.children[0].lastChild) === null || _e === void 0 ? void 0 : _e.firstChild) === null || _f === void 0 ? void 0 : _f.checked;
            snippetEl === null || snippetEl === void 0 ? void 0 : snippetEl.replaceWith((0,_ui_views_renderListView__WEBPACK_IMPORTED_MODULE_11__.constructSnippet)({
                snippetData: processed,
                isPreview: false,
                opened: opened,
            }));
        }
    });
    _database_PiecesDatabase__WEBPACK_IMPORTED_MODULE_7__["default"].writeDB();
};
const langReset = async () => {
    const openLangs = [];
    // Get all open language views
    const langContainers = Array.from(document.querySelectorAll('.language-button-input'));
    langContainers.forEach((langContainer) => {
        if (langContainer.checked) {
            openLangs.push(langContainer.id);
        }
    });
    await _ui_views_DisplayController__WEBPACK_IMPORTED_MODULE_2__["default"].drawSnippets({});
    openLangs.forEach((langId) => {
        try {
            const snippetContentParent = document.getElementById(langId);
            // there should only be a single parent element found
            snippetContentParent.checked = true;
            const clickEvent = new Event('change');
            snippetContentParent === null || snippetContentParent === void 0 ? void 0 : snippetContentParent.dispatchEvent(clickEvent);
        }
        catch (e) {
            // do nothing
        }
    });
};


/***/ }),

/***/ "./lib/connection/version_check.js":
/*!*****************************************!*\
  !*** ./lib/connection/version_check.js ***!
  \*****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   currentMaxVersion: () => (/* binding */ currentMaxVersion),
/* harmony export */   currentMinVersion: () => (/* binding */ currentMinVersion),
/* harmony export */   "default": () => (/* binding */ versionCheck),
/* harmony export */   versionChecker: () => (/* binding */ versionChecker),
/* harmony export */   versionValid: () => (/* binding */ versionValid)
/* harmony export */ });
/* harmony import */ var _notification_handler__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./notification_handler */ "./lib/connection/notification_handler.js");
/* harmony import */ var _connector_singleton__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./connector_singleton */ "./lib/connection/connector_singleton.js");
/* harmony import */ var _const__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../const */ "./lib/const.js");
/* harmony import */ var _actions_launch_runtime__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../actions/launch_runtime */ "./lib/actions/launch_runtime.js");
/* harmony import */ var semver__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! semver */ "webpack/sharing/consume/default/semver/semver?6436");
/* harmony import */ var semver__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(semver__WEBPACK_IMPORTED_MODULE_0__);





const notifications = _notification_handler__WEBPACK_IMPORTED_MODULE_1__["default"].getInstance();
const config = _connector_singleton__WEBPACK_IMPORTED_MODULE_2__["default"].getInstance();
const currentMinVersion = '8.0.0';
const currentMaxVersion = '9.0.0';
let versionValid = true;
/*
    Returns promise<true> if the user has a supported version of POS for this plugin
    otherwise... promise<false>
*/
async function versionCheck({ retry, minVersion, notify = false, }) {
    try {
        if (versionValid) {
            return versionValid;
        }
        const osVersion = await config.wellKnownApi.getWellKnownVersion();
        console.log('Pieces for Developers:  Pieces OS Version: ', osVersion);
        if (osVersion.includes('staging') || osVersion.includes('debug')) {
            versionValid = true;
            return true;
        }
        versionValid =
            (0,semver__WEBPACK_IMPORTED_MODULE_0__.gte)(osVersion, minVersion !== null && minVersion !== void 0 ? minVersion : currentMinVersion) &&
                (0,semver__WEBPACK_IMPORTED_MODULE_0__.lt)(osVersion, currentMaxVersion);
        if (!versionValid && notify) {
            notifications.error({ message: _const__WEBPACK_IMPORTED_MODULE_3__["default"].UPDATE_OS });
        }
        return versionValid;
    }
    catch (error) {
        if (retry) {
            console.log('retrying');
            return false;
        }
        if (error.code === 'ECONNREFUSED') {
            await (0,_actions_launch_runtime__WEBPACK_IMPORTED_MODULE_4__.launchRuntime)(true);
        }
        return await versionCheck({ retry: true });
    }
}
/*
  The above function has a very bad side effect so I'm going to implement
  this with a TODO to refactor the versionValid variable in this file...
   - caleb
*/
async function versionChecker({ retry, minVersion, }) {
    try {
        const osVersion = await config.wellKnownApi.getWellKnownVersion();
        if (osVersion.includes('staging') || osVersion.includes('debug')) {
            return true;
        }
        return ((0,semver__WEBPACK_IMPORTED_MODULE_0__.gte)(osVersion, minVersion !== null && minVersion !== void 0 ? minVersion : currentMinVersion) &&
            (0,semver__WEBPACK_IMPORTED_MODULE_0__.lt)(osVersion, currentMaxVersion));
    }
    catch (error) {
        if (retry) {
            console.log('retrying');
            return false;
        }
        if (error.code === 'ECONNREFUSED') {
            await (0,_actions_launch_runtime__WEBPACK_IMPORTED_MODULE_4__.launchRuntime)(true);
        }
        return await versionCheck({ retry: true });
    }
}


/***/ }),

/***/ "./lib/const.js":
/*!**********************!*\
  !*** ./lib/const.js ***!
  \**********************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _analytics_AnalyticsEnum__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./analytics/AnalyticsEnum */ "./lib/analytics/AnalyticsEnum.js");
/* provided dependency */ var process = __webpack_require__(/*! process/browser */ "./node_modules/process/browser.js");

class Constants {
}
Constants.PLUGIN_VERSION = '1.13.0';
Constants.PIECES_USER_ID = '';
Constants.PIECES_CURRENT_VIEW = _analytics_AnalyticsEnum__WEBPACK_IMPORTED_MODULE_0__.AnalyticsEnum.JUPYTER_VIEW_SNIPPET_LIST;
Constants.PIECES_LOGO = `<svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="20" height="20" viewBox="0 0 100 100" fill="currentColor" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"><path d="M 41 1.601562 C 30.199219 4.601562 21.101562 12.101562 16.199219 22 L 13.5 27.5 L 13.199219 54.699219 L 12.898438 82 L 15.699219 87.199219 C 25.5 105.101562 51.101562 102.800781 57.300781 83.300781 C 58.199219 80.699219 59 77.398438 59.199219 76.101562 C 59.398438 74.398438 60.601562 73.300781 63.699219 72.101562 C 77.898438 66.601562 87 53.101562 87 37.5 C 87 28.699219 84.898438 22.398438 79.601562 15.199219 C 71.199219 3.699219 54.601562 -2.199219 41 1.601562 Z M 62.699219 11.800781 C 83.199219 22.300781 84.101562 51.5 64.199219 62.300781 L 59.199219 65 L 58.800781 52.5 C 58.398438 39 57.699219 37.101562 51.699219 32.601562 C 48 29.898438 40.199219 30 36.199219 32.898438 C 31.300781 36.300781 29.699219 41.101562 30.199219 50.398438 C 30.898438 62.898438 35.5 69.898438 45.601562 73.300781 C 48.800781 74.398438 49.5 75.199219 49.800781 77.601562 C 50.101562 81.300781 47 86.398438 42.800781 89.101562 C 40.300781 90.601562 38.300781 91 34.898438 90.699219 C 29.398438 90.199219 25.898438 87.898438 23 82.699219 C 20.898438 79 20.800781 78 21.199219 54.699219 C 21.5 31.699219 21.601562 30.300781 23.800781 25.800781 C 26.699219 20 34.601562 12.699219 40.300781 10.601562 C 46.199219 8.398438 57.199219 9 62.699219 11.800781 Z M 49 40.898438 C 50.101562 43.101562 50.398438 66 49.300781 66 C 47.5 66 42 61.898438 40.398438 59.5 C 38.199219 56.199219 37.800781 43.101562 39.898438 40.699219 C 41.800781 38.300781 47.699219 38.5 49 40.898438 Z M 49 40.898438 "/></svg>`;
Constants.PIECES_LOGO_ALT = 'M 8.199219 0.320312 C 6.039062 0.921875 4.21875 2.421875 3.238281 4.398438 L 2.699219 5.5 L 2.640625 10.941406 L 2.578125 16.398438 L 3.140625 17.441406 C 5.101562 21.019531 10.21875 20.558594 11.460938 16.660156 C 11.640625 16.140625 11.800781 15.480469 11.839844 15.21875 C 11.878906 14.878906 12.121094 14.660156 12.738281 14.421875 C 15.578125 13.320312 17.398438 10.621094 17.398438 7.5 C 17.398438 5.738281 16.980469 4.480469 15.921875 3.039062 C 14.238281 0.738281 10.921875 -0.441406 8.199219 0.320312 Z M 12.539062 2.359375 C 16.640625 4.460938 16.820312 10.300781 12.839844 12.460938 L 11.839844 13 L 11.761719 10.5 C 11.679688 7.800781 11.539062 7.421875 10.339844 6.519531 C 9.601562 5.980469 8.039062 6 7.238281 6.578125 C 6.261719 7.261719 5.941406 8.21875 6.039062 10.078125 C 6.179688 12.578125 7.101562 13.980469 9.121094 14.660156 C 9.761719 14.878906 9.898438 15.039062 9.960938 15.519531 C 10.019531 16.261719 9.398438 17.28125 8.558594 17.820312 C 8.058594 18.121094 7.660156 18.199219 6.980469 18.140625 C 5.878906 18.039062 5.179688 17.578125 4.601562 16.539062 C 4.179688 15.800781 4.160156 15.601562 4.238281 10.941406 C 4.300781 6.339844 4.320312 6.058594 4.761719 5.160156 C 5.339844 4 6.921875 2.539062 8.058594 2.121094 C 9.238281 1.679688 11.441406 1.800781 12.539062 2.359375 Z M 9.800781 8.179688 C 10.019531 8.621094 10.078125 13.199219 9.859375 13.199219 C 9.5 13.199219 8.398438 12.378906 8.078125 11.898438 C 7.640625 11.238281 7.558594 8.621094 7.980469 8.140625 C 8.359375 7.660156 9.539062 7.699219 9.800781 8.179688 Z M 9.800781 8.179688';
Constants.REFRESH_SVG = `<svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round" class="lucide lucide-refresh-cw"><path d="M3 12a9 9 0 0 1 9-9 9.75 9.75 0 0 1 6.74 2.74L21 8"/><path d="M21 3v5h-5"/><path d="M21 12a9 9 0 0 1-9 9 9.75 9.75 0 0 1-6.74-2.74L3 16"/><path d="M8 16H3v5"/></svg>`;
Constants.CANCEL_SVG = `<svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round" class="lucide lucide-x"><path d="M18 6 6 18"/><path d="m6 6 12 12"/></svg>`;
Constants.COPY_SVG = `<svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round" class="lucide lucide-copy"><rect width="14" height="14" x="8" y="8" rx="2" ry="2"/><path d="M4 16c-1.1 0-2-.9-2-2V4c0-1.1.9-2 2-2h10c1.1 0 2 .9 2 2"/></svg>`;
Constants.SHARE_SVG = `<svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round" class="lucide lucide-share-2"><circle cx="18" cy="5" r="3"/><circle cx="6" cy="12" r="3"/><circle cx="18" cy="19" r="3"/><line x1="8.59" x2="15.42" y1="13.51" y2="17.49"/><line x1="15.41" x2="8.59" y1="6.51" y2="10.49"/></svg>`;
Constants.DELETE_SVG = `<svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round" class="lucide lucide-trash-2"><path d="M3 6h18"/><path d="M19 6v14c0 1-1 2-2 2H7c-1 0-2-1-2-2V6"/><path d="M8 6V4c0-1 1-2 2-2h4c1 0 2 1 2 2v2"/><line x1="10" x2="10" y1="11" y2="17"/><line x1="14" x2="14" y1="11" y2="17"/></svg>`;
Constants.EDIT_SVG = `<svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round" class="lucide lucide-edit-3"><path d="M12 20h9"/><path d="M16.5 3.5a2.121 2.121 0 0 1 3 3L7 19l-4 1 1-4L16.5 3.5z"/></svg>`;
Constants.EXPAND_SVG = `<svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round" class="lucide lucide-expand"><path d="m21 21-6-6m6 6v-4.8m0 4.8h-4.8"/><path d="M3 16.2V21m0 0h4.8M3 21l6-6"/><path d="M21 7.8V3m0 0h-4.8M21 3l-6 6"/><path d="M3 7.8V3m0 0h4.8M3 3l6 6"/></svg>`;
Constants.SAVE_SVG = `<svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round" class="lucide lucide-save-all"><path d="M6 4a2 2 0 0 1 2-2h10l4 4v10.2a2 2 0 0 1-2 1.8H8a2 2 0 0 1-2-2Z"/><path d="M10 2v4h6"/><path d="M18 18v-7h-8v7"/><path d="M18 22H4a2 2 0 0 1-2-2V6"/></svg>`;
Constants.SAVE_ALL_SVG = `<svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round" class="lucide lucide-save-all"><path d="M6 4a2 2 0 0 1 2-2h10l4 4v10.2a2 2 0 0 1-2 1.8H8a2 2 0 0 1-2-2Z"/><path d="M10 2v4h6"/><path d="M18 18v-7h-8v7"/><path d="M18 22H4a2 2 0 0 1-2-2V6"/></svg>`;
Constants.CODE_SVG = `<svg xmlns="http://www.w3.org/2000/svg" width="100" height="100" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2.0" stroke-linecap="round" stroke-linejoin="round" class="lucide lucide-braces"><path d="M8 3H7a2 2 0 0 0-2 2v5a2 2 0 0 1-2 2 2 2 0 0 1 2 2v5c0 1.1.9 2 2 2h1"/><path d="M16 21h1a2 2 0 0 0 2-2v-5c0-1.1.9-2 2-2a2 2 0 0 1-2-2V5a2 2 0 0 0-2-2h-1"/></svg>`;
Constants.AI_SVG = `<svg width="90" height="100" viewBox="0 0 24 24" fill="currentColor" xmlns="http://www.w3.org/2000/svg">
    <path d="M11.452 12.4675C11.4704 12.0122 11.2159 11.6322 10.8836 11.6188C10.5514 11.6054 10.2671 11.9636 10.2487 12.419C10.2304 12.8743 10.4848 13.2543 10.8171 13.2677C11.1493 13.2811 11.4336 12.9229 11.452 12.4675Z" fill="currentColor"/>
    <path d="M14.7595 10.9541C14.7779 10.4988 14.5234 10.1188 14.1911 10.1054C13.8589 10.092 13.5746 10.4502 13.5562 10.9055C13.5379 11.3609 13.7923 11.7409 14.1246 11.7543C14.4568 11.7677 14.7411 11.4094 14.7595 10.9541Z" fill="currentColor"/>
    <path d="M16.6069 5.5297C16.6069 5.5297 16.5846 5.5297 16.5846 5.5074L11.0319 2.69758C10.6305 2.49688 10.1176 2.51918 9.76079 2.80908C9.56008 2.96518 9.35938 3.09898 9.11408 3.16588C9.35938 4.61539 9.69389 6.46631 9.78309 6.82311C9.82769 7.02381 9.84999 7.22451 9.84999 7.44751C9.84999 8.47332 9.24788 9.12003 8.48968 9.12003C7.73147 9.12003 7.12936 8.45102 7.12936 7.44751C7.12936 7.22451 7.15167 7.00151 7.21857 6.82311C7.30777 6.51091 7.61997 4.66 7.88757 3.18818C7.66457 3.09898 7.44157 2.98748 7.24087 2.83138C6.88406 2.54148 6.39346 2.49688 5.96976 2.71988L0.417017 5.5297C0.417017 5.5297 0.394716 5.5297 0.394716 5.552C0.238614 5.6412 0.149414 5.7973 0.149414 5.9534V13.201C0.149414 13.3794 0.238614 13.5355 0.394716 13.6247L8.26667 17.9955C8.28897 18.0178 8.31128 18.0178 8.33358 18.0178C8.35588 18.0178 8.35588 18.0401 8.37818 18.0401C8.42278 18.0401 8.46738 18.0624 8.48968 18.0624C8.53428 18.0624 8.57888 18.0624 8.60118 18.0401C8.62348 18.0401 8.62348 18.0401 8.64578 18.0178C8.66808 18.0178 8.69038 17.9955 8.71268 17.9955L16.5846 13.6247C16.7407 13.5355 16.8299 13.3794 16.8299 13.201V5.9534C16.8522 5.775 16.763 5.6189 16.6069 5.5297ZM1.10832 6.75621L8.02137 10.5918V16.7467L1.10832 12.9111V6.75621ZM15.8933 12.9111L8.98028 16.7467V10.5918L15.8933 6.75621V12.9111Z" fill="currentColor"/>
    <path d="M8.48997 2.27462C9.11809 2.27462 9.62728 1.76543 9.62728 1.13731C9.62728 0.50919 9.11809 0 8.48997 0C7.86185 0 7.35266 0.50919 7.35266 1.13731C7.35266 1.76543 7.86185 2.27462 8.48997 2.27462Z" fill="currentColor"/>
    <path d="M15.5803 0.578369H8.82335H8.44425H1.4197C-1.03332 0.578369 -0.00751388 2.56308 2.2225 2.56308C4.56402 2.56308 5.50063 1.55958 7.35154 1.60418C7.84214 1.60418 8.31045 1.60418 8.60035 1.60418C8.80105 1.60418 9.15785 1.60418 9.64846 1.60418C11.5217 1.55958 12.4583 2.56308 14.7775 2.56308C17.0075 2.56308 18.0333 0.578369 15.5803 0.578369Z" fill="currentColor"/>
    </svg>`;
Constants.SEND_SVG = `<svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="lucide lucide-send-horizontal"><path d="m3 3 3 9-3 9 19-9Z"/><path d="M6 12h16"/></svg>`;
Constants.USER_SVG = `<svg xmlns="http://www.w3.org/2000/svg" width="100" height="100" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round" class="lucide lucide-user-circle-2"><path d="M18 20a6 6 0 0 0-12 0"/><circle cx="12" cy="10" r="4"/><circle cx="12" cy="12" r="10"/></svg>`;
Constants.OPEN_ICON = '<svg xmlns="http://www.w3.org/2000/svg" width="100" height="100" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="lucide lucide-panel-right-open"><rect width="18" height="18" x="3" y="3" rx="2" ry="2"/><line x1="15" x2="15" y1="3" y2="21"/><path d="m10 15-3-3 3-3"/></svg>';
Constants.STAR_ICON = `<svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="lucide lucide-star"><polygon points="12 2 15.09 8.26 22 9.27 17 14.14 18.18 21.02 12 17.77 5.82 21.02 7 14.14 2 9.27 8.91 8.26 12 2"/></svg>`;
Constants.STICKY_NOTE_ICON = `<svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="lucide lucide-sticky-note"><path d="M15.5 3H5a2 2 0 0 0-2 2v14c0 1.1.9 2 2 2h14a2 2 0 0 0 2-2V8.5L15.5 3Z"/><path d="M15 3v6h6"/></svg>`;
Constants.COPILOT_BLACK = `<svg height="48px" viewBox="0 0 1784 643" fill="none" xmlns="http://www.w3.org/2000/svg">
    <path d="M321.407 133.742C255.032 133.742 199.425 183.363 191.256 248.467L191.07 250.425V250.798V251.172C190.606 254.063 190.42 256.954 190.328 259.939V443.031C190.328 479.221 219.198 508.695 255.125 509.254H256.331C292.35 509.254 321.685 480.247 322.242 444.151V434.357C270.627 429.6 230.988 386.509 230.153 334.463V295.382C230.802 259.193 260.509 230.279 296.528 230.838C331.711 231.398 360.118 259.939 360.768 295.382V390.146C414.425 373.357 452.672 323.271 452.672 264.882C452.579 192.504 393.816 133.742 321.407 133.742Z" fill="currentColor"/>
    <path d="M296.179 270.062H295.735C281.876 270.062 270.504 281.165 270.059 295.134V330.862C270.059 360.68 291.471 386.11 320.7 390.856L321.499 390.946V295.94C321.499 281.792 310.216 270.33 296.179 270.062Z" fill="currentColor"/>
    <path d="M321.5 0C143.936 0 0 143.936 0 321.5C0 499.064 143.936 643 321.5 643C499.064 643 643 499.064 643 321.5C643 143.936 499.064 0 321.5 0ZM363.35 428.482L361.133 429.036L360.579 429.129V441.785C360.579 497.863 316.142 543.778 260.064 545.626H258.401H256.646C199.921 545.626 153.729 500.173 152.805 443.541V441.785V261.45C152.805 256.738 153.082 252.119 153.729 247.407L153.821 246.576L154.098 244.451C164.353 162.505 233.365 99.8682 316.511 97.3738L319.006 97.2815H321.592C414.809 97.2815 490.38 172.575 490.38 265.515C490.287 343.395 436.889 409.82 363.35 428.482Z" fill="currentColor"/>
    <path d="M1585.97 443.811C1586.62 427.602 1577.56 414.074 1565.73 413.597C1553.9 413.119 1543.79 425.872 1543.13 442.082C1542.48 458.291 1551.53 471.818 1563.36 472.296C1575.19 472.773 1585.31 460.02 1585.97 443.811Z" fill="currentColor"/>
    <path d="M1703.74 389.948C1704.4 373.739 1695.34 360.211 1683.51 359.734C1671.68 359.256 1661.56 372.009 1660.91 388.218C1660.25 404.428 1669.31 417.955 1681.14 418.433C1692.97 418.91 1703.09 406.157 1703.74 389.948Z" fill="currentColor"/>
    <path d="M1769.51 196.847C1769.51 196.847 1768.72 196.847 1768.72 196.053L1571.04 96.0268C1556.75 88.8821 1538.5 89.6759 1525.79 99.9962C1518.65 105.553 1511.5 110.316 1502.77 112.698C1511.5 164.299 1523.41 230.19 1526.59 242.891C1528.18 250.036 1528.97 257.181 1528.97 265.119C1528.97 301.637 1507.53 324.659 1480.54 324.659C1453.55 324.659 1432.12 300.843 1432.12 265.119C1432.12 257.181 1432.91 249.242 1435.29 242.891C1438.47 231.777 1449.58 165.887 1459.11 113.492C1451.17 110.316 1443.23 106.347 1436.09 100.79C1423.39 90.4698 1405.92 88.8821 1390.84 96.8207L1193.17 196.847C1193.17 196.847 1192.37 196.847 1192.37 197.641C1186.81 200.817 1183.64 206.374 1183.64 211.931V469.936C1183.64 476.287 1186.81 481.844 1192.37 485.019L1472.6 640.616C1473.4 641.41 1474.19 641.41 1474.99 641.41C1475.78 641.41 1475.78 642.204 1476.57 642.204C1478.16 642.204 1479.75 642.998 1480.54 642.998C1482.13 642.998 1483.72 642.998 1484.51 642.204C1485.31 642.204 1485.31 642.204 1486.1 641.41C1486.89 641.41 1487.69 640.616 1488.48 640.616L1768.72 485.019C1774.27 481.844 1777.45 476.287 1777.45 469.936V211.931C1778.24 205.58 1775.07 200.023 1769.51 196.847ZM1217.78 240.51L1463.87 377.054V596.16L1217.78 459.616V240.51ZM1744.11 459.616L1498.01 596.16V377.054L1744.11 240.51V459.616Z" fill="currentColor"/>
    <path d="M1480.52 80.9739C1502.88 80.9739 1521.01 62.8473 1521.01 40.487C1521.01 18.1266 1502.88 0 1480.52 0C1458.16 0 1440.03 18.1266 1440.03 40.487C1440.03 62.8473 1458.16 80.9739 1480.52 80.9739Z" fill="currentColor"/>
    <path d="M1732.96 20.634H1492.42H1478.93H1228.86C1141.54 20.634 1178.05 91.2878 1257.44 91.2878C1340.79 91.2878 1374.14 55.5639 1440.03 57.1517C1457.49 57.1517 1474.16 57.1517 1484.48 57.1517C1491.63 57.1517 1504.33 57.1517 1521.8 57.1517C1588.48 55.5639 1621.82 91.2878 1704.38 91.2878C1783.77 91.2878 1820.29 20.634 1732.96 20.634Z" fill="currentColor"/>
    <path fill-rule="evenodd" clip-rule="evenodd" d="M854.029 259.703C858.681 255.05 866.225 255.05 870.878 259.703L974.052 362.877C978.704 367.529 978.704 375.073 974.052 379.726C969.399 384.378 961.855 384.378 957.203 379.726L854.029 276.552C849.376 271.899 849.376 264.355 854.029 259.703Z" fill="currentColor"/>
    <path fill-rule="evenodd" clip-rule="evenodd" d="M852.616 378.839C847.963 374.187 847.963 366.643 852.616 361.99L955.79 258.816C960.443 254.164 967.986 254.164 972.639 258.816C977.292 263.469 977.292 271.013 972.639 275.665L869.465 378.839C864.812 383.492 857.269 383.492 852.616 378.839Z" fill="currentColor"/>
    </svg>`;
Constants.COPILOT_WHITE = `<svg width="1784" height="643" viewBox="0 0 1784 643" fill="none" xmlns="http://www.w3.org/2000/svg">
    <path d="M321.407 133.742C255.032 133.742 199.425 183.363 191.256 248.466L191.07 250.425V250.798V251.171C190.606 254.063 190.42 256.954 190.328 259.939V443.031C190.328 479.221 219.198 508.695 255.125 509.254H256.331C292.35 509.254 321.685 480.247 322.242 444.151V434.357C270.627 429.6 230.988 386.509 230.153 334.463V295.382C230.802 259.193 260.509 230.278 296.528 230.838C331.711 231.398 360.118 259.939 360.768 295.382V390.146C414.425 373.357 452.672 323.27 452.672 264.882C452.579 192.503 393.816 133.742 321.407 133.742Z" fill="#181818"/>
    <path d="M296.179 270.062H295.735C281.876 270.062 270.504 281.165 270.059 295.134V330.862C270.059 360.68 291.471 386.11 320.7 390.856L321.499 390.946V295.94C321.499 281.792 310.216 270.33 296.179 270.062Z" fill="#181818"/>
    <path d="M321.5 0C143.936 0 0 143.936 0 321.5C0 499.064 143.936 643 321.5 643C499.064 643 643 499.064 643 321.5C643 143.936 499.064 0 321.5 0ZM363.35 428.482L361.133 429.036L360.579 429.129V441.785C360.579 497.863 316.142 543.778 260.064 545.626H258.401H256.646C199.921 545.626 153.729 500.173 152.805 443.541V441.785V261.45C152.805 256.738 153.082 252.119 153.729 247.407L153.821 246.576L154.098 244.451C164.353 162.505 233.365 99.8682 316.511 97.3738L319.006 97.2815H321.592C414.809 97.2815 490.38 172.575 490.38 265.515C490.287 343.395 436.889 409.82 363.35 428.482Z" fill="#181818"/>
    <path d="M1585.97 443.811C1586.62 427.602 1577.56 414.074 1565.73 413.597C1553.9 413.119 1543.79 425.872 1543.13 442.082C1542.48 458.291 1551.53 471.818 1563.36 472.296C1575.19 472.773 1585.31 460.02 1585.97 443.811Z" fill="#181818"/>
    <path d="M1703.74 389.948C1704.4 373.739 1695.34 360.211 1683.51 359.734C1671.68 359.256 1661.56 372.009 1660.91 388.218C1660.25 404.428 1669.31 417.955 1681.14 418.433C1692.97 418.91 1703.09 406.157 1703.74 389.948Z" fill="#181818"/>
    <path d="M1769.51 196.847C1769.51 196.847 1768.72 196.847 1768.72 196.053L1571.04 96.0268C1556.75 88.8821 1538.5 89.6759 1525.79 99.9962C1518.65 105.553 1511.5 110.316 1502.77 112.698C1511.5 164.299 1523.41 230.19 1526.59 242.891C1528.18 250.036 1528.97 257.181 1528.97 265.119C1528.97 301.637 1507.53 324.659 1480.54 324.659C1453.55 324.659 1432.12 300.843 1432.12 265.119C1432.12 257.181 1432.91 249.242 1435.29 242.891C1438.47 231.777 1449.58 165.887 1459.11 113.492C1451.17 110.316 1443.23 106.347 1436.09 100.79C1423.39 90.4698 1405.92 88.8821 1390.84 96.8207L1193.17 196.847C1193.17 196.847 1192.37 196.847 1192.37 197.641C1186.81 200.817 1183.64 206.374 1183.64 211.931V469.936C1183.64 476.287 1186.81 481.844 1192.37 485.019L1472.6 640.616C1473.4 641.41 1474.19 641.41 1474.99 641.41C1475.78 641.41 1475.78 642.204 1476.57 642.204C1478.16 642.204 1479.75 642.998 1480.54 642.998C1482.13 642.998 1483.72 642.998 1484.51 642.204C1485.31 642.204 1485.31 642.204 1486.1 641.41C1486.89 641.41 1487.69 640.616 1488.48 640.616L1768.72 485.019C1774.27 481.844 1777.45 476.287 1777.45 469.936V211.931C1778.24 205.58 1775.07 200.023 1769.51 196.847ZM1217.78 240.51L1463.87 377.054V596.16L1217.78 459.616V240.51ZM1744.11 459.616L1498.01 596.16V377.054L1744.11 240.51V459.616Z" fill="#181818"/>
    <path d="M1480.52 80.9739C1502.88 80.9739 1521.01 62.8473 1521.01 40.487C1521.01 18.1266 1502.88 0 1480.52 0C1458.16 0 1440.03 18.1266 1440.03 40.487C1440.03 62.8473 1458.16 80.9739 1480.52 80.9739Z" fill="#181818"/>
    <path d="M1732.96 20.6343H1492.42H1478.93H1228.86C1141.54 20.6343 1178.05 91.288 1257.44 91.288C1340.79 91.288 1374.14 55.5642 1440.03 57.1519C1457.49 57.1519 1474.16 57.1519 1484.48 57.1519C1491.63 57.1519 1504.33 57.1519 1521.8 57.1519C1588.48 55.5642 1621.82 91.288 1704.38 91.288C1783.77 91.288 1820.29 20.6343 1732.96 20.6343Z" fill="#181818"/>
    <path fill-rule="evenodd" clip-rule="evenodd" d="M854.029 259.702C858.681 255.05 866.225 255.05 870.878 259.702L974.052 362.876C978.704 367.529 978.704 375.073 974.052 379.725C969.399 384.378 961.855 384.378 957.203 379.725L854.029 276.551C849.376 271.899 849.376 264.355 854.029 259.702Z" fill="#181818"/>
    <path fill-rule="evenodd" clip-rule="evenodd" d="M852.616 378.84C847.963 374.187 847.963 366.643 852.616 361.991L955.79 258.817C960.443 254.164 967.986 254.164 972.639 258.817C977.292 263.469 977.292 271.013 972.639 275.666L869.465 378.84C864.812 383.492 857.269 383.492 852.616 378.84Z" fill="#181818"/>
    </svg>`;
Constants.ENRICH_ICON = '<svg xmlns="http://www.w3.org/2000/svg" width="100" height="100" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="1.75" stroke-linecap="round" stroke-linejoin="round" class="lucide lucide-sparkles"><path d="m12 3-1.912 5.813a2 2 0 0 1-1.275 1.275L3 12l5.813 1.912a2 2 0 0 1 1.275 1.275L12 21l1.912-5.813a2 2 0 0 1 1.275-1.275L21 12l-5.813-1.912a2 2 0 0 1-1.275-1.275L12 3Z"/><path d="M5 3v4"/><path d="M19 17v4"/><path d="M3 5h4"/><path d="M17 19h4"/></svg>';
Constants.SAVE_ALL_ICON = `<svg xmlns="http://www.w3.org/2000/svg" width="100" height="100" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round" class="lucide lucide-save-all"><path d="M6 4a2 2 0 0 1 2-2h10l4 4v10.2a2 2 0 0 1-2 1.8H8a2 2 0 0 1-2-2Z"/><path d="M10 2v4h6"/><path d="M18 18v-7h-8v7"/><path d="M18 22H4a2 2 0 0 1-2-2V6"/></svg>`;
Constants.PLUS_ICON = `<svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="lucide lucide-plus"><path d="M5 12h14"/><path d="M12 5v14"/></svg>`;
Constants.FILTER_ICON = `<svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="lucide lucide-filter"><polygon points="22 3 2 3 10 12.46 10 19 14 21 14 12.46 22 3"/></svg>`;
Constants.META_SVG = '<svg id="Layer_1" data-name="Layer 1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" viewBox="0 0 287.56 191"><defs><style>.cls-1{fill:#0081fb;}.cls-2{fill:url(#linear-gradient);}.cls-3{fill:url(#linear-gradient-2);}</style><linearGradient id="linear-gradient" x1="62.34" y1="101.45" x2="260.34" y2="91.45" gradientTransform="matrix(1, 0, 0, -1, 0, 192)" gradientUnits="userSpaceOnUse"><stop offset="0" stop-color="#0064e1"/><stop offset="0.4" stop-color="#0064e1"/><stop offset="0.83" stop-color="#0073ee"/><stop offset="1" stop-color="#0082fb"/></linearGradient><linearGradient id="linear-gradient-2" x1="41.42" y1="53" x2="41.42" y2="126" gradientTransform="matrix(1, 0, 0, -1, 0, 192)" gradientUnits="userSpaceOnUse"><stop offset="0" stop-color="#0082fb"/><stop offset="1" stop-color="#0064e0"/></linearGradient></defs><title>facebook-meta</title><path class="cls-1" d="M31.06,126c0,11,2.41,19.41,5.56,24.51A19,19,0,0,0,53.19,160c8.1,0,15.51-2,29.79-21.76,11.44-15.83,24.92-38,34-52l15.36-23.6c10.67-16.39,23-34.61,37.18-47C181.07,5.6,193.54,0,206.09,0c21.07,0,41.14,12.21,56.5,35.11,16.81,25.08,25,56.67,25,89.27,0,19.38-3.82,33.62-10.32,44.87C271,180.13,258.72,191,238.13,191V160c17.63,0,22-16.2,22-34.74,0-26.42-6.16-55.74-19.73-76.69-9.63-14.86-22.11-23.94-35.84-23.94-14.85,0-26.8,11.2-40.23,31.17-7.14,10.61-14.47,23.54-22.7,38.13l-9.06,16c-18.2,32.27-22.81,39.62-31.91,51.75C84.74,183,71.12,191,53.19,191c-21.27,0-34.72-9.21-43-23.09C3.34,156.6,0,141.76,0,124.85Z"/><path class="cls-2" d="M24.49,37.3C38.73,15.35,59.28,0,82.85,0c13.65,0,27.22,4,41.39,15.61,15.5,12.65,32,33.48,52.63,67.81l7.39,12.32c17.84,29.72,28,45,33.93,52.22,7.64,9.26,13,12,19.94,12,17.63,0,22-16.2,22-34.74l27.4-.86c0,19.38-3.82,33.62-10.32,44.87C271,180.13,258.72,191,238.13,191c-12.8,0-24.14-2.78-36.68-14.61-9.64-9.08-20.91-25.21-29.58-39.71L146.08,93.6c-12.94-21.62-24.81-37.74-31.68-45C107,40.71,97.51,31.23,82.35,31.23c-12.27,0-22.69,8.61-31.41,21.78Z"/><path class="cls-3" d="M82.35,31.23c-12.27,0-22.69,8.61-31.41,21.78C38.61,71.62,31.06,99.34,31.06,126c0,11,2.41,19.41,5.56,24.51L10.14,167.91C3.34,156.6,0,141.76,0,124.85,0,94.1,8.44,62.05,24.49,37.3,38.73,15.35,59.28,0,82.85,0Z"/></svg>';
Constants.OPENAI_SVG = `<?xml version="1.0" encoding="UTF-8"?>
  <svg width="256px" height="260px" viewBox="0 0 256 260" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" preserveAspectRatio="xMidYMid">
      <title>OpenAI</title>
      <g>
          <path d="M239.183914,106.202783 C245.054304,88.5242096 243.02228,69.1733805 233.607599,53.0998864 C219.451678,28.4588021 190.999703,15.7836129 163.213007,21.739505 C147.554077,4.32145883 123.794909,-3.42398554 100.87901,1.41873898 C77.9631105,6.26146349 59.3690093,22.9572536 52.0959621,45.2214219 C33.8436494,48.9644867 18.0901721,60.392749 8.86672513,76.5818033 C-5.443491,101.182962 -2.19544431,132.215255 16.8986662,153.320094 C11.0060865,170.990656 13.0197283,190.343991 22.4238231,206.422991 C36.5975553,231.072344 65.0680342,243.746566 92.8695738,237.783372 C105.235639,251.708249 123.001113,259.630942 141.623968,259.52692 C170.105359,259.552169 195.337611,241.165718 204.037777,214.045661 C222.28734,210.296356 238.038489,198.869783 247.267014,182.68528 C261.404453,158.127515 258.142494,127.262775 239.183914,106.202783 L239.183914,106.202783 Z M141.623968,242.541207 C130.255682,242.559177 119.243876,238.574642 110.519381,231.286197 L112.054146,230.416496 L163.724595,200.590881 C166.340648,199.056444 167.954321,196.256818 167.970781,193.224005 L167.970781,120.373788 L189.815614,133.010026 C190.034132,133.121423 190.186235,133.330564 190.224885,133.572774 L190.224885,193.940229 C190.168603,220.758427 168.442166,242.484864 141.623968,242.541207 Z M37.1575749,197.93062 C31.456498,188.086359 29.4094818,176.546984 31.3766237,165.342426 L32.9113895,166.263285 L84.6329973,196.088901 C87.2389349,197.618207 90.4682717,197.618207 93.0742093,196.088901 L156.255402,159.663793 L156.255402,184.885111 C156.243557,185.149771 156.111725,185.394602 155.89729,185.550176 L103.561776,215.733903 C80.3054953,229.131632 50.5924954,221.165435 37.1575749,197.93062 Z M23.5493181,85.3811273 C29.2899861,75.4733097 38.3511911,67.9162648 49.1287482,64.0478825 L49.1287482,125.438515 C49.0891492,128.459425 50.6965386,131.262556 53.3237748,132.754232 L116.198014,169.025864 L94.3531808,181.662102 C94.1132325,181.789434 93.8257461,181.789434 93.5857979,181.662102 L41.3526015,151.529534 C18.1419426,138.076098 10.1817681,108.385562 23.5493181,85.125333 L23.5493181,85.3811273 Z M203.0146,127.075598 L139.935725,90.4458545 L161.7294,77.8607748 C161.969348,77.7334434 162.256834,77.7334434 162.496783,77.8607748 L214.729979,108.044502 C231.032329,117.451747 240.437294,135.426109 238.871504,154.182739 C237.305714,172.939368 225.050719,189.105572 207.414262,195.67963 L207.414262,134.288998 C207.322521,131.276867 205.650697,128.535853 203.0146,127.075598 Z M224.757116,94.3850867 L223.22235,93.4642272 L171.60306,63.3828173 C168.981293,61.8443751 165.732456,61.8443751 163.110689,63.3828173 L99.9806554,99.8079259 L99.9806554,74.5866077 C99.9533004,74.3254088 100.071095,74.0701869 100.287609,73.9215426 L152.520805,43.7889738 C168.863098,34.3743518 189.174256,35.2529043 204.642579,46.0434841 C220.110903,56.8340638 227.949269,75.5923959 224.757116,94.1804513 L224.757116,94.3850867 Z M88.0606409,139.097931 L66.2158076,126.512851 C65.9950399,126.379091 65.8450965,126.154176 65.8065367,125.898945 L65.8065367,65.684966 C65.8314495,46.8285367 76.7500605,29.6846032 93.8270852,21.6883055 C110.90411,13.6920079 131.063833,16.2835462 145.5632,28.338998 L144.028434,29.2086986 L92.3579852,59.0343142 C89.7419327,60.5687513 88.1282597,63.3683767 88.1117998,66.4011901 L88.0606409,139.097931 Z M99.9294965,113.5185 L128.06687,97.3011417 L156.255402,113.5185 L156.255402,145.953218 L128.169187,162.170577 L99.9806554,145.953218 L99.9294965,113.5185 Z" fill="currentColor"></path>
      </g>
  </svg>
  `;
Constants.CHECK_SVG = `<svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="lucide lucide-check"><polyline points="20 6 9 17 4 12"/></svg>`;
Constants.CLOUD_SVG = '<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="lucide lucide-cloud"><path d="M17.5 19H9a7 7 0 1 1 6.71-9h1.79a4.5 4.5 0 1 1 0 9Z"/></svg>';
Constants.LAPTOP_SVG = '<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="lucide lucide-laptop"><path d="M20 16V7a2 2 0 0 0-2-2H6a2 2 0 0 0-2 2v9m16 0H4m16 0 1.28 2.55a1 1 0 0 1-.9 1.45H3.62a1 1 0 0 1-.9-1.45L4 16"/></svg>';
Constants.DOWNLOAD_SVG = '<svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="lucide lucide-download"><path d="M21 15v4a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2v-4"/><polyline points="7 10 12 15 17 10"/><line x1="12" x2="12" y1="15" y2="3"/></svg>';
Constants.PLUG_SVG = '<svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="lucide lucide-plug"><path d="M12 22v-5"/><path d="M9 8V2"/><path d="M15 8V2"/><path d="M18 8v5a4 4 0 0 1-4 4h-4a4 4 0 0 1-4-4V8Z"/></svg>';
Constants.PALM2_SVG = `<svg version="1.1" id="Standard_product_icon__x28_1:1_x29_"
    xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" width="192px" height="192px"
    viewBox="0 0 192 192" enable-background="new 0 0 192 192" xml:space="preserve">
  <symbol  id="material_x5F_product_x5F_standard_x5F_icon_x5F_keylines_00000077318920148093339210000006245950728745084294_" viewBox="-96 -96 192 192">
   <g opacity="0.4">
     <defs>
       <path id="SVGID_1_" opacity="0.4" d="M-96,96V-96H96V96H-96z"/>
     </defs>
     <clipPath id="SVGID_00000071517564283228984050000017848131202901217410_">
       <use xlink:href="#SVGID_1_"  overflow="visible"/>
     </clipPath>
     <g clip-path="url(#SVGID_00000071517564283228984050000017848131202901217410_)">
       <g>
         <path d="M95.75,95.75v-191.5h-191.5v191.5H95.75 M96,96H-96V-96H96V96L96,96z"/>
       </g>
       <circle fill="none" stroke="#000000" stroke-width="0.25" stroke-miterlimit="10" cx="0" cy="0" r="64"/>
     </g>
     
       <circle clip-path="url(#SVGID_00000071517564283228984050000017848131202901217410_)" fill="none" stroke="#000000" stroke-width="0.25" stroke-miterlimit="10" cx="0" cy="0" r="88"/>
     
       <path clip-path="url(#SVGID_00000071517564283228984050000017848131202901217410_)" fill="none" stroke="#000000" stroke-width="0.25" stroke-miterlimit="10" d="
       M64,76H-64c-6.6,0-12-5.4-12-12V-64c0-6.6,5.4-12,12-12H64c6.6,0,12,5.4,12,12V64C76,70.6,70.6,76,64,76z"/>
     
       <path clip-path="url(#SVGID_00000071517564283228984050000017848131202901217410_)" fill="none" stroke="#000000" stroke-width="0.25" stroke-miterlimit="10" d="
       M52,88H-52c-6.6,0-12-5.4-12-12V-76c0-6.6,5.4-12,12-12H52c6.6,0,12,5.4,12,12V76C64,82.6,58.6,88,52,88z"/>
     
       <path clip-path="url(#SVGID_00000071517564283228984050000017848131202901217410_)" fill="none" stroke="#000000" stroke-width="0.25" stroke-miterlimit="10" d="
       M76,64H-76c-6.6,0-12-5.4-12-12V-52c0-6.6,5.4-12,12-12H76c6.6,0,12,5.4,12,12V52C88,58.6,82.6,64,76,64z"/>
   </g>
  </symbol>
  <rect id="bounding_box_1_" display="none" fill="none" width="192" height="192"/>
  <g id="art_layer">
   <g>
     <path fill="#F9AB00" d="M96,181.92L96,181.92c6.63,0,12-5.37,12-12v-104H84v104C84,176.55,89.37,181.92,96,181.92z"/>
     <g>
       <path fill="#5BB974" d="M143.81,103.87C130.87,90.94,111.54,88.32,96,96l51.37,51.37c2.12,2.12,5.77,1.28,6.67-1.57
         C158.56,131.49,155.15,115.22,143.81,103.87z"/>
     </g>
     <g>
       <path fill="#129EAF" d="M48.19,103.87C61.13,90.94,80.46,88.32,96,96l-51.37,51.37c-2.12,2.12-5.77,1.28-6.67-1.57
         C33.44,131.49,36.85,115.22,48.19,103.87z"/>
     </g>
     <g>
       <path fill="#AF5CF7" d="M140,64c-20.44,0-37.79,13.4-44,32h81.24c3.33,0,5.55-3.52,4.04-6.49C173.56,74.36,157.98,64,140,64z"/>
     </g>
     <g>
       <path fill="#FF8BCB" d="M104.49,42.26C90.03,56.72,87.24,78.45,96,96l57.45-57.45c2.36-2.36,1.44-6.42-1.73-7.45
         C135.54,25.85,117.2,29.55,104.49,42.26z"/>
     </g>
     <g>
       <path fill="#FA7B17" d="M87.51,42.26C101.97,56.72,104.76,78.45,96,96L38.55,38.55c-2.36-2.36-1.44-6.42,1.73-7.45
         C56.46,25.85,74.8,29.55,87.51,42.26z"/>
     </g>
     <g>
       <g>
         <path fill="#4285F4" d="M52,64c20.44,0,37.79,13.4,44,32H14.76c-3.33,0-5.55-3.52-4.04-6.49C18.44,74.36,34.02,64,52,64z"/>
       </g>
     </g>
   </g>
  </g>
  <g id="keylines" display="none">
   
     <use xlink:href="#material_x5F_product_x5F_standard_x5F_icon_x5F_keylines_00000077318920148093339210000006245950728745084294_"  width="192" height="192" id="material_x5F_product_x5F_standard_x5F_icon_x5F_keylines" x="-96" y="-96" transform="matrix(1 0 0 -1 96 96)" display="inline" overflow="visible"/>
  </g>
  </svg>
  `;
/*
      ----------------
      |   Views   |
      ----------------
      View types for different views
  */
Constants.PIECES_ONBOARDING_VIEW_TYPE = 'pieces-onboarding';
Constants.PIECES_EXPANDED_SNIPPET_VIEW_TYPE = 'pieces-expanded-snippet';
Constants.PIECES_SNIPPET_LIST_VIEW_TYPE = 'pieces-snippet-list';
/*
      ----------------
      |   SETTINGS   |
      ----------------
      Front end text within the Pieces plugin settings tab
  */
Constants.SETTINGS_KEY = 'jupyter_pieces:storage';
Constants.CLOUD_SELECT = 'Cloud Capabilities';
Constants.CLOUD_SELECT_DESC = "Select if you'd like to utilize cloud only, local only, or a blend of both.";
Constants.PORT_PROMPT = 'Pieces server port:';
Constants.PORT_DESCRIPTION = "Pieces' default port is 1000.";
Constants.PORT_VALUE = process.platform == 'linux' ? '5323' : '1000';
Constants.SHOW_TUTORIAL = 'Show Plugin Usage Tutorials';
Constants.TUTORIAL_DESCRIPTION = 'Display some useful information about using Pieces in Obsidian.';
Constants.LOGIN_TITLE = 'Login';
Constants.LOGIN_DESC = 'Start generating shareable links for your code snippets';
Constants.LOGOUT_TITLE = 'Logout';
Constants.LOGOUT_DESC = 'You will no longer have the ability to generate shareable links or share via GitHub Gist.';
Constants.TOGGLE_AUTOOPEN = 'Auto-Open Pieces List on Snippet Save';
Constants.TOGGLE_AUTOOPEN_DESC = 'Automatically open the Pieces snippet list view when saving a snippet.';
Constants.TOGGLE_AUTODISCOVER = 'Auto-Discover snippets from your vault';
Constants.TOGGLE_AUTODISCOVER_DESC = 'Automatically discover snippets from your vault when opening Pieces.';
/*
    ---------------------
    |   SAVE SNIPPETS   |
    ---------------------
    notification text for saving a piece
  */
Constants.NO_SAVE_SELECTION = 'Make sure you select some text before you save a snippet';
Constants.NO_SELECTION_SAVE = 'Make sure to select some snippets before you try to save';
Constants.SAVE_SUCCESS = 'Success saving to Pieces';
Constants.SAVE_FAIL = 'Failed Saving to Pieces';
Constants.SAVE_EXISTS = 'Snippet already exists in Pieces';
Constants.NO_ACTIVE_CELL = 'No active cell found';
Constants.NO_CODE_CELL = 'No active code cell found';
/*
      ------------------------
      |   SIGNIN / SIGNOUT   |
      ------------------------
      notification text for Pieces login / logout
  */
Constants.SIGNIN_SUCCESS = 'Successfully signed in!';
Constants.SIGNIN_FAIL = 'Unable to sign in.';
Constants.SIGNOUT_SUCCESS = 'Successfully signed out.';
Constants.SIGNOUT_FAIL = 'Unable to sign out.';
Constants.CONNECTION_FAIL = 'Failed to connect to Pieces OS. Please check that Pieces OS is installed and running.';
/*
      ----------------------
      |   SNIPPET DELETE   |
      ----------------------
      notification text for snippet deletions
  */
Constants.SNIPPET_DELETE_SUCCESS = 'Your Snippet Was Successfully Deleted!';
Constants.SNIPPET_IS_DELETED = 'Snippet has already been deleted.';
Constants.SNIPPET_DELETE_FAILURE = 'Failed to delete snippet. Please ensure that Pieces OS is up-to-date, installed and running. If the problem persists please reach out to support at support.';
/*
      ---------------------------------
      |  CLOUD CONNECT / DISCONNECT   |
      ---------------------------------
      notification text for cloud handling
  */
Constants.LOGIN_TO_POS_CLOUD = 'Please login to Pieces OS in order to connect to Pieces cloud.';
Constants.CLOUD_CONNECT_FAIL = 'Unable to connect to Pieces cloud, please wait a minute an try again.';
Constants.CLOUD_CONNECT_SUCCESS = 'Successfully connected to Pieces cloud.';
Constants.CLOUD_CONNECT_INPROG = 'Pieces cloud is still connecting please try again later.';
Constants.CLOUD_DISCONNECT_ALR = 'Already disconnected from Pieces cloud.';
Constants.CLOUD_DISCONNECT_SUCCESS = 'Successfully disconnected from Pieces cloud.';
Constants.CLOUD_DISCONNECT_FAIL = 'Failed to disconnect from Pieces cloud, please try again.';
Constants.CORE_PLATFORM_MSG = 'Pieces for Developers ⎸ Core Platform runs offline and on-device to power our IDE and Browser extensions.';
Constants.LOGIN_TO_POS = 'Please login to Pieces OS';
Constants.LINK_GEN_SUCCESS = 'Shareable Link Generated!';
Constants.LINK_GEN_COPY = 'Sharable link copied to clipboard!';
Constants.LINK_GEN_FAIL = 'Failed to generate link. Please ensure that Pieces OS is up-to-date, installed and running. If the problem persists please reach out to support.';
/*
      -----------------------
      |   SEARCH SNIPPETS   |
      -----------------------
  */
Constants.SEARCH_SUCCESS = 'Snippet search success!';
Constants.SEARCH_FAILURE = 'Something went wrong while searching for your snippets, if the issue persists please reach out to support.';
/*
      -----------------------------------
      |   TEXT FOR POS DOWNLOAD MODAL   |
      -----------------------------------
      This is shown in the 'download-pos-modal'
      if we are not able to contact POS on their machine
  */
Constants.INSTALL_TEXT = 'Please download, install, and run our core dependency to use Pieces with Obsidian:';
Constants.PIECES_ONDEVICE_COPY = 'Pieces for Developers | Core Platform runs offline and on-device to power our IDE and Browser Extensions';
/*
  -----------------------------------
  |   TEXT FOR ExpandView Problem   |
  -----------------------------------
  This is shown in the 'general text view'
  if we are not able to expand their snippet
  */
Constants.EXPAND_ERROR = 'Error expanding snippet, check the `Snippet ID` and try again.';
/*
      ------------------------------
      |   TEXT FOR WELCOME MODAL   |
      ------------------------------
      This is shown within 'onboarding-modal'
      if it is the first time the user is loading the extension
  */
Constants.WELCOME_TEXT = 'Welcome to Pieces for Developers!';
Constants.SAVE_INSERT_SEARCH = 'Save, insert, and search your snippets.';
// Saving snippets
Constants.SAVE_SNIPPET = 'Save a snippet';
Constants.SAVE_EXPLANATION = 'Select the snippet you would like to save to Pieces, right click, and click the "Save to Pieces" button';
Constants.SAVE_SHORTCUT_EX = 'Or you can use the keyboard shortcut: MOD + SHIFT + P';
// Viewing Snippets
Constants.VIEW_SNIPPETS = 'Viewing your Snippets';
Constants.VIEW_SNIPPET_EXPLANATION = 'In order to view your saved snippets, just click on the "Pieces" icon on your ribbon bar.';
// Inserting Snippets
Constants.INSERT_SNIPPET = 'Insert a snippet';
Constants.INSERT_SNIPPET_EXPLANATION = 'In order to insert a snippet, navigate to the snippet on the Pieces view, click the "copy snippet" button, and paste it into your editor';
// Searching Snippets
Constants.SEARCH_SNIPPET = 'Search for a Snippet';
Constants.SEARCH_SNIPPET_EXPLANATION = 'To search for a snippet, navigate to the Pieces view, and type your query into the search box. Once you are done, click the "X" and it will clear your search.';
Constants.UPDATE_OS = 'In order to use the Pieces for Developers Obsidian Plugin, you must have Pieces OS version 5.1.2 or greater! Please update your Pieces OS';
/*
      |------------------|
      |	UPDATE ASSET   |
      |------------------|
  */
Constants.RECLASSIFY_SUCCESS = 'Snippet Successfully Reclassified';
Constants.RECLASSIFY_FAILURE = 'Error Reclassifying snippet, please try again... or contact support.';
Constants.UPDATE_SUCCESS = 'Snippet successfully updated';
Constants.UPDATE_FAILURE = 'Error updating snippet, please try again... or contact support.';
Constants.UPDATE_CODE_SUCCESS = 'Snippet code successfully updated';
Constants.UPDATE_CODE_FAILURE = 'Error updating snippet code, please try again... or contact support.';
/*
      |------------------|
      |	COPY TO CLIP   |
      |------------------|
  */
Constants.COPY_SUCCESS = 'Snippet copied to clipboard';
/*
      |--------------------|
      | SNIPPET DISCOVERY  |
      |--------------------|
  */
Constants.DISCOVERY_SUCCESS = 'Snippet Discovery Complete!';
Constants.DISCOVERY_FAILURE = 'Something went wrong with Snippet Discovery, are you sure POS is installed, running, and up to date?';
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (Constants);


/***/ }),

/***/ "./lib/database/PiecesDatabase.js":
/*!****************************************!*\
  !*** ./lib/database/PiecesDatabase.js ***!
  \****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var ___WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! .. */ "./lib/index.js");
/* harmony import */ var _cache_pieces_cache__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../cache/pieces_cache */ "./lib/cache/pieces_cache.js");
/* harmony import */ var _connection_connector_singleton__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../connection/connector_singleton */ "./lib/connection/connector_singleton.js");
/* harmony import */ var _ui_views_DisplayController__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../ui/views/DisplayController */ "./lib/ui/views/DisplayController.js");
/* harmony import */ var copilot_dist_modals_LLMConfigModal__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! copilot/dist/modals/LLMConfigModal */ "./node_modules/copilot/dist/modals/LLMConfigModal.js");
/* harmony import */ var copilot_dist_modals_LLMConfigModal__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(copilot_dist_modals_LLMConfigModal__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _ui_views_copilot__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../ui/views/copilot */ "./lib/ui/views/copilot/index.js");
var _a;






class PiecesDatabase {
}
_a = PiecesDatabase;
PiecesDatabase.writeDB = () => {
    clearTimeout(PiecesDatabase.writeId);
    const cache = _cache_pieces_cache__WEBPACK_IMPORTED_MODULE_1__["default"].getInstance();
    PiecesDatabase.writeId = setTimeout(async () => {
        console.log('Pieces for Developers, writing data.');
        ___WEBPACK_IMPORTED_MODULE_2__.defaultApp.restored.then(() => {
            var _b;
            ___WEBPACK_IMPORTED_MODULE_2__.defaultState.save(___WEBPACK_IMPORTED_MODULE_2__.PLUGIN_ID, {
                assets: cache.assets,
                selectedModel: (_b = (copilot_dist_modals_LLMConfigModal__WEBPACK_IMPORTED_MODULE_0___default().selectedModel)) !== null && _b !== void 0 ? _b : '',
                directives: _ui_views_copilot__WEBPACK_IMPORTED_MODULE_3__.copilotState.directives,
            });
        });
    }, 10000);
};
PiecesDatabase.clearStaleIds = async () => {
    var _b;
    const config = _connection_connector_singleton__WEBPACK_IMPORTED_MODULE_4__["default"].getInstance();
    const cache = _cache_pieces_cache__WEBPACK_IMPORTED_MODULE_1__["default"].getInstance();
    const idSnapshot = await config.assetsApi
        .assetsIdentifiersSnapshot({ pseudo: false })
        .catch();
    if (!idSnapshot)
        return;
    const idMap = new Map();
    (_b = idSnapshot.iterable) === null || _b === void 0 ? void 0 : _b.forEach((identifier) => {
        idMap.set(identifier.id, true);
    });
    // if cache id is not in idsnapshot delete
    const staleIds = Object.keys(cache.mappedAssets).filter((id) => {
        return !idMap.has(id);
    });
    staleIds.forEach((id) => {
        const snippetEl = document.getElementById(`snippet-el-${id}`);
        snippetEl === null || snippetEl === void 0 ? void 0 : snippetEl.remove();
        delete cache.mappedAssets[id];
    });
    cache.assets = Object.values(cache.mappedAssets);
    PiecesDatabase.writeDB();
    if (!cache.assets.length) {
        _ui_views_DisplayController__WEBPACK_IMPORTED_MODULE_5__["default"].drawSnippets({});
    }
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (PiecesDatabase);


/***/ }),

/***/ "./lib/index.js":
/*!**********************!*\
  !*** ./lib/index.js ***!
  \**********************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   PLUGIN_ID: () => (/* binding */ PLUGIN_ID),
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__),
/* harmony export */   defaultApp: () => (/* binding */ defaultApp),
/* harmony export */   defaultState: () => (/* binding */ defaultState),
/* harmony export */   defaultView: () => (/* binding */ defaultView),
/* harmony export */   pluginHeartbeat: () => (/* binding */ pluginHeartbeat),
/* harmony export */   pluginSettings: () => (/* binding */ pluginSettings),
/* harmony export */   theme: () => (/* binding */ theme)
/* harmony export */ });
/* harmony import */ var _jupyterlab_apputils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @jupyterlab/apputils */ "webpack/sharing/consume/default/@jupyterlab/apputils");
/* harmony import */ var _jupyterlab_apputils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_jupyterlab_apputils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _onboarding_showOnboarding__WEBPACK_IMPORTED_MODULE_20__ = __webpack_require__(/*! ./onboarding/showOnboarding */ "./lib/onboarding/showOnboarding.js");
/* harmony import */ var _ui_piecesView__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ./ui/piecesView */ "./lib/ui/piecesView.js");
/* harmony import */ var _localStorageManager__WEBPACK_IMPORTED_MODULE_19__ = __webpack_require__(/*! ./localStorageManager */ "./lib/localStorageManager.js");
/* harmony import */ var _actions_create_commands__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(/*! ./actions/create_commands */ "./lib/actions/create_commands.js");
/* harmony import */ var _sentry_browser__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @sentry/browser */ "webpack/sharing/consume/default/@sentry/browser/@sentry/browser");
/* harmony import */ var _sentry_browser__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_sentry_browser__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _analytics_SentryTracking__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(/*! ./analytics/SentryTracking */ "./lib/analytics/SentryTracking.js");
/* harmony import */ var _jupyterlab_settingregistry__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @jupyterlab/settingregistry */ "webpack/sharing/consume/default/@jupyterlab/settingregistry");
/* harmony import */ var _jupyterlab_settingregistry__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_jupyterlab_settingregistry__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _connection_connector_singleton__WEBPACK_IMPORTED_MODULE_22__ = __webpack_require__(/*! ./connection/connector_singleton */ "./lib/connection/connector_singleton.js");
/* harmony import */ var _analytics_SegmentAnalytics__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(/*! ./analytics/SegmentAnalytics */ "./lib/analytics/SegmentAnalytics.js");
/* harmony import */ var _analytics_Heartbeat__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ./analytics/Heartbeat */ "./lib/analytics/Heartbeat.js");
/* harmony import */ var _jupyterlab_statedb__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! @jupyterlab/statedb */ "webpack/sharing/consume/default/@jupyterlab/statedb");
/* harmony import */ var _jupyterlab_statedb__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(_jupyterlab_statedb__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var _cache_pieces_cache__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ./cache/pieces_cache */ "./lib/cache/pieces_cache.js");
/* harmony import */ var _connection_stream_assets__WEBPACK_IMPORTED_MODULE_18__ = __webpack_require__(/*! ./connection/stream_assets */ "./lib/connection/stream_assets.js");
/* harmony import */ var _connection_checkVersionAndConnection__WEBPACK_IMPORTED_MODULE_16__ = __webpack_require__(/*! ./connection/checkVersionAndConnection */ "./lib/connection/checkVersionAndConnection.js");
/* harmony import */ var _connection_api_wrapper__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! ./connection/api_wrapper */ "./lib/connection/api_wrapper.js");
/* harmony import */ var _ui_views_DisplayController__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! ./ui/views/DisplayController */ "./lib/ui/views/DisplayController.js");
/* harmony import */ var _connection_version_check__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ./connection/version_check */ "./lib/connection/version_check.js");
/* harmony import */ var _utils_annotationHandler__WEBPACK_IMPORTED_MODULE_17__ = __webpack_require__(/*! ./utils/annotationHandler */ "./lib/utils/annotationHandler.js");
/* harmony import */ var _actions_activities__WEBPACK_IMPORTED_MODULE_21__ = __webpack_require__(/*! ./actions/activities */ "./lib/actions/activities.js");
/* harmony import */ var copilot_dist_modals_LLMConfigModal__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! copilot/dist/modals/LLMConfigModal */ "./node_modules/copilot/dist/modals/LLMConfigModal.js");
/* harmony import */ var copilot_dist_modals_LLMConfigModal__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(copilot_dist_modals_LLMConfigModal__WEBPACK_IMPORTED_MODULE_4__);
/* harmony import */ var copilot_dist_view__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! copilot/dist/view */ "./node_modules/copilot/dist/view/index.js");
/* harmony import */ var copilot_dist_view__WEBPACK_IMPORTED_MODULE_5___default = /*#__PURE__*/__webpack_require__.n(copilot_dist_view__WEBPACK_IMPORTED_MODULE_5__);
/* harmony import */ var _ui_views_copilot__WEBPACK_IMPORTED_MODULE_15__ = __webpack_require__(/*! ./ui/views/copilot */ "./lib/ui/views/copilot/index.js");
























/**
 * Initialization data for the jupyter_pieces extension.
 */
const PLUGIN_ID = 'jupyter_pieces';
let defaultApp;
let defaultView;
let theme;
let defaultState;
let pluginSettings;
const pluginHeartbeat = new _analytics_Heartbeat__WEBPACK_IMPORTED_MODULE_6__.Heartbeat(5); // 5 minutes
const plugin = {
    id: PLUGIN_ID + ':plugin',
    description: 'Pieces for Developers is a code snippet management tool powered by AI.',
    autoStart: true,
    requires: [_jupyterlab_apputils__WEBPACK_IMPORTED_MODULE_0__.ICommandPalette, _jupyterlab_statedb__WEBPACK_IMPORTED_MODULE_3__.IStateDB],
    optional: [],
    deactivate: async () => {
        await _sentry_browser__WEBPACK_IMPORTED_MODULE_1__.close(2000);
        pluginHeartbeat.stop();
    },
    activate: async (app, palette, state) => {
        createPrototypes();
        const cache = _cache_pieces_cache__WEBPACK_IMPORTED_MODULE_7__["default"].getInstance();
        (0,_connection_version_check__WEBPACK_IMPORTED_MODULE_8__["default"])({ notify: true }); // Check for minimum version of POS
        theme = '';
        defaultApp = app;
        const piecesView = new _ui_piecesView__WEBPACK_IMPORTED_MODULE_9__.PiecesView();
        defaultView = piecesView;
        await piecesView.build(app);
        (0,_connection_api_wrapper__WEBPACK_IMPORTED_MODULE_10__.loadConnect)()
            .then((val) => {
            _ui_views_DisplayController__WEBPACK_IMPORTED_MODULE_11__["default"].setIsFetchFailed(!val);
            _ui_views_DisplayController__WEBPACK_IMPORTED_MODULE_11__["default"].drawSnippets({});
        })
            .catch(() => {
            // do nothing
        });
        (0,_actions_create_commands__WEBPACK_IMPORTED_MODULE_12__.createCommands)({ palette });
        _analytics_SentryTracking__WEBPACK_IMPORTED_MODULE_13__.SentryTracking.init();
        _analytics_SegmentAnalytics__WEBPACK_IMPORTED_MODULE_14__.SegmentAnalytics.init();
        pluginHeartbeat.start(() => {
            (0,_analytics_Heartbeat__WEBPACK_IMPORTED_MODULE_6__.pluginActivityCheck)();
        });
        app.restored
            .then(async () => {
            var _a, _b, _c, _d, _e;
            defaultState = state;
            const data = (await state.fetch(PLUGIN_ID));
            if (!_ui_views_DisplayController__WEBPACK_IMPORTED_MODULE_11__["default"].isLoading ||
                (
                //@ts-ignore this is a migration check
                (_a = data[0]) === null || _a === void 0 ? void 0 : _a.schema) ||
                !((_b = data.assets[0]) === null || _b === void 0 ? void 0 : _b.annotations)) {
                return;
            }
            (_c = data === null || data === void 0 ? void 0 : data.assets) === null || _c === void 0 ? void 0 : _c.forEach((val) => (val.created = new Date(val.created)));
            cache.store({
                assets: data.assets,
            });
            if (data) {
                (copilot_dist_modals_LLMConfigModal__WEBPACK_IMPORTED_MODULE_4___default().selectedModel) = (_d = data.selectedModel) !== null && _d !== void 0 ? _d : '';
                _ui_views_copilot__WEBPACK_IMPORTED_MODULE_15__.copilotState.selectedModel = (_e = data.selectedModel) !== null && _e !== void 0 ? _e : '';
                _ui_views_copilot__WEBPACK_IMPORTED_MODULE_15__.copilotState.directives = data.directives;
            }
        })
            .finally(async () => {
            _connection_checkVersionAndConnection__WEBPACK_IMPORTED_MODULE_16__["default"].run().then(() => {
                _utils_annotationHandler__WEBPACK_IMPORTED_MODULE_17__["default"].getInstance().loadAnnotations().then(_connection_stream_assets__WEBPACK_IMPORTED_MODULE_18__.stream);
            });
            if (!(0,_localStorageManager__WEBPACK_IMPORTED_MODULE_19__.getStored)('onBoardingShown')) {
                (0,_onboarding_showOnboarding__WEBPACK_IMPORTED_MODULE_20__.showOnboarding)();
                (0,_localStorageManager__WEBPACK_IMPORTED_MODULE_19__.setStored)({ onBoardingShown: true });
                _actions_activities__WEBPACK_IMPORTED_MODULE_21__["default"].getInstance().installed();
            }
            (0,copilot_dist_view__WEBPACK_IMPORTED_MODULE_5__.initCopilot)(_ui_views_copilot__WEBPACK_IMPORTED_MODULE_15__.copilotParams);
            _ui_views_DisplayController__WEBPACK_IMPORTED_MODULE_11__["default"].setIsLoading(false);
            _ui_views_DisplayController__WEBPACK_IMPORTED_MODULE_11__["default"].drawSnippets({});
        });
        document.body.addEventListener('click', () => {
            if (theme !== document.body.getAttribute('data-jp-theme-light')) {
                theme = document.body.getAttribute('data-jp-theme-light');
                _ui_views_DisplayController__WEBPACK_IMPORTED_MODULE_11__["default"].drawSnippets({});
            }
        });
        // TODO reimplement intention and suggestion
        // document.addEventListener('copy', (e) => {
        //   const selection = window.getSelection()?.toString();
        //   if (selection) {
        //     const intention: IntentionRequest = {
        //       application: config.context.application.id,
        //       seededConnectorAsset: {
        //         format: {
        //           fragment: {
        //             string: {
        //               raw: selection,
        //             },
        //             metadata: {
        //               ext: ClassificationSpecificEnum.Py,
        //             },
        //           },
        //         },
        //       },
        //     };
        //     try {
        //       config.api.intention(intention);
        //     } catch (e) {
        //       console.log('Pieces: Intent error', e);
        //     }
        //   }
        // });
        // document.addEventListener('paste', (e) => {
        //   const clipboard = e.clipboardData;
        //   if (clipboard) {
        //     const clipboardData = clipboard.getData('text/plain');
        //     const suggestion: SuggestRequest = {
        //       application: config.context.application.id,
        //       seededConnectorCreation: {
        //         asset: {
        //           format: {
        //             fragment: {
        //               string: {
        //                 raw: clipboardData,
        //               },
        //             },
        //           },
        //         },
        //       },
        //     };
        //     try {
        //       config.api.suggest(suggestion);
        //     } catch (e) {
        //       //
        //     }
        //   }
        // });
    },
};
const createPrototypes = () => {
    /**
     * Array Prototype extensions
     */
    Array.prototype.remove = function (element) {
        const idx = this.indexOf(element);
        if (idx === -1)
            return;
        this.splice(idx, 1);
    };
    /**=
     * HTMLElement Prototype extensions
     */
    HTMLElement.prototype.createEl = function (type) {
        const el = document.createElement(type);
        this.appendChild(el);
        return el;
    };
    HTMLElement.prototype.createDiv = function (className) {
        const div = document.createElement('div');
        if (className)
            div.classList.add(className);
        this.appendChild(div);
        return div;
    };
    HTMLElement.prototype.addClass = function (className) {
        this.classList.add(className);
    };
    HTMLElement.prototype.addClasses = function (classNames) {
        for (let i = 0; i < classNames.length; i++) {
            this.classList.add(classNames[i]);
        }
    };
    HTMLElement.prototype.setText = function (text) {
        this.innerText = text;
    };
    HTMLElement.prototype.empty = function () {
        this.innerHTML = '';
    };
};
// Getting rid of stupid TS squiggles that aren't actually issues
const settings = {
    id: PLUGIN_ID + ':pieces-settings',
    description: 'Pieces for Developers is a code snippet management tool powered by AI.',
    autoStart: true,
    requires: [_jupyterlab_settingregistry__WEBPACK_IMPORTED_MODULE_2__.ISettingRegistry],
    optional: [],
    activate: async (app, settings) => {
        const config = _connection_connector_singleton__WEBPACK_IMPORTED_MODULE_22__["default"].getInstance();
        function loadSetting(settings) {
            // Read the settings and convert to the correct type
            if ((0,_localStorageManager__WEBPACK_IMPORTED_MODULE_19__.getStored)('AutoOpen') !==
                settings.get('AutoOpen').composite) {
                (0,_localStorageManager__WEBPACK_IMPORTED_MODULE_19__.setStored)({
                    AutoOpen: settings.get('AutoOpen').composite,
                });
            }
            if ((0,_localStorageManager__WEBPACK_IMPORTED_MODULE_19__.getStored)('Port') !== settings.get('Port').composite) {
                (0,_localStorageManager__WEBPACK_IMPORTED_MODULE_19__.setStored)({
                    Port: settings.get('Port').composite,
                });
                const ConfigParams = {
                    basePath: `http://localhost:${settings.get('Port').composite}`,
                    fetchApi: fetch,
                };
                config.parameters = ConfigParams;
            }
            if ((0,_localStorageManager__WEBPACK_IMPORTED_MODULE_19__.getStored)('Capabilities') !==
                settings.get('Capabilities').composite) {
                switch (settings.get('Capabilities').composite) {
                    case 'Local':
                        (0,_localStorageManager__WEBPACK_IMPORTED_MODULE_19__.setStored)({
                            Capabilities: 'Local',
                        });
                        break;
                    case 'Blended':
                        (0,_localStorageManager__WEBPACK_IMPORTED_MODULE_19__.setStored)({
                            Capabilities: 'Blended',
                        });
                        break;
                    case 'Cloud':
                        (0,_localStorageManager__WEBPACK_IMPORTED_MODULE_19__.setStored)({
                            Capabilities: 'Cloud',
                        });
                        break;
                    default:
                        (0,_localStorageManager__WEBPACK_IMPORTED_MODULE_19__.setStored)({
                            Capabilities: 'Blended',
                        });
                        break;
                }
                (0,copilot_dist_view__WEBPACK_IMPORTED_MODULE_5__.getApplication)().then((application) => {
                    if (!application)
                        return;
                    application.capabilities = (0,_localStorageManager__WEBPACK_IMPORTED_MODULE_19__.getStored)('Capabilities').toUpperCase();
                    _ui_views_copilot__WEBPACK_IMPORTED_MODULE_15__.copilotParams.updateApplication(application);
                });
                config.application.capabilities =
                    (0,_localStorageManager__WEBPACK_IMPORTED_MODULE_19__.getStored)('Capabilities').toUpperCase();
            }
        }
        // Wait for the application to be restored and
        // for the settings for this plugin to be loaded
        Promise.all([app.restored, settings.load(PLUGIN_ID + ':pieces-settings')])
            .then(([, settings]) => {
            // Read the settings
            if (settings) {
                pluginSettings = settings;
                loadSetting(settings);
            }
            // Listen for your plugin setting changes using Signal
            settings.changed.connect(loadSetting);
        })
            .catch((reason) => {
            console.error(`Something went wrong when reading the settings.\n${reason}`);
        });
    },
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ([settings, plugin]);


/***/ }),

/***/ "./lib/localStorageManager.js":
/*!************************************!*\
  !*** ./lib/localStorageManager.js ***!
  \************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   getStored: () => (/* binding */ getStored),
/* harmony export */   resetStorage: () => (/* binding */ resetStorage),
/* harmony export */   setStored: () => (/* binding */ setStored)
/* harmony export */ });
/* harmony import */ var _const__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./const */ "./lib/const.js");

let localStorageInitialized = false;
let storedData = {};
function initializeLocalStorage(reset = false) {
    let success = true;
    if (reset)
        resetStorage();
    let tempData = localStorage.getItem(_const__WEBPACK_IMPORTED_MODULE_0__["default"].SETTINGS_KEY);
    if (tempData) {
        try {
            storedData = JSON.parse(tempData);
        }
        catch (_a) {
            console.error(`Unable to parse persistant Pieces' data...`);
            success = false;
        }
    }
    else {
        console.warn(`No persistant Pieces' data found`);
        success = false;
    }
    if (!success)
        resetStorage();
    localStorageInitialized = true;
    return success;
}
function getStored(key) {
    if (!localStorageInitialized)
        initializeLocalStorage();
    if (!key) {
        return storedData;
    }
    return storedData[key];
}
function setStored(newData) {
    if (!localStorageInitialized)
        initializeLocalStorage();
    for (let key in newData) {
        storedData[key] = newData[key];
    }
    localStorage.setItem(_const__WEBPACK_IMPORTED_MODULE_0__["default"].SETTINGS_KEY, JSON.stringify(storedData));
}
function resetStorage() {
    console.warn('Resetting persistant storage...');
    storedData = {};
    localStorage.setItem(_const__WEBPACK_IMPORTED_MODULE_0__["default"].SETTINGS_KEY, JSON.stringify(storedData));
}


/***/ }),

/***/ "./lib/models/SortSnippetsBy.js":
/*!**************************************!*\
  !*** ./lib/models/SortSnippetsBy.js ***!
  \**************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   SortSnippetsBy: () => (/* binding */ SortSnippetsBy)
/* harmony export */ });
var SortSnippetsBy;
(function (SortSnippetsBy) {
    SortSnippetsBy[SortSnippetsBy["Recent"] = 0] = "Recent";
    SortSnippetsBy[SortSnippetsBy["Language"] = 1] = "Language";
    SortSnippetsBy[SortSnippetsBy["Discover"] = 2] = "Discover";
})(SortSnippetsBy || (SortSnippetsBy = {}));


/***/ }),

/***/ "./lib/onboarding/pieces-onboarding.js":
/*!*********************************************!*\
  !*** ./lib/onboarding/pieces-onboarding.js ***!
  \*********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   onboardingMD: () => (/* binding */ onboardingMD)
/* harmony export */ });
//This is an iframe embed code, not a link. The embed code is video dependent. I know we typically like to avoid stringified HTML, but this is a notable exception where the HTML is designed for this exact use-case.
// const heroLink = '<iframe width="100%" height="600px" src="https://www.youtube.com/embed/5atxB5RRUvI" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" allowfullscreen></iframe>';
const RIGHT_CLICK_SAVE_SELECTION = 'https://storage.googleapis.com/pieces_multimedia/PROMOTIONAL/PIECES_FOR_DEVELOPERS/JUPYTER/MACOS/RIGHT-CLICK_SAVE/16X9/PIECES_FOR_DEVELOPERS-JUPYTER-RIGHT-CLICK_SAVE-MACOS-16X9-9_22_2023.GIF';
const EMBEDDED_BUTTON_SAVE_ACTIVE_CELL = 'https://storage.googleapis.com/pieces_multimedia/PROMOTIONAL/PIECES_FOR_DEVELOPERS/JUPYTER/MACOS/SAVE_TO_PIECES/16X9/PIECES_FOR_DEVELOPERS-JUPYTER-SAVE_TO_PIECES-MACOS-16X9-9_21_2023.GIF';
const SEARCH_AND_INSERT = 'https://storage.googleapis.com/pieces_multimedia/PROMOTIONAL/PIECES_FOR_DEVELOPERS/JUPYTER/MACOS/SEARCH_AND_INSERT/16X9/PIECES_FOR_DEVELOPERS-JUPYTER-SEARCH_AND_INSERT-16X9-MACOS-6_22_2023.gif';
const SNIPPET_BUTTON_SHARE = 'https://storage.googleapis.com/pieces_multimedia/PROMOTIONAL/PIECES_FOR_DEVELOPERS/JUPYTER/MACOS/SNIPPET_BUTTON_SHARE/16X9/PIECES_FOR_DEVELOPERS-JUPYTER-SNIPPET_BUTTON_SHARE-16X9-MACOS-6_22_2023.gif';
const WITH_DESKTOP_APP = 'https://storage.googleapis.com/pieces_multimedia/PROMOTIONAL/PIECES_FOR_DEVELOPERS/JUPYTER/MACOS/WITH_DESKTOP_APP/16X9/PIECES_FOR_DEVELOPERS-JUPYTER-WITH_DESKTOP_APP-MACOS-6_22_2023.png';
const COPILOT = 'https://storage.googleapis.com/pieces_multimedia/PROMOTIONAL/PIECES_FOR_DEVELOPERS/JUPYTER/MACOS/GLOBAL_COPILOT/16X9/PIECES_FOR_DEVELOPERS-JUPYTER-GLOBAL_COPILOT-MACOS-16X9-9_26_2023.GIF';
const onboardingMD = `

# Elevate Your Jupyter Experience with Pieces

<div class="nav">
    <a href="https://docs.pieces.app/extensions-plugins/jupyterlab" style="display: inline-block; text-decoration: none; border-radius: 4px;">Docs</a>		<a href="https://pieces.app" style="display: inline-block; text-decoration: none; border-radius: 4px;">Learn More</a>
</div>

## Your Guide to Getting Started with Pieces for Developers Jupyter Extension

#### 1. Save your first snippet
- To save a snippet, highlight the text, right-click, and select "Save to Pieces."
![Save to Pieces via Menu](${RIGHT_CLICK_SAVE_SELECTION})

**Additional ways to save**
- Click the Pieces Save button within any code block.
![Save to Pieces via Button](${EMBEDDED_BUTTON_SAVE_ACTIVE_CELL})


#### 2. Find & use your snippets
- To access your saved snippets, click on the Pieces icon in your left sidebar.
![Search Your Pieces](${SEARCH_AND_INSERT})


#### 3. Share your Snippets
- Collaborate with others with ease using shareable links for your snippets
![Share you Snippets](${SNIPPET_BUTTON_SHARE})

#### 4. Copilot
- Ask questions about your notebook, generate code relevant to what you are working on, and more with the Pieces Copilot
- Suggested queries are automatically generated for your ease of use
- Choose between Local and Cloud LLM runtimes (i.e Llama2, GPT)
- Quickly link to relevant notebooks
![Pieces Copilot](${COPILOT})


### Maximize productivity with our Flagship Desktop App
Utilize the Pieces [Flagship Desktop App](https://pieces.app) in combination with our Jupyter Plugin to streamline your workflow and enhance your development productivity.

- Get back in flow with our Workflow Activity View
- Save time with In-Project Snippet Discovery
- Enjoy real-time and scope-relevant suggestions
- Extract and use code and text from screenshots
![Save to Pieces via Button](${WITH_DESKTOP_APP})

<div class="nav">
    <h3>Socials</h3>
</div>
<div class="nav">
    <a href="https://discord.gg/5AN7rVXEES" style="display: inline-block; text-decoration: none; border-radius: 4px;">Discord</a>		<a href="https://www.youtube.com/@getpieces" style="display: inline-block; text-decoration: none; border-radius: 4px;">YouTube</a>		<a href="https://twitter.com/@getpieces" style="display: inline-block; text-decoration: none; border-radius: 4px;">Twitter</a>		<a href="https://www.linkedin.com/company/getpieces" style="display: inline-block; text-decoration: none; border-radius: 4px;">LinkedIn</a>		<a href="https://www.facebook.com/getpieces" style="display: inline-block; text-decoration: none; border-radius: 4px;">Facebook</a>
</div>
`;


/***/ }),

/***/ "./lib/onboarding/showOnboarding.js":
/*!******************************************!*\
  !*** ./lib/onboarding/showOnboarding.js ***!
  \******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   openNewTabWithContent: () => (/* binding */ openNewTabWithContent),
/* harmony export */   showOnboarding: () => (/* binding */ showOnboarding)
/* harmony export */ });
/* harmony import */ var _jupyterlab_apputils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @jupyterlab/apputils */ "webpack/sharing/consume/default/@jupyterlab/apputils");
/* harmony import */ var _jupyterlab_apputils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_jupyterlab_apputils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var ___WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! .. */ "./lib/index.js");
/* harmony import */ var _lumino_widgets__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @lumino/widgets */ "webpack/sharing/consume/default/@lumino/widgets");
/* harmony import */ var _lumino_widgets__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_lumino_widgets__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var marked__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! marked */ "webpack/sharing/consume/default/marked/marked?9245");
/* harmony import */ var marked__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(marked__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _pieces_onboarding__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ./pieces-onboarding */ "./lib/onboarding/pieces-onboarding.js");
/* harmony import */ var _jupyterlab_ui_components__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! @jupyterlab/ui-components */ "webpack/sharing/consume/default/@jupyterlab/ui-components");
/* harmony import */ var _jupyterlab_ui_components__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(_jupyterlab_ui_components__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var _analytics_SegmentAnalytics__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../analytics/SegmentAnalytics */ "./lib/analytics/SegmentAnalytics.js");
/* harmony import */ var _analytics_AnalyticsEnum__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../analytics/AnalyticsEnum */ "./lib/analytics/AnalyticsEnum.js");








// import Constants from '../const';
async function openNewTabWithContent(title, htmlContent) {
    const content = new _lumino_widgets__WEBPACK_IMPORTED_MODULE_1__.Widget();
    content.node.appendChild(htmlContent);
    const widget = new _jupyterlab_apputils__WEBPACK_IMPORTED_MODULE_0__.MainAreaWidget({ content });
    // Customize the widget properties if needed
    widget.title.icon = _jupyterlab_ui_components__WEBPACK_IMPORTED_MODULE_3__.LabIcon.resolve({ icon: 'jupyter_pieces:logo' });
    widget.title.label = title;
    widget.title.closable = true;
    // Add the widget to the main area
    ___WEBPACK_IMPORTED_MODULE_4__.defaultApp.shell.add(widget, 'main');
    // Activate the new tab
    ___WEBPACK_IMPORTED_MODULE_4__.defaultApp.shell.activateById(widget.id);
}
function showOnboarding() {
    _analytics_SegmentAnalytics__WEBPACK_IMPORTED_MODULE_5__.SegmentAnalytics.track({
        event: _analytics_AnalyticsEnum__WEBPACK_IMPORTED_MODULE_6__.AnalyticsEnum.JUPYTER_USER_ONBOARDED,
    });
    let onboardingHTML = (0,marked__WEBPACK_IMPORTED_MODULE_2__.marked)(_pieces_onboarding__WEBPACK_IMPORTED_MODULE_7__.onboardingMD);
    let container = document.createElement('div');
    container.classList.add('pieces-onboarding');
    let mainArea = document.createElement('div');
    mainArea.classList.add('main');
    mainArea.innerHTML = onboardingHTML;
    container.append(mainArea);
    openNewTabWithContent('Welcome to Pieces', container);
}


/***/ }),

/***/ "./lib/transferables.js":
/*!******************************!*\
  !*** ./lib/transferables.js ***!
  \******************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   extractAssetTransferables: () => (/* binding */ extractAssetTransferables),
/* harmony export */   extractAssetsTransferables: () => (/* binding */ extractAssetsTransferables),
/* harmony export */   mergeAssetWithTransferables: () => (/* binding */ mergeAssetWithTransferables),
/* harmony export */   mergeAssetsWithTransferables: () => (/* binding */ mergeAssetsWithTransferables)
/* harmony export */ });
/**
 * TODO add a 2 more functions that will remove the transferables from Assets and Asset,
 * This will enable us to look throgh the class and remove any values.
 *
 * We would have these functions so that when calling asset.update or some other update we send the least amount of dta so that it is extremely fast.
 *
 * would call the function(s) removeAsset(s)Transferables.
 */
/**
 * This will take assets(likely polinated with transferables already.) and return all the format uuids and their Transferables.
 * @param {Assets} assets
 * @returns {[key: string]: FormatTransferable} This will return an object of references with the key being a format uui and the value being a formatTransferable
 */
const extractAssetsTransferables = (assets) => {
    let references = {};
    for (const asset of assets.iterable) {
        references = { ...references, ...extractAssetTransferables(asset) };
    }
    return references;
};
/**
 * This will take an individual asset(likely polinated with transferables already.) and return all the format uuids and their Transferables.
 * The key here is still a format uuid tho.
 * @param {Asset} asset
 * @returns {[key: string]: FormatTransferable} This will return an object of references with the key being a format uui and the value being a formatTransferable
 */
const extractAssetTransferables = (asset) => {
    const references = {};
    /// when packaging up our format values all we need to do is just get our format values,
    /// b/c original, and previews are all just values that are in the formats iterable
    for (const format of asset.formats.iterable || []) {
        references[format.id] = {
            file: format.file,
            fragment: format.fragment,
        };
    }
    return references;
};
/**
 * This will take assets(flat or polinated) and references and merge our references back into our assets.
 * @param { asset:Assets, references: { [key: string]: FormatTransferable }}
 * @returns {Assets} this will return Assets that are fully polinated with transferables or at least all the transferables that were already included in the references.
 */
const mergeAssetsWithTransferables = ({ assets, references, }) => {
    const iterable = assets.iterable;
    for (let i = 0; i < iterable.length; i++) {
        const asset = assets.iterable[i];
        assets.iterable[i] = mergeAssetWithTransferables({
            asset: asset,
            references: references,
        });
    }
    return assets;
};
/**
 * This will take an asset(flat or polinated) and references and merge our references back into our asset.
 * @param { asset:Assets, references: { [key: string]: FormatTransferable }}
 * @returns {Asset} This will return an Asset that is fully polinated with reference data.
 */
const mergeAssetWithTransferables = ({ asset, references, }) => {
    var _a, _b, _c, _d, _e, _f, _g, _h, _j, _k, _l;
    const iterable = asset.formats.iterable || [];
    // (1) merge all our formats
    for (let i = 0; i < iterable.length; i++) {
        const format = iterable[i];
        iterable[i].fragment = (_a = references[format.id]) === null || _a === void 0 ? void 0 : _a.fragment;
        iterable[i].file = (_b = references[format.id]) === null || _b === void 0 ? void 0 : _b.file;
    }
    // (2) merge our original
    if (asset.original.reference) {
        asset.original.reference.fragment = (_c = references[asset.original.id]) === null || _c === void 0 ? void 0 : _c.fragment;
        asset.original.reference.file = (_d = references[asset.original.id]) === null || _d === void 0 ? void 0 : _d.file;
    }
    // (3a) merge for our preview base
    if (asset.preview.base.reference) {
        asset.preview.base.reference.fragment =
            (_e = references[asset.preview.base.id]) === null || _e === void 0 ? void 0 : _e.fragment;
        asset.preview.base.reference.file = (_f = references[asset.preview.base.id]) === null || _f === void 0 ? void 0 : _f.file;
    }
    // (3b) merge for our preview overlay
    if ((_g = asset.preview.overlay) === null || _g === void 0 ? void 0 : _g.reference) {
        asset.preview.overlay.reference.fragment =
            (_j = references[(_h = asset.preview.overlay) === null || _h === void 0 ? void 0 : _h.id]) === null || _j === void 0 ? void 0 : _j.fragment;
        asset.preview.overlay.reference.file =
            (_l = references[(_k = asset.preview.overlay) === null || _k === void 0 ? void 0 : _k.id]) === null || _l === void 0 ? void 0 : _l.file;
    }
    return asset;
};


/***/ }),

/***/ "./lib/ui/LabIcons.js":
/*!****************************!*\
  !*** ./lib/ui/LabIcons.js ***!
  \****************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   PiecesLogo: () => (/* binding */ PiecesLogo),
/* harmony export */   aiSVG: () => (/* binding */ aiSVG),
/* harmony export */   annotationIcon: () => (/* binding */ annotationIcon),
/* harmony export */   cancelIcon: () => (/* binding */ cancelIcon),
/* harmony export */   codeSVG: () => (/* binding */ codeSVG),
/* harmony export */   copilotBlack: () => (/* binding */ copilotBlack),
/* harmony export */   copilotWhite: () => (/* binding */ copilotWhite),
/* harmony export */   copyIcon: () => (/* binding */ copyIcon),
/* harmony export */   deleteIcon: () => (/* binding */ deleteIcon),
/* harmony export */   editIcon: () => (/* binding */ editIcon),
/* harmony export */   expandIcon: () => (/* binding */ expandIcon),
/* harmony export */   openFile: () => (/* binding */ openFile),
/* harmony export */   plusIcon: () => (/* binding */ plusIcon),
/* harmony export */   refreshIcon: () => (/* binding */ refreshIcon),
/* harmony export */   saveAllIcon: () => (/* binding */ saveAllIcon),
/* harmony export */   saveIcon: () => (/* binding */ saveIcon),
/* harmony export */   sendSVG: () => (/* binding */ sendSVG),
/* harmony export */   shareIcon: () => (/* binding */ shareIcon),
/* harmony export */   starIcon: () => (/* binding */ starIcon),
/* harmony export */   userIcon: () => (/* binding */ userIcon)
/* harmony export */ });
/* harmony import */ var _jupyterlab_ui_components__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @jupyterlab/ui-components */ "webpack/sharing/consume/default/@jupyterlab/ui-components");
/* harmony import */ var _jupyterlab_ui_components__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_jupyterlab_ui_components__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _const__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../const */ "./lib/const.js");


const PiecesLogo = new _jupyterlab_ui_components__WEBPACK_IMPORTED_MODULE_0__.LabIcon({
    name: 'jupyter_pieces:logo',
    svgstr: _const__WEBPACK_IMPORTED_MODULE_1__["default"].PIECES_LOGO,
});
const refreshIcon = new _jupyterlab_ui_components__WEBPACK_IMPORTED_MODULE_0__.LabIcon({
    name: 'jupyter_pieces:refresh',
    svgstr: _const__WEBPACK_IMPORTED_MODULE_1__["default"].REFRESH_SVG,
});
const cancelIcon = new _jupyterlab_ui_components__WEBPACK_IMPORTED_MODULE_0__.LabIcon({
    name: 'jupyter_pieces:cancel',
    svgstr: _const__WEBPACK_IMPORTED_MODULE_1__["default"].CANCEL_SVG,
});
const codeSVG = new _jupyterlab_ui_components__WEBPACK_IMPORTED_MODULE_0__.LabIcon({
    name: 'jupyter_pieces:codeSVG',
    svgstr: _const__WEBPACK_IMPORTED_MODULE_1__["default"].CODE_SVG,
});
const openFile = new _jupyterlab_ui_components__WEBPACK_IMPORTED_MODULE_0__.LabIcon({
    name: 'jupyter_pieces:openFile',
    svgstr: _const__WEBPACK_IMPORTED_MODULE_1__["default"].OPEN_ICON,
});
const userIcon = new _jupyterlab_ui_components__WEBPACK_IMPORTED_MODULE_0__.LabIcon({
    name: 'jupyter_pieces:userSVG',
    svgstr: _const__WEBPACK_IMPORTED_MODULE_1__["default"].USER_SVG,
});
const aiSVG = new _jupyterlab_ui_components__WEBPACK_IMPORTED_MODULE_0__.LabIcon({
    name: 'jupyter_pieces:aiSVG',
    svgstr: _const__WEBPACK_IMPORTED_MODULE_1__["default"].AI_SVG,
});
const copyIcon = new _jupyterlab_ui_components__WEBPACK_IMPORTED_MODULE_0__.LabIcon({
    name: 'jupyter_pieces:copy',
    svgstr: _const__WEBPACK_IMPORTED_MODULE_1__["default"].COPY_SVG,
});
const shareIcon = new _jupyterlab_ui_components__WEBPACK_IMPORTED_MODULE_0__.LabIcon({
    name: 'jupyter_pieces:share',
    svgstr: _const__WEBPACK_IMPORTED_MODULE_1__["default"].SHARE_SVG,
});
const deleteIcon = new _jupyterlab_ui_components__WEBPACK_IMPORTED_MODULE_0__.LabIcon({
    name: 'jupyter_pieces:delete',
    svgstr: _const__WEBPACK_IMPORTED_MODULE_1__["default"].DELETE_SVG,
});
const expandIcon = new _jupyterlab_ui_components__WEBPACK_IMPORTED_MODULE_0__.LabIcon({
    name: 'jupyter_pieces:expand',
    svgstr: _const__WEBPACK_IMPORTED_MODULE_1__["default"].EXPAND_SVG,
});
const editIcon = new _jupyterlab_ui_components__WEBPACK_IMPORTED_MODULE_0__.LabIcon({
    name: 'jupyter_pieces:edit',
    svgstr: _const__WEBPACK_IMPORTED_MODULE_1__["default"].EDIT_SVG,
});
const saveIcon = new _jupyterlab_ui_components__WEBPACK_IMPORTED_MODULE_0__.LabIcon({
    name: 'jupyter_pieces:save',
    svgstr: _const__WEBPACK_IMPORTED_MODULE_1__["default"].SAVE_SVG,
});
const copilotWhite = new _jupyterlab_ui_components__WEBPACK_IMPORTED_MODULE_0__.LabIcon({
    name: 'jupyter_pieces:copilotWhite',
    svgstr: _const__WEBPACK_IMPORTED_MODULE_1__["default"].COPILOT_WHITE,
});
const copilotBlack = new _jupyterlab_ui_components__WEBPACK_IMPORTED_MODULE_0__.LabIcon({
    name: 'jupyter_pieces:copilotBlack',
    svgstr: _const__WEBPACK_IMPORTED_MODULE_1__["default"].COPILOT_BLACK,
});
const sendSVG = new _jupyterlab_ui_components__WEBPACK_IMPORTED_MODULE_0__.LabIcon({
    name: 'jupyter_pieces:sendSVG',
    svgstr: _const__WEBPACK_IMPORTED_MODULE_1__["default"].SEND_SVG,
});
const saveAllIcon = new _jupyterlab_ui_components__WEBPACK_IMPORTED_MODULE_0__.LabIcon({
    name: 'jupyter_pieces:save-all',
    svgstr: _const__WEBPACK_IMPORTED_MODULE_1__["default"].SAVE_ALL_SVG,
});
const starIcon = new _jupyterlab_ui_components__WEBPACK_IMPORTED_MODULE_0__.LabIcon({
    name: 'jupyter_pieces:star',
    svgstr: _const__WEBPACK_IMPORTED_MODULE_1__["default"].STAR_ICON,
});
const annotationIcon = new _jupyterlab_ui_components__WEBPACK_IMPORTED_MODULE_0__.LabIcon({
    name: 'jupyter_pieces:annotation',
    svgstr: _const__WEBPACK_IMPORTED_MODULE_1__["default"].STICKY_NOTE_ICON,
});
const plusIcon = new _jupyterlab_ui_components__WEBPACK_IMPORTED_MODULE_0__.LabIcon({
    name: 'jupyter_pieces:plus',
    svgstr: _const__WEBPACK_IMPORTED_MODULE_1__["default"].PLUS_ICON,
});


/***/ }),

/***/ "./lib/ui/modals/AddSnippetToContextModal.js":
/*!***************************************************!*\
  !*** ./lib/ui/modals/AddSnippetToContextModal.js ***!
  \***************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (/* binding */ AddSnippetToContextModal)
/* harmony export */ });
/* harmony import */ var _cache_pieces_cache__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../cache/pieces_cache */ "./lib/cache/pieces_cache.js");
/* harmony import */ var _connection_connector_singleton__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../connection/connector_singleton */ "./lib/connection/connector_singleton.js");
/* harmony import */ var copilot_dist_view_QGPTView__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! copilot/dist/view/QGPTView */ "./node_modules/copilot/dist/view/QGPTView.js");
/* harmony import */ var copilot_dist_view_QGPTView__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(copilot_dist_view_QGPTView__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _Modal__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./Modal */ "./lib/ui/modals/Modal.js");
/* harmony import */ var _views_renderListView__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../views/renderListView */ "./lib/ui/views/renderListView.js");





class AddSnippetToContextModal extends _Modal__WEBPACK_IMPORTED_MODULE_1__["default"] {
    async onOpen() {
        //
    }
    constructor(conversation) {
        super();
        this.snippetsToAdd = {};
        this.conversation = conversation;
        this.titleEl.innerText = 'Add snippet to context';
        this.contentEl.onclick = (e) => {
            e.stopPropagation();
        };
        for (const snippet of _cache_pieces_cache__WEBPACK_IMPORTED_MODULE_2__["default"].getInstance().assets) {
            const snippetRow = this.contentEl.createDiv();
            snippetRow.classList.add('flex', 'flex-row', 'items-center');
            const checkBox = snippetRow.createEl('input');
            checkBox.type = 'checkbox';
            checkBox.onchange = () => {
                this.snippetsToAdd[snippet.id] = checkBox.checked;
            };
            const snippetElement = (0,_views_renderListView__WEBPACK_IMPORTED_MODULE_3__.constructSnippet)({
                snippetData: snippet,
                discovery: false,
            });
            snippetRow.appendChild(snippetElement);
        }
        if (!_cache_pieces_cache__WEBPACK_IMPORTED_MODULE_2__["default"].getInstance().assets.length) {
            const emptyText = this.contentEl.createDiv();
            emptyText.classList.add('p-4', 'text-center');
            emptyText.innerText =
                "Doesn't seem like you have any snippets saved yet! Try saving a snippet and then adding it to context";
        }
        const actionRow = this.contentEl.createDiv();
        actionRow.classList.add('flex', 'flex-row', 'justify-center', 'p-3');
        const saveBtn = actionRow.createDiv();
        saveBtn.classList.add('p-2', 'bg-[var(--background-secondary)]', 'cursor-pointer', 'rounded', 'shadow-sm', 'shadow-[var(--background-modifier-box-shadow)]');
        saveBtn.innerText = 'save';
        saveBtn.onclick = () => {
            this.close();
        };
    }
    handleAddToContext() {
        this.containerEl.remove();
        const snippetIds = Object.keys(this.snippetsToAdd).filter((id) => this.snippetsToAdd[id]);
        (copilot_dist_view_QGPTView__WEBPACK_IMPORTED_MODULE_0___default().lastConversationMessage) = new Date();
        for (const id of snippetIds) {
            _connection_connector_singleton__WEBPACK_IMPORTED_MODULE_4__["default"].getInstance().conversationApi.conversationAssociateAsset({
                conversation: this.conversation,
                asset: id,
            });
        }
    }
    onClose() {
        this.handleAddToContext();
    }
}


/***/ }),

/***/ "./lib/ui/modals/AskQGPTModal.js":
/*!***************************************!*\
  !*** ./lib/ui/modals/AskQGPTModal.js ***!
  \***************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (/* binding */ AskQGPTModal)
/* harmony export */ });
/* harmony import */ var _connection_version_check__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../../connection/version_check */ "./lib/connection/version_check.js");
/* harmony import */ var marked__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! marked */ "webpack/sharing/consume/default/marked/marked?9245");
/* harmony import */ var marked__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(marked__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _views_DisplayController__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ../views/DisplayController */ "./lib/ui/views/DisplayController.js");
/* harmony import */ var copilot_dist_view_QGPTView__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! copilot/dist/view/QGPTView */ "./node_modules/copilot/dist/view/QGPTView.js");
/* harmony import */ var copilot_dist_view_QGPTView__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(copilot_dist_view_QGPTView__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _LabIcons__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ../LabIcons */ "./lib/ui/LabIcons.js");
/* harmony import */ var _connection_notification_handler__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! ../../connection/notification_handler */ "./lib/connection/notification_handler.js");
/* harmony import */ var ___WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../.. */ "./lib/index.js");
/* harmony import */ var _Modal__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./Modal */ "./lib/ui/modals/Modal.js");
/* harmony import */ var _localStorageManager__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! ../../localStorageManager */ "./lib/localStorageManager.js");
/* harmony import */ var _jupyterlab_cells__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @jupyterlab/cells */ "webpack/sharing/consume/default/@jupyterlab/cells");
/* harmony import */ var _jupyterlab_cells__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_jupyterlab_cells__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var copilot_dist_components_QGPTViewBuilder__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! copilot/dist/components/QGPTViewBuilder */ "./node_modules/copilot/dist/components/QGPTViewBuilder.js");
/* harmony import */ var copilot_dist_components_QGPTViewBuilder__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(copilot_dist_components_QGPTViewBuilder__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! @pieces.app/pieces-os-client */ "webpack/sharing/consume/default/@pieces.app/pieces-os-client/@pieces.app/pieces-os-client");
/* harmony import */ var _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(_pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_4__);












class AskQGPTModal extends _Modal__WEBPACK_IMPORTED_MODULE_5__["default"] {
    constructor(selection) {
        super();
        this.text = selection;
    }
    async onOpen() {
        var _a;
        this.titleEl.innerText = 'Ask Copilot about your selection';
        const selectionRow = document.createElement('div');
        this.contentEl.appendChild(selectionRow); //this.contentEl.createEl('div');
        selectionRow.classList.add('ask-row');
        const selectionCol = document.createElement('div');
        selectionRow.appendChild(selectionCol); //selectionRow.createDiv();
        selectionCol.classList.add('ask-col');
        //@ts-ignore this api is there we just don't got typing ;(
        const activeCell = (_a = ___WEBPACK_IMPORTED_MODULE_6__.defaultApp.shell.currentWidget) === null || _a === void 0 ? void 0 : _a.content.activeCell;
        if (activeCell instanceof _jupyterlab_cells__WEBPACK_IMPORTED_MODULE_2__.CodeCell) {
            selectionCol.innerHTML = marked__WEBPACK_IMPORTED_MODULE_0__.marked.parse(`\`\`\`python\n${this.text.trim()}\n\`\`\``);
        }
        else {
            selectionCol.innerHTML = marked__WEBPACK_IMPORTED_MODULE_0__.marked.parse(this.text.trim());
        }
        copilot_dist_components_QGPTViewBuilder__WEBPACK_IMPORTED_MODULE_3___default().syntaxHighlight({
            element: selectionCol,
            relevant: [],
            askCopilot: true,
        });
        selectionCol.classList.add('ask-selection');
        const inputRow = document.createElement('div');
        this.contentEl.appendChild(inputRow); //this.contentEl.createEl('div');
        inputRow.classList.add('ask-row', 'ask-input-row');
        const inputCol = document.createElement('div');
        inputRow.appendChild(inputCol); //inputRow.createDiv();
        inputCol.classList.add('ask-col');
        const inputText = document.createElement('span'); //inputCol.createEl('span');
        inputCol.appendChild(inputText);
        inputText.classList.add('ask-input', 'no-edit-border', 'overflow-hidden');
        this.inputText = inputText;
        inputText.classList.add('gpt-input-textarea');
        inputText.title = !_connection_version_check__WEBPACK_IMPORTED_MODULE_7__.versionValid
            ? 'Pieces OS is not up-to-date, please update to use Copilot.'
            : _views_DisplayController__WEBPACK_IMPORTED_MODULE_8__["default"].isFetchFailed
                ? 'Pieces OS not detected, please launch Pieces OS to use Copilot.'
                : 'Ask a question about your selection';
        inputText.contentEditable =
            !_connection_version_check__WEBPACK_IMPORTED_MODULE_7__.versionValid || _views_DisplayController__WEBPACK_IMPORTED_MODULE_8__["default"].isFetchFailed ? 'false' : 'true';
        inputText.spellcheck = true;
        inputText.focus();
        const sendCol = document.createElement('div');
        inputRow.appendChild(sendCol); //inputRow.createDiv();
        sendCol.classList.add('ask-col');
        inputCol.classList.add('ask-col', 'ask-col-input');
        const sendDiv = document.createElement('div');
        sendCol.appendChild(sendDiv); //sendCol.createEl('div');
        _LabIcons__WEBPACK_IMPORTED_MODULE_9__.sendSVG.element({ container: sendDiv });
        sendDiv.classList.add('gpt-img', 'ask-send-div');
        const sendSVG = sendDiv.firstChild;
        sendSVG.classList.add('gpt-send-unactive');
        sendDiv.onmouseup = async () => {
            // Tested to make sure this is only added once.
            if (inputText.innerText.trim() === '') {
                return;
            }
            this.handleQuery();
        };
        // input handler
        inputText.onkeyup = async (evt) => {
            // Tested to make sure this is only added once.
            if (inputText.innerText !== '') {
                sendSVG.classList.remove('gpt-send-unactive');
                sendSVG.classList.add('gpt-send-active');
            }
            else {
                sendSVG.classList.remove('gpt-send-active');
                sendSVG.classList.add('gpt-send-unactive');
            }
            if (evt.key !== 'Enter' || evt.shiftKey) {
                return;
            }
            if (inputText.innerText.trim() === '') {
                return;
            }
            sendSVG.classList.remove('gpt-send-active');
            sendSVG.classList.add('gpt-send-unactive');
            this.handleQuery();
        };
        selectionCol.scrollTop = 0;
        selectionCol.children[0].scrollTop = 0;
        if (selectionCol.children[0].children[0])
            selectionCol.children[0].children[0].scrollTop = 0;
        inputText.focus();
    }
    handleQuery() {
        var _a, _b;
        const query = (_a = this.inputText) === null || _a === void 0 ? void 0 : _a.innerText;
        if (!query) {
            _connection_notification_handler__WEBPACK_IMPORTED_MODULE_10__["default"].getInstance().error({
                message: 'Please enter a question for the Copilot!',
            });
            return;
        }
        const gptTab = document.getElementById('gpt-tab');
        if (gptTab.style.display === 'none') {
            const navTab = document.getElementById('piecesTabs');
            const clickEvt = new Event('click', { bubbles: true });
            navTab === null || navTab === void 0 ? void 0 : navTab.children[3].dispatchEvent(clickEvt);
        }
        const queryObj = {
            query: query.trim(),
            relevant: { text: this.text.trim(), extension: undefined },
        };
        //@ts-ignore this api is there we just don't got typing ;(
        const activeCell = (_b = ___WEBPACK_IMPORTED_MODULE_6__.defaultApp.shell.currentWidget) === null || _b === void 0 ? void 0 : _b.content.activeCell;
        if (activeCell instanceof _jupyterlab_cells__WEBPACK_IMPORTED_MODULE_2__.CodeCell) {
            queryObj.relevant.extension = _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_4__.ClassificationSpecificEnum.Py;
        }
        copilot_dist_view_QGPTView__WEBPACK_IMPORTED_MODULE_1___default().createGPTView({
            containerVar: gptTab,
            newInstance: true,
            query: queryObj,
        });
        if ((0,_localStorageManager__WEBPACK_IMPORTED_MODULE_11__.getStored)('AutoOpen')) {
            ___WEBPACK_IMPORTED_MODULE_6__.defaultApp.shell.activateById('piecesView');
        }
        this.close();
    }
    onClose() { }
}


/***/ }),

/***/ "./lib/ui/modals/EditAnnotationsModal.js":
/*!***********************************************!*\
  !*** ./lib/ui/modals/EditAnnotationsModal.js ***!
  \***********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   AnnotationsModal: () => (/* binding */ AnnotationsModal)
/* harmony export */ });
/* harmony import */ var _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @pieces.app/pieces-os-client */ "webpack/sharing/consume/default/@pieces.app/pieces-os-client/@pieces.app/pieces-os-client");
/* harmony import */ var _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _connection_connector_singleton__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../connection/connector_singleton */ "./lib/connection/connector_singleton.js");
/* harmony import */ var _connection_notification_handler__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../../connection/notification_handler */ "./lib/connection/notification_handler.js");
/* harmony import */ var uuid__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! uuid */ "webpack/sharing/consume/default/uuid/uuid?e885");
/* harmony import */ var uuid__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(uuid__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _const__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../const */ "./lib/const.js");
/* harmony import */ var _Modal__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./Modal */ "./lib/ui/modals/Modal.js");
/* harmony import */ var copilot_dist_types_NotificationParameters__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! copilot/dist/types/NotificationParameters */ "./node_modules/copilot/dist/types/NotificationParameters.js");







class AnnotationsModal extends _Modal__WEBPACK_IMPORTED_MODULE_3__["default"] {
    constructor(snippetObject) {
        super();
        this.addAnnotationWidget = (AnnotationCol) => {
            const AddAnnotationWidget = document.createElement('div');
            AnnotationCol.appendChild(AddAnnotationWidget); // AnnotationCol.createDiv();
            AddAnnotationWidget.classList.add('row', 'width-full', 'width-max', 'annotation-add-body');
            const AnnotationText = document.createElement('span'); //AddAnnotationWidget.createEl('span');
            AddAnnotationWidget.appendChild(AnnotationText);
            AnnotationText.classList.add('width-full', 'width-max');
            AnnotationText.innerText = 'Add Annotation +';
            AddAnnotationWidget.addEventListener('click', async () => {
                const seperator = this.annotationWidgetSeperator();
                AnnotationCol.prepend(this.annotationWidget({
                    type: _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.AnnotationTypeEnum.Description,
                    text: '',
                    id: (0,uuid__WEBPACK_IMPORTED_MODULE_1__.v4)(),
                    created: {
                        value: new Date(),
                    },
                    updated: {
                        value: new Date(),
                    },
                }, true, seperator));
                AnnotationCol.prepend(seperator);
                AnnotationCol.prepend(AddAnnotationWidget);
            });
        };
        this.annotationWidget = (annotation, isNew = false, seperator) => {
            var _a;
            annotation.created.value = new Date(annotation.created.value);
            annotation.updated.value = new Date(annotation.updated.value);
            const AnnotationWidget = document.createElement('div');
            AnnotationWidget.classList.add('row', 'width-full', 'width-max', 'annotation-body');
            const AnnotationWidgetBody = document.createElement('div');
            AnnotationWidget.appendChild(AnnotationWidgetBody); //AnnotationWidget.createDiv();
            AnnotationWidgetBody.classList.add('col', 'width-full', 'width-max', 'annotation-col-fix');
            const AnnotationText = document.createElement('span'); // AnnotationWidgetBody.createEl('span');
            AnnotationWidgetBody.appendChild(AnnotationText);
            AnnotationText.contentEditable = 'true';
            AnnotationText.classList.add('width-full', 'width-max', 'annotation-text-height-max', 'annotation-text-height-min', 'annotation-text-body');
            AnnotationText.innerText = annotation.text;
            const AnnotationMetaRow = document.createElement('div');
            AnnotationWidgetBody.appendChild(AnnotationMetaRow); //AnnotationWidgetBody.createDiv();
            AnnotationMetaRow.classList.add('row', 'width-max', 'annotation-metadata');
            const AnnotationMetaRowLeft = document.createElement('div');
            AnnotationMetaRow.appendChild(AnnotationMetaRowLeft); //AnnotationMetaRow.createDiv();
            AnnotationMetaRowLeft.classList.add('annotation-metadata-left');
            AnnotationMetaRowLeft.innerHTML = _const__WEBPACK_IMPORTED_MODULE_4__["default"].ENRICH_ICON;
            const annotationDate = document.createElement('span');
            AnnotationMetaRowLeft.appendChild(annotationDate); //AnnotationMetaRowLeft.createEl('span');
            annotationDate.textContent = `Added ${(_a = annotation.created.readable) !== null && _a !== void 0 ? _a : 'just now'}`;
            const AnnotationActionDiv = document.createElement('div');
            AnnotationActionDiv.classList.add('annotation-action-row');
            AnnotationMetaRowLeft.appendChild(AnnotationActionDiv); //AnnotationMetaRowLeft.createDiv();
            const favoriteBtn = document.createElement('div'); // AnnotationMetaRowLeft.createDiv();
            AnnotationActionDiv.appendChild(favoriteBtn);
            favoriteBtn.classList.add('annotation-metadata-left-btn');
            favoriteBtn.onclick = () => {
                annotation.favorited = annotation.favorited ? false : true;
                favoriteBtn.style.color = annotation.favorited
                    ? 'yellow'
                    : 'currentColor';
                this.handleCrupdate(annotation, AnnotationText, isNew, true).then((newAnnotation) => {
                    annotation = newAnnotation;
                });
                isNew = false;
            };
            favoriteBtn.innerHTML = _const__WEBPACK_IMPORTED_MODULE_4__["default"].STAR_ICON;
            favoriteBtn.style.color = annotation.favorited ? 'yellow' : 'currentColor';
            const saveBtn = document.createElement('div');
            AnnotationActionDiv.appendChild(saveBtn); //AnnotationMetaRowLeft.createDiv();
            saveBtn.classList.add('annotation-metadata-left-btn', 'annotation-save');
            saveBtn.innerHTML = _const__WEBPACK_IMPORTED_MODULE_4__["default"].SAVE_ALL_ICON;
            saveBtn.title = 'Save annotation';
            saveBtn.onclick = async () => {
                this.handleCrupdate(annotation, AnnotationText, isNew).then((newAnnotation) => {
                    if (annotation.id !== newAnnotation.id)
                        isNew = false;
                    annotation = newAnnotation;
                });
            };
            const deleteBtn = document.createElement('div');
            AnnotationActionDiv.appendChild(deleteBtn); //AnnotationMetaRowLeft.createDiv();
            deleteBtn.classList.add('annotation-metadata-left-btn', 'annotation-delete');
            deleteBtn.onclick = async () => {
                seperator.remove();
                this.handleDelete(annotation, AnnotationWidget, isNew);
            };
            deleteBtn.innerHTML = _const__WEBPACK_IMPORTED_MODULE_4__["default"].DELETE_SVG;
            deleteBtn.title = 'Delete annotation';
            deleteBtn.style.color = '#FF4343';
            const AnnotationMetaRowRight = document.createElement('div');
            AnnotationMetaRow.appendChild(AnnotationMetaRowRight); //AnnotationMetaRow.createDiv();
            const annotationTypeDropdown = document.createElement('select');
            annotationTypeDropdown.classList.add('jp-dropdown');
            Object.values(_pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.AnnotationTypeEnum).forEach((el) => {
                const option = document.createElement('option');
                option.innerText = el.toUpperCase().replace('_', ' ');
                option.value = el;
                option.selected = el === annotation.type;
                annotationTypeDropdown.appendChild(option);
            });
            annotationTypeDropdown.onchange = () => {
                annotation.type = annotationTypeDropdown.value;
                this.handleCrupdate(annotation, AnnotationText, isNew, undefined, true).then((newAnnotation) => {
                    annotation = newAnnotation;
                    if (annotation.id !== newAnnotation.id)
                        isNew = false;
                });
            };
            AnnotationMetaRowRight.appendChild(annotationTypeDropdown); //AnnotationMetaRowRight.createEl('span');
            const option_arrow = document.createElement('span');
            option_arrow.innerText = '▼';
            option_arrow.classList.add('jp-dropdown-arrow');
            AnnotationMetaRowRight.appendChild(option_arrow);
            AnnotationActionDiv.classList.add('actions-hidden');
            AnnotationWidget.onmouseenter = () => {
                AnnotationActionDiv.classList.remove('hidden-out');
                AnnotationActionDiv.classList.add('hidden-in');
            };
            AnnotationWidget.onmouseleave = () => {
                if (AnnotationText.innerText === annotation.text &&
                    annotation.type === annotationTypeDropdown.value) {
                    AnnotationActionDiv.classList.remove('hidden-in');
                    AnnotationActionDiv.classList.add('hidden-out');
                }
            };
            return AnnotationWidget;
        };
        this.handleDelete = (annotation, AnnotationWidget, isNew) => {
            setTimeout(() => {
                // close modal listener fires if this is removed straight away.
                AnnotationWidget.remove();
            }, 50);
            const config = _connection_connector_singleton__WEBPACK_IMPORTED_MODULE_5__["default"].getInstance();
            if (!isNew) {
                config.annotationsApi
                    .annotationsDeleteSpecificAnnotation({
                    annotation: annotation.id,
                })
                    .then(() => {
                    _connection_notification_handler__WEBPACK_IMPORTED_MODULE_6__["default"].getInstance().information({
                        message: 'Annotation deletion success!',
                    });
                })
                    .catch((e) => {
                    _connection_notification_handler__WEBPACK_IMPORTED_MODULE_6__["default"].getInstance().error({
                        message: 'Error deleting that annotation! If the issue persists, please contact support. Make sure that Pieces OS is installed, up to date, and running.',
                        actions: [
                            {
                                title: 'Contact Support',
                                type: copilot_dist_types_NotificationParameters__WEBPACK_IMPORTED_MODULE_2__.NotificationActionTypeEnum.OPEN_LINK,
                                params: { url: 'https://docs.pieces.app/support' },
                            },
                        ],
                    });
                });
            }
        };
        this.handleCrupdate = async (annotation, AnnotationText, isNew, favorite, typeChange) => {
            var _a;
            if (AnnotationText.innerText === annotation.text &&
                !favorite &&
                !typeChange) {
                _connection_notification_handler__WEBPACK_IMPORTED_MODULE_6__["default"].getInstance().error({
                    message: 'Please modify your annotation to save changes!',
                });
                return annotation;
            }
            else if (!AnnotationText.innerText) {
                _connection_notification_handler__WEBPACK_IMPORTED_MODULE_6__["default"].getInstance().error({
                    message: 'Please add some text to your annotation to save changes!',
                });
                return annotation;
            }
            // this should not ever be empty because we check for falsy AnnotationText.textContent
            annotation.text = (_a = AnnotationText.innerText) !== null && _a !== void 0 ? _a : '';
            if (isNew) {
                isNew = false;
                const config = _connection_connector_singleton__WEBPACK_IMPORTED_MODULE_5__["default"].getInstance();
                return config.annotationsApi
                    .annotationsCreateNewAnnotation({
                    seededAnnotation: {
                        asset: this.snippetId,
                        type: annotation.type,
                        text: annotation.text,
                    },
                })
                    .then((newAnnotation) => {
                    _connection_notification_handler__WEBPACK_IMPORTED_MODULE_6__["default"].getInstance().information({
                        message: 'Annotation creation was a success!',
                    });
                    return newAnnotation;
                })
                    .catch(() => {
                    _connection_notification_handler__WEBPACK_IMPORTED_MODULE_6__["default"].getInstance().error({
                        message: 'Something went wrong creating that annotation! If the issue persists, please contact support. Make sure that Pieces OS is installed, up to date, and running!',
                        actions: [
                            {
                                title: 'Contact Support',
                                type: copilot_dist_types_NotificationParameters__WEBPACK_IMPORTED_MODULE_2__.NotificationActionTypeEnum.OPEN_LINK,
                                params: { url: 'https://docs.pieces.app/support' },
                            },
                        ],
                    });
                    return annotation;
                });
            }
            else {
                return this.updateHandler(annotation);
            }
        };
        this.annotationWidgetSeperator = () => {
            const AnnotationWidgetSeperator = document.createElement('div');
            AnnotationWidgetSeperator.classList.add('row', 'width-full', 'width-max', 'annotation-seperator');
            const AnnotationWidgetSeperatorBody = document.createElement('div');
            AnnotationWidgetSeperator.appendChild(AnnotationWidgetSeperatorBody); //AnnotationWidgetSeperator.createDiv();
            AnnotationWidgetSeperatorBody.classList.add('col', 'width-full', 'width-max');
            return AnnotationWidgetSeperator;
        };
        this.snippetTitle = snippetObject.title;
        this.snippetId = snippetObject.id;
        this.snippetContent = snippetObject.raw;
        this.snippetLanguage = snippetObject.language;
        this.seperatedRaw = (snippetObject.raw || '').split('\n');
        this.snippetAnnotations = snippetObject.annotations || [];
    }
    async onOpen() {
        this.titleEl.innerText = 'Annotations';
        const annotationForm = document.createElement('div');
        this.contentEl.appendChild(annotationForm);
        annotationForm.classList.add('annotation-form');
        const AnnotationRow = document.createElement('div');
        annotationForm.appendChild(AnnotationRow);
        AnnotationRow.classList.add('row', 'v-align-center', 'h-align-center');
        const AnnotationCol = document.createElement('div');
        AnnotationRow.appendChild(AnnotationCol);
        AnnotationCol.classList.add('col', 'v-align-center', 'h-align-center', 'width-full', 'annotation-col-fix');
        this.addAnnotationWidget(AnnotationCol);
        for (let i = 0; i < this.snippetAnnotations.length; i++) {
            const seperator = this.annotationWidgetSeperator();
            AnnotationCol.appendChild(seperator);
            AnnotationCol.appendChild(this.annotationWidget(this.snippetAnnotations[i], false, seperator));
        }
    }
    async updateHandler(annotation) {
        const config = _connection_connector_singleton__WEBPACK_IMPORTED_MODULE_5__["default"].getInstance();
        return config.annotationApi
            .annotationUpdate({ annotation })
            .then((newAnnotation) => {
            _connection_notification_handler__WEBPACK_IMPORTED_MODULE_6__["default"].getInstance().information({
                message: 'Annotation updating was a success!',
            });
            return newAnnotation;
        })
            .catch(() => {
            _connection_notification_handler__WEBPACK_IMPORTED_MODULE_6__["default"].getInstance().error({
                message: 'Something went wrong updating that annotation! If the issue persists, please contact support. Make sure that Pieces OS is installed, up to date, and running!',
                actions: [
                    {
                        title: 'Contact Support',
                        type: copilot_dist_types_NotificationParameters__WEBPACK_IMPORTED_MODULE_2__.NotificationActionTypeEnum.OPEN_LINK,
                        params: { url: 'https://docs.pieces.app/support' },
                    },
                ],
            });
            return annotation;
        });
    }
    onClose() { }
}


/***/ }),

/***/ "./lib/ui/modals/Modal.js":
/*!********************************!*\
  !*** ./lib/ui/modals/Modal.js ***!
  \********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (/* binding */ Modal)
/* harmony export */ });
class Modal {
    constructor() {
        this.handleWindowHide = (event) => {
            if (this.containerEl.classList.contains('!hidden'))
                return;
            if (event.target !== this.modalParent &&
                !this.modalParent.contains(event.target)) {
                this.close();
            }
        };
        //ROOT DIV
        const main = document.body;
        // MODAL CONTAINER
        const modalContainer = document.createElement('div');
        this.containerEl = modalContainer;
        modalContainer.classList.add('!hidden', 'absolute', 'left-0', 'top-0', 'flex', 'h-full', 'w-full', 'items-center', 'justify-center');
        // MODAL BACKGROUND
        const modalBackground = document.createElement('div');
        modalBackground.classList.add('absolute', 'left-0', 'top-0', 'h-full', 'w-full', 'opacity-80', 'bg-[rgba(10,10,10,0.4)]');
        //MODAL PARENT(S)
        const modalParent = document.createElement('div');
        this.modalParent = modalParent;
        modalParent.classList.add('relative', 'flex', 'max-h-[85vh]', 'min-h-[100px]', 'w-[560px]', 'max-w-[80vw]', 'flex-col', 'overflow-auto', 'rounded-lg', 'border-[var(--background-modifier-border)]', 'border-solid', 'bg-[var(--background-primary)]', 'px-4', 'py-2', 'z-[50]');
        // MODAL HEADER
        const modalHeader = document.createElement('div');
        modalHeader.classList.add('flex', 'flex-row', 'modal-header', 'justify-between', 'text-xl');
        modalParent.appendChild(modalHeader);
        // titleEl
        const titleCol = modalHeader.createDiv();
        titleCol.classList.add('flex-col');
        this.titleEl = titleCol;
        //CLOSE BUTTON
        const modalCloseButtonDiv = document.createElement('div');
        modalCloseButtonDiv.classList.add('flex-col');
        modalHeader.appendChild(modalCloseButtonDiv);
        const closeBtn = document.createElement('span');
        closeBtn.innerHTML = '&times;';
        closeBtn.classList.add('cursor-pointer');
        modalCloseButtonDiv.appendChild(closeBtn);
        // MODAL CONTENT
        const modalContent = document.createElement('div');
        this.contentEl = modalContent;
        modalContent.classList.add('modal-content', 'scrollbar-hide', 'flex', 'flex-col', 'text-sm', 'overflow-auto');
        modalParent.appendChild(modalContent);
        //APPEND MODAL TO ROOT
        modalContainer.appendChild(modalBackground);
        modalContainer.appendChild(modalParent);
        main.appendChild(modalContainer);
        closeBtn.addEventListener('click', () => {
            this.close();
        });
    }
    hide() {
        this.containerEl.classList.add('!hidden');
    }
    show() {
        setTimeout(() => {
            window.addEventListener('click', this.handleWindowHide);
        }, 200);
        this.containerEl.classList.remove('!hidden', 'hidden');
    }
    async open(show = true) {
        setTimeout(() => {
            window.addEventListener('click', this.handleWindowHide);
        }, 200);
        if (show) {
            this.containerEl.classList.remove('!hidden');
        }
        await this.onOpen();
    }
    close() {
        this.onClose();
        setTimeout(() => {
            window.removeEventListener('click', this.handleWindowHide);
        }, 200);
        this.containerEl.classList.add('!hidden');
    }
}


/***/ }),

/***/ "./lib/ui/modals/SearchFiltersModal.js":
/*!*********************************************!*\
  !*** ./lib/ui/modals/SearchFiltersModal.js ***!
  \*********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (/* binding */ SearchFiltersModal)
/* harmony export */ });
/* harmony import */ var _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @pieces.app/pieces-os-client */ "webpack/sharing/consume/default/@pieces.app/pieces-os-client/@pieces.app/pieces-os-client");
/* harmony import */ var _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _utils_langExtToClassificationSpecificEnum__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! ../utils/langExtToClassificationSpecificEnum */ "./lib/ui/utils/langExtToClassificationSpecificEnum.js");
/* harmony import */ var _connection_connector_singleton__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../connection/connector_singleton */ "./lib/connection/connector_singleton.js");
/* harmony import */ var _connection_notification_handler__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../../connection/notification_handler */ "./lib/connection/notification_handler.js");
/* harmony import */ var _cache_pieces_cache__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../../cache/pieces_cache */ "./lib/cache/pieces_cache.js");
/* harmony import */ var _views_DisplayController__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../views/DisplayController */ "./lib/ui/views/DisplayController.js");
/* harmony import */ var _models_SortSnippetsBy__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ../../models/SortSnippetsBy */ "./lib/models/SortSnippetsBy.js");
/* harmony import */ var _utils_searcLangSpecificEnum__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! ../utils/searcLangSpecificEnum */ "./lib/ui/utils/searcLangSpecificEnum.js");
/* harmony import */ var _Modal__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./Modal */ "./lib/ui/modals/Modal.js");
/* harmony import */ var _render_renderSearchBox__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ../render/renderSearchBox */ "./lib/ui/render/renderSearchBox.js");
/* harmony import */ var _const__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../const */ "./lib/const.js");
/* harmony import */ var copilot_dist_types_NotificationParameters__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! copilot/dist/types/NotificationParameters */ "./node_modules/copilot/dist/types/NotificationParameters.js");












var FilterTypeEnum;
(function (FilterTypeEnum) {
    FilterTypeEnum["Language"] = "Language";
    FilterTypeEnum["Tags"] = "Tags";
    FilterTypeEnum["Phrase"] = "Phrase";
})(FilterTypeEnum || (FilterTypeEnum = {}));
class SearchFiltersModal extends _Modal__WEBPACK_IMPORTED_MODULE_2__["default"] {
    constructor() {
        super();
        this.filtersRan = false;
        this.addedFilters = [];
        this.filters = { Tags: [], casing: false };
        this.titleEl.setText('Filter Snippets');
        const container = this.contentEl.createDiv();
        container.classList.add('flex', 'flex-col', 'w-full', 'h-full');
        const description = container.createDiv();
        description.classList.add('text-sm', 'flex', 'flex-row', 'w-full', 'mt-[-8px]', 'mb-1', 'text-[var(--jp-layout-color4)]');
        description.setText('Use filters to narrow your search scope & refine results');
        const filtersRow = container.createDiv();
        filtersRow.classList.add('flex', 'flex-row', 'w-full', 'h-full');
        const filtersCol = filtersRow.createDiv();
        filtersCol.classList.add('flex', 'flex-col', 'w-full', 'h-full');
        const actionRow = container.createDiv();
        actionRow.classList.add('flex', 'flex-row', 'w-full', 'mt-2');
        const addCol = actionRow.createDiv();
        addCol.classList.add('flex', 'flex-col', 'min-h-[32px]');
        const addButton = addCol.createEl('button');
        addButton.innerText = 'Add Filter';
        addButton.onclick = () => {
            this.addFilter(addCol, filtersCol, addButton);
            addButton.classList.add('hidden');
        };
        addButton.classList.add('w-fit', 'mr-2', 'jp-btn');
        this.addButton = addButton;
        const caseCol = actionRow.createDiv();
        caseCol.classList.add('flex', 'flex-col', 'hidden', 'w-full');
        const caseRow = caseCol.createDiv();
        caseRow.classList.add('flex', 'flex-row', 'w-full', 'items-center', 'h-full');
        const caseCheckBox = caseRow.createEl('input');
        caseCheckBox.type = 'checkbox';
        caseCheckBox.onchange = () => {
            this.filters.casing = caseCheckBox.checked;
        };
        const caseLabel = caseRow.createDiv();
        caseLabel.classList.add('w-full');
        caseLabel.setText('Case Sensitive');
        this.caseDiv = caseCol;
        const actionCol = actionRow.createDiv();
        actionCol.classList.add('flex', 'flex-col', 'w-full', 'hidden');
        this.actionCol = actionCol;
        const actionBtnRow = actionCol.createDiv();
        actionBtnRow.classList.add('flex', 'flex-row', 'justify-end', 'w-full');
        const clearBtn = actionBtnRow.createEl('button');
        clearBtn.onclick = () => {
            filtersCol.empty();
            this.addedFilters = [];
            this.filters = { Tags: [], casing: false };
            actionCol.classList.add('hidden');
            this.addButton.classList.remove('hidden');
            this.caseDiv.classList.add('hidden');
            this.handleClear();
        };
        clearBtn.setText('Clear Filters');
        clearBtn.classList.add('mr-2', 'jp-btn');
        const runBtn = actionBtnRow.createEl('button');
        runBtn.classList.add('jp-btn');
        runBtn.onclick = () => {
            this.runFilters();
        };
        runBtn.setText('Run');
    }
    handleClear() {
        var _a;
        (_a = document.getElementById('pieces-filters-options')) === null || _a === void 0 ? void 0 : _a.remove();
        if (this.filtersRan) {
            _views_DisplayController__WEBPACK_IMPORTED_MODULE_3__["default"].drawSnippets({});
            this.filtersRan = false;
        }
    }
    /*
      Creates a delete button
      - @param parent is the element that should be removed when the delete button is clicked
      - @param container is the element the delete button should be appended to
    */
    buildDeleteBtn(parent, container, filter) {
        const delDiv = container.createDiv();
        delDiv.innerHTML = _const__WEBPACK_IMPORTED_MODULE_4__["default"].DELETE_SVG;
        delDiv.classList.add('hover:text-red-600', 'cursor-pointer', 'ml-2', 'mr-2');
        delDiv.onclick = () => {
            var _a;
            parent.remove();
            (_a = document.getElementById('pieces-filters-options')) === null || _a === void 0 ? void 0 : _a.remove();
            this.addedFilters.remove(filter);
            this.addButton.classList.remove('hidden');
            if (this.addedFilters.length === 0) {
                this.actionCol.classList.add('hidden');
                this.handleClear();
            }
            delete this.filters[filter];
            if (!this.addedFilters.includes('Tags') &&
                !this.addedFilters.includes('Phrase')) {
                this.caseDiv.classList.add('hidden');
                this.filters.casing = false;
            }
        };
        return delDiv;
    }
    /*
      Runs the filter request, and renders the results.
    */
    async runFilters() {
        var _a, _b, _c, _d, _e, _f, _g, _h, _j, _k;
        const config = _connection_connector_singleton__WEBPACK_IMPORTED_MODULE_5__["default"].getInstance();
        const params = {
            transferables: false,
            pseudo: false,
            assetsSearchWithFiltersInput: {
                filters: {
                    iterable: [],
                },
                casing: this.filters.casing,
            },
        };
        if ((_a = this.filters.Language) === null || _a === void 0 ? void 0 : _a.length) {
            // add in the language filter if specified
            (_c = (_b = params.assetsSearchWithFiltersInput) === null || _b === void 0 ? void 0 : _b.filters) === null || _c === void 0 ? void 0 : _c.iterable.push({
                classification: this.filters.Language,
            });
        }
        if (this.filters.Tags.filter((el) => el.length).length) {
            // add in the tags filter if specified
            (_e = (_d = params.assetsSearchWithFiltersInput) === null || _d === void 0 ? void 0 : _d.filters) === null || _e === void 0 ? void 0 : _e.iterable.push({
                tags: this.filters.Tags,
            });
        }
        // phrase filter is added via 'operations' in order to use OR
        if ((_f = this.filters.Phrase) === null || _f === void 0 ? void 0 : _f.string.length) {
            // add in the phrase filter if specified
            const operations = {
                iterable: [],
                type: _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.FilterOperationTypeEnum.Or,
            };
            const value = this.filters.Phrase.string;
            if (this.filters.Phrase.annotations) {
                // they checked annotations
                operations.iterable.push({
                    phrase: { value, annotation: true },
                });
            }
            if (this.filters.Phrase.content) {
                // they checked content
                operations.iterable.push({
                    phrase: { value, content: true },
                });
            }
            if (this.filters.Phrase.titles) {
                // they checked titles
                operations.iterable.push({
                    phrase: { value, title: true },
                });
            }
            if (operations.iterable.length) {
                // they checked at least one box
                (_h = (_g = params.assetsSearchWithFiltersInput) === null || _g === void 0 ? void 0 : _g.filters) === null || _h === void 0 ? void 0 : _h.iterable.push({
                    operations,
                });
            }
        }
        if (!((_k = (_j = params.assetsSearchWithFiltersInput) === null || _j === void 0 ? void 0 : _j.filters) === null || _k === void 0 ? void 0 : _k.iterable.length)) {
            _connection_notification_handler__WEBPACK_IMPORTED_MODULE_6__["default"].getInstance().error({
                message: 'Filters were empty, skipping.',
            });
            return;
        }
        const assets = await config.assetsApi
            .assetsSearchWithFilters(params)
            .catch(() => {
            _connection_notification_handler__WEBPACK_IMPORTED_MODULE_6__["default"].getInstance().error({
                message: 'Something went wrong with filtering your snippets. Please make sure that Pieces OS is installed, updated, and running. If the issue persists please contact support',
                actions: [
                    {
                        title: 'Contact Support',
                        type: copilot_dist_types_NotificationParameters__WEBPACK_IMPORTED_MODULE_1__.NotificationActionTypeEnum.OPEN_LINK,
                        params: { url: 'https://docs.pieces.app/support' },
                    },
                ],
            });
        });
        if (!assets)
            return; // the above call errored, nothing was returned
        if (!assets.results.iterable.length) {
            _connection_notification_handler__WEBPACK_IMPORTED_MODULE_6__["default"].getInstance().error({
                message: 'No results found! Try again with a different set of filters.',
            });
            return;
        }
        else {
            _connection_notification_handler__WEBPACK_IMPORTED_MODULE_6__["default"].getInstance().information({
                message: `${assets.results.iterable.length} results found!`,
            });
        }
        const cache = _cache_pieces_cache__WEBPACK_IMPORTED_MODULE_7__["default"].getInstance();
        const snippets = cache.assets.filter((el) => assets.results.iterable.some((asset) => asset.identifier === el.id));
        // setSearchResultsView(true);
        (0,_render_renderSearchBox__WEBPACK_IMPORTED_MODULE_8__.setDefaultSortingView)(_models_SortSnippetsBy__WEBPACK_IMPORTED_MODULE_9__.SortSnippetsBy.Recent);
        _views_DisplayController__WEBPACK_IMPORTED_MODULE_3__["default"].drawSnippets({ snippets, search: false }).then(() => {
            _views_DisplayController__WEBPACK_IMPORTED_MODULE_3__["default"].filterModalBtn.classList.add('!text-blue-400');
        });
        this.filtersRan = true;
        this.close();
    }
    /*
      Builder for classification filter element
    */
    buildClassificationEl(container) {
        const clsRow = container.createDiv();
        clsRow.classList.add('flex', 'flex-row', 'my-2');
        const clsCol = clsRow.createDiv();
        clsCol.classList.add('flex', 'flex-col');
        const labelRow = clsCol.createDiv();
        labelRow.classList.add('flex', 'flex-row', 'text-sm', 'text-[var(--jp-layout-color4)]');
        labelRow.setText('LANGUAGE');
        const filterRow = clsCol.createDiv();
        filterRow.classList.add('flex', 'flex-row', 'items-center');
        const classificationDropdown = filterRow.createEl('select');
        classificationDropdown.classList.add('w-fit', 'text-center', 'jp-dropdown');
        Object.entries(_utils_searcLangSpecificEnum__WEBPACK_IMPORTED_MODULE_10__.searchLangSpecificEnum).forEach(([key, value]) => {
            const optEl = classificationDropdown.createEl('option');
            optEl.value = key;
            optEl.text = value;
        });
        classificationDropdown.onchange = () => {
            const value = classificationDropdown.value;
            this.filters[FilterTypeEnum.Language] =
                (0,_utils_langExtToClassificationSpecificEnum__WEBPACK_IMPORTED_MODULE_11__["default"])(value);
        };
        this.filters[FilterTypeEnum.Language] = (0,_utils_langExtToClassificationSpecificEnum__WEBPACK_IMPORTED_MODULE_11__["default"])(classificationDropdown.value);
        this.buildDeleteBtn(clsRow, filterRow, FilterTypeEnum.Language);
    }
    /*
      Builder for phrase filter element
    */
    buildPhraseEl(container) {
        this.filters[FilterTypeEnum.Phrase] = {
            string: '',
            annotations: true,
            titles: true,
            content: true,
        };
        const phraseRow = container.createDiv();
        phraseRow.classList.add('flex', 'flex-row', 'my-2', 'w-full');
        const phraseCol = phraseRow.createDiv();
        phraseCol.classList.add('flex', 'flex-col', 'w-full');
        const phraseLabel = phraseCol.createDiv();
        phraseLabel.classList.add('flex-row', 'flex', 'text-sm', 'text-[var(--jp-layout-color4)]');
        phraseLabel.setText('PHRASE');
        const inputRow = phraseCol.createDiv();
        inputRow.classList.add('flex', 'flex-row', 'my-1', 'w-full', 'items-center');
        const inputEl = inputRow.createEl('input');
        inputEl.type = 'text';
        inputEl.placeholder = 'Filter for an exact text match';
        inputEl.classList.add('w-1/2', 'jp-input', 'search-input', '!mt-0');
        inputEl.onchange = () => {
            this.filters[FilterTypeEnum.Phrase].string = inputEl.value;
        };
        const optionRow = phraseCol.createDiv();
        optionRow.classList.add('flex', 'flex-row', 'w-full', 'items-center', 'my-1');
        const annotationCheckBox = optionRow.createEl('input');
        annotationCheckBox.type = 'checkbox';
        annotationCheckBox.checked = true;
        annotationCheckBox.onchange = () => {
            this.filters[FilterTypeEnum.Phrase].annotations =
                annotationCheckBox.checked;
        };
        const annotationLabel = optionRow.createDiv();
        annotationLabel.setText('Match Annotations');
        annotationLabel.classList.add('mx-1');
        const seperatorEl = optionRow.createDiv();
        seperatorEl.classList.add('ml-2', 'mr-3', 'text-xs', 'text-[var(--jp-layout-color4)]');
        seperatorEl.setText('OR');
        const titleCheckbox = optionRow.createEl('input');
        titleCheckbox.checked = true;
        titleCheckbox.type = 'checkbox';
        titleCheckbox.onchange = () => {
            this.filters[FilterTypeEnum.Phrase].titles = titleCheckbox.checked;
        };
        const titleLabel = optionRow.createDiv();
        titleLabel.setText('Match Titles');
        titleLabel.classList.add('mx-1');
        optionRow.appendChild(seperatorEl.cloneNode(true));
        const contentCheckbox = optionRow.createEl('input');
        contentCheckbox.type = 'checkbox';
        contentCheckbox.checked = true;
        contentCheckbox.onchange = () => {
            this.filters.Phrase.content = contentCheckbox.checked;
        };
        const contentLabel = optionRow.createDiv();
        contentLabel.setText('Match Content');
        contentLabel.classList.add('mx-1');
        this.buildDeleteBtn(phraseRow, inputRow, FilterTypeEnum.Phrase);
    }
    buildTagEl(container) {
        const tagRow = container.createDiv();
        tagRow.classList.add('flex', 'flex-row', 'my-2');
        const tagCol = tagRow.createDiv();
        tagCol.classList.add('flex', 'flex-col');
        const tagLabel = tagCol.createDiv();
        tagLabel.classList.add('flex', 'flex-row', 'my-1', 'text-sm', 'text-[var(--jp-layout-color4)]');
        tagLabel.setText('TAGS');
        const filtersRow = tagCol.createDiv();
        filtersRow.classList.add('flex', 'flex-row', 'my-1', 'items-center', 'flex-wrap');
        let tagInputCount = 0;
        const buildTagInput = () => {
            const tagIndx = tagInputCount.valueOf();
            tagInputCount++;
            this.filters[FilterTypeEnum.Tags].push('');
            filtersRow.empty();
            for (const tag of this.filters[FilterTypeEnum.Tags]) {
                const tagFilterCol = filtersRow.createDiv();
                tagFilterCol.classList.add('flex', 'flex-col');
                const tagFilterRow = tagFilterCol.createDiv();
                tagFilterRow.classList.add('flex', 'flex-row', 'items-center', 'my-1');
                const tagFilterEl = tagFilterRow.createEl('input');
                tagFilterEl.type = 'text';
                tagFilterEl.onchange = () => {
                    this.filters[FilterTypeEnum.Tags][tagIndx] = tagFilterEl.value;
                };
                tagFilterEl.value = tag;
                tagFilterEl.placeholder = 'Add tag...';
                tagFilterEl.classList.add('mr-1', 'jp-input', 'search-input', '!mt-0');
                const deleteBtn = this.buildDeleteBtn(tagFilterCol, tagFilterRow, FilterTypeEnum.Tags);
                // overload the onclick for this button
                deleteBtn.onclick = () => {
                    var _a, _b;
                    (_a = document.getElementById('pieces-filters-options')) === null || _a === void 0 ? void 0 : _a.remove();
                    tagInputCount--;
                    (_b = this.filters[FilterTypeEnum.Tags]) === null || _b === void 0 ? void 0 : _b.remove(tagFilterEl.value);
                    tagFilterCol.remove();
                    if (tagInputCount <= 0) {
                        tagRow.remove();
                        this.addButton.classList.remove('hidden');
                        this.addedFilters.remove(FilterTypeEnum.Tags);
                        if (this.addedFilters.length === 0) {
                            this.actionCol.classList.add('hidden');
                            this.handleClear();
                        }
                        if (!this.addedFilters.includes('Tags') &&
                            !this.addedFilters.includes('Phrase')) {
                            this.caseDiv.classList.add('hidden');
                            this.filters.casing = false;
                        }
                    }
                };
            }
            const plusEl = filtersRow.createDiv();
            plusEl.classList.add('mx-1', 'cursor-pointer', 'hover:text-[var(--md-blue-400)]');
            plusEl.innerHTML = _const__WEBPACK_IMPORTED_MODULE_4__["default"].PLUS_ICON;
            plusEl.onclick = () => {
                buildTagInput();
            };
        };
        buildTagInput(); // build the first tag input el
    }
    buildFilterEl(type, container) {
        if (type === FilterTypeEnum.Language) {
            return this.buildClassificationEl(container);
        }
        else if (type === FilterTypeEnum.Phrase) {
            return this.buildPhraseEl(container);
        }
        else if (type === FilterTypeEnum.Tags) {
            return this.buildTagEl(container);
        }
        throw new Error('Invalid filter type');
    }
    /*
      Shows the available filter options to the user,
      and when an option is clicked it will build a filter element
    */
    addFilter(container, filterCol, addButton) {
        const options = Object.keys(FilterTypeEnum).filter((el) => !this.addedFilters.includes(el));
        const optionDiv = document.createElement('div');
        optionDiv.id = 'pieces-filters-options';
        optionDiv.classList.add('flex', 'flex-row', 'items-center', 'filter-grow-animation', 'h-full', 'mr-1');
        for (let i = 0; i < options.length; i++) {
            const option = options[i];
            if (i !== 0) {
                const split = optionDiv.createDiv();
                split.classList.add('mx-1', 'text-[var(--jp-layout-color4)]');
                split.setText('|');
            }
            const curOption = optionDiv.createDiv();
            curOption.classList.add('underline', 'cursor-pointer', 'mx-1', 'hover:text-[var(--md-blue-400)]', 'text-[var(--jp-layout-color4)]');
            curOption.setText(option);
            curOption.onclick = () => {
                this.addedFilters.push(option);
                this.buildFilterEl(FilterTypeEnum[option], filterCol);
                optionDiv.remove();
                this.actionCol.classList.remove('hidden');
                // if this is the last filter the user can add, don't show the add button again.
                if (this.addedFilters.length !== Object.keys(FilterTypeEnum).length) {
                    addButton.classList.remove('hidden');
                }
                // if they add a filter that can be case sensitive
                if (option === 'Tags' || option === 'Phrase') {
                    this.caseDiv.classList.remove('hidden');
                }
            };
        }
        container.appendChild(optionDiv);
    }
    async onOpen() {
        //
    }
    onClose() {
        //
    }
}


/***/ }),

/***/ "./lib/ui/modals/deleteModal.js":
/*!**************************************!*\
  !*** ./lib/ui/modals/deleteModal.js ***!
  \**************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (/* binding */ DeleteModal)
/* harmony export */ });
/* harmony import */ var _actions_delete__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../actions/delete */ "./lib/actions/delete.js");
/* harmony import */ var _Modal__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./Modal */ "./lib/ui/modals/Modal.js");


class DeleteModal extends _Modal__WEBPACK_IMPORTED_MODULE_0__["default"] {
    constructor(snippetId, snippetTitle) {
        super();
        this.snippetId = snippetId;
        this.snippetTitle = snippetTitle;
    }
    async onOpen() {
        //TITLE PARENT
        const modalTitleDiv = document.createElement('div');
        modalTitleDiv.classList.add('row');
        this.contentEl.appendChild(modalTitleDiv);
        //TITLE LABEL
        const titleCol = document.createElement('div');
        titleCol.classList.add('col');
        const titleLabelRow = document.createElement('div');
        titleLabelRow.classList.add('row');
        titleCol.appendChild(titleLabelRow);
        const titleLabel = document.createElement('span');
        titleLabel.classList.add('delete-modal-label');
        titleLabel.innerText = `Are you sure you want to delete '${this.snippetTitle}'?`;
        titleLabelRow.appendChild(titleLabel);
        modalTitleDiv.appendChild(titleCol);
        //SAVE BUTTON
        const btnRow = document.createElement('div');
        btnRow.classList.add('row', 'delete-desc-row');
        const saveBtn = document.createElement('button');
        saveBtn.classList.add('jp-btn', 'delete-del-btn');
        saveBtn.addEventListener('click', () => {
            deleteHandler(this.snippetId);
            this.containerEl.remove();
        });
        saveBtn.innerText = 'Delete';
        saveBtn.title = 'Delete piece';
        btnRow.appendChild(saveBtn);
        this.contentEl.appendChild(btnRow);
    }
    onClose() { }
}
async function deleteHandler(snippetId) {
    try {
        await _actions_delete__WEBPACK_IMPORTED_MODULE_1__["default"].delete({ id: snippetId });
        const snippetEl = document.getElementById(`snippet-el-${snippetId}`);
        snippetEl === null || snippetEl === void 0 ? void 0 : snippetEl.remove();
    }
    catch (error) {
        console.log(error);
    }
}


/***/ }),

/***/ "./lib/ui/modals/editModal.js":
/*!************************************!*\
  !*** ./lib/ui/modals/editModal.js ***!
  \************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (/* binding */ EditModal)
/* harmony export */ });
/* harmony import */ var _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @pieces.app/pieces-os-client */ "webpack/sharing/consume/default/@pieces.app/pieces-os-client/@pieces.app/pieces-os-client");
/* harmony import */ var _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _utils_langExtToReadable__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../utils/langExtToReadable */ "./lib/ui/utils/langExtToReadable.js");
/* harmony import */ var _actions_update_asset__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../../actions/update_asset */ "./lib/actions/update_asset.js");
/* harmony import */ var _utils_loadPrism__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../utils/loadPrism */ "./lib/ui/utils/loadPrism.js");
/* harmony import */ var _connection_notification_handler__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ../../connection/notification_handler */ "./lib/connection/notification_handler.js");
/* harmony import */ var _connection_connector_singleton__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../connection/connector_singleton */ "./lib/connection/connector_singleton.js");
/* harmony import */ var _utils_langExtToClassificationSpecificEnum__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../utils/langExtToClassificationSpecificEnum */ "./lib/ui/utils/langExtToClassificationSpecificEnum.js");
/* harmony import */ var _connection_api_wrapper__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ../../connection/api_wrapper */ "./lib/connection/api_wrapper.js");
/* harmony import */ var _utils_annotationHandler__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../../utils/annotationHandler */ "./lib/utils/annotationHandler.js");
/* harmony import */ var _Modal__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./Modal */ "./lib/ui/modals/Modal.js");










class EditModal extends _Modal__WEBPACK_IMPORTED_MODULE_1__["default"] {
    constructor(snippet) {
        var _a;
        super();
        this.editedContent = {
            id: snippet.id,
            title: snippet.title,
            annotations: (_a = snippet.annotations) !== null && _a !== void 0 ? _a : '',
            language: snippet.language,
            raw: snippet.raw,
        };
        this.snippet = snippet;
    }
    async onOpen() {
        const { snippet, editedContent } = this;
        //TITLE PARENT
        const modalTitleDiv = document.createElement('div');
        modalTitleDiv.classList.add('row');
        this.contentEl.appendChild(modalTitleDiv);
        //CLASSIFICATION PARENT
        const classificationCol = document.createElement('div');
        classificationCol.classList.add('col-fit');
        //CLASSIFICATION LABEL
        const classificationLabelRow = document.createElement('div');
        classificationLabelRow.classList.add('row', 'edit-title-label-row');
        const classificationLabel = document.createElement('span');
        classificationLabel.classList.add('edit-title-label');
        classificationLabel.innerText = 'Language: ';
        classificationLabelRow.appendChild(classificationLabel);
        classificationCol.appendChild(classificationLabelRow);
        //CLASSIFCATION INPUT
        const classificationSelectRow = document.createElement('div');
        classificationSelectRow.classList.add('row', 'edit-title-label-row');
        const snippetClassification = document.createElement('select');
        snippetClassification.classList.add('jp-dropdown', 'edit-dropdown');
        for (const [key, value] of Object.entries(_pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.ClassificationSpecificEnum).sort()) {
            if (value === 'txt' || value === 'yml')
                continue;
            const readable = (0,_utils_langExtToReadable__WEBPACK_IMPORTED_MODULE_2__["default"])(value);
            if (!readable)
                continue;
            const langOption = document.createElement('option');
            langOption.innerText = readable;
            langOption.value = key;
            snippetClassification.appendChild(langOption);
        }
        const curClassification = Object.keys(_pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.ClassificationSpecificEnum).find((value) => _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.ClassificationSpecificEnum[value] === snippet.language);
        snippetClassification.value =
            curClassification !== null && curClassification !== void 0 ? curClassification : _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.ClassificationSpecificEnum.Dart;
        classificationSelectRow.appendChild(snippetClassification);
        classificationCol.appendChild(classificationSelectRow);
        modalTitleDiv.appendChild(classificationCol);
        //TITLE LABEL
        const titleCol = document.createElement('div');
        titleCol.classList.add('col');
        const titleLabelRow = document.createElement('div');
        titleLabelRow.classList.add('row');
        titleCol.appendChild(titleLabelRow);
        const titleLabel = document.createElement('span');
        titleLabel.classList.add('edit-title-label');
        titleLabel.innerText = 'Title:';
        titleLabelRow.appendChild(titleLabel);
        //TITLE INPUT
        const titleInputRow = document.createElement('div');
        titleInputRow.classList.add('row', 'edit-title-label-row');
        const snippetTitle = document.createElement('input');
        snippetTitle.type = 'text';
        snippetTitle.classList.add('jp-input', 'edit-title-input');
        snippetTitle.value = snippet.title;
        snippetTitle.addEventListener('change', () => {
            editedContent.title = snippetTitle.value;
        });
        titleInputRow.appendChild(snippetTitle);
        titleCol.appendChild(titleInputRow);
        modalTitleDiv.appendChild(titleCol);
        //SNIPPET CODE
        const snippetDivOutter = document.createElement('div');
        snippetDivOutter.classList.add('row', 'snippet');
        snippetDivOutter.id = `snippet-${snippet.id}`;
        const snippetDiv = document.createElement('div');
        snippetDiv.classList.add('snippet-parent', 'row');
        snippetDiv.id = 'edit-snippet-parent';
        snippetDivOutter.appendChild(snippetDiv);
        let highlighted = (0,_utils_loadPrism__WEBPACK_IMPORTED_MODULE_3__.highlightSnippet)({
            snippetContent: snippet.raw,
            snippetLanguage: snippet.language,
        });
        const lineNumDiv = document.createElement('div');
        lineNumDiv.classList.add('snippet-line-div');
        snippetDiv.appendChild(lineNumDiv);
        const rawCodeDiv = document.createElement('div');
        rawCodeDiv.classList.add('snippet-raw');
        snippetDiv.appendChild(rawCodeDiv);
        const preElement = document.createElement('pre');
        preElement.classList.add('edit-snippet-raw-pre');
        rawCodeDiv.appendChild(preElement);
        const seperatedRaw = snippet.raw.split('\n');
        for (let i = 0; i < seperatedRaw.length; i++) {
            const lineNum = document.createElement('code');
            lineNum.classList.add('snippet-line-nums');
            lineNum.innerText = `${i + 1}`;
            lineNumDiv.appendChild(lineNum);
            const br = document.createElement('br');
            lineNumDiv.appendChild(br);
        }
        preElement.innerHTML = highlighted;
        preElement.contentEditable = 'true';
        preElement.addEventListener('focusout', () => {
            editedContent.raw = preElement.innerText;
            const highlighted = (0,_utils_loadPrism__WEBPACK_IMPORTED_MODULE_3__.highlightSnippet)({
                snippetContent: editedContent.raw || '',
                snippetLanguage: (0,_utils_langExtToClassificationSpecificEnum__WEBPACK_IMPORTED_MODULE_4__["default"])(editedContent.language),
            });
            preElement.innerHTML = highlighted;
        });
        snippetClassification.addEventListener('change', () => {
            editedContent.language =
                _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.ClassificationSpecificEnum[snippetClassification.value];
            const highlighted = (0,_utils_loadPrism__WEBPACK_IMPORTED_MODULE_3__.highlightSnippet)({
                snippetContent: editedContent.raw || '',
                snippetLanguage: (0,_utils_langExtToClassificationSpecificEnum__WEBPACK_IMPORTED_MODULE_4__["default"])(editedContent.language),
            });
            preElement.innerHTML = highlighted;
        });
        this.contentEl.appendChild(snippetDivOutter);
        //SAVE BUTTON
        const btnRow = document.createElement('div');
        btnRow.classList.add('row', 'edit-desc-row');
        const saveBtn = document.createElement('button');
        saveBtn.classList.add('jp-btn');
        saveBtn.addEventListener('click', () => {
            this.containerEl.remove();
            updateHandler(editedContent);
        });
        saveBtn.innerText = 'Save Changes';
        saveBtn.title = 'Save Changes';
        btnRow.appendChild(saveBtn);
        this.contentEl.appendChild(btnRow);
    }
    onClose() { }
}
async function updateHandler(editedContent) {
    var _a, _b, _c, _d, _e, _f, _g, _h, _j, _k, _l, _m, _o, _p, _q, _r;
    try {
        const config = _connection_connector_singleton__WEBPACK_IMPORTED_MODULE_5__["default"].getInstance();
        let asset = await config.assetApi.assetSnapshot({
            asset: editedContent.id,
            transferables: false,
        });
        const isImage = ((_a = asset.original.reference) === null || _a === void 0 ? void 0 : _a.classification.generic) ===
            _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.ClassificationGenericEnum.Image;
        let originalClassification;
        // if it was an image, the classification comes from the ocr format
        if (isImage) {
            const ocrId = (_e = (_d = (_c = (_b = asset.original.reference) === null || _b === void 0 ? void 0 : _b.analysis) === null || _c === void 0 ? void 0 : _c.image) === null || _d === void 0 ? void 0 : _d.ocr) === null || _e === void 0 ? void 0 : _e.raw.id;
            const format = (_f = asset.formats.iterable) === null || _f === void 0 ? void 0 : _f.find((frmt) => frmt.id === ocrId);
            originalClassification = format === null || format === void 0 ? void 0 : format.classification.specific;
        }
        else {
            originalClassification =
                (_j = (_h = (_g = asset.original) === null || _g === void 0 ? void 0 : _g.reference) === null || _h === void 0 ? void 0 : _h.classification.specific) !== null && _j !== void 0 ? _j : _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.ClassificationSpecificEnum.Dart;
        }
        // Update transaction
        if (editedContent.language !== originalClassification) {
            const newClassification = editedContent.language;
            asset =
                (await (0,_actions_update_asset__WEBPACK_IMPORTED_MODULE_6__.reclassify)({
                    asset: asset,
                    ext: newClassification,
                })) || asset;
        }
        if (asset.name !== editedContent.title ||
            _utils_annotationHandler__WEBPACK_IMPORTED_MODULE_7__["default"].getInstance().annotationsAreEqual((_l = (_k = asset.annotations) === null || _k === void 0 ? void 0 : _k.iterable) !== null && _l !== void 0 ? _l : [], editedContent.annotations)) {
            asset.name = editedContent.title;
            asset.annotations = { iterable: editedContent.annotations };
            asset = (await (0,_actions_update_asset__WEBPACK_IMPORTED_MODULE_6__.update)({ asset: asset })) || asset;
        }
        const processed = (0,_connection_api_wrapper__WEBPACK_IMPORTED_MODULE_8__.processAsset)({ asset: asset });
        if (processed.raw !== editedContent.raw) {
            // if the user changed the code in the snippet.
            const id = isImage
                ? (_q = (_p = (_o = (_m = asset.original.reference) === null || _m === void 0 ? void 0 : _m.analysis) === null || _o === void 0 ? void 0 : _o.image) === null || _p === void 0 ? void 0 : _p.ocr) === null || _q === void 0 ? void 0 : _q.raw.id
                : asset.preview.base.id;
            const encoder = new TextEncoder();
            const format = (_r = asset.formats.iterable) === null || _r === void 0 ? void 0 : _r.find((element) => element.id === id);
            if (isImage) {
                format.file = {
                    bytes: {
                        raw: Array.from(encoder.encode(editedContent.raw)),
                    },
                };
            }
            else {
                format.fragment = {
                    string: {
                        raw: editedContent.raw,
                    },
                };
            }
            (0,_actions_update_asset__WEBPACK_IMPORTED_MODULE_6__.updateFormat)({ format: format });
        }
        // End update transaction
    }
    catch (error) {
        const notifications = _connection_notification_handler__WEBPACK_IMPORTED_MODULE_9__["default"].getInstance();
        notifications.error({
            message: 'Failed to edit snippet, are you sure POS is running?',
        });
        console.log(error);
    }
}


/***/ }),

/***/ "./lib/ui/piecesView.js":
/*!******************************!*\
  !*** ./lib/ui/piecesView.js ***!
  \******************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   PiecesView: () => (/* binding */ PiecesView)
/* harmony export */ });
/* harmony import */ var _lumino_widgets__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @lumino/widgets */ "webpack/sharing/consume/default/@lumino/widgets");
/* harmony import */ var _lumino_widgets__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_lumino_widgets__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _actions_create_asset__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./../actions/create_asset */ "./lib/actions/create_asset.js");
/* harmony import */ var _const__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ../const */ "./lib/const.js");
/* harmony import */ var _analytics_SegmentAnalytics__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../analytics/SegmentAnalytics */ "./lib/analytics/SegmentAnalytics.js");
/* harmony import */ var _analytics_AnalyticsEnum__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../analytics/AnalyticsEnum */ "./lib/analytics/AnalyticsEnum.js");
/* harmony import */ var _cache_pieces_cache__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../cache/pieces_cache */ "./lib/cache/pieces_cache.js");
/* harmony import */ var _render_renderSearchBox__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ./render/renderSearchBox */ "./lib/ui/render/renderSearchBox.js");
/* harmony import */ var _models_SortSnippetsBy__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ../models/SortSnippetsBy */ "./lib/models/SortSnippetsBy.js");
/* harmony import */ var _views_DisplayController__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ./views/DisplayController */ "./lib/ui/views/DisplayController.js");
/* harmony import */ var _LabIcons__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./LabIcons */ "./lib/ui/LabIcons.js");










class PiecesView {
    constructor() {
        this.cache = _cache_pieces_cache__WEBPACK_IMPORTED_MODULE_1__["default"].getInstance();
        this.currentTab = undefined;
        this.viewWidget = new _lumino_widgets__WEBPACK_IMPORTED_MODULE_0__.Widget();
    }
    async build(app) {
        this.app = app;
        await this.createView();
        this.prepareRightClick();
    }
    saveSelection() {
        var _a;
        _analytics_SegmentAnalytics__WEBPACK_IMPORTED_MODULE_2__.SegmentAnalytics.track({
            event: _analytics_AnalyticsEnum__WEBPACK_IMPORTED_MODULE_3__.AnalyticsEnum.JUPYTER_SAVE_SELECTION,
        });
        //@ts-ignore
        const notebookName = (_a = defaultApp.shell.currentPath) !== null && _a !== void 0 ? _a : 'unknown';
        (0,_actions_create_asset__WEBPACK_IMPORTED_MODULE_4__["default"])({
            selection: this.app.Editor.selection,
            filePath: notebookName === 'unknown' ? undefined : notebookName,
        });
    }
    prepareRightClick() {
        const command = 'jupyter_pieces:menuitem';
        this.app.commands.addCommand(command, {
            label: 'Save to Pieces',
            execute: this.saveSelection,
        });
        this.app.contextMenu.addItem({
            command: command,
            selector: '.jp-CodeCell-input .jp-Editor .jp-Notebook *',
            rank: 100,
        });
    }
    // This should only be called once.
    async createView() {
        // Create and activate your view widget
        this.viewWidget.id = 'piecesView';
        this.viewWidget.title.closable = true;
        this.viewWidget.title.icon = _LabIcons__WEBPACK_IMPORTED_MODULE_5__.PiecesLogo;
        const containerVar = this.viewWidget.node;
        containerVar.remove(); // Clean Node
        const snippets = this.cache.assets;
        const wrapper = (0,_render_renderSearchBox__WEBPACK_IMPORTED_MODULE_6__.renderNavBar)({ containerVar: containerVar });
        const navTab = wrapper.children[0];
        this.currentTab = navTab.children[1];
        const parentDiv = document.createElement('div');
        parentDiv.classList.add('parent-div-container');
        parentDiv.id = 'pieces-parent';
        containerVar.appendChild(parentDiv);
        const snippetsTab = document.createElement('div');
        snippetsTab.id = 'snippets-tab';
        parentDiv.appendChild(snippetsTab);
        const gptTab = document.createElement('div');
        gptTab.classList.add('px-2');
        gptTab.id = 'gpt-tab';
        parentDiv.appendChild(gptTab);
        navTab.addEventListener('click', (event) => {
            this.changeViews(event, parentDiv, snippetsTab, gptTab, navTab);
        });
        _views_DisplayController__WEBPACK_IMPORTED_MODULE_7__["default"].createSnippetListView({
            containerVar: snippetsTab,
            snippets: snippets,
            viewType: _models_SortSnippetsBy__WEBPACK_IMPORTED_MODULE_8__.SortSnippetsBy.Recent,
        });
        if (navTab.children[0].checked) {
            gptTab.style.display = 'none';
        }
        else if (navTab.children[2].checked) {
            parentDiv.classList.add('gpt-parent');
            snippetsTab.style.display = 'none';
        }
        this.app.shell.add(this.viewWidget, 'right', { rank: 1 });
    }
    async changeViews(event, parentDiv, snippetsTab, gptTab, navTab) {
        let isActive = true;
        if (event.target == this.currentTab) {
            isActive = false;
        }
        if (isActive) {
            if (event.target == navTab.children[1]) {
                navTab.children[0].checked = true;
                navTab.children[2].checked = false;
                this.currentTab = navTab.children[1];
                // Update global view variable for analytics
                _const__WEBPACK_IMPORTED_MODULE_9__["default"].PIECES_CURRENT_VIEW = _analytics_AnalyticsEnum__WEBPACK_IMPORTED_MODULE_3__.AnalyticsEnum.JUPYTER_VIEW_SNIPPET_LIST;
            }
            else if (event.target == navTab.children[3]) {
                navTab.children[0].checked = false;
                navTab.children[2].checked = true;
                this.currentTab = navTab.children[3];
                // Update global view variable for analytics
                _const__WEBPACK_IMPORTED_MODULE_9__["default"].PIECES_CURRENT_VIEW = _analytics_AnalyticsEnum__WEBPACK_IMPORTED_MODULE_3__.AnalyticsEnum.JUPYTER_VIEW_CHATBOT;
            }
            if (navTab.children[0].checked) {
                parentDiv.classList.remove('gpt-parent');
                gptTab.style.display = 'none';
                snippetsTab.style.display = 'flex';
            }
            else if (navTab.children[2].checked) {
                parentDiv.classList.add('gpt-parent');
                snippetsTab.style.display = 'none';
                gptTab.style.display = 'flex';
            }
        }
    }
}


/***/ }),

/***/ "./lib/ui/render/addLogo.js":
/*!**********************************!*\
  !*** ./lib/ui/render/addLogo.js ***!
  \**********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   addLogo: () => (/* binding */ addLogo)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./lib/index.js");

//Helper function to add the Pieces logo to any given container
function addLogo(container) {
    let piecesLogo = document.createElement('div');
    if (_index__WEBPACK_IMPORTED_MODULE_0__.theme === 'false') {
        piecesLogo.classList.add('pfd-white');
    }
    else {
        piecesLogo.classList.add('pfd-black');
    }
    piecesLogo.classList.add('logo-heading', 'load-error-content');
    container.appendChild(piecesLogo);
}


/***/ }),

/***/ "./lib/ui/render/renderSearchBox.js":
/*!******************************************!*\
  !*** ./lib/ui/render/renderSearchBox.js ***!
  \******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   defaultSearchQuery: () => (/* binding */ defaultSearchQuery),
/* harmony export */   defaultSortingView: () => (/* binding */ defaultSortingView),
/* harmony export */   handleSearch: () => (/* binding */ handleSearch),
/* harmony export */   renderNavBar: () => (/* binding */ renderNavBar),
/* harmony export */   searchBox: () => (/* binding */ searchBox),
/* harmony export */   searchBoxElement: () => (/* binding */ searchBoxElement),
/* harmony export */   searchBtn: () => (/* binding */ searchBtn),
/* harmony export */   setDefaultSortingView: () => (/* binding */ setDefaultSortingView),
/* harmony export */   sortSnippetsDropdownElement: () => (/* binding */ sortSnippetsDropdownElement)
/* harmony export */ });
/* harmony import */ var _analytics_AnalyticsEnum__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(/*! ../../analytics/AnalyticsEnum */ "./lib/analytics/AnalyticsEnum.js");
/* harmony import */ var _analytics_SegmentAnalytics__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! ../../analytics/SegmentAnalytics */ "./lib/analytics/SegmentAnalytics.js");
/* harmony import */ var _utils_renderLoading__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(/*! ../utils/renderLoading */ "./lib/ui/utils/renderLoading.js");
/* harmony import */ var _actions_search__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../actions/search */ "./lib/actions/search.js");
/* harmony import */ var _views_DisplayController__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../views/DisplayController */ "./lib/ui/views/DisplayController.js");
/* harmony import */ var _connection_version_check__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../../connection/version_check */ "./lib/connection/version_check.js");
/* harmony import */ var _actions_discover_snippets__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ../../actions/discover_snippets */ "./lib/actions/discover_snippets.js");
/* harmony import */ var _connection_notification_handler__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../connection/notification_handler */ "./lib/connection/notification_handler.js");
/* harmony import */ var _cache_pieces_cache__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../cache/pieces_cache */ "./lib/cache/pieces_cache.js");
/* harmony import */ var _utils_discoverySearch__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../utils/discoverySearch */ "./lib/ui/utils/discoverySearch.js");
/* harmony import */ var _showLoadingState__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! ./showLoadingState */ "./lib/ui/render/showLoadingState.js");
/* harmony import */ var _models_SortSnippetsBy__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../models/SortSnippetsBy */ "./lib/models/SortSnippetsBy.js");
/* harmony import */ var _utils_refreshSnippets__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(/*! ../utils/refreshSnippets */ "./lib/ui/utils/refreshSnippets.js");
/* harmony import */ var _LabIcons__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ../LabIcons */ "./lib/ui/LabIcons.js");
/* harmony import */ var _const__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../../const */ "./lib/const.js");















let defaultSearchQuery = '';
const notifications = _connection_notification_handler__WEBPACK_IMPORTED_MODULE_0__["default"].getInstance();
const searchBox = document.createElement('input');
const searchBtn = document.createElement('button');
let searchCancelled = false;
let defaultSortingView = _models_SortSnippetsBy__WEBPACK_IMPORTED_MODULE_1__.SortSnippetsBy.Recent;
const setDefaultSortingView = (val) => {
    defaultSortingView = val;
};
const handleSearch = async ({ query, }) => {
    const cache = _cache_pieces_cache__WEBPACK_IMPORTED_MODULE_2__["default"].getInstance();
    if (query === '' || defaultSearchQuery === query) {
        return;
    }
    defaultSearchQuery = query;
    searchBox.value = query;
    let result;
    if (defaultSortingView !== _models_SortSnippetsBy__WEBPACK_IMPORTED_MODULE_1__.SortSnippetsBy.Discover) {
        result = await _actions_search__WEBPACK_IMPORTED_MODULE_3__["default"].search({ query: query });
    }
    else {
        result = (0,_utils_discoverySearch__WEBPACK_IMPORTED_MODULE_4__.doSearch)({
            query: query !== null && query !== void 0 ? query : '',
            snippets: cache.discoveredSnippets,
        });
    }
    if (searchCancelled) {
        searchCancelled = false;
        return;
    }
    await _views_DisplayController__WEBPACK_IMPORTED_MODULE_5__["default"].drawSnippets({ snippets: result, search: true });
};
const searchBoxElement = () => {
    const searchRow = document.createElement('div');
    searchRow.classList.add('row', 'search-row');
    const inputCol = document.createElement('div');
    inputCol.classList.add('flex', 'flex-col', 'overflow-hidden', 'w-full', 'pr-3');
    searchBox.classList.add('search-input', 'jp-input');
    searchBox.type = 'text';
    searchBox.placeholder = '🔍  Search for Snippets...';
    searchBox.value = '';
    searchBox.readOnly = !_connection_version_check__WEBPACK_IMPORTED_MODULE_6__.versionValid ? true : false;
    inputCol.appendChild(searchBox);
    searchRow.appendChild(inputCol);
    const searchBtnCol = document.createElement('div');
    searchBtnCol.classList.add('col');
    searchBtn.title = 'Refresh snippets';
    searchBtn.classList.add(/*'pieces-btn-search',*/ 'jp-btn');
    searchBox.value === ''
        ? (searchBtn.innerHTML = _const__WEBPACK_IMPORTED_MODULE_7__["default"].REFRESH_SVG)
        : _LabIcons__WEBPACK_IMPORTED_MODULE_8__.cancelIcon.element({ container: searchBtn });
    searchBtn.addEventListener('click', async () => {
        if (defaultSortingView === _models_SortSnippetsBy__WEBPACK_IMPORTED_MODULE_1__.SortSnippetsBy.Discover &&
            searchBox.value === '') {
            notifications.information({
                message: _actions_discover_snippets__WEBPACK_IMPORTED_MODULE_9__["default"].discovery_loaded
                    ? 'Discovering Pieces...'
                    : "We still haven't finished discovering your snippets, please wait.",
            });
            if (_actions_discover_snippets__WEBPACK_IMPORTED_MODULE_9__["default"].discovery_loaded) {
                (0,_showLoadingState__WEBPACK_IMPORTED_MODULE_10__.showLoadingState)(_views_DisplayController__WEBPACK_IMPORTED_MODULE_5__["default"].containerDiv);
                await _actions_discover_snippets__WEBPACK_IMPORTED_MODULE_9__["default"].discoverAllSnippets();
            }
        }
        else if (defaultSortingView === _models_SortSnippetsBy__WEBPACK_IMPORTED_MODULE_1__.SortSnippetsBy.Discover) {
            searchBox.value = '';
            defaultSearchQuery = '';
            searchBtn.innerHTML = _const__WEBPACK_IMPORTED_MODULE_7__["default"].REFRESH_SVG;
            searchBtn.title = 'Discover snippets';
            _views_DisplayController__WEBPACK_IMPORTED_MODULE_5__["default"].drawSnippets({});
        }
        else {
            if (searchBox.value === '') {
                _analytics_SegmentAnalytics__WEBPACK_IMPORTED_MODULE_11__.SegmentAnalytics.track({
                    event: _analytics_AnalyticsEnum__WEBPACK_IMPORTED_MODULE_12__.AnalyticsEnum.JUPYTER_REFRESH_CLICKED,
                });
                defaultSearchQuery = '';
                (0,_utils_refreshSnippets__WEBPACK_IMPORTED_MODULE_13__.refreshSnippets)();
            }
            else {
                searchBox.value = '';
                defaultSearchQuery = '';
                searchBtn.innerHTML = _const__WEBPACK_IMPORTED_MODULE_7__["default"].REFRESH_SVG;
                searchBtn.title = 'Refresh snippets';
                _views_DisplayController__WEBPACK_IMPORTED_MODULE_5__["default"].drawSnippets({});
            }
        }
    });
    searchBox.addEventListener('keyup', async (event) => {
        if (event.key === 'Enter' && searchBox.value != '') {
            const loading = (0,_utils_renderLoading__WEBPACK_IMPORTED_MODULE_14__.renderLoading)(document, 'refresh-');
            searchBtnCol.replaceChild(loading, searchBtn);
            try {
                await handleSearch({ query: searchBox.value });
                _LabIcons__WEBPACK_IMPORTED_MODULE_8__.cancelIcon.element({ container: searchBtn });
                searchBtn.title = 'Clear Search';
            }
            catch (e) {
                console.log(e);
            }
            searchBtnCol.replaceChild(searchBtn, loading);
        }
    });
    searchBtnCol.appendChild(searchBtn);
    searchRow.appendChild(searchBtnCol);
    return searchRow;
};
const sortSnippetsDropdownElement = () => {
    const dropdownDiv = document.createElement('div');
    const dropdownElement = document.createElement('select');
    dropdownDiv.appendChild(dropdownElement);
    dropdownElement.classList.add('jp-dropdown');
    const option_recent = document.createElement('option');
    option_recent.value = 'recent';
    option_recent.innerText = '🕓 RECENT';
    dropdownElement.appendChild(option_recent);
    const option_language = document.createElement('option');
    option_language.value = 'language';
    option_language.innerText = '🌐 LANGUAGE';
    dropdownElement.appendChild(option_language);
    const option_discover = document.createElement('option');
    option_discover.value = 'discover';
    option_discover.innerText = '🔍 DISCOVER';
    dropdownElement.appendChild(option_discover);
    dropdownElement.addEventListener('change', async () => {
        if (dropdownElement.value === 'language') {
            setDefaultSortingView(_models_SortSnippetsBy__WEBPACK_IMPORTED_MODULE_1__.SortSnippetsBy.Language);
        }
        else if (dropdownElement.value === 'recent') {
            setDefaultSortingView(_models_SortSnippetsBy__WEBPACK_IMPORTED_MODULE_1__.SortSnippetsBy.Recent);
        }
        else if (dropdownElement.value === 'discover') {
            setDefaultSortingView(_models_SortSnippetsBy__WEBPACK_IMPORTED_MODULE_1__.SortSnippetsBy.Discover);
        }
        if (searchBox.value === '') {
            _views_DisplayController__WEBPACK_IMPORTED_MODULE_5__["default"].drawSnippets({});
        }
        else {
            await handleSearch({ query: searchBox.value });
        }
    });
    const option_arrow = document.createElement('span');
    option_arrow.innerText = '▼';
    option_arrow.classList.add('jp-dropdown-arrow');
    dropdownDiv.appendChild(option_arrow);
    return dropdownDiv;
};
const renderNavBar = ({ containerVar, }) => {
    const backgroundDiv = document.createElement('div');
    backgroundDiv.classList.add('background');
    containerVar.appendChild(backgroundDiv);
    const wrapperDiv = document.createElement('div');
    wrapperDiv.classList.add('wrapper');
    containerVar.appendChild(wrapperDiv);
    const tabsDiv = document.createElement('div');
    wrapperDiv.appendChild(tabsDiv);
    tabsDiv.classList.add('tabs', 'text-[var(--jp-inverse-layout-color)]');
    tabsDiv.id = 'piecesTabs';
    const tabInput1 = document.createElement('input');
    tabsDiv.appendChild(tabInput1);
    tabInput1.type = 'radio';
    tabInput1.id = 'radio-1';
    tabInput1.name = 'tabs-1';
    tabInput1.checked = true;
    const tabLabel1 = document.createElement('label');
    tabsDiv.appendChild(tabLabel1);
    tabLabel1.htmlFor = 'radio-1';
    tabLabel1.classList.add('tab');
    tabLabel1.id = 'tab-1';
    _LabIcons__WEBPACK_IMPORTED_MODULE_8__.codeSVG.element({ container: tabLabel1 });
    const tabInput2 = document.createElement('input');
    tabsDiv.appendChild(tabInput2);
    tabInput2.type = 'radio';
    tabInput2.id = 'radio-2';
    tabInput2.name = 'tabs-2';
    // tabInput2.checked = true;
    const tabLabel2 = document.createElement('label');
    tabsDiv.appendChild(tabLabel2);
    tabLabel2.htmlFor = 'radio-2';
    tabLabel2.classList.add('tab');
    tabLabel2.id = 'tab-2';
    _LabIcons__WEBPACK_IMPORTED_MODULE_8__.aiSVG.element({ container: tabLabel2 });
    const slider = document.createElement('span');
    tabsDiv.appendChild(slider);
    slider.classList.add('glider');
    return wrapperDiv;
};


/***/ }),

/***/ "./lib/ui/render/renderSnippets.js":
/*!*****************************************!*\
  !*** ./lib/ui/render/renderSnippets.js ***!
  \*****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   renderSnippet: () => (/* binding */ renderSnippet)
/* harmony export */ });
/* harmony import */ var _utils_loadPrism__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ./../utils/loadPrism */ "./lib/ui/utils/loadPrism.js");
/* harmony import */ var _utils_copyToClipboard__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! ./../utils/copyToClipboard */ "./lib/ui/utils/copyToClipboard.js");
/* harmony import */ var _connection_notification_handler__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../connection/notification_handler */ "./lib/connection/notification_handler.js");
/* harmony import */ var _const__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! ../../const */ "./lib/const.js");
/* harmony import */ var _connection_shareable_link__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../connection/shareable_link */ "./lib/connection/shareable_link.js");
/* harmony import */ var _jupyterlab_ui_components__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @jupyterlab/ui-components */ "webpack/sharing/consume/default/@jupyterlab/ui-components");
/* harmony import */ var _jupyterlab_ui_components__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_jupyterlab_ui_components__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _snippetExportView__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../snippetExportView */ "./lib/ui/snippetExportView.js");
/* harmony import */ var _modals_editModal__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(/*! ../modals/editModal */ "./lib/ui/modals/editModal.js");
/* harmony import */ var _actions_create_asset__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ../../actions/create_asset */ "./lib/actions/create_asset.js");
/* harmony import */ var _modals_deleteModal__WEBPACK_IMPORTED_MODULE_15__ = __webpack_require__(/*! ../modals/deleteModal */ "./lib/ui/modals/deleteModal.js");
/* harmony import */ var _views_DisplayController__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ../views/DisplayController */ "./lib/ui/views/DisplayController.js");
/* harmony import */ var _utils_renderLoading__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../utils/renderLoading */ "./lib/ui/utils/renderLoading.js");
/* harmony import */ var _LabIcons__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../LabIcons */ "./lib/ui/LabIcons.js");
/* harmony import */ var _modals_EditAnnotationsModal__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(/*! ../modals/EditAnnotationsModal */ "./lib/ui/modals/EditAnnotationsModal.js");
/* harmony import */ var _cache_pieces_cache__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(/*! ../../cache/pieces_cache */ "./lib/cache/pieces_cache.js");
/* harmony import */ var _actions_activities__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../actions/activities */ "./lib/actions/activities.js");
















const share = _connection_shareable_link__WEBPACK_IMPORTED_MODULE_1__["default"].getInstance();
const notification = _connection_notification_handler__WEBPACK_IMPORTED_MODULE_2__["default"].getInstance();
function renderSnippet({ snippetData, isPreview, discovery, }) {
    const snippet = document.createElement('div');
    snippet.id = `snippet-${snippetData.id}`;
    snippet.classList.add('snippet');
    const snippetDiv = document.createElement('div');
    snippetDiv.classList.add('snippet-parent', 'row');
    snippet.appendChild(snippetDiv);
    if (!isPreview && !discovery) {
        const expandBtn = document.createElement('button');
        _LabIcons__WEBPACK_IMPORTED_MODULE_3__.expandIcon.element({ container: expandBtn });
        expandBtn.title = 'Expand code snippet';
        expandBtn.classList.add('jp-btn-transparent');
        expandBtn.addEventListener('click', () => {
            (0,_snippetExportView__WEBPACK_IMPORTED_MODULE_4__["default"])({
                snippetData: snippetData,
            }).catch(() => {
                notification.error({
                    message: 'Failed to expand snippet, are you sure POS is running?',
                });
            });
            _actions_activities__WEBPACK_IMPORTED_MODULE_5__["default"].getInstance().referenced(snippetData.id);
        });
        snippetDiv.appendChild(expandBtn);
    }
    const lineNumDiv = document.createElement('div');
    lineNumDiv.classList.add('snippet-line-div');
    snippetDiv.appendChild(lineNumDiv);
    const rawCodeDiv = document.createElement('div');
    rawCodeDiv.classList.add('snippet-raw');
    snippetDiv.appendChild(rawCodeDiv);
    const preElement = document.createElement('pre');
    preElement.classList.add('snippet-raw-pre');
    rawCodeDiv.appendChild(preElement);
    const seperatedRaw = snippetData.raw.split('\n');
    for (let i = 0; i < seperatedRaw.length; i++) {
        const lineNum = document.createElement('code');
        lineNum.classList.add('snippet-line-nums');
        lineNum.innerText = `${i + 1}`;
        lineNumDiv.appendChild(lineNum);
        const br = document.createElement('br');
        lineNumDiv.appendChild(br);
    }
    preElement.innerHTML = (0,_utils_loadPrism__WEBPACK_IMPORTED_MODULE_6__.highlightSnippet)({
        snippetContent: snippetData.raw,
        snippetLanguage: snippetData.language,
    });
    const snippetFooter = document.createElement('div');
    snippetFooter.classList.add('snippet-footer', 'row');
    //BUTTONS
    const btnRow = document.createElement('div');
    btnRow.id = `btn-${snippetData.id}`;
    btnRow.classList.add('snippet-btn-row');
    snippetFooter.appendChild(btnRow);
    const userBtnDiv = document.createElement('div');
    userBtnDiv.classList.add('snippet-btn-row-user');
    btnRow.appendChild(userBtnDiv);
    const verticalBreak = document.createElement('div');
    verticalBreak.classList.add('vert-break');
    if (isPreview || discovery) {
        //Add a save button
        const saveBtn = document.createElement('button');
        saveBtn.classList.add('jp-btn');
        saveBtn.title = 'Save snippet to Pieces';
        _jupyterlab_ui_components__WEBPACK_IMPORTED_MODULE_0__.saveIcon.element({ container: saveBtn });
        saveBtn.addEventListener('click', async () => {
            const loading = (0,_utils_renderLoading__WEBPACK_IMPORTED_MODULE_7__.renderLoading)(document);
            userBtnDiv.replaceChild(loading, saveBtn);
            try {
                await (0,_actions_create_asset__WEBPACK_IMPORTED_MODULE_8__["default"])({
                    selection: snippetData.raw,
                    annotations: snippetData.annotations,
                });
            }
            catch (e) {
                console.log(e);
            }
            _views_DisplayController__WEBPACK_IMPORTED_MODULE_9__["default"].drawSnippets({});
            userBtnDiv.replaceChild(saveBtn, loading);
        });
        userBtnDiv.appendChild(saveBtn);
        userBtnDiv.appendChild(verticalBreak.cloneNode(true));
    }
    const copyBtn = document.createElement('button');
    copyBtn.classList.add('jp-btn');
    copyBtn.title = 'Copy snippet to clipboard';
    _jupyterlab_ui_components__WEBPACK_IMPORTED_MODULE_0__.copyIcon.element({ container: copyBtn });
    copyBtn.addEventListener('click', async () => {
        await (0,_utils_copyToClipboard__WEBPACK_IMPORTED_MODULE_10__["default"])(snippetData.raw);
        notification.information({
            message: _const__WEBPACK_IMPORTED_MODULE_11__["default"].COPY_SUCCESS,
        });
        _actions_activities__WEBPACK_IMPORTED_MODULE_5__["default"].getInstance().referenced(snippetData.id, undefined, true);
    });
    userBtnDiv.appendChild(copyBtn);
    userBtnDiv.appendChild(verticalBreak.cloneNode(true));
    if (!isPreview && !discovery) {
        const editBtn = document.createElement('button');
        editBtn.classList.add('jp-btn');
        editBtn.title = 'Edit snippet';
        _jupyterlab_ui_components__WEBPACK_IMPORTED_MODULE_0__.editIcon.element({ container: editBtn });
        editBtn.addEventListener('click', async () => {
            new _modals_editModal__WEBPACK_IMPORTED_MODULE_12__["default"](snippetData).open();
        });
        userBtnDiv.appendChild(editBtn);
        userBtnDiv.appendChild(verticalBreak.cloneNode(true));
        const annotationBtn = document.createElement('button');
        annotationBtn.classList.add('jp-btn');
        annotationBtn.title = 'Edit Annotations';
        annotationBtn.onclick = async () => {
            new _modals_EditAnnotationsModal__WEBPACK_IMPORTED_MODULE_13__.AnnotationsModal(_cache_pieces_cache__WEBPACK_IMPORTED_MODULE_14__["default"].getInstance().mappedAssets[snippetData.id]).open();
        };
        _LabIcons__WEBPACK_IMPORTED_MODULE_3__.annotationIcon.element({ container: annotationBtn });
        userBtnDiv.appendChild(annotationBtn);
        userBtnDiv.appendChild(verticalBreak.cloneNode(true));
        // buttonDiv.createEl('div').addClass('vertBreak');
    }
    const shareBtn = document.createElement('button');
    shareBtn.classList.add('jp-btn');
    shareBtn.title = `Copy snippet's shareable link`;
    _jupyterlab_ui_components__WEBPACK_IMPORTED_MODULE_0__.shareIcon.element({ container: shareBtn });
    shareBtn.addEventListener('click', async () => {
        var _a;
        const loading = (0,_utils_renderLoading__WEBPACK_IMPORTED_MODULE_7__.renderLoading)(document);
        userBtnDiv.replaceChild(loading, shareBtn);
        try {
            if (discovery || isPreview) {
                const id = await (0,_actions_create_asset__WEBPACK_IMPORTED_MODULE_8__["default"])({ selection: snippetData.raw });
                if (typeof id === 'string') {
                    const link = await share.generate({ id: id });
                    await (0,_utils_copyToClipboard__WEBPACK_IMPORTED_MODULE_10__["default"])(link !== null && link !== void 0 ? link : '');
                }
                _views_DisplayController__WEBPACK_IMPORTED_MODULE_9__["default"].drawSnippets({});
            }
            else {
                const link = (_a = snippetData.share) !== null && _a !== void 0 ? _a : (await share.generate({
                    id: snippetData.id,
                }));
                await (0,_utils_copyToClipboard__WEBPACK_IMPORTED_MODULE_10__["default"])(link !== null && link !== void 0 ? link : '');
                if (snippetData.share) {
                    notification.information({
                        message: _const__WEBPACK_IMPORTED_MODULE_11__["default"].LINK_GEN_COPY,
                    });
                }
            }
        }
        catch (e) {
            console.log(e);
        }
        userBtnDiv.replaceChild(shareBtn, loading);
    });
    userBtnDiv.appendChild(shareBtn);
    if (!isPreview && !discovery) {
        //Add a delete button
        const deleteBtn = document.createElement('button');
        deleteBtn.classList.add('jp-btn', 'delete-btn');
        deleteBtn.title = 'Delete snippet';
        _jupyterlab_ui_components__WEBPACK_IMPORTED_MODULE_0__.deleteIcon.element({ container: deleteBtn });
        deleteBtn.addEventListener('click', async () => {
            new _modals_deleteModal__WEBPACK_IMPORTED_MODULE_15__["default"](snippetData.id, snippetData.title).open();
        });
        btnRow.appendChild(deleteBtn);
    }
    snippet.appendChild(snippetFooter);
    return snippet;
}


/***/ }),

/***/ "./lib/ui/render/showLoadErrorState.js":
/*!*********************************************!*\
  !*** ./lib/ui/render/showLoadErrorState.js ***!
  \*********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   showLoadErrorState: () => (/* binding */ showLoadErrorState)
/* harmony export */ });
/* harmony import */ var _addLogo__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./addLogo */ "./lib/ui/render/addLogo.js");
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../index */ "./lib/index.js");
/* harmony import */ var _connection_version_check__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../connection/version_check */ "./lib/connection/version_check.js");
/* harmony import */ var _views_DisplayController__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../views/DisplayController */ "./lib/ui/views/DisplayController.js");




function showLoadErrorState(container) {
    container.innerHTML = '';
    container.classList.add('load-error-state');
    const holderDiv = document.createElement('div');
    holderDiv.classList.add('load-error-state-holder');
    container.appendChild(holderDiv);
    (0,_addLogo__WEBPACK_IMPORTED_MODULE_0__.addLogo)(holderDiv);
    let line1 = document.createElement('p');
    line1.classList.add('load-error-content');
    (line1.innerText =
        'Oops! Something went wrong. ' +
            (!_connection_version_check__WEBPACK_IMPORTED_MODULE_1__.versionValid && !_views_DisplayController__WEBPACK_IMPORTED_MODULE_2__["default"].isFetchFailed
                ? `Please update Pieces OS to '${_connection_version_check__WEBPACK_IMPORTED_MODULE_1__.currentMinVersion}' or greater to continue using Pieces!`
                : 'Please make sure Pieces OS is installed, updated, and running.')),
        holderDiv.appendChild(line1);
    let installButton = document.createElement('button');
    installButton.classList.add('jp-btn', 'load-error-content');
    installButton.innerText = _views_DisplayController__WEBPACK_IMPORTED_MODULE_2__["default"].isFetchFailed
        ? 'Install Platform Core'
        : 'Update Platform Core';
    installButton.addEventListener('click', function () {
        window.open('https://pieces.app/', '_blank');
    });
    holderDiv.appendChild(installButton);
    installButton.title = _views_DisplayController__WEBPACK_IMPORTED_MODULE_2__["default"].isFetchFailed
        ? 'Navigate to the Install Platform Core Dependency page'
        : 'Navigate to the Update Platform Core Dependency page';
    !_connection_version_check__WEBPACK_IMPORTED_MODULE_1__.versionValid && !_views_DisplayController__WEBPACK_IMPORTED_MODULE_2__["default"].isFetchFailed
        ? (installButton.style.cssText = 'margin-top: 15px;')
        : null;
    if (_connection_version_check__WEBPACK_IMPORTED_MODULE_1__.versionValid || _views_DisplayController__WEBPACK_IMPORTED_MODULE_2__["default"].isFetchFailed) {
        let line2 = document.createElement('p');
        line2.classList.add('load-error-content');
        line2.style.textAlign = 'center';
        line2.innerText = 'Or';
        holderDiv.appendChild(line2);
        let launchButton = document.createElement('button');
        launchButton.classList.add('jp-btn', 'load-error-content');
        launchButton.innerText = 'Launch Pieces OS';
        launchButton.addEventListener('click', function () {
            console.log('Launching Pieces OS...');
            window.open('pieces://launch', '_blank');
        });
        holderDiv.appendChild(launchButton);
        let line3 = document.createElement('p');
        line3.classList.add('load-error-content');
        line3.innerHTML = `Please refresh after launching PiecesOS. If the problem persists, please `;
        let underline = document.createElement('u');
        underline.innerText = 'see our FAQ.';
        let link = document.createElement('a');
        link.href = 'https://docs.pieces.app/faq';
        link.target = '_blank';
        link.appendChild(underline);
        line3.appendChild(link);
        holderDiv.appendChild(line3);
    }
    let illustration = document.createElement('div');
    illustration.classList.add('illustration', 'load-error-content');
    if (_index__WEBPACK_IMPORTED_MODULE_3__.theme === 'false') {
        illustration.classList.add('illustration-robot-plugging-in-black');
    }
    else {
        illustration.classList.add('illustration-robot-plugging-in-white');
    }
    holderDiv.appendChild(illustration);
}


/***/ }),

/***/ "./lib/ui/render/showLoadingState.js":
/*!*******************************************!*\
  !*** ./lib/ui/render/showLoadingState.js ***!
  \*******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   showLoadingState: () => (/* binding */ showLoadingState)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../index */ "./lib/index.js");
/* harmony import */ var _addLogo__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./addLogo */ "./lib/ui/render/addLogo.js");


function showLoadingState(container) {
    const loadingDiv = document.createElement('div');
    loadingDiv.classList.add('loading-state');
    (0,_addLogo__WEBPACK_IMPORTED_MODULE_0__.addLogo)(loadingDiv);
    let illustration = document.createElement('div');
    illustration.classList.add('illustration');
    if (_index__WEBPACK_IMPORTED_MODULE_1__.theme === 'false') {
        illustration.classList.add('illustration-cat-fish-bowl-white');
    }
    else {
        illustration.classList.add('illustration-cat-fish-bowl-black');
    }
    loadingDiv.appendChild(illustration);
    let loadingStatement = document.createElement('p');
    loadingStatement.innerText =
        "We haven't found any snippets yet! We're still looking...";
    loadingDiv.appendChild(loadingStatement);
    container.innerHTML = '';
    container.appendChild(loadingDiv);
    return loadingDiv;
}


/***/ }),

/***/ "./lib/ui/render/showNoSnippetState.js":
/*!*********************************************!*\
  !*** ./lib/ui/render/showNoSnippetState.js ***!
  \*********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   showNoSnippetState: () => (/* binding */ showNoSnippetState)
/* harmony export */ });
/* harmony import */ var _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @pieces.app/pieces-os-client */ "webpack/sharing/consume/default/@pieces.app/pieces-os-client/@pieces.app/pieces-os-client");
/* harmony import */ var _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _views_renderListView__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../views/renderListView */ "./lib/ui/views/renderListView.js");
/* harmony import */ var _addLogo__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./addLogo */ "./lib/ui/render/addLogo.js");
/* harmony import */ var uuid__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! uuid */ "webpack/sharing/consume/default/uuid/uuid?e885");
/* harmony import */ var uuid__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(uuid__WEBPACK_IMPORTED_MODULE_1__);





function showNoSnippetState(container) {
    container.innerHTML = '';
    let stateContainer = document.createElement('div');
    stateContainer.classList.add('pieces-empty-state');
    (0,_addLogo__WEBPACK_IMPORTED_MODULE_2__.addLogo)(stateContainer);
    let firstLine = document.createElement('p');
    firstLine.innerText =
        "You're so close to getting started! Try saving this code snippet!";
    stateContainer.appendChild(firstLine);
    //Switch out this stringified Piece code for new JSON if you want to change the default snippet
    const snippetRaw = [
        'class HelloWorld:',
        '    def __init__(self):',
        '        self.message = "Hello, World!"',
        '',
        '    def say_hello(self):',
        '        print(self.message)',
        '',
        '# Create an instance of the class',
        'hello = HelloWorld()',
        '',
        '# Call the say_hello method',
        'hello.say_hello()',
    ];
    const snippetTotal = snippetRaw.join('\n');
    const snippet = {
        title: 'Hello World Snippet',
        id: '',
        type: '',
        raw: snippetTotal,
        language: _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.ClassificationSpecificEnum.Py,
        time: '',
        created: new Date(),
        annotations: [
            {
                text: 'A simple "Hello World" Snippet that shows you how to use Pieces!',
                id: (0,uuid__WEBPACK_IMPORTED_MODULE_1__.v4)(),
                mechanism: _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.MechanismEnum.Manual,
                type: _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.AnnotationTypeEnum.Description,
                created: {
                    value: new Date(),
                },
                updated: {
                    value: new Date(),
                },
            },
        ],
        updated: new Date(),
        share: undefined,
    };
    let testPiece = (0,_views_renderListView__WEBPACK_IMPORTED_MODULE_3__.constructSnippet)({ snippetData: snippet, isPreview: true });
    testPiece.classList.add('w-full');
    stateContainer.appendChild(testPiece);
    container.appendChild(stateContainer);
}


/***/ }),

/***/ "./lib/ui/snippetExportView.js":
/*!*************************************!*\
  !*** ./lib/ui/snippetExportView.js ***!
  \*************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (/* binding */ showExportedSnippet)
/* harmony export */ });
/* harmony import */ var ___WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! .. */ "./lib/index.js");
/* harmony import */ var _lumino_widgets__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @lumino/widgets */ "webpack/sharing/consume/default/@lumino/widgets");
/* harmony import */ var _lumino_widgets__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_lumino_widgets__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _jupyterlab_apputils__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @jupyterlab/apputils */ "webpack/sharing/consume/default/@jupyterlab/apputils");
/* harmony import */ var _jupyterlab_apputils__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_jupyterlab_apputils__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _connection_connector_singleton__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../connection/connector_singleton */ "./lib/connection/connector_singleton.js");
/* harmony import */ var _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @pieces.app/pieces-os-client */ "webpack/sharing/consume/default/@pieces.app/pieces-os-client/@pieces.app/pieces-os-client");
/* harmony import */ var _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var marked__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! marked */ "webpack/sharing/consume/default/marked/marked?9245");
/* harmony import */ var marked__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(marked__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var _jupyterlab_ui_components__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! @jupyterlab/ui-components */ "webpack/sharing/consume/default/@jupyterlab/ui-components");
/* harmony import */ var _jupyterlab_ui_components__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(_jupyterlab_ui_components__WEBPACK_IMPORTED_MODULE_4__);
/* harmony import */ var _utils_loadPrism__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ./utils/loadPrism */ "./lib/ui/utils/loadPrism.js");
/* harmony import */ var _analytics_SegmentAnalytics__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../analytics/SegmentAnalytics */ "./lib/analytics/SegmentAnalytics.js");
/* harmony import */ var _analytics_AnalyticsEnum__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../analytics/AnalyticsEnum */ "./lib/analytics/AnalyticsEnum.js");










async function showExportedSnippet({ snippetData, }) {
    var _a, _b;
    _analytics_SegmentAnalytics__WEBPACK_IMPORTED_MODULE_5__.SegmentAnalytics.track({
        event: _analytics_AnalyticsEnum__WEBPACK_IMPORTED_MODULE_6__.AnalyticsEnum.JUPYTER_SHOW_EXPANDED_VIEW,
    });
    const config = _connection_connector_singleton__WEBPACK_IMPORTED_MODULE_7__["default"].getInstance();
    const exportWidget = async () => {
        var _a, _b;
        const content = new _lumino_widgets__WEBPACK_IMPORTED_MODULE_0__.Widget();
        const params = {
            asset: snippetData.id,
            exportType: _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_2__.AssetSpecificAssetExportExportTypeEnum.Md,
        };
        const exportedAsset = await config.assetApi.assetSpecificAssetExport(params);
        content.node.innerHTML = (0,marked__WEBPACK_IMPORTED_MODULE_3__.marked)((_b = (_a = exportedAsset.raw.string) === null || _a === void 0 ? void 0 : _a.raw) !== null && _b !== void 0 ? _b : '#### Unable to export asset');
        content.node.classList.add('snippet-expand-view');
        const widget = new _jupyterlab_apputils__WEBPACK_IMPORTED_MODULE_1__.MainAreaWidget({ content });
        widget.id = `export-${snippetData.id}`;
        widget.title.label = snippetData.title; // TODO Make Dynamic
        widget.title.closable = true;
        widget.title.icon = _jupyterlab_ui_components__WEBPACK_IMPORTED_MODULE_4__.LabIcon.resolve({
            icon: `jupyter_pieces:${'logo'}`,
        }); // TODO Make Dynamic
        return widget;
    };
    let widget = await exportWidget();
    if (!widget.isAttached) {
        ___WEBPACK_IMPORTED_MODULE_8__.defaultApp.shell.add(widget, 'main');
    }
    ___WEBPACK_IMPORTED_MODULE_8__.defaultApp.shell.activateById(widget.id);
    const snippetContent = document.getElementsByTagName('code');
    for (let i = 0; i < snippetContent.length; i++) {
        const currentElement = snippetContent[i];
        if (currentElement.className.includes('language-')) {
            currentElement.innerHTML = (0,_utils_loadPrism__WEBPACK_IMPORTED_MODULE_9__.highlightSnippet)({
                snippetContent: snippetData.raw,
                snippetLanguage: snippetData.language,
            });
            if (___WEBPACK_IMPORTED_MODULE_8__.theme === 'false') {
                (_a = currentElement.parentElement) === null || _a === void 0 ? void 0 : _a.classList.add('snippet-expand-pre-dark');
            }
            else {
                (_b = currentElement.parentElement) === null || _b === void 0 ? void 0 : _b.classList.add('snippet-expand-pre-light');
            }
        }
    }
}


/***/ }),

/***/ "./lib/ui/utils/copyToClipboard.js":
/*!*****************************************!*\
  !*** ./lib/ui/utils/copyToClipboard.js ***!
  \*****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (/* binding */ copyToClipboard)
/* harmony export */ });
/* harmony import */ var _analytics_SegmentAnalytics__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../analytics/SegmentAnalytics */ "./lib/analytics/SegmentAnalytics.js");
/* harmony import */ var _analytics_AnalyticsEnum__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../analytics/AnalyticsEnum */ "./lib/analytics/AnalyticsEnum.js");


async function copyToClipboard(text) {
    try {
        await navigator.clipboard.writeText(text);
        _analytics_SegmentAnalytics__WEBPACK_IMPORTED_MODULE_0__.SegmentAnalytics.track({
            event: _analytics_AnalyticsEnum__WEBPACK_IMPORTED_MODULE_1__.AnalyticsEnum.JUPYTER_INSERT,
        });
    }
    catch (err) {
        console.error('Error in copying text: ', err);
    }
}


/***/ }),

/***/ "./lib/ui/utils/discoverySearch.js":
/*!*****************************************!*\
  !*** ./lib/ui/utils/discoverySearch.js ***!
  \*****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   doSearch: () => (/* binding */ doSearch)
/* harmony export */ });
/* harmony import */ var js_search__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! js-search */ "webpack/sharing/consume/default/js-search/js-search");
/* harmony import */ var js_search__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(js_search__WEBPACK_IMPORTED_MODULE_0__);

/*
    This does a full text match on all of incoming snippets
    it is intended to be used when our search space is not the user's entire PFD database.
*/
const doSearch = ({ query, snippets, }) => {
    const search = new js_search__WEBPACK_IMPORTED_MODULE_0__.Search('id');
    search.addIndex('language');
    search.addIndex('raw');
    search.addIndex('title');
    search.addIndex('description');
    search.addDocuments(snippets);
    return search.search(query);
};


/***/ }),

/***/ "./lib/ui/utils/getRangeOfChanges.js":
/*!*******************************************!*\
  !*** ./lib/ui/utils/getRangeOfChanges.js ***!
  \*******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   getRangeOfChanges: () => (/* binding */ getRangeOfChanges)
/* harmony export */ });
//@ts-nocheck
/*
    Calculates the indexes for each language
     - incoming is a sorted list of snippets by their language
     - we use this to figure out which range of indexes associate with each language
*/
function getRangeOfChanges(array) {
    const ranges = [];
    let start = 0;
    let currentElement = array[0];
    for (let i = 1; i < array.length; i++) {
        if (array[i].language !== currentElement.language) {
            if ((currentElement.language === 'text' && array[i].language === 'txt') ||
                (currentElement.language === 'yaml' && array[i].language === 'yml')) {
                continue;
            }
            ranges.push([start, i - 1]);
            start = i;
            currentElement = array[i];
        }
    }
    if (start <= array.length - 1) {
        ranges.push([start, array.length - 1]);
    }
    return ranges;
}


/***/ }),

/***/ "./lib/ui/utils/langExtToClassificationSpecificEnum.js":
/*!*************************************************************!*\
  !*** ./lib/ui/utils/langExtToClassificationSpecificEnum.js ***!
  \*************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (/* binding */ langExtToClassificationSpecificEnum)
/* harmony export */ });
/* harmony import */ var _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @pieces.app/pieces-os-client */ "webpack/sharing/consume/default/@pieces.app/pieces-os-client/@pieces.app/pieces-os-client");
/* harmony import */ var _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__);

function langExtToClassificationSpecificEnum(ext) {
    ext = ext.toLowerCase();
    switch (ext) {
        case 'batchfile':
        case 'bat':
            return _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.ClassificationSpecificEnum.Bat;
        case 'c#':
        case 'c-sharp':
        case 'cs':
            return _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.ClassificationSpecificEnum.Cs;
        case 'coffeescript':
        case 'coffee':
            return _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.ClassificationSpecificEnum.Coffee;
        case 'clojure':
        case 'clj':
            return _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.ClassificationSpecificEnum.Clj;
        case 'erlang':
        case 'erl':
            return _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.ClassificationSpecificEnum.Erl;
        case 'el':
            return _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.ClassificationSpecificEnum.El;
        case 'ex':
            return _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.ClassificationSpecificEnum.Ex;
        case 'groovy':
            return _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.ClassificationSpecificEnum.Groovy;
        case 'haskell':
        case 'hs':
            return _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.ClassificationSpecificEnum.Hs;
        case 'kt':
            return _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.ClassificationSpecificEnum.Kt;
        case 'lua':
            return _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.ClassificationSpecificEnum.Lua;
        case 'markdown':
        case 'md':
            return _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.ClassificationSpecificEnum.Md;
        case 'matlab':
            return _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.ClassificationSpecificEnum.Matlab;
        case 'objective-c':
        case 'objective':
        case 'm':
            return _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.ClassificationSpecificEnum.M;
        case 'c':
            return _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.ClassificationSpecificEnum.C;
        case 'cpp':
        case 'c++':
        case 'cc':
        case 'hh':
        case 'h':
            return _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.ClassificationSpecificEnum.Cpp;
        case 'css':
            return _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.ClassificationSpecificEnum.Css;
        case 'go':
            return _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.ClassificationSpecificEnum.Go;
        case 'html':
            return _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.ClassificationSpecificEnum.Html;
        case 'htm':
            return _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.ClassificationSpecificEnum.Htm;
        case 'java':
            return _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.ClassificationSpecificEnum.Java;
        case 'javascript':
        case 'js':
            return _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.ClassificationSpecificEnum.Js;
        case 'json':
            return _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.ClassificationSpecificEnum.Json;
        case 'typescript':
        case 'ts':
            return _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.ClassificationSpecificEnum.Ts;
        case 'dart':
            return _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.ClassificationSpecificEnum.Dart;
        case 'scala':
            return _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.ClassificationSpecificEnum.Scala;
        case 'sql':
            return _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.ClassificationSpecificEnum.Sql;
        case 'perl':
        case 'pl':
            return _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.ClassificationSpecificEnum.Pl;
        case 'php':
            return _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.ClassificationSpecificEnum.Php;
        case 'python':
        case 'py':
            return _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.ClassificationSpecificEnum.Py;
        case 'powershell':
        case 'ps1':
            return _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.ClassificationSpecificEnum.Ps;
        case 'plaintext':
        case 'txt':
        case 'text':
            return _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.ClassificationSpecificEnum.Text;
        case 'r':
            return _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.ClassificationSpecificEnum.R;
        case 'ruby':
        case 'rb':
            return _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.ClassificationSpecificEnum.Rb;
        case 'shell':
        case 'sh':
            return _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.ClassificationSpecificEnum.Sh;
        case 'swift':
            return _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.ClassificationSpecificEnum.Swift;
        case 'tex':
            return _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.ClassificationSpecificEnum.Tex;
        case 'rust':
        case 'rs':
            return _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.ClassificationSpecificEnum.Rs;
        case 'toml':
            return _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.ClassificationSpecificEnum.Toml;
        case 'xml':
            return _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.ClassificationSpecificEnum.Xml;
        case 'yaml':
        case 'yml':
            return _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.ClassificationSpecificEnum.Yaml;
        default:
            return _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.ClassificationSpecificEnum.Js;
    }
}


/***/ }),

/***/ "./lib/ui/utils/langExtToIcon.js":
/*!***************************************!*\
  !*** ./lib/ui/utils/langExtToIcon.js ***!
  \***************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   getIcon: () => (/* binding */ getIcon)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./lib/index.js");

function getIcon(language) {
    switch (language) {
        case 'bat':
            language = _index__WEBPACK_IMPORTED_MODULE_0__.theme === 'false' ? 'batchfile-img-w' : 'batchfile-img-b';
            break;
        case 'coffee':
            language =
                _index__WEBPACK_IMPORTED_MODULE_0__.theme === 'false' ? 'coffeescript-img-w' : 'coffeescript-img-b';
            break;
        case 'md':
            language = _index__WEBPACK_IMPORTED_MODULE_0__.theme === 'false' ? 'markdown-img-w' : 'markdown-img-b';
            break;
        case 'sh':
            language = _index__WEBPACK_IMPORTED_MODULE_0__.theme === 'false' ? 'bash-img-w' : 'bash-img-b';
            break;
        case 'yml':
        case 'yaml':
            language = _index__WEBPACK_IMPORTED_MODULE_0__.theme === 'false' ? 'yaml-img-w' : 'yaml-img-b';
            break;
        case 'toml':
            language = _index__WEBPACK_IMPORTED_MODULE_0__.theme === 'false' ? 'toml-img-w' : 'toml-img-b';
            break;
        default:
            break;
    }
    return IconsEnum[language] || language;
}
const IconsEnum = {
    erl: 'erlang-img',
    hs: 'haskell-img',
    lua: 'lua-img',
    matlab: 'matlab-img',
    m: 'objective-c-img',
    c: 'c-img',
    cpp: 'cpp-img',
    cc: 'cpp-img',
    h: 'cpp-img',
    hh: 'cpp-img',
    cs: 'csharp-img',
    css: 'css-img',
    go: 'go-img',
    html: 'html-img',
    htm: 'html-img',
    java: 'java-img',
    js: 'javascript-img',
    ts: 'typescript-img',
    dart: 'dart-img',
    scala: 'scala-img',
    sql: 'sql-img',
    pl: 'perl-img',
    php: 'php-img',
    py: 'python-img',
    pyc: 'python-img',
    ps1: 'powershell-img',
    r: 'r-img',
    swift: 'swift-img',
    rb: 'ruby-img',
    tex: 'tex-img',
    text: 'text-img',
    txt: 'text-img',
    rs: 'rust-img',
    json: 'json-img',
    xml: 'xml-img',
    groovy: 'groovy-img',
    kt: 'kotlin-img',
    clj: 'clojure-img',
    el: 'emacs-lisp-img',
    ex: 'elixir-img',
    sol: 'sol-img',
    sv: 'sv-img',
    asp: 'asp-img',
    cfm: 'cfm-img',
};


/***/ }),

/***/ "./lib/ui/utils/langExtToReadable.js":
/*!*******************************************!*\
  !*** ./lib/ui/utils/langExtToReadable.js ***!
  \*******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (/* binding */ langExtToReadable)
/* harmony export */ });
function langExtToReadable(ext) {
    return langExtToReadableMap[ext];
}
const langExtToReadableMap = {
    asp: 'Asp',
    bat: 'Batch',
    sh: 'Bash',
    cc: 'C++ Source',
    hh: 'C++ H-Header',
    h: 'C++ Header',
    c: 'C',
    cs: 'C#',
    cpp: 'C++',
    css: 'CSS',
    clj: 'Clojure',
    coffee: 'Coffee',
    cfm: 'ColdFusion',
    dart: 'Dart',
    erl: 'Erlang',
    ex: 'Elixir',
    el: 'Lisp',
    go: 'Go',
    groovy: 'Groovy',
    hs: 'Haskell',
    html: 'HTML',
    htm: 'HTM',
    java: 'Java',
    js: 'JavaScript',
    json: 'JSON',
    kt: 'Kotlin',
    lua: 'Lua',
    md: 'Markdown',
    matlab: 'MATLAB',
    m: 'Objective-C',
    pl: 'Perl',
    php: 'PHP',
    text: 'PlainTextGrammar',
    ps1: 'PowerShell',
    py: 'Python',
    pyc: 'Python-C',
    rb: 'Ruby',
    r: 'R',
    rs: 'Rust',
    scala: 'Scala',
    sol: 'Solidity',
    sql: 'SQL',
    swift: 'Swift',
    sv: 'SystemVerilog',
    tex: 'TeX',
    tml: 'TOML',
    toml: 'TOML',
    ts: 'TypeScript',
    txt: 'PlainTextGrammar',
    xml: 'XML',
    yaml: 'YAML',
    yml: 'YAML',
};


/***/ }),

/***/ "./lib/ui/utils/loadPrism.js":
/*!***********************************!*\
  !*** ./lib/ui/utils/loadPrism.js ***!
  \***********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__),
/* harmony export */   highlightSnippet: () => (/* binding */ highlightSnippet)
/* harmony export */ });
/* harmony import */ var prismjs__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! prismjs */ "webpack/sharing/consume/default/prismjs/prismjs");
/* harmony import */ var prismjs__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(prismjs__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var prismjs_components_prism_batch__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! prismjs/components/prism-batch */ "./node_modules/prismjs/components/prism-batch.js");
/* harmony import */ var prismjs_components_prism_batch__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(prismjs_components_prism_batch__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var prismjs_components_prism_coffeescript__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! prismjs/components/prism-coffeescript */ "./node_modules/prismjs/components/prism-coffeescript.js");
/* harmony import */ var prismjs_components_prism_coffeescript__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(prismjs_components_prism_coffeescript__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var prismjs_components_prism_erlang__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! prismjs/components/prism-erlang */ "./node_modules/prismjs/components/prism-erlang.js");
/* harmony import */ var prismjs_components_prism_erlang__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(prismjs_components_prism_erlang__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var prismjs_components_prism_haskell__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! prismjs/components/prism-haskell */ "./node_modules/prismjs/components/prism-haskell.js");
/* harmony import */ var prismjs_components_prism_haskell__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(prismjs_components_prism_haskell__WEBPACK_IMPORTED_MODULE_4__);
/* harmony import */ var prismjs_components_prism_lua__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! prismjs/components/prism-lua */ "./node_modules/prismjs/components/prism-lua.js");
/* harmony import */ var prismjs_components_prism_lua__WEBPACK_IMPORTED_MODULE_5___default = /*#__PURE__*/__webpack_require__.n(prismjs_components_prism_lua__WEBPACK_IMPORTED_MODULE_5__);
/* harmony import */ var prismjs_components_prism_markdown__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! prismjs/components/prism-markdown */ "./node_modules/prismjs/components/prism-markdown.js");
/* harmony import */ var prismjs_components_prism_markdown__WEBPACK_IMPORTED_MODULE_6___default = /*#__PURE__*/__webpack_require__.n(prismjs_components_prism_markdown__WEBPACK_IMPORTED_MODULE_6__);
/* harmony import */ var prismjs_components_prism_matlab__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! prismjs/components/prism-matlab */ "./node_modules/prismjs/components/prism-matlab.js");
/* harmony import */ var prismjs_components_prism_matlab__WEBPACK_IMPORTED_MODULE_7___default = /*#__PURE__*/__webpack_require__.n(prismjs_components_prism_matlab__WEBPACK_IMPORTED_MODULE_7__);
/* harmony import */ var prismjs_components_prism_c__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! prismjs/components/prism-c */ "./node_modules/prismjs/components/prism-c.js");
/* harmony import */ var prismjs_components_prism_c__WEBPACK_IMPORTED_MODULE_8___default = /*#__PURE__*/__webpack_require__.n(prismjs_components_prism_c__WEBPACK_IMPORTED_MODULE_8__);
/* harmony import */ var prismjs_components_prism_cpp__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! prismjs/components/prism-cpp */ "./node_modules/prismjs/components/prism-cpp.js");
/* harmony import */ var prismjs_components_prism_cpp__WEBPACK_IMPORTED_MODULE_9___default = /*#__PURE__*/__webpack_require__.n(prismjs_components_prism_cpp__WEBPACK_IMPORTED_MODULE_9__);
/* harmony import */ var prismjs_components_prism_csharp__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! prismjs/components/prism-csharp */ "./node_modules/prismjs/components/prism-csharp.js");
/* harmony import */ var prismjs_components_prism_csharp__WEBPACK_IMPORTED_MODULE_10___default = /*#__PURE__*/__webpack_require__.n(prismjs_components_prism_csharp__WEBPACK_IMPORTED_MODULE_10__);
/* harmony import */ var prismjs_components_prism_css__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! prismjs/components/prism-css */ "./node_modules/prismjs/components/prism-css.js");
/* harmony import */ var prismjs_components_prism_css__WEBPACK_IMPORTED_MODULE_11___default = /*#__PURE__*/__webpack_require__.n(prismjs_components_prism_css__WEBPACK_IMPORTED_MODULE_11__);
/* harmony import */ var prismjs_components_prism_go__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(/*! prismjs/components/prism-go */ "./node_modules/prismjs/components/prism-go.js");
/* harmony import */ var prismjs_components_prism_go__WEBPACK_IMPORTED_MODULE_12___default = /*#__PURE__*/__webpack_require__.n(prismjs_components_prism_go__WEBPACK_IMPORTED_MODULE_12__);
/* harmony import */ var prismjs_components_prism_cshtml__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(/*! prismjs/components/prism-cshtml */ "./node_modules/prismjs/components/prism-cshtml.js");
/* harmony import */ var prismjs_components_prism_cshtml__WEBPACK_IMPORTED_MODULE_13___default = /*#__PURE__*/__webpack_require__.n(prismjs_components_prism_cshtml__WEBPACK_IMPORTED_MODULE_13__);
/* harmony import */ var prismjs_components_prism_java__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(/*! prismjs/components/prism-java */ "./node_modules/prismjs/components/prism-java.js");
/* harmony import */ var prismjs_components_prism_java__WEBPACK_IMPORTED_MODULE_14___default = /*#__PURE__*/__webpack_require__.n(prismjs_components_prism_java__WEBPACK_IMPORTED_MODULE_14__);
/* harmony import */ var prismjs_components_prism_javascript__WEBPACK_IMPORTED_MODULE_15__ = __webpack_require__(/*! prismjs/components/prism-javascript */ "./node_modules/prismjs/components/prism-javascript.js");
/* harmony import */ var prismjs_components_prism_javascript__WEBPACK_IMPORTED_MODULE_15___default = /*#__PURE__*/__webpack_require__.n(prismjs_components_prism_javascript__WEBPACK_IMPORTED_MODULE_15__);
/* harmony import */ var prismjs_components_prism_typescript__WEBPACK_IMPORTED_MODULE_16__ = __webpack_require__(/*! prismjs/components/prism-typescript */ "./node_modules/prismjs/components/prism-typescript.js");
/* harmony import */ var prismjs_components_prism_typescript__WEBPACK_IMPORTED_MODULE_16___default = /*#__PURE__*/__webpack_require__.n(prismjs_components_prism_typescript__WEBPACK_IMPORTED_MODULE_16__);
/* harmony import */ var prismjs_components_prism_dart__WEBPACK_IMPORTED_MODULE_17__ = __webpack_require__(/*! prismjs/components/prism-dart */ "./node_modules/prismjs/components/prism-dart.js");
/* harmony import */ var prismjs_components_prism_dart__WEBPACK_IMPORTED_MODULE_17___default = /*#__PURE__*/__webpack_require__.n(prismjs_components_prism_dart__WEBPACK_IMPORTED_MODULE_17__);
/* harmony import */ var prismjs_components_prism_scala__WEBPACK_IMPORTED_MODULE_18__ = __webpack_require__(/*! prismjs/components/prism-scala */ "./node_modules/prismjs/components/prism-scala.js");
/* harmony import */ var prismjs_components_prism_scala__WEBPACK_IMPORTED_MODULE_18___default = /*#__PURE__*/__webpack_require__.n(prismjs_components_prism_scala__WEBPACK_IMPORTED_MODULE_18__);
/* harmony import */ var prismjs_components_prism_sql__WEBPACK_IMPORTED_MODULE_19__ = __webpack_require__(/*! prismjs/components/prism-sql */ "./node_modules/prismjs/components/prism-sql.js");
/* harmony import */ var prismjs_components_prism_sql__WEBPACK_IMPORTED_MODULE_19___default = /*#__PURE__*/__webpack_require__.n(prismjs_components_prism_sql__WEBPACK_IMPORTED_MODULE_19__);
/* harmony import */ var prismjs_components_prism_perl__WEBPACK_IMPORTED_MODULE_20__ = __webpack_require__(/*! prismjs/components/prism-perl */ "./node_modules/prismjs/components/prism-perl.js");
/* harmony import */ var prismjs_components_prism_perl__WEBPACK_IMPORTED_MODULE_20___default = /*#__PURE__*/__webpack_require__.n(prismjs_components_prism_perl__WEBPACK_IMPORTED_MODULE_20__);
/* harmony import */ var prismjs_components_prism_python__WEBPACK_IMPORTED_MODULE_21__ = __webpack_require__(/*! prismjs/components/prism-python */ "./node_modules/prismjs/components/prism-python.js");
/* harmony import */ var prismjs_components_prism_python__WEBPACK_IMPORTED_MODULE_21___default = /*#__PURE__*/__webpack_require__.n(prismjs_components_prism_python__WEBPACK_IMPORTED_MODULE_21__);
/* harmony import */ var prismjs_components_prism_powershell__WEBPACK_IMPORTED_MODULE_22__ = __webpack_require__(/*! prismjs/components/prism-powershell */ "./node_modules/prismjs/components/prism-powershell.js");
/* harmony import */ var prismjs_components_prism_powershell__WEBPACK_IMPORTED_MODULE_22___default = /*#__PURE__*/__webpack_require__.n(prismjs_components_prism_powershell__WEBPACK_IMPORTED_MODULE_22__);
/* harmony import */ var prismjs_components_prism_r__WEBPACK_IMPORTED_MODULE_23__ = __webpack_require__(/*! prismjs/components/prism-r */ "./node_modules/prismjs/components/prism-r.js");
/* harmony import */ var prismjs_components_prism_r__WEBPACK_IMPORTED_MODULE_23___default = /*#__PURE__*/__webpack_require__.n(prismjs_components_prism_r__WEBPACK_IMPORTED_MODULE_23__);
/* harmony import */ var prismjs_components_prism_bash__WEBPACK_IMPORTED_MODULE_24__ = __webpack_require__(/*! prismjs/components/prism-bash */ "./node_modules/prismjs/components/prism-bash.js");
/* harmony import */ var prismjs_components_prism_bash__WEBPACK_IMPORTED_MODULE_24___default = /*#__PURE__*/__webpack_require__.n(prismjs_components_prism_bash__WEBPACK_IMPORTED_MODULE_24__);
/* harmony import */ var prismjs_components_prism_swift__WEBPACK_IMPORTED_MODULE_25__ = __webpack_require__(/*! prismjs/components/prism-swift */ "./node_modules/prismjs/components/prism-swift.js");
/* harmony import */ var prismjs_components_prism_swift__WEBPACK_IMPORTED_MODULE_25___default = /*#__PURE__*/__webpack_require__.n(prismjs_components_prism_swift__WEBPACK_IMPORTED_MODULE_25__);
/* harmony import */ var prismjs_components_prism_ruby__WEBPACK_IMPORTED_MODULE_26__ = __webpack_require__(/*! prismjs/components/prism-ruby */ "./node_modules/prismjs/components/prism-ruby.js");
/* harmony import */ var prismjs_components_prism_ruby__WEBPACK_IMPORTED_MODULE_26___default = /*#__PURE__*/__webpack_require__.n(prismjs_components_prism_ruby__WEBPACK_IMPORTED_MODULE_26__);
/* harmony import */ var prismjs_components_prism_latex__WEBPACK_IMPORTED_MODULE_27__ = __webpack_require__(/*! prismjs/components/prism-latex */ "./node_modules/prismjs/components/prism-latex.js");
/* harmony import */ var prismjs_components_prism_latex__WEBPACK_IMPORTED_MODULE_27___default = /*#__PURE__*/__webpack_require__.n(prismjs_components_prism_latex__WEBPACK_IMPORTED_MODULE_27__);
/* harmony import */ var prismjs_components_prism_textile__WEBPACK_IMPORTED_MODULE_28__ = __webpack_require__(/*! prismjs/components/prism-textile */ "./node_modules/prismjs/components/prism-textile.js");
/* harmony import */ var prismjs_components_prism_textile__WEBPACK_IMPORTED_MODULE_28___default = /*#__PURE__*/__webpack_require__.n(prismjs_components_prism_textile__WEBPACK_IMPORTED_MODULE_28__);
/* harmony import */ var prismjs_components_prism_rust__WEBPACK_IMPORTED_MODULE_29__ = __webpack_require__(/*! prismjs/components/prism-rust */ "./node_modules/prismjs/components/prism-rust.js");
/* harmony import */ var prismjs_components_prism_rust__WEBPACK_IMPORTED_MODULE_29___default = /*#__PURE__*/__webpack_require__.n(prismjs_components_prism_rust__WEBPACK_IMPORTED_MODULE_29__);
/* harmony import */ var prismjs_components_prism_json__WEBPACK_IMPORTED_MODULE_30__ = __webpack_require__(/*! prismjs/components/prism-json */ "./node_modules/prismjs/components/prism-json.js");
/* harmony import */ var prismjs_components_prism_json__WEBPACK_IMPORTED_MODULE_30___default = /*#__PURE__*/__webpack_require__.n(prismjs_components_prism_json__WEBPACK_IMPORTED_MODULE_30__);
/* harmony import */ var prismjs_components_prism_yaml__WEBPACK_IMPORTED_MODULE_31__ = __webpack_require__(/*! prismjs/components/prism-yaml */ "./node_modules/prismjs/components/prism-yaml.js");
/* harmony import */ var prismjs_components_prism_yaml__WEBPACK_IMPORTED_MODULE_31___default = /*#__PURE__*/__webpack_require__.n(prismjs_components_prism_yaml__WEBPACK_IMPORTED_MODULE_31__);
/* harmony import */ var prismjs_components_prism_toml__WEBPACK_IMPORTED_MODULE_32__ = __webpack_require__(/*! prismjs/components/prism-toml */ "./node_modules/prismjs/components/prism-toml.js");
/* harmony import */ var prismjs_components_prism_toml__WEBPACK_IMPORTED_MODULE_32___default = /*#__PURE__*/__webpack_require__.n(prismjs_components_prism_toml__WEBPACK_IMPORTED_MODULE_32__);
/* harmony import */ var prismjs_components_prism_groovy__WEBPACK_IMPORTED_MODULE_33__ = __webpack_require__(/*! prismjs/components/prism-groovy */ "./node_modules/prismjs/components/prism-groovy.js");
/* harmony import */ var prismjs_components_prism_groovy__WEBPACK_IMPORTED_MODULE_33___default = /*#__PURE__*/__webpack_require__.n(prismjs_components_prism_groovy__WEBPACK_IMPORTED_MODULE_33__);
/* harmony import */ var prismjs_components_prism_kotlin__WEBPACK_IMPORTED_MODULE_34__ = __webpack_require__(/*! prismjs/components/prism-kotlin */ "./node_modules/prismjs/components/prism-kotlin.js");
/* harmony import */ var prismjs_components_prism_kotlin__WEBPACK_IMPORTED_MODULE_34___default = /*#__PURE__*/__webpack_require__.n(prismjs_components_prism_kotlin__WEBPACK_IMPORTED_MODULE_34__);
/* harmony import */ var prismjs_components_prism_clojure__WEBPACK_IMPORTED_MODULE_35__ = __webpack_require__(/*! prismjs/components/prism-clojure */ "./node_modules/prismjs/components/prism-clojure.js");
/* harmony import */ var prismjs_components_prism_clojure__WEBPACK_IMPORTED_MODULE_35___default = /*#__PURE__*/__webpack_require__.n(prismjs_components_prism_clojure__WEBPACK_IMPORTED_MODULE_35__);
/* harmony import */ var prismjs_components_prism_lisp__WEBPACK_IMPORTED_MODULE_36__ = __webpack_require__(/*! prismjs/components/prism-lisp */ "./node_modules/prismjs/components/prism-lisp.js");
/* harmony import */ var prismjs_components_prism_lisp__WEBPACK_IMPORTED_MODULE_36___default = /*#__PURE__*/__webpack_require__.n(prismjs_components_prism_lisp__WEBPACK_IMPORTED_MODULE_36__);
/* harmony import */ var prismjs_components_prism_elixir__WEBPACK_IMPORTED_MODULE_37__ = __webpack_require__(/*! prismjs/components/prism-elixir */ "./node_modules/prismjs/components/prism-elixir.js");
/* harmony import */ var prismjs_components_prism_elixir__WEBPACK_IMPORTED_MODULE_37___default = /*#__PURE__*/__webpack_require__.n(prismjs_components_prism_elixir__WEBPACK_IMPORTED_MODULE_37__);





















// import 'prismjs/components/prism-php'; // Breaks












// import 'prismjs/components/prism-xml-doc'; // Breaks





prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.batch = prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.extend('batch', {});
prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.coffeescript = prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.extend('coffeescript', {});
prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.erlang = prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.extend('erlang', {});
prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.haskell = prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.extend('haskell', {});
prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.lua = prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.extend('lua', {});
prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.markdown = prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.extend('markdown', {});
prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.matlab = prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.extend('matlab', {});
prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.c = prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.extend('c', {});
prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.cpp = prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.extend('cpp', {});
prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.csharp = prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.extend('csharp', {});
prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.css = prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.extend('css', {});
prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.go = prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.extend('go', {});
prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.cshtml = prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.extend('cshtml', {});
prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.java = prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.extend('java', {});
prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.javascript = prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.extend('javascript', {});
prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.typescript = prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.extend('typescript', {});
prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.dart = prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.extend('dart', {});
prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.scala = prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.extend('scala', {});
prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.sql = prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.extend('sql', {});
prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.perl = prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.extend('perl', {});
prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.python = prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.extend('python', {});
prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.powershell = prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.extend('powershell', {});
prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.r = prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.extend('r', {});
prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.bash = prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.extend('bash', {});
prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.swift = prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.extend('swift', {});
prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.ruby = prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.extend('ruby', {});
prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.latex = prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.extend('latex', {});
prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.textile = prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.extend('textile', {});
prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.rust = prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.extend('rust', {});
prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.json = prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.extend('json', {});
prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.yaml = prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.extend('yaml', {});
prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.toml = prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.extend('toml', {});
// Prism.languages['xml-doc'] = Prism.languages.extend('xml-doc', {});
prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.groovy = prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.extend('groovy', {});
prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.kotlin = prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.extend('kotlin', {});
prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.clojure = prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.extend('clojure', {});
prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.lisp = prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.extend('lisp', {});
prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.elixir = prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.extend('elixir', {});
const highlightSnippet = ({ snippetContent, snippetLanguage, }) => {
    var _a;
    snippetLanguage = (_a = snippetLanguage === null || snippetLanguage === void 0 ? void 0 : snippetLanguage.toLowerCase()) !== null && _a !== void 0 ? _a : 'py';
    switch (snippetLanguage) {
        case 'bat':
            return prismjs__WEBPACK_IMPORTED_MODULE_0__.highlight(snippetContent, prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.batch, 'batch');
            break;
        case 'coffee':
            return prismjs__WEBPACK_IMPORTED_MODULE_0__.highlight(snippetContent, prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.coffeescript, 'coffeescript');
            break;
        case 'erl':
            return prismjs__WEBPACK_IMPORTED_MODULE_0__.highlight(snippetContent, prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.erlang, 'erlang');
            break;
        case 'hs':
            return prismjs__WEBPACK_IMPORTED_MODULE_0__.highlight(snippetContent, prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.haskell, 'haskell');
            break;
        case 'lua':
            return prismjs__WEBPACK_IMPORTED_MODULE_0__.highlight(snippetContent, prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.lua, 'lua');
            break;
        case 'md':
            return prismjs__WEBPACK_IMPORTED_MODULE_0__.highlight(snippetContent, prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.markdown, 'markdown');
            break;
        case 'matlab':
            return prismjs__WEBPACK_IMPORTED_MODULE_0__.highlight(snippetContent, prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.matlab, 'matlab');
            break;
        case 'm':
            return prismjs__WEBPACK_IMPORTED_MODULE_0__.highlight(snippetContent, prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.cpp, 'cpp');
            break;
        case 'c':
            return prismjs__WEBPACK_IMPORTED_MODULE_0__.highlight(snippetContent, prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.c, 'c');
            break;
        case 'cc':
        case 'h':
        case 'hh':
        case 'cpp':
            return prismjs__WEBPACK_IMPORTED_MODULE_0__.highlight(snippetContent, prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.cpp, 'cpp');
            break;
        case 'cs':
            return prismjs__WEBPACK_IMPORTED_MODULE_0__.highlight(snippetContent, prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.csharp, 'csharp');
            break;
        case 'css':
            return prismjs__WEBPACK_IMPORTED_MODULE_0__.highlight(snippetContent, prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.css, 'css');
            break;
        case 'go':
            return prismjs__WEBPACK_IMPORTED_MODULE_0__.highlight(snippetContent, prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.go, 'go');
            break;
        case 'htm':
        case 'html':
            return prismjs__WEBPACK_IMPORTED_MODULE_0__.highlight(snippetContent, prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.html, 'html');
            break;
        case 'java':
            return prismjs__WEBPACK_IMPORTED_MODULE_0__.highlight(snippetContent, prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.java, 'java');
            break;
        case 'js':
            return prismjs__WEBPACK_IMPORTED_MODULE_0__.highlight(snippetContent, prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.javascript, 'javascript');
            break;
        case 'ts':
            return prismjs__WEBPACK_IMPORTED_MODULE_0__.highlight(snippetContent, prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.typescript, 'typescript');
            break;
        case 'dart':
            return prismjs__WEBPACK_IMPORTED_MODULE_0__.highlight(snippetContent, prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.dart, 'dart');
            break;
        case 'scala':
            return prismjs__WEBPACK_IMPORTED_MODULE_0__.highlight(snippetContent, prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.scala, 'scala');
            break;
        case 'sql':
            return prismjs__WEBPACK_IMPORTED_MODULE_0__.highlight(snippetContent, prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.sql, 'sql');
            break;
        case 'pl':
            return prismjs__WEBPACK_IMPORTED_MODULE_0__.highlight(snippetContent, prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.perl, 'perl');
            break;
        case 'pyc':
        case 'py':
            return prismjs__WEBPACK_IMPORTED_MODULE_0__.highlight(snippetContent, prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.python, 'python');
            break;
        case 'ps1':
            return prismjs__WEBPACK_IMPORTED_MODULE_0__.highlight(snippetContent, prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.powershell, 'powershell');
            break;
        case 'r':
            return prismjs__WEBPACK_IMPORTED_MODULE_0__.highlight(snippetContent, prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.r, 'r');
            break;
        case 'sh':
            return prismjs__WEBPACK_IMPORTED_MODULE_0__.highlight(snippetContent, prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.bash, 'bash');
            break;
        case 'swift':
            return prismjs__WEBPACK_IMPORTED_MODULE_0__.highlight(snippetContent, prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.swift, 'swift');
            break;
        case 'rb':
            return prismjs__WEBPACK_IMPORTED_MODULE_0__.highlight(snippetContent, prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.ruby, 'ruby');
            break;
        case 'tex':
            return prismjs__WEBPACK_IMPORTED_MODULE_0__.highlight(snippetContent, prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.latex, 'latex');
            break;
        case 'text':
        case 'txt':
            return snippetContent;
            break;
        case 'rs':
            return prismjs__WEBPACK_IMPORTED_MODULE_0__.highlight(snippetContent, prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.rust, 'rust');
            break;
        case 'json':
            return prismjs__WEBPACK_IMPORTED_MODULE_0__.highlight(snippetContent, prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.json, 'json');
            break;
        case 'yaml':
        case 'yml':
            return prismjs__WEBPACK_IMPORTED_MODULE_0__.highlight(snippetContent, prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.yaml, 'yaml');
            break;
        case 'toml':
            return prismjs__WEBPACK_IMPORTED_MODULE_0__.highlight(snippetContent, prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.toml, 'toml');
            break;
        case 'xml':
            return prismjs__WEBPACK_IMPORTED_MODULE_0__.highlight(snippetContent, prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.xml, 'xml');
            break;
        case 'groovy':
            return prismjs__WEBPACK_IMPORTED_MODULE_0__.highlight(snippetContent, prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.groovy, 'groovy');
            break;
        case 'kt':
            return prismjs__WEBPACK_IMPORTED_MODULE_0__.highlight(snippetContent, prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.kotlin, 'kotlin');
            break;
        case 'clj':
            return prismjs__WEBPACK_IMPORTED_MODULE_0__.highlight(snippetContent, prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.clojure, 'clojure');
            break;
        case 'el':
            return prismjs__WEBPACK_IMPORTED_MODULE_0__.highlight(snippetContent, prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.lisp, 'lisp');
            break;
        case 'ex':
            return prismjs__WEBPACK_IMPORTED_MODULE_0__.highlight(snippetContent, prismjs__WEBPACK_IMPORTED_MODULE_0__.languages.elixir, 'elixir');
            break;
        default:
            return snippetContent;
            break;
    }
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (prismjs__WEBPACK_IMPORTED_MODULE_0__);


/***/ }),

/***/ "./lib/ui/utils/refreshSnippets.js":
/*!*****************************************!*\
  !*** ./lib/ui/utils/refreshSnippets.js ***!
  \*****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   refreshSnippets: () => (/* binding */ refreshSnippets)
/* harmony export */ });
/* harmony import */ var _renderLoading__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./renderLoading */ "./lib/ui/utils/renderLoading.js");
/* harmony import */ var _connection_api_wrapper__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../connection/api_wrapper */ "./lib/connection/api_wrapper.js");
/* harmony import */ var _views_DisplayController__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../views/DisplayController */ "./lib/ui/views/DisplayController.js");
/* harmony import */ var _render_renderSearchBox__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../render/renderSearchBox */ "./lib/ui/render/renderSearchBox.js");




const refreshSnippets = async () => {
    const loading = (0,_renderLoading__WEBPACK_IMPORTED_MODULE_0__.renderLoading)(document, 'refresh-');
    if (_render_renderSearchBox__WEBPACK_IMPORTED_MODULE_1__.searchBtn.parentElement)
        _render_renderSearchBox__WEBPACK_IMPORTED_MODULE_1__.searchBtn.parentElement.replaceChild(loading, _render_renderSearchBox__WEBPACK_IMPORTED_MODULE_1__.searchBtn);
    try {
        await (0,_connection_api_wrapper__WEBPACK_IMPORTED_MODULE_2__.loadPieces)();
        _views_DisplayController__WEBPACK_IMPORTED_MODULE_3__["default"].drawSnippets({});
    }
    catch (e) {
        console.log(e);
    }
    if (loading.parentElement)
        loading.parentElement.replaceChild(_render_renderSearchBox__WEBPACK_IMPORTED_MODULE_1__.searchBtn, loading);
};


/***/ }),

/***/ "./lib/ui/utils/renderLoading.js":
/*!***************************************!*\
  !*** ./lib/ui/utils/renderLoading.js ***!
  \***************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   renderLoading: () => (/* binding */ renderLoading)
/* harmony export */ });
function renderLoading(contentEl, location = '') {
    const loading = contentEl.createElement('div');
    loading.classList.add(`${location}bouncing-loader`);
    const loading1 = contentEl.createElement('div');
    const loading2 = contentEl.createElement('div');
    const loading3 = contentEl.createElement('div');
    loading.appendChild(loading1);
    loading.appendChild(loading2);
    loading.appendChild(loading3);
    return loading;
}


/***/ }),

/***/ "./lib/ui/utils/searcLangSpecificEnum.js":
/*!***********************************************!*\
  !*** ./lib/ui/utils/searcLangSpecificEnum.js ***!
  \***********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   searchLangSpecificEnum: () => (/* binding */ searchLangSpecificEnum)
/* harmony export */ });
const searchLangSpecificEnum = {
    bat: 'Batch',
    c: 'C',
    cs: 'C#',
    cpp: 'C++',
    css: 'CSS',
    clj: 'Clojure',
    coffee: 'Coffee',
    dart: 'Dart',
    erl: 'Erlang',
    ex: 'Elixir',
    el: 'Lisp',
    go: 'Go',
    groovy: 'Groovy',
    hs: 'Haskell',
    html: 'HTML',
    java: 'Java',
    js: 'JavaScript',
    json: 'JSON',
    kt: 'Kotlin',
    lua: 'Lua',
    md: 'Markdown',
    matlab: 'MATLAB',
    m: 'Objective-C',
    pl: 'Perl',
    php: 'PHP',
    py: 'Python',
    ps1: 'PowerShell',
    rb: 'Ruby',
    r: 'R',
    rs: 'Rust',
    scala: 'Scala',
    sh: 'Shell',
    sql: 'SQL',
    swift: 'Swift',
    tex: 'TeX',
    text: 'PlainTextGrammar',
    toml: 'TOML',
    ts: 'TypeScript',
    xml: 'XML',
    yaml: 'YAML',
};


/***/ }),

/***/ "./lib/ui/views/DisplayController.js":
/*!*******************************************!*\
  !*** ./lib/ui/views/DisplayController.js ***!
  \*******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _actions_create_asset__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(/*! ../../actions/create_asset */ "./lib/actions/create_asset.js");
/* harmony import */ var _cache_pieces_cache__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../cache/pieces_cache */ "./lib/cache/pieces_cache.js");
/* harmony import */ var _connection_notification_handler__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ../../connection/notification_handler */ "./lib/connection/notification_handler.js");
/* harmony import */ var _connection_version_check__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../connection/version_check */ "./lib/connection/version_check.js");
/* harmony import */ var _const__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../../const */ "./lib/const.js");
/* harmony import */ var _render_renderSearchBox__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../render/renderSearchBox */ "./lib/ui/render/renderSearchBox.js");
/* harmony import */ var _models_SortSnippetsBy__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../../models/SortSnippetsBy */ "./lib/models/SortSnippetsBy.js");
/* harmony import */ var _render_showLoadErrorState__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../render/showLoadErrorState */ "./lib/ui/render/showLoadErrorState.js");
/* harmony import */ var _render_showLoadingState__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../render/showLoadingState */ "./lib/ui/render/showLoadingState.js");
/* harmony import */ var _render_showNoSnippetState__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../render/showNoSnippetState */ "./lib/ui/render/showNoSnippetState.js");
/* harmony import */ var _renderLanguageView__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! ./renderLanguageView */ "./lib/ui/views/renderLanguageView.js");
/* harmony import */ var _renderListView__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! ./renderListView */ "./lib/ui/views/renderListView.js");
/* harmony import */ var _actions_discover_snippets__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(/*! ../../actions/discover_snippets */ "./lib/actions/discover_snippets.js");
/* harmony import */ var _LabIcons__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(/*! ../LabIcons */ "./lib/ui/LabIcons.js");
/* harmony import */ var _modals_SearchFiltersModal__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ../modals/SearchFiltersModal */ "./lib/ui/modals/SearchFiltersModal.js");
var _a;















class DisplayController {
}
_a = DisplayController;
DisplayController.containerDiv = document.createElement('div'); // Holding Div
DisplayController.sortDropdown = (0,_render_renderSearchBox__WEBPACK_IMPORTED_MODULE_0__.sortSnippetsDropdownElement)();
DisplayController.isLoading = true;
DisplayController.isFetchFailed = false;
DisplayController.discoveryCheckboxArray = [];
DisplayController.appendDiscovery = (value) => {
    _a.discoveryCheckboxArray.push(value);
};
DisplayController.clearDiscovery = () => {
    _a.discoveryCheckboxArray = [];
};
DisplayController.setIsLoading = (val) => {
    _a.isLoading = val;
};
DisplayController.setIsFetchFailed = (val) => {
    _a.isFetchFailed = val;
};
DisplayController.createSnippetListView = async ({ containerVar, }) => {
    //Add the search box
    containerVar.id = 'piecesContainer';
    containerVar.classList.add('pieces-container');
    const searchBoxDiv = document.createElement('div');
    searchBoxDiv.classList.add('search-box-div');
    searchBoxDiv.appendChild((0,_render_renderSearchBox__WEBPACK_IMPORTED_MODULE_0__.searchBoxElement)());
    _a.dropdownRow = document.createElement('div');
    _a.dropdownRow.classList.add('row', 'search-row', 'search-row-dropdown');
    _a.dropdownRow.appendChild(_a.sortDropdown);
    searchBoxDiv.appendChild(_a.dropdownRow);
    // Discover View Additions
    containerVar.appendChild(searchBoxDiv);
    _a.drawSnippets({});
    containerVar.appendChild(_a.containerDiv);
    _a.containerDiv.classList.add('container-div');
    _a.containerDiv.id = 'pieces-snippet-container';
};
// Make sure you call create view before calling this
//   - this is also called by createview
// Call this to redraw the view
DisplayController.drawSnippets = async ({ snippets, search, }) => {
    var _b;
    const cache = _cache_pieces_cache__WEBPACK_IMPORTED_MODULE_1__["default"].getInstance();
    _a.containerDiv.innerHTML = '';
    _a.containerDiv.classList.remove('load-error-state');
    console.log('Pieces For Developers: Redrawing');
    //Set up the loading state
    if (_a.isLoading) {
        (0,_render_showLoadingState__WEBPACK_IMPORTED_MODULE_2__.showLoadingState)(_a.containerDiv);
        return;
    }
    if (_a.isFetchFailed || !(await (0,_connection_version_check__WEBPACK_IMPORTED_MODULE_3__["default"])({}))) {
        (0,_render_showLoadErrorState__WEBPACK_IMPORTED_MODULE_4__.showLoadErrorState)(_a.containerDiv);
        return;
    }
    if (cache.assets.length === 0) {
        (0,_render_showNoSnippetState__WEBPACK_IMPORTED_MODULE_5__.showNoSnippetState)(_a.containerDiv);
        return;
    }
    let piecesSnippets = snippets !== undefined ? snippets : cache.assets;
    let discoverElements = _a.createDiscoverElements({});
    (_b = document.getElementById('pieces-filter-button')) === null || _b === void 0 ? void 0 : _b.remove();
    if (_render_renderSearchBox__WEBPACK_IMPORTED_MODULE_0__.defaultSortingView !== _models_SortSnippetsBy__WEBPACK_IMPORTED_MODULE_6__.SortSnippetsBy.Discover) {
        const filterBtn = document.createElement('button');
        _a.filterModalBtn = filterBtn;
        filterBtn.classList.add('jp-btn');
        filterBtn.id = 'pieces-filter-button';
        _a.dropdownRow.appendChild(filterBtn);
        filterBtn.innerHTML = _const__WEBPACK_IMPORTED_MODULE_7__["default"].FILTER_ICON;
        const disableFilters = (0,_connection_version_check__WEBPACK_IMPORTED_MODULE_3__.versionChecker)({ minVersion: '6.1.0' });
        filterBtn.onclick = () => {
            disableFilters
                .then((val) => {
                if (val) {
                    if (!_a.searchFilterModal) {
                        _a.searchFilterModal = new _modals_SearchFiltersModal__WEBPACK_IMPORTED_MODULE_8__["default"]();
                    }
                    _a.searchFilterModal.open();
                }
                else {
                    _connection_notification_handler__WEBPACK_IMPORTED_MODULE_9__["default"].getInstance().error({
                        message: 'Please update to Pieces OS 6.1.0 or higher to use the snippet filtering feature.',
                    });
                }
            })
                .catch();
        };
    }
    if (_render_renderSearchBox__WEBPACK_IMPORTED_MODULE_0__.defaultSortingView === _models_SortSnippetsBy__WEBPACK_IMPORTED_MODULE_6__.SortSnippetsBy.Recent) {
        (0,_renderListView__WEBPACK_IMPORTED_MODULE_10__.renderListView)({
            container: _a.containerDiv,
            snippets: search
                ? piecesSnippets
                : piecesSnippets.sort((a, b) => b.created.getTime() - a.created.getTime()),
        });
        const dropdownDiv = document.getElementById('discovery-nav-div');
        dropdownDiv === null || dropdownDiv === void 0 ? void 0 : dropdownDiv.remove();
    }
    else if (_render_renderSearchBox__WEBPACK_IMPORTED_MODULE_0__.defaultSortingView === _models_SortSnippetsBy__WEBPACK_IMPORTED_MODULE_6__.SortSnippetsBy.Language) {
        (0,_renderLanguageView__WEBPACK_IMPORTED_MODULE_11__.renderLanguageView)({
            container: _a.containerDiv,
            snippets: search
                ? piecesSnippets
                : piecesSnippets.sort((a, b) => a.language.localeCompare(b.language)),
        });
        const dropdownDiv = document.getElementById('discovery-nav-div');
        dropdownDiv === null || dropdownDiv === void 0 ? void 0 : dropdownDiv.remove();
    }
    else if (_render_renderSearchBox__WEBPACK_IMPORTED_MODULE_0__.defaultSortingView === _models_SortSnippetsBy__WEBPACK_IMPORTED_MODULE_6__.SortSnippetsBy.Discover) {
        const dropdownDiv = document.getElementById('discovery-nav-div');
        dropdownDiv === null || dropdownDiv === void 0 ? void 0 : dropdownDiv.remove();
        _a.dropdownRow.appendChild(discoverElements);
        if (search && snippets) {
            (0,_renderListView__WEBPACK_IMPORTED_MODULE_10__.renderListView)({
                container: _a.containerDiv,
                snippets: snippets,
            });
        }
        else if (cache.discoveredSnippets.length === 0) {
            (0,_render_showLoadingState__WEBPACK_IMPORTED_MODULE_2__.showLoadingState)(_a.containerDiv);
            await _actions_discover_snippets__WEBPACK_IMPORTED_MODULE_12__["default"].discoverAllSnippets();
        }
        else {
            (0,_renderListView__WEBPACK_IMPORTED_MODULE_10__.renderListView)({
                container: _a.containerDiv,
                snippets: cache.discoveredSnippets,
            });
        }
    }
};
DisplayController.createDiscoverElements = ({}) => {
    const cache = _cache_pieces_cache__WEBPACK_IMPORTED_MODULE_1__["default"].getInstance();
    const saveAllDiv = document.createElement('div');
    saveAllDiv.classList.add('discovery-div');
    saveAllDiv.id = 'discovery-nav-div';
    const selectAllDiv = document.createElement('div');
    saveAllDiv.appendChild(selectAllDiv);
    selectAllDiv.classList.add('discovery-div-inner');
    const selectAllCheckbox = document.createElement('input');
    selectAllCheckbox.id = 'select-all-checkbox';
    selectAllCheckbox.classList.add('discovery-checkbox-appearance');
    selectAllDiv.appendChild(selectAllCheckbox);
    selectAllCheckbox.type = 'checkbox';
    selectAllCheckbox.addEventListener('click', () => {
        if (selectAllCheckbox.checked) {
            for (let i = 0; i < _a.discoveryCheckboxArray.length; i++) {
                _a.discoveryCheckboxArray[i].snippetCheckbox.checked = true;
            }
        }
        else {
            for (let i = 0; i < _a.discoveryCheckboxArray.length; i++) {
                _a.discoveryCheckboxArray[i].snippetCheckbox.checked = false;
            }
        }
    });
    const selectAllLabel = document.createElement('label');
    selectAllLabel.htmlFor = 'select-all-checkbox';
    selectAllDiv.appendChild(selectAllLabel);
    selectAllLabel.innerText = 'Select all';
    selectAllLabel.classList.add('discovery-title');
    const discBreak = document.createElement('div');
    discBreak.classList.add('discovery-break');
    saveAllDiv.appendChild(discBreak);
    const saveButton = document.createElement('button');
    saveAllDiv.appendChild(saveButton);
    _LabIcons__WEBPACK_IMPORTED_MODULE_13__.saveAllIcon.element({
        container: saveButton,
    });
    saveButton.classList.add('jp-btn', 'discovery-save-btn');
    saveButton.title =
        cache.discoveredSnippets.length < 1
            ? "There aren't any selected snippets to save"
            : 'Save all selected snippets to Pieces';
    saveButton.addEventListener('click', async () => {
        const loading = document.createElement('div');
        loading.classList.add('bouncing-loader');
        loading.appendChild(document.createElement('div'));
        loading.appendChild(document.createElement('div'));
        loading.appendChild(document.createElement('div'));
        saveAllDiv.replaceChild(loading, saveButton);
        if (_a.discoveryCheckboxArray.filter((check) => {
            return check.snippetCheckbox.checked;
        }).length === 0) {
            const notifications = _connection_notification_handler__WEBPACK_IMPORTED_MODULE_9__["default"].getInstance();
            notifications.information({
                message: _const__WEBPACK_IMPORTED_MODULE_7__["default"].NO_SELECTION_SAVE,
            });
        }
        for (let i = 0; i < _a.discoveryCheckboxArray.length; i++) {
            const element = _a.discoveryCheckboxArray[i];
            if (element.snippetCheckbox.checked) {
                await (0,_actions_create_asset__WEBPACK_IMPORTED_MODULE_14__["default"])({
                    selection: element.snippetObject.raw,
                    name: element.snippetObject.title,
                    annotations: element.snippetObject.annotations,
                    lang: element.snippetObject.language,
                });
                const discoverIndx = cache.discoveredSnippets.findIndex((value) => {
                    return value.id === element.snippetObject.id;
                });
                cache.discoveredSnippets.splice(discoverIndx, 1);
                const removalEl = document.getElementById('snippet-el-' + element.snippetObject.id);
                removalEl === null || removalEl === void 0 ? void 0 : removalEl.remove();
                _a.discoveryCheckboxArray.splice(_a.discoveryCheckboxArray.indexOf(element), 1);
            }
        }
        if (cache.discoveredSnippets.length === 0) {
            _a.drawSnippets({});
        }
        saveAllDiv.replaceChild(saveButton, loading);
    });
    return saveAllDiv;
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (DisplayController);


/***/ }),

/***/ "./lib/ui/views/copilot/index.js":
/*!***************************************!*\
  !*** ./lib/ui/views/copilot/index.js ***!
  \***************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   copilotParams: () => (/* binding */ copilotParams),
/* harmony export */   copilotState: () => (/* binding */ copilotState)
/* harmony export */ });
/* harmony import */ var _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @pieces.app/pieces-os-client */ "webpack/sharing/consume/default/@pieces.app/pieces-os-client/@pieces.app/pieces-os-client");
/* harmony import */ var _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var ___WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../.. */ "./lib/index.js");
/* harmony import */ var _connection_api_wrapper__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../../connection/api_wrapper */ "./lib/connection/api_wrapper.js");
/* harmony import */ var _connection_connector_singleton__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../../connection/connector_singleton */ "./lib/connection/connector_singleton.js");
/* harmony import */ var _connection_shareable_link__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../../../connection/shareable_link */ "./lib/connection/shareable_link.js");
/* harmony import */ var _utils_copyToClipboard__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ../../utils/copyToClipboard */ "./lib/ui/utils/copyToClipboard.js");
/* harmony import */ var _utils_langExtToClassificationSpecificEnum__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ../../utils/langExtToClassificationSpecificEnum */ "./lib/ui/utils/langExtToClassificationSpecificEnum.js");
/* harmony import */ var copilot_dist_view_QGPTView__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! copilot/dist/view/QGPTView */ "./node_modules/copilot/dist/view/QGPTView.js");
/* harmony import */ var copilot_dist_view_QGPTView__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(copilot_dist_view_QGPTView__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _modals_AddSnippetToContextModal__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! ../../modals/AddSnippetToContextModal */ "./lib/ui/modals/AddSnippetToContextModal.js");
/* harmony import */ var _database_PiecesDatabase__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! ../../../database/PiecesDatabase */ "./lib/database/PiecesDatabase.js");
/* harmony import */ var _connection_notification_handler__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(/*! ../../../connection/notification_handler */ "./lib/connection/notification_handler.js");
/* harmony import */ var _actions_qgpt__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(/*! ../../../actions/qgpt */ "./lib/actions/qgpt.js");
/* harmony import */ var _analytics_SegmentAnalytics__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(/*! ../../../analytics/SegmentAnalytics */ "./lib/analytics/SegmentAnalytics.js");
/* harmony import */ var _jupyterlab_services__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @jupyterlab/services */ "webpack/sharing/consume/default/@jupyterlab/services");
/* harmony import */ var _jupyterlab_services__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_jupyterlab_services__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _localStorageManager__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../../../localStorageManager */ "./lib/localStorageManager.js");















const getApplication = async () => {
    if (!_connection_connector_singleton__WEBPACK_IMPORTED_MODULE_3__["default"].getInstance().context)
        await (0,_connection_api_wrapper__WEBPACK_IMPORTED_MODULE_4__.loadConnect)();
    return _connection_connector_singleton__WEBPACK_IMPORTED_MODULE_3__["default"].getInstance().context.application;
};
let copilotState = {
    codeBlocks: [],
    conversation: [],
    conversationId: '',
    selectedModel: '',
    migration: 0,
    directives: [],
};
const copilotParams = {
    async updateApplication(application) {
        await _connection_connector_singleton__WEBPACK_IMPORTED_MODULE_3__["default"].getInstance().applicationApi.applicationUpdate({
            application,
        });
        const settingValue = application.capabilities === _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.CapabilitiesEnum.Blended
            ? 'Blended'
            : 'Local';
        ___WEBPACK_IMPORTED_MODULE_5__.pluginSettings.set('Capabilities', settingValue);
        (0,_localStorageManager__WEBPACK_IMPORTED_MODULE_6__.setStored)({
            Capabilities: settingValue,
        });
    },
    runInTerminal(command) {
        const terminal = new _jupyterlab_services__WEBPACK_IMPORTED_MODULE_2__.TerminalManager();
        terminal.startNew().then(async (session) => {
            await ___WEBPACK_IMPORTED_MODULE_5__.defaultApp.commands.execute('terminal:open', {
                name: session.name,
            });
            session.send({
                type: 'stdin',
                content: [command],
            });
        });
    },
    async getRecentFiles() {
        return { paths: [] };
    },
    async getWorkspacePaths() {
        return { paths: [] };
    },
    migration: 0,
    openFile(path) {
        ___WEBPACK_IMPORTED_MODULE_5__.defaultApp.commands.execute('docmanager:open', {
            path: path,
            options: {
                mode: 'tab-after',
            },
        });
    },
    generateShareableLink: async (params) => {
        let link;
        if ('id' in params) {
            link = await _connection_shareable_link__WEBPACK_IMPORTED_MODULE_7__["default"].getInstance().generate({
                id: params.id,
            });
            if (link)
                (0,_utils_copyToClipboard__WEBPACK_IMPORTED_MODULE_8__["default"])(link);
            return { id: params.id };
        }
        else {
            const asset = await _connection_connector_singleton__WEBPACK_IMPORTED_MODULE_3__["default"].getInstance().assetsApi.assetsCreateNewAsset({
                seed: {
                    type: _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.SeedTypeEnum.Asset,
                    asset: {
                        application: await getApplication(),
                        format: {
                            fragment: {
                                string: {
                                    raw: params.raw,
                                },
                                metadata: {
                                    ext: (0,_utils_langExtToClassificationSpecificEnum__WEBPACK_IMPORTED_MODULE_9__["default"])(params.ext),
                                },
                            },
                        },
                    },
                },
            });
            if (asset) {
                link = await _connection_shareable_link__WEBPACK_IMPORTED_MODULE_7__["default"].getInstance().generate({
                    id: asset.id,
                });
                if (link)
                    (0,_utils_copyToClipboard__WEBPACK_IMPORTED_MODULE_8__["default"])(link);
                return { id: asset.id };
            }
        }
    },
    getApplication,
    requestContextPicker: async (type, conversationId) => {
        let paths = null;
        if (type === 'files') {
            paths = await _connection_connector_singleton__WEBPACK_IMPORTED_MODULE_3__["default"].getInstance().osApi.pickFiles({
                filePickerInput: {},
            });
        }
        if (type === 'folders') {
            paths = await _connection_connector_singleton__WEBPACK_IMPORTED_MODULE_3__["default"].getInstance().osApi.pickFolders();
        }
        if (paths) {
            const anchors = await Promise.all(paths.map((path) => _connection_connector_singleton__WEBPACK_IMPORTED_MODULE_3__["default"].getInstance().anchorsApi.anchorsCreateNewAnchor({
                transferables: false,
                seededAnchor: {
                    type: type === 'folders'
                        ? _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.AnchorTypeEnum.Directory
                        : _pieces_app_pieces_os_client__WEBPACK_IMPORTED_MODULE_0__.AnchorTypeEnum.File,
                    fullpath: path,
                },
            })));
            (copilot_dist_view_QGPTView__WEBPACK_IMPORTED_MODULE_1___default().lastConversationMessage) = new Date();
            for (const anchor of anchors) {
                _connection_connector_singleton__WEBPACK_IMPORTED_MODULE_3__["default"].getInstance().conversationApi.conversationAssociateAnchor({
                    conversation: conversationId,
                    anchor: anchor.id,
                });
            }
            return;
        }
        new _modals_AddSnippetToContextModal__WEBPACK_IMPORTED_MODULE_10__["default"](conversationId).open();
    },
    filterFolders: async (paths) => paths,
    saveState: (newState) => {
        copilotState = newState;
        _database_PiecesDatabase__WEBPACK_IMPORTED_MODULE_11__["default"].writeDB();
    },
    getState: () => {
        return { pieces: copilotState };
    },
    sendNotification: (params) => {
        if (params.type === 'info') {
            _connection_notification_handler__WEBPACK_IMPORTED_MODULE_12__["default"].getInstance().information({
                message: params.message,
                actions: params.actions,
            });
        }
        else {
            _connection_notification_handler__WEBPACK_IMPORTED_MODULE_12__["default"].getInstance().error({
                message: params.message,
                actions: params.actions,
            });
        }
    },
    loadContext: (paths) => {
        _actions_qgpt__WEBPACK_IMPORTED_MODULE_13__["default"].loadContext({ paths });
    },
    openLink: (url) => window.open(url),
    track: (event) => {
        _analytics_SegmentAnalytics__WEBPACK_IMPORTED_MODULE_14__.SegmentAnalytics.track({ event });
    },
    insertAtCursor(text) {
        var _a;
        //@ts-ignore this does not exist in the api given by jupyterlab, however editor does exist if they have a notebook open.
        const editor = (_a = ___WEBPACK_IMPORTED_MODULE_5__.defaultApp.shell.currentWidget) === null || _a === void 0 ? void 0 : _a.content.activeCell.editor;
        if (!editor || editor === undefined) {
            _connection_notification_handler__WEBPACK_IMPORTED_MODULE_12__["default"].getInstance().error({
                message: 'Unable to detect editor, cannot insert code.',
            });
            return;
        }
        const selection = document.getSelection();
        editor.replaceSelection(text + selection);
    },
};


/***/ }),

/***/ "./lib/ui/views/renderLanguageView.js":
/*!********************************************!*\
  !*** ./lib/ui/views/renderLanguageView.js ***!
  \********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   renderLanguageView: () => (/* binding */ renderLanguageView)
/* harmony export */ });
/* harmony import */ var _utils_langExtToIcon__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./../utils/langExtToIcon */ "./lib/ui/utils/langExtToIcon.js");
/* harmony import */ var _utils_getRangeOfChanges__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../utils/getRangeOfChanges */ "./lib/ui/utils/getRangeOfChanges.js");
/* harmony import */ var _renderListView__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./renderListView */ "./lib/ui/views/renderListView.js");
/* harmony import */ var _utils_langExtToReadable__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../utils/langExtToReadable */ "./lib/ui/utils/langExtToReadable.js");
/* harmony import */ var _cache_pieces_cache__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../cache/pieces_cache */ "./lib/cache/pieces_cache.js");
/* harmony import */ var _utils_searcLangSpecificEnum__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../utils/searcLangSpecificEnum */ "./lib/ui/utils/searcLangSpecificEnum.js");






function renderLanguageView({ container, snippets, }) {
    const cache = _cache_pieces_cache__WEBPACK_IMPORTED_MODULE_0__["default"].getInstance();
    const languageContainer = document.createElement('div');
    languageContainer.classList.add('language-container');
    languageContainer.id = 'language-snippet-container';
    const ranges = (0,_utils_getRangeOfChanges__WEBPACK_IMPORTED_MODULE_1__.getRangeOfChanges)(snippets);
    ranges.forEach(([start, end]) => {
        const snippetsInRange = snippets.slice(start, end + 1);
        const langView = document.createElement('div');
        langView.classList.add('language-view', 'col');
        langView.id = `code-view-${(0,_utils_langExtToReadable__WEBPACK_IMPORTED_MODULE_2__["default"])(snippetsInRange[0].language)})`;
        languageContainer.appendChild(langView);
        const titleDiv = document.createElement('div');
        titleDiv.classList.add('language-title-div', 'row');
        const langCol = document.createElement('div');
        langCol.classList.add('language-title', 'col-sm-fixed');
        const langImg = document.createElement('div'); // TODO make this an img with icon
        langImg.classList.add('language-title', 'language-title-img');
        langImg.classList.add((0,_utils_langExtToIcon__WEBPACK_IMPORTED_MODULE_3__.getIcon)(snippetsInRange[0].language));
        langCol.appendChild(langImg);
        const langTitleCol = document.createElement('div');
        langTitleCol.classList.add('col');
        const langTitle = document.createElement('h1');
        langTitle.innerText = (0,_utils_langExtToReadable__WEBPACK_IMPORTED_MODULE_2__["default"])(snippetsInRange[0].language);
        langTitleCol.appendChild(langTitle);
        langTitle.classList.add('language-title-div');
        const buttonContentCol = document.createElement('div');
        buttonContentCol.classList.add('flex', 'flex-col', 'ml-auto');
        // Create the button element
        const buttonInput = document.createElement('input');
        buttonInput.type = 'checkbox';
        buttonInput.title = `Expand '${(0,_utils_langExtToReadable__WEBPACK_IMPORTED_MODULE_2__["default"])(snippetsInRange[0].language)}' language view`;
        buttonInput.classList.add('language-button-input');
        buttonInput.id = `input-${_utils_searcLangSpecificEnum__WEBPACK_IMPORTED_MODULE_4__.searchLangSpecificEnum[snippetsInRange[0].language]}`;
        titleDiv.appendChild(langCol);
        titleDiv.appendChild(langTitleCol);
        titleDiv.appendChild(buttonContentCol);
        titleDiv.appendChild(buttonInput);
        langView.appendChild(titleDiv);
        const buttonContentOpen = document.createElement('span');
        buttonContentOpen.innerText = '▼';
        const buttonContentClosed = document.createElement('span');
        buttonContentClosed.innerText = '▶';
        if (buttonInput.checked) {
            buttonContentCol.appendChild(buttonContentOpen);
        }
        else {
            buttonContentCol.appendChild(buttonContentClosed);
        }
        let snippetDiv = document.createElement('div');
        // snippetDiv.classList.add('col');
        // @ts-ignore
        let clickTimer = null;
        buttonInput.addEventListener('change', function () {
            // @ts-ignore
            if (buttonInput.checked) {
                // Checkbox is checked, do something
                snippetsInRange.forEach((snippet) => {
                    snippet = cache.mappedAssets[snippet.id];
                });
                (0,_renderListView__WEBPACK_IMPORTED_MODULE_5__.renderListView)({
                    container: snippetDiv,
                    snippets: snippetsInRange.sort((a, b) => b.created.getTime() - a.created.getTime()),
                });
                langView.appendChild(snippetDiv);
                buttonContentCol.replaceChild(buttonContentOpen, buttonContentClosed);
            }
            else {
                // Checkbox is unchecked, do something
                langView.removeChild(snippetDiv);
                snippetDiv = document.createElement('div');
                buttonContentCol.replaceChild(buttonContentClosed, buttonContentOpen);
            }
        });
    });
    container.appendChild(languageContainer);
}


/***/ }),

/***/ "./lib/ui/views/renderListView.js":
/*!****************************************!*\
  !*** ./lib/ui/views/renderListView.js ***!
  \****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   constructSnippet: () => (/* binding */ constructSnippet),
/* harmony export */   renderListView: () => (/* binding */ renderListView)
/* harmony export */ });
/* harmony import */ var _utils_langExtToIcon__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./../utils/langExtToIcon */ "./lib/ui/utils/langExtToIcon.js");
/* harmony import */ var _render_renderSnippets__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./../render/renderSnippets */ "./lib/ui/render/renderSnippets.js");
/* harmony import */ var _snippetExportView__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../snippetExportView */ "./lib/ui/snippetExportView.js");
/* harmony import */ var _render_renderSearchBox__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../render/renderSearchBox */ "./lib/ui/render/renderSearchBox.js");
/* harmony import */ var _models_SortSnippetsBy__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../models/SortSnippetsBy */ "./lib/models/SortSnippetsBy.js");
/* harmony import */ var _DisplayController__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./DisplayController */ "./lib/ui/views/DisplayController.js");
/* harmony import */ var _utils_annotationHandler__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../utils/annotationHandler */ "./lib/utils/annotationHandler.js");
/* harmony import */ var _actions_activities__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../../actions/activities */ "./lib/actions/activities.js");








function renderListView({ container, snippets, discovery, }) {
    for (const snippet of snippets) {
        const snippetElement = constructSnippet({
            snippetData: snippet,
            discovery: discovery,
        });
        container.appendChild(snippetElement);
    }
    return container;
}
const constructSnippet = ({ snippetData, isPreview, opened, discovery, }) => {
    var _a, _b, _c, _d;
    const annotationHandler = _utils_annotationHandler__WEBPACK_IMPORTED_MODULE_0__["default"].getInstance();
    const snippetElement = document.createElement('div');
    snippetElement.classList.add('piecesSnippet', 'flex-auto');
    snippetElement.id = `snippet-el-${snippetData.id}`;
    if (_render_renderSearchBox__WEBPACK_IMPORTED_MODULE_1__.defaultSortingView === _models_SortSnippetsBy__WEBPACK_IMPORTED_MODULE_2__.SortSnippetsBy.Discover) {
        const discoveryDiv = document.createElement('div');
        discoveryDiv.classList.add('discovery-div-parent', 'col-sm-fixed');
        const selectCheckbox = document.createElement('input');
        selectCheckbox.type = 'checkbox';
        selectCheckbox.classList.add('discovery-checkbox', 'discovery-checkbox-appearance');
        _DisplayController__WEBPACK_IMPORTED_MODULE_3__["default"].appendDiscovery({
            snippetCheckbox: selectCheckbox,
            snippetObject: snippetData,
        });
        discoveryDiv.appendChild(selectCheckbox);
        snippetElement.appendChild(discoveryDiv);
    }
    const headerElement = document.createElement('div');
    //TITLE
    const titleRow = document.createElement('div');
    titleRow.classList.add('row');
    titleRow.classList.add('snippet-title');
    const title = document.createElement('h4');
    title.innerText = snippetData.title;
    const titleCol = document.createElement('div');
    titleCol.classList.add('col');
    titleCol.classList.add('snippet-title');
    titleCol.appendChild(title);
    const langCol = document.createElement('div');
    langCol.classList.add('col');
    langCol.classList.add('col-sm-fixed');
    langCol.classList.add('snippet-title');
    const lang = document.createElement('div'); // TODO make this an img with icon
    lang.classList.add('snippet-title', 'snippet-title-img');
    lang.classList.add((0,_utils_langExtToIcon__WEBPACK_IMPORTED_MODULE_4__.getIcon)(snippetData.language));
    langCol.appendChild(lang);
    if (_render_renderSearchBox__WEBPACK_IMPORTED_MODULE_1__.defaultSortingView === _models_SortSnippetsBy__WEBPACK_IMPORTED_MODULE_2__.SortSnippetsBy.Discover) {
        const seperator = document.createElement('span');
        seperator.classList.add('discovery-seperator');
        seperator.innerText = ' ';
        titleRow.appendChild(seperator);
    }
    titleRow.appendChild(langCol);
    titleRow.appendChild(titleCol);
    headerElement.appendChild(titleRow);
    //DESCRIPTION
    const descRow = document.createElement('div');
    descRow.classList.add('row');
    const descEl = document.createElement('p');
    descEl.classList.add('snippet-description');
    let annotationText = annotationHandler
        .getFavorited((_a = snippetData.annotations) !== null && _a !== void 0 ? _a : [])
        .map((el) => el.text)
        .join('\n');
    if (annotationText.length === 0)
        annotationText =
            (_d = (_c = annotationHandler
                .sortAnnotationsByUpdated({
                annotations: (_b = snippetData.annotations) !== null && _b !== void 0 ? _b : [],
            })[0]) === null || _c === void 0 ? void 0 : _c.text.replace(/\n/g, ' ')) !== null && _d !== void 0 ? _d : '';
    descEl.innerText = annotationText;
    descRow.appendChild(descEl);
    headerElement.appendChild(descRow);
    // VIEW CODE
    // Create a button container element
    const viewCodeDiv = document.createElement('div');
    viewCodeDiv.classList.add('row', 'jp-viewcode-container');
    headerElement.appendChild(viewCodeDiv);
    snippetElement.appendChild(headerElement);
    if (isPreview) {
        const previewSnippet = (0,_render_renderSnippets__WEBPACK_IMPORTED_MODULE_5__.renderSnippet)({
            snippetData: snippetData,
            isPreview: isPreview,
            discovery: discovery,
        });
        snippetElement.appendChild(previewSnippet);
        return snippetElement;
    }
    // Create the button element
    const buttonInput = document.createElement('input');
    buttonInput.type = 'checkbox';
    buttonInput.title = 'View expanded code snippet';
    buttonInput.classList.add('jp-viewcode-input');
    viewCodeDiv.appendChild(buttonInput);
    const buttonContentOpen = document.createElement('span');
    buttonContentOpen.innerText = 'View Code ▼';
    buttonContentOpen.classList.add('jp-viewcode-container');
    const buttonContentClosed = document.createElement('span');
    buttonContentClosed.innerText = 'View Code ▶';
    buttonContentClosed.classList.add('jp-viewcode-container');
    if (buttonInput.checked) {
        viewCodeDiv.appendChild(buttonContentOpen);
    }
    else {
        viewCodeDiv.appendChild(buttonContentClosed);
    }
    let newSnippet;
    if (opened) {
        buttonInput.checked = true;
        newSnippet = (0,_render_renderSnippets__WEBPACK_IMPORTED_MODULE_5__.renderSnippet)({
            snippetData: snippetData,
            isPreview: isPreview,
            discovery: discovery,
        });
        viewCodeDiv.replaceChild(buttonContentOpen, buttonContentClosed);
        snippetElement.appendChild(newSnippet);
    }
    let clickTimer = null;
    headerElement.addEventListener('click', async function () {
        if (clickTimer === null) {
            clickTimer = setTimeout(function () {
                buttonInput.checked = !buttonInput.checked;
                if (buttonInput.checked) {
                    // Checkbox is checked, do something
                    newSnippet = (0,_render_renderSnippets__WEBPACK_IMPORTED_MODULE_5__.renderSnippet)({
                        snippetData: snippetData,
                        isPreview: isPreview,
                        discovery: discovery,
                    });
                    viewCodeDiv.removeChild(buttonContentClosed);
                    viewCodeDiv.appendChild(buttonContentOpen);
                    snippetElement.appendChild(newSnippet);
                }
                else {
                    // Checkbox is unchecked, do something
                    viewCodeDiv.removeChild(buttonContentOpen);
                    viewCodeDiv.appendChild(buttonContentClosed);
                    snippetElement.removeChild(newSnippet);
                }
                clickTimer = null;
                if (_render_renderSearchBox__WEBPACK_IMPORTED_MODULE_1__.defaultSearchQuery)
                    _actions_activities__WEBPACK_IMPORTED_MODULE_6__["default"].getInstance().referenced(snippetData.id, _render_renderSearchBox__WEBPACK_IMPORTED_MODULE_1__.defaultSearchQuery);
            }, 150); // Adjust the delay (in milliseconds) to define the maximum duration for a single click
        }
        else {
            clearTimeout(clickTimer);
            clickTimer = null;
            if (_render_renderSearchBox__WEBPACK_IMPORTED_MODULE_1__.defaultSortingView !== _models_SortSnippetsBy__WEBPACK_IMPORTED_MODULE_2__.SortSnippetsBy.Discover) {
                (0,_snippetExportView__WEBPACK_IMPORTED_MODULE_7__["default"])({
                    snippetData: snippetData,
                });
                _actions_activities__WEBPACK_IMPORTED_MODULE_6__["default"].getInstance().referenced(snippetData.id);
            }
        }
    });
    return snippetElement;
};


/***/ }),

/***/ "./lib/utils/PromiseResolution.js":
/*!****************************************!*\
  !*** ./lib/utils/PromiseResolution.js ***!
  \****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   PromiseResolution: () => (/* binding */ PromiseResolution)
/* harmony export */ });
const PromiseResolution = () => {
    let resolver;
    let rejector;
    const promise = new Promise((resolve) => {
        resolver = (args) => resolve(args);
        rejector = (args) => resolve(args);
    });
    return {
        promise,
        resolver,
        rejector,
    };
};


/***/ }),

/***/ "./lib/utils/annotationHandler.js":
/*!****************************************!*\
  !*** ./lib/utils/annotationHandler.js ***!
  \****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (/* binding */ AnnotationHandler)
/* harmony export */ });
/* harmony import */ var _cache_pieces_cache__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../cache/pieces_cache */ "./lib/cache/pieces_cache.js");
/* harmony import */ var _connection_connector_singleton__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../connection/connector_singleton */ "./lib/connection/connector_singleton.js");


class AnnotationHandler {
    constructor() {
        this.loadAnnotations = async () => {
            const config = _connection_connector_singleton__WEBPACK_IMPORTED_MODULE_0__["default"].getInstance();
            const cache = _cache_pieces_cache__WEBPACK_IMPORTED_MODULE_1__["default"].getInstance();
            const annotations = await config.annotationsApi.annotationsSnapshot({});
            cache.storeAnnotations(annotations.iterable);
        };
    }
    static getInstance() {
        var _a;
        return ((_a = AnnotationHandler.instance) !== null && _a !== void 0 ? _a : (AnnotationHandler.instance = new AnnotationHandler()));
    }
    sortAnnotationsByCreated({ annotations, ascending = true, }) {
        return annotations.sort((a, b) => {
            const timeA = a.created.value.getTime();
            const timeB = b.created.value.getTime();
            return ascending ? timeA - timeB : timeB - timeA;
        });
    }
    sortAnnotationsByUpdated({ annotations, ascending = true, }) {
        return annotations.sort((a, b) => {
            const timeA = new Date(a.updated.value).getTime();
            const timeB = new Date(b.updated.value).getTime();
            return ascending ? timeA - timeB : timeB - timeA;
        });
    }
    getFavorited(annotations) {
        return annotations.filter((a) => a.favorited);
    }
    annotationsAreEqual(arr1, arr2) {
        if (arr1.length !== arr2.length) {
            return false;
        }
        const arr1Map = new Map(arr1.map((item) => [
            item.id,
            { text: item.text, favorited: item.favorited },
        ]));
        const arr2Map = new Map(arr2.map((item) => [
            item.id,
            { text: item.text, favorited: item.favorited },
        ]));
        for (const [id, annotation] of arr1Map) {
            const cur = arr2Map.get(id);
            if (!cur)
                return false;
            if (cur.text !== annotation.text)
                return false;
            if (cur.favorited !== annotation.favorited)
                return false;
        }
        return true;
    }
}


/***/ }),

/***/ "./lib/utils/calculateLevenshteinDistance.js":
/*!***************************************************!*\
  !*** ./lib/utils/calculateLevenshteinDistance.js ***!
  \***************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   calculateLevenshteinDistance: () => (/* binding */ calculateLevenshteinDistance)
/* harmony export */ });
function calculateLevenshteinDistance(str1, str2) {
    if (Array.isArray(str1)) {
        str1 = str1.join('\n');
    }
    const m = str1.length;
    const n = str2.length;
    if (Math.abs(m - n) > 2) {
        return Infinity; // Distance exceeds threshold, exit early
    }
    const dp = [];
    for (let i = 0; i <= m; i++) {
        dp[i] = [i];
    }
    for (let j = 1; j <= n; j++) {
        dp[0][j] = j;
    }
    for (let i = 1; i <= m; i++) {
        for (let j = 1; j <= n; j++) {
            if (str1[i - 1] === str2[j - 1]) {
                dp[i][j] = dp[i - 1][j - 1];
            }
            else {
                dp[i][j] = Math.min(dp[i - 1][j] + 1, dp[i][j - 1] + 1, dp[i - 1][j - 1] + 1 // substitution
                );
            }
        }
    }
    return dp[m][n];
}


/***/ }),

/***/ "./lib/utils/sha256.js":
/*!*****************************!*\
  !*** ./lib/utils/sha256.js ***!
  \*****************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   sha256: () => (/* binding */ sha256)
/* harmony export */ });
/* harmony import */ var crypto_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! crypto-js */ "webpack/sharing/consume/default/crypto-js/crypto-js");
/* harmony import */ var crypto_js__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(crypto_js__WEBPACK_IMPORTED_MODULE_0__);

const sha256 = (input) => {
    const hash = (0,crypto_js__WEBPACK_IMPORTED_MODULE_0__.SHA256)(input).toString();
    return hash;
};


/***/ }),

/***/ "./lib/utils/shuffle.js":
/*!******************************!*\
  !*** ./lib/utils/shuffle.js ***!
  \******************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   shuffle: () => (/* binding */ shuffle)
/* harmony export */ });
const shuffle = (array) => {
    for (let i = array.length - 1; i > 0; i--) {
        const j = Math.floor(Math.random() * (i + 1));
        [array[i], array[j]] = [array[j], array[i]];
    }
    return array;
};


/***/ }),

/***/ "./lib/utils/shuffleAndReinsert.js":
/*!*****************************************!*\
  !*** ./lib/utils/shuffleAndReinsert.js ***!
  \*****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   shuffleAndReinsert: () => (/* binding */ shuffleAndReinsert)
/* harmony export */ });
/* harmony import */ var _shuffle__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./shuffle */ "./lib/utils/shuffle.js");

const shuffleAndReinsert = (array) => {
    const elementsToTake = Math.min(5, array.length); // Take up to five elements or the length of the array, whichever is smaller
    const takenElements = (0,_shuffle__WEBPACK_IMPORTED_MODULE_0__.shuffle)(array.splice(0, elementsToTake)); // Take the first few elements from the array
    takenElements.concat(array); // Concatenate the shuffled elements with the rest of the array
    return takenElements;
};


/***/ }),

/***/ "./lib/utils/sleep.js":
/*!****************************!*\
  !*** ./lib/utils/sleep.js ***!
  \****************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   sleep: () => (/* binding */ sleep)
/* harmony export */ });
function sleep(ms) {
    return new Promise((resolve) => setTimeout(resolve, ms));
}


/***/ }),

/***/ "./lib/utils/truncateAfterNewline.js":
/*!*******************************************!*\
  !*** ./lib/utils/truncateAfterNewline.js ***!
  \*******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   truncateAfterNewline: () => (/* binding */ truncateAfterNewline)
/* harmony export */ });
function truncateAfterNewline(str) {
    if (Array.isArray(str)) {
        str = str[0];
    }
    const newlineIndex = str.indexOf('\n');
    if (newlineIndex !== -1) {
        return str.substring(0, newlineIndex);
    }
    else {
        return str;
    }
}


/***/ })

}]);
//# sourceMappingURL=lib_cache_pieces_cache_js-webpack_sharing_consume_default_lunr_lunr-webpack_sharing_consume_d-5d8c8f.4fd4df312ee55e870f22.js.map